000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. BASEXPOR.
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SOURCE-COMPUTER. RMC.
000006 OBJECT-COMPUTER. RMC.
000007 INPUT-OUTPUT SECTION.
000008     COPY "SISTSELE.CBL".
000009     SELECT NC13 ASSIGN TO RANDOM PAT-C13
000010         ORGANIZATION IS INDEXED
000011         RECORD KEY IS NC13LLAVE
000012         ALTERNATE RECORD KEY IS NC13RAZON-LA WITH DUPLICATES
000013         ALTERNATE RECORD KEY IS NC13NOMCO-LA WITH DUPLICATES
000014         ALTERNATE RECORD KEY IS NC13CALLE-LA WITH DUPLICATES
000015         ALTERNATE RECORD KEY IS NC13LOCAL-LA WITH DUPLICATES
000016         ALTERNATE RECORD KEY IS NC13CUIT-LA  WITH DUPLICATES
000017         ALTERNATE RECORD KEY IS NC13TELEF-LA  WITH DUPLICATES
000018         ACCESS IS DYNAMIC.
000019     SELECT NB05 ASSIGN TO RANDOM PAT-B05
000020         ORGANIZATION IS INDEXED
000021         RECORD KEY IS NB05LLAVE
000022         ALTERNATE RECORD KEY IS NB05NOMCL-LA WITH DUPLICATES
000023         ALTERNATE RECORD KEY IS NB05CODCL-LA WITH DUPLICATES
000024         ALTERNATE RECORD KEY IS NB05ARTIC-LA WITH DUPLICATES
000025         ALTERNATE RECORD KEY IS NB05FACTU-LA WITH DUPLICATES
000026         ALTERNATE RECORD KEY IS NB05FECHA-LA WITH DUPLICATES
000027         ALTERNATE RECORD KEY IS NB05FEVEN-LA WITH DUPLICATES
000028         ALTERNATE RECORD KEY IS NB05MODUL-LA WITH DUPLICATES
000029         ALTERNATE RECORD KEY IS NB05FERET-LA WITH DUPLICATES
000030         ACCESS IS DYNAMIC.
000031     SELECT NV05 ASSIGN TO RANDOM PAT-V05
000032         ORGANIZATION IS INDEXED
000033         RECORD KEY IS NV05LLAVE
000034         ALTERNATE RECORD KEY IS NV05NOMCL-LA WITH DUPLICATES
000035         ALTERNATE RECORD KEY IS NV05CODCL-LA WITH DUPLICATES
000036         ALTERNATE RECORD KEY IS NV05ARTIC-LA WITH DUPLICATES
000037         ALTERNATE RECORD KEY IS NV05FACTU-LA WITH DUPLICATES
000038         ALTERNATE RECORD KEY IS NV05FECHA-LA WITH DUPLICATES
000039         ALTERNATE RECORD KEY IS NV05FEVEN-LA WITH DUPLICATES
000040         ALTERNATE RECORD KEY IS NV05MODUL-LA WITH DUPLICATES
000041         ALTERNATE RECORD KEY IS NV05FERET-LA WITH DUPLICATES
000042         ACCESS IS DYNAMIC.
000043     SELECT NB06 ASSIGN TO RANDOM PAT-B06
000044         ORGANIZATION IS INDEXED
000045         RECORD KEY IS NB06LLAVE
000046         ALTERNATE RECORD KEY IS NB06COMPR-LA WITH DUPLICATES
000047         ALTERNATE RECORD KEY IS NB06NOMCL-LA WITH DUPLICATES
000048         ALTERNATE RECORD KEY IS NB06CODCL-LA WITH DUPLICATES
000049         ALTERNATE RECORD KEY IS NB06TISER-LA WITH DUPLICATES
000050         ALTERNATE RECORD KEY IS NB06FACTU-LA WITH DUPLICATES
000051         ALTERNATE RECORD KEY IS NB06NUSTO-LA WITH DUPLICATES
000052         ALTERNATE RECORD KEY IS NB06FECHA-LA WITH DUPLICATES
000053         ALTERNATE RECORD KEY IS NB06SERVI-LA WITH DUPLICATES
000054         ACCESS IS DYNAMIC.
000055     SELECT NB07 ASSIGN TO RANDOM PAT-B07
000056         ORGANIZATION IS INDEXED
000057         RECORD KEY IS NB07LLAVE
000058         ALTERNATE RECORD KEY IS NB07NOMCL-LA WITH DUPLICATES
000059         ALTERNATE RECORD KEY IS NB07NUSTO-LA WITH DUPLICATES
000060         ALTERNATE RECORD KEY IS NB07FECHA-LA WITH DUPLICATES
000061         ALTERNATE RECORD KEY IS NB07ALQUI-LA WITH DUPLICATES
000062         ALTERNATE RECORD KEY IS NB07COMPR-LA WITH DUPLICATES
000063         ALTERNATE RECORD KEY IS NB07RECOR-LA WITH DUPLICATES
000064         ACCESS IS DYNAMIC.
000065     SELECT AUXIFILE ASSIGN TO RANDOM AUX-PAT
000066         ORGANIZATION IS INDEXED
000067         RECORD KEY IS AUXLLAVE
000068         FILE STATUS IS AUXSTAT
000069         ACCESS IS DYNAMIC.
000070 DATA DIVISION.
000071 FILE SECTION.
000072
000073 FD NC13
000074      RECORD  CONTAINS 1422 CHARACTERS
000075      LABEL RECORDS ARE STANDARD.
000076 01 NC13-REC.
000077       02  NC13LLAVE.
000078         04 NC13CODCL PIC 9(5).
000079         04 NC13SUCUR PIC 9(2).
000080       02 NC13RAZON-LA.
000081         04 NC13RAZON PIC X(30).
000082       02 NC13NOMCO-LA.
000083         04 NC13NOMCO PIC X(30).
000084       02 NC13CALLE-LA.
000085         04 NC13CALLE PIC X(30).
000086       02 NC13LOCAL-LA.
000087         04 NC13LOCAL PIC X(20).
000088       02 NC13CODPO PIC 9(4).
000089       02 NC13SUBLO PIC 9(2).
000090       02 NC13TELEF-LA.
000091          04 NC13TELEF PIC X(60).
000092       02 NC13NUFAX PIC X(30).
000093       02 NC13CONTA PIC X(30).
000094       02 NC13CATIV PIC X.
000095       02 NC13CUIT-LA.
000096          04 NC13CUIT.
000097             06 NC13CUIT1 PIC 99.
000098             06 NC13CUIT2 PIC 9(8).
000099             06 NC13CUIT3 PIC 9.
000100       02 NC13COPAG PIC 999 .
000101       02 NC13BONIF PIC 999 .
000102       02 NC13ESTAD PIC X.
000103       02 NC13MAIL  PIC X.
000104       02 NC13EMAIL PIC X(30).
000105       02 NC13OBSE1 PIC X(60).
000106       02 NC13OBSE2 PIC X(60).
000107       02 NC13OBSE3 PIC X(60).
000108       02 NC13LIMCR PIC S9(13)V99.
000109       02 NC13RECOR PIC 9(3).
000110       02 NC13VEND1 PIC 9(3).
000111       02 NC13VEND2 PIC 9(3).
000112       02 NC13ORREC PIC 9(4).
000113       02 NC13DIAEN PIC X(7).
000114       02 NC13HOREN PIC X(15).
000115       02 NC13DOCOB PIC X(30).
000116       02 NC13DIPAG PIC X(20).
000117       02 NC13HORPA PIC X(15).
000118       02 NC13ZOCOB PIC 999.
000119       02 NC13REFE1 PIC X(40).
000120       02 NC13REFE2 PIC X(40).
000121       02 NC13REFE3 PIC X(40).
000122       02 NC13REFE4 PIC X(40).
000123       02 NC13FAXCO PIC X(15).
000124       02 NC13EMAI2 PIC X(20).
000125       02 NC13HORAT PIC X(30).
000126       02 NC13TECOB.
000127         04 NC13TECO1 PIC X(15).
000128         04 NC13TECO2 PIC X(15).
000129         04 NC13TECO3 PIC X(15).
000130         04 NC13TECO4 PIC X(15).
000131       02 NC13DISCR PIC X.
000132       02 NC13FECHA.
000133           06 NC13FECAN   PIC 9(4).
000134           06 NC13FECME   PIC 9(2).
000135           06 NC13FECDI   PIC 9(2).
000136       02 NC13MEDIO PIC X(3).
000137       02 NC13GUIPA PIC 9(3).
000138       02 NC13GUICU PIC 9(3).
000139       02 NC13UBIC2 PIC X(60).
000140       02 NC13TICOB PIC X.
000141       02 NC13RESAN PIC 9999.
000142       02 NC13RESME PIC 99.
000143       02 NC13TILIM PIC X .
000144       02 FILLER   PIC X(459).
000145 FD NB05
000146      RECORD CONTAINS 346 CHARACTERS
000147      LABEL RECORDS ARE STANDARD.
000148*  SERVICIOS
000149 01 NB05-REC.
000150       02 NB05LLAVE.
000151         04 NB05NUMER PIC 9(8).
000152       02 NB05NOMCL-LA.
000153         04 NB05NOMCL PIC X(30).
000154       02 NB05CODCL-LA.
000155         04 NB05CODCL PIC 9(5).
000156         04 NB05SUCUR PIC 99.
000157       02 NB05ARTIC-LA.
000158         04 NB05ARTIC PIC 9(3).
000159       02 NB05FACTU-LA.
000160         04 NB05FACLE   PIC X(4).
000161         04 NB05FACSU   PIC 9(2).
000162         04 NB05FACNU   PIC 9(6).
000163       02 NB05FECHA-LA.
000164         04 NB05FECHA.
000165           06 NB05FECAN   PIC 9(4).
000166           06 NB05FECME   PIC 9(2).
000167           06 NB05FECDI   PIC 9(2).
000168       02 NB05FEVEN-LA.
000169         04 NB05FEVEN.
000170           06 NB05FEVAN   PIC 9(4).
000171           06 NB05FEVME   PIC 9(2).
000172           06 NB05FEVDI   PIC 9(2).
000173       02 NB05TIFAC   PIC X.
000174       02 NB05PRECI   PIC S9(7)V99.
000175       02 NB05BOPRE   PIC S9(2)V99.
000176       02 NB05PREFI   PIC S9(7)V99.
000177       02 NB05BONFI   PIC S9(2)V99.
000178       02 NB05PREFV   PIC S9(7)V99.
000179       02 NB05BONFV   PIC S9(2)V99.
000180       02 NB05MODUL-LA.
000181         03 NB05MODUL   PIC 9(6).
000182         03 NB05FERET-LA.
000183           04 NB05FERET.
000184             06 NB05FREAN   PIC 9(4).
000185             06 NB05FREME   PIC 9(2).
000186             06 NB05FREDI   PIC 9(2).
000187       02 NB05CANTI   PIC 9(3).
000188       02 NB05CANRE   PIC 9(3).
000189       02 NB05COPAG   PIC 9(3).
000190       02 NB05VENDE   PIC 9(3).
000191       02 NB05FRESE   PIC 9(2).
000192       02 NB05SEPRO   PIC 9(2).
000193       02 NB05ALVEN   PIC X.
000194       02 NB05FACIN   PIC X.
000195       02 NB05OBSER   PIC X(73).
000196       02 NB05PRAIR   PIC S9(7)V99.
000197       02 NB05BOAIR   PIC S9(2)V99.
000198       02 NB05PRCAL   PIC S9(7)V99.
000199       02 NB05BOCAL   PIC S9(2)V99.
000200       02 NB05BASCA   PIC 9(3).
000201       02 NB05BASCT   PIC 9(3).
000202       02 NB05CONFI   PIC X.
000203       02 NB05OBREM   PIC X(73).
000204       02 NB05ESTSE   PIC X.
000205       02 FILLER     PIC X(18).
000206 FD NV05
000207      RECORD CONTAINS 346 CHARACTERS
000208      LABEL RECORDS ARE STANDARD.
000209*  SERVICIOS
000210 01 NV05-REC.
000211       02 NV05LLAVE.
000212         04 NV05NUMER PIC 9(8).
000213       02 NV05NOMCL-LA.
000214         04 NV05NOMCL PIC X(30).
000215       02 NV05CODCL-LA.
000216         04 NV05CODCL PIC 9(5).
000217         04 NV05SUCUR PIC 99.
000218       02 NV05ARTIC-LA.
000219         04 NV05ARTIC PIC 9(3).
000220       02 NV05FACTU-LA.
000221         04 NV05FACLE   PIC X(4).
000222         04 NV05FACSU   PIC 9(2).
000223         04 NV05FACNU   PIC 9(6).
000224       02 NV05FECHA-LA.
000225         04 NV05FECHA.
000226           06 NV05FECAN   PIC 9(4).
000227           06 NV05FECME   PIC 9(2).
000228           06 NV05FECDI   PIC 9(2).
000229       02 NV05FEVEN-LA.
000230         04 NV05FEVEN.
000231           06 NV05FEVAN   PIC 9(4).
000232           06 NV05FEVME   PIC 9(2).
000233           06 NV05FEVDI   PIC 9(2).
000234       02 NV05TIFAC   PIC X.
000235       02 NV05PRECI   PIC S9(7)V99.
000236       02 NV05BOPRE   PIC S9(2)V99.
000237       02 NV05PREFI   PIC S9(7)V99.
000238       02 NV05BONFI   PIC S9(2)V99.
000239       02 NV05PREFV   PIC S9(7)V99.
000240       02 NV05BONFV   PIC S9(2)V99.
000241       02 NV05MODUL-LA.
000242         03 NV05MODUL   PIC 9(6).
000243         03 NV05FERET-LA.
000244           04 NV05FERET.
000245             06 NV05FREAN   PIC 9(4).
000246             06 NV05FREME   PIC 9(2).
000247             06 NV05FREDI   PIC 9(2).
000248       02 NV05CANTI   PIC 9(3).
000249       02 NV05CANRE   PIC 9(3).
000250       02 NV05COPAG   PIC 9(3).
000251       02 NV05VENDE   PIC 9(3).
000252       02 NV05FRESE   PIC 9(2).
000253       02 NV05SEPRO   PIC 9(2).
000254       02 NV05ALVEN   PIC X.
000255       02 NV05FACIN   PIC X.
000256       02 NV05OBSER   PIC X(73).
000257       02 NV05PRAIR   PIC S9(7)V99.
000258       02 NV05BOAIR   PIC S9(2)V99.
000259       02 NV05PRCAL   PIC S9(7)V99.
000260       02 NV05BOCAL   PIC S9(2)V99.
000261       02 NV05BASCA   PIC 9(3).
000262       02 NV05BASCT   PIC 9(3).
000263       02 NV05CONFI   PIC X.
000264       02 NV05OBREM   PIC X(73).
000265       02 NB05ESTSE   PIC X.
000266       02 FILLER     PIC X(18).
000267 FD NB06
000268      RECORD CONTAINS 315 CHARACTERS
000269      LABEL RECORDS ARE STANDARD.
000270* REMITOS
000271 01 NB06-REC.
000272       02 NB06LLAVE.
000273         04 NB06NUMER PIC 9(8).
000274       02 NB06COMPR-LA.
000275         04 NB06COMLE PIC X(4).
000276         04 NB06COMSU PIC 9(2).
000277         04 NB06COMNU PIC 9(6).
000278       02 NB06CODCL-LA.
000279         04 NB06CODCL PIC 9(5).
000280         04 NB06SUCUR PIC 99.
000281       02 NB06TISER-LA.
000282         04 NB06TISER PIC 9(2).
000283       02 NB06FACTU-LA.
000284         04 NB06FACLE   PIC X(4).
000285         04 NB06FACSU   PIC 9(2).
000286         04 NB06FACNU   PIC 9(6).
000287       02 NB06NOMCL-LA.
000288         04 NB06NOMCL PIC X(30).
000289         04 NB06SERVI-LA.
000290           06 NB06SERVI   PIC 9(8).
000291           06 NB06NUSTO-LA.
000292             08 NB06NUSTO   PIC 9(6).
000293             08 NB06FECHA-LA.
000294               10 NB06FECHA.
000295                 12 NB06FECAN   PIC 9(4).
000296                 12 NB06FECME   PIC 9(2).
000297                 12 NB06FECDI   PIC 9(2).
000298       02 NB06PRECI   PIC S9(7)V99.
000299       02 NB06BONIF   PIC S9(2)V99.
000300       02 NB06MODUL   PIC 9(6).
000301       02 NB06CANTI   PIC 9(3).
000302       02 NB06CHOFE   PIC 9(6).
000303       02 NB06PLANI   PIC 9(8).
000304       02 NB06OBSER   PIC X(73).
000305       02 NB06MENSA   PIC X(60).
000306       02 FILLER     PIC X(53).
000307
000308 FD NB07
000309      RECORD CONTAINS 293 CHARACTERS
000310      LABEL RECORDS ARE STANDARD.
000311* REMITOS ENCABEZADO
000312 01 NB07-REC.
000313       02 NB07COMPR-LA.
000314         04 NB07COMLE PIC X(4).
000315         04 NB07COMSU PIC 9(2).
000316         04 NB07COMNU PIC 9(6).
000317         04 NB07LLAVE.
000318            06 NB07NUMER PIC 9(6).
000319       02 NB07NOMCL-LA.
000320         04 NB07NOMCL PIC X(30).
000321       02 NB07NUSTO-LA.
000322         04 NB07NUSTO     PIC 9(6).
000323         04 NB07FECHA-LA.
000324           06 NB07FECHA.
000325             08 NB07FECAN   PIC 9(4).
000326             08 NB07FECME   PIC 9(2).
000327             08 NB07FECDI   PIC 9(2).
000328       02 NB07RECOR-LA.
000329           04 NB07RECOR     PIC 9(3).
000330           04 NB07ORREC     PIC 9(4).
000331       02 NB07ALQUI-LA.
000332           04 NB07ALQUI     PIC 9(8).
000333       02 NB07CANTI     PIC 9(4).
000334       02 NB07OBSER     PIC X(60).
000335       02 NB07PLANI     PIC 9(8).
000336       02 NB07CHOFE     PIC 9(6).
000337       02 NB07MENSA     PIC X(60).
000338       02 NB07TISER     PIC 9(2).
000339       02 FILLER       PIC X(54).
000340 FD  AUXIFILE
000341         RECORD CONTAINS 152 CHARACTERS
000342         LABEL RECORDS ARE STANDARD.
000343 01  AUX-REC.
000344     02 AUXLLAVE.
000345        06  AUXMEDID PIC X(14).
000346     02 AUXCANTI PIC S99999.
000347     COPY "SISTFD.CBL".
000348 77 PAT-C13     PIC  X(30).
000348 77 PAT-B05     PIC  X(30).
000348 77 PAT-V05     PIC  X(30).
000348 77 PAT-B06     PIC  X(30).
000348 77 PAT-B07     PIC  X(30).
000348 77 USRID       PIC IS  XXX VALUE "XXX".
000349 77 SESIO       PIC IS  99  VALUE 77.
000150 77 ANALIZAD PIC 9(8).
000160 77 EXPORTAD PIC 9(8).
000170 77 ANALIZAD-E PIC Z(7)9.
000180 77 EXPORTAD-E PIC Z(7)9.
000350 COPY "SISTPANT.CBL".
000351 PROCEDURE DIVISION.
000352 COPY "SISTSTAF.CBL".
000353 PROGRAMA.
000354     MOVE 'BASEXPOR' TO PROGRA.
000355     CALL 'USOGRABA' USING USRID SESIO PROGRA.
000356     CANCEL 'USOGRABA'.
000357     MOVE PROGRA TO IMP-PRT
000210     DISPLAY " " ERASE LINE 1 POSITION 1.
000210     CALL "RECUADRO" USING 06 23 11 45 2.
000220     DISPLAY "EXPORTACION" LOW LINE 7 POSITION 29.
000230     DISPLAY "ANALIZADOS:" LOW LINE 8 POSITION 25.
000240     DISPLAY "EXPORTADOS:" LOW LINE 9 POSITION 25.
000250     DISPLAY "C" HIGH LINE 10 POSITION 28.
000260     DISPLAY "CONTINUAR" LOW LINE 10 POSITION 30.
000380     MOVE ZERO TO ANALIZAD.
000390     MOVE ZERO TO EXPORTAD.
000358     OPEN INPUT B05 B06 C13 B07 B00.
           MOVE 1 TO B00NUMER
           READ B00.
           MOVE SPACES TO PAT-C13 PAT-B05 PAT-V05 PAT-B06 PAT-B07.
           STRING B00DIROT DELIMITED BY SPACE
                  "C13"    DELIMITED BY SIZE
                  INTO PAT-C13.
           STRING B00DIROT DELIMITED BY SPACE
                  "B05"    DELIMITED BY SIZE
                  INTO PAT-B05.
           STRING B00DIROT DELIMITED BY SPACE
                  "V05"    DELIMITED BY SIZE
                  INTO PAT-V05.
           STRING B00DIROT DELIMITED BY SPACE
                  "B06"    DELIMITED BY SIZE
                  INTO PAT-B06.
           STRING B00DIROT DELIMITED BY SPACE
                  "B07"    DELIMITED BY SIZE
                  INTO PAT-B07.

000359     OPEN OUTPUT NB07.
000360     CLOSE NB07.
000361     OPEN INPUT NV05.
000362     OPEN I-O NC13 NB05 NB06 NB07.
000363     MOVE LOW-VALUES  TO B05-REC.
000364     START B05 KEY IS NOT LESS THAN B05LLAVE.
000365 OTRO-B05.
000366     READ B05 NEXT AT END GO TO FINALIZAR.
           ADD 1 TO ANALIZAD.
           PERFORM MOSTRAR.
000368     IF B05TIFAC IS NOT = "P" GO TO OTRO-B05.
000369     MOVE B05-REC TO NV05-REC.
000370     READ NV05 INVALID KEY
000371                  GO TO SEG-B05
000372             NOT INVALID KEY
000373                  GO TO OTRO-B05.
000374
000375 SEG-B05.
000376     MOVE B05-REC TO NB05-REC.
000377*    IF B05NUMER = 6391 DISPLAY "HERE"
000378*                       ACCEPT IND.
000379     READ NB05 INVALID KEY
000380                  WRITE NB05-REC FROM B05-REC
000381                  END-WRITE
000382             NOT INVALID KEY
000383                  MOVE  B05FERET  TO  NB05FERET
000384                  MOVE  B05CANTI  TO  NB05CANTI
000385                  MOVE  B05CANRE  TO  NB05CANRE
000386                  MOVE  B05FRESE  TO  NB05FRESE
000387                  REWRITE NB05-REC
000388                  END-READ.
           ADD 1 TO EXPORTAD.
           PERFORM MOSTRAR.
000390*    IF B05NUMER = 6391 DISPLAY "HERE"
000391*                       DISPLAY NB05-REC
000392*                       ACCEPT IND.
000394     MOVE B05CODCL TO C13CODCL
000395     MOVE B05SUCUR TO C13SUCUR
000396     READ C13 INVALID KEY GO TO OTRO-B05.
000397     MOVE C13-REC TO NC13-REC.
000398     READ NC13 INVALID KEY
                        ADD 1 TO EXPORTAD
                        PERFORM MOSTRAR
000399                  WRITE NC13-REC FROM C13-REC.
000400     PERFORM VER-CERO THRU FIN-VER-CERO.
000401     PERFORM LEER-B06 THRU FIN-LEER-B06.
000402     PERFORM LEER-B07 THRU FIN-LEER-B07.
000403     GO TO OTRO-B05.
000404 FINALIZAR.
000830 IND-ACC.
000850     ACCEPT IND SIZE  1 PROMPT
000860                HIGH  LINE 10 POSITION  40
000405     CLOSE NC13 C13 B05 NB05 NB06 B07 NB07 B00.
000406 SALIDA.
000407     STOP RUN.
000408 MENSAJE-DIS.
000409     DISPLAY MENSAJE BLINK LINE 24 POSITION 1.
000410     MOVE SPACES TO MENSAJE.
000411 LEER-B06.
000412     MOVE LOW-VALUES  TO B06-REC.
000413     MOVE B05NUMER TO B06SERVI
000414     START B06 KEY IS NOT LESS THAN B06SERVI-LA
000415              INVALID KEY GO TO FIN-LEER-B06.
000416 OTRO-B06.
000417     READ B06 NEXT AT END GO TO FIN-LEER-B06.
           ADD 1 TO ANALIZAD.
           PERFORM MOSTRAR.
000418     IF B06SERVI IS NOT = B05NUMER  GO TO FIN-LEER-B06.
000419     MOVE B06-REC TO NB06-REC.
000420     READ NB06 INVALID KEY
                        ADD 1 TO EXPORTAD
                        PERFORM MOSTRAR
000421                  WRITE NB06-REC FROM B06-REC.
000422     GO TO OTRO-B06.
000423 FIN-LEER-B06.
000424 LEER-B07.
000425     MOVE LOW-VALUES  TO B07-REC.
000426     MOVE B05NUMER TO B07ALQUI
000427     START B07 KEY IS NOT LESS THAN B07ALQUI-LA
000428              INVALID KEY GO TO FIN-LEER-B07.
000429 OTRO-B07.
000430     READ B07 NEXT AT END GO TO FIN-LEER-B07.
           ADD 1 TO ANALIZAD.
           PERFORM MOSTRAR.
000431     IF B07ALQUI IS NOT = B05NUMER  GO TO FIN-LEER-B07.
000432     WRITE NB07-REC FROM B07-REC.
           ADD 1 TO EXPORTAD.
           PERFORM MOSTRAR.
000433     GO TO OTRO-B07.
000434 FIN-LEER-B07.
000435
000436
000437 VER-CERO.
000438     MOVE B05CODCL TO C13CODCL
000439     MOVE ZERO     TO C13SUCUR
000440     READ C13 INVALID KEY GO TO FIN-VER-CERO.
000441     MOVE C13-REC TO NC13-REC.
000442     READ NC13 INVALID KEY
                        ADD 1 TO EXPORTAD
                        PERFORM MOSTRAR
000443                  WRITE NC13-REC FROM C13-REC.
000444 FIN-VER-CERO.
000300 MOSTRAR.
000310     MOVE ANALIZAD  TO ANALIZAD-E.
000320     DISPLAY ANALIZAD-E  HIGH  LINE 8 POSITION  36.
000330     MOVE EXPORTAD  TO EXPORTAD-E.
000340     DISPLAY EXPORTAD-E  HIGH  LINE 9 POSITION  36.
000350     DISPLAY IND  HIGH  LINE 10 POSITION  40.
000360 FIN-MOSTRAR.


