000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. BASB05CO.
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SOURCE-COMPUTER. RMC.
000006 OBJECT-COMPUTER. RMC.
000007 INPUT-OUTPUT SECTION.
000008 COPY "SISTSELE.CBL".
000009     SELECT AUXIFILE ASSIGN TO RANDOM  AUX-PAT
000010         ORGANIZATION IS INDEXED
000011         RECORD KEY IS AUXLLAVE
000012         ALTERNATE RECORD KEY IS AUXNOMBR-LA
000013         FILE STATUS IS AUXSTAT
000014         ACCESS IS DYNAMIC.
000015 DATA DIVISION.
000016 FILE SECTION.
000017 FD  AUXIFILE
000018         RECORD CONTAINS 55 CHARACTERS
000019         LABEL RECORDS ARE STANDARD.
000020 01  AUX-REC.
000021      03 AUXNOMBR-LA.
000022         05 AUXESPE1 PIC X(2).
000023         05 AUXNOMBR PIC X(30).
000024         05 AUXLLAVE.
000025           06 AUXESPEC PIC X(2).
000026           06 AUXCODPR PIC 9(5).
000027      03 AUXSALDO    PIC S9(13)V99.
000028 COPY "SISTFD.CBL".
000029 77 COMLE       PIC XXXX.
000030 77 COMSU       PIC 99.
000031 77 COMNU       PIC 9(6).
000032 77 IND-NCRE    PIC X   .
000033 01 FECHA-TOP.
000034      07 TOPAN    PIC 9(4).
000035      07 TOPME    PIC 9(2).
000036      07 TOPDI    PIC 9(2).
000037 01 FECHA.
000038      07 FECAN    PIC 9(4).
000039      07 FECME    PIC 9(2).
000040      07 FECDI    PIC 9(2).
000041 01 FEVEN.
000042      07 VENAN    PIC 9(4).
000043      07 VENME    PIC 9(2).
000044      07 VENDI    PIC 9(2).
000045 01 FEHAS.
000046   03 HASAN       PIC 9999.
000047   03 HASME       PIC 99.
000048   03 HASDI       PIC 99.
000049 77 FECAN-E  PIC ZZZZ.
000050 77 FECME-E  PIC ZZ.
000051 77 FECDI-E  PIC ZZ.
000052 01  LINEBLAN.
000053     03  FILLER          PIC X(80)          VALUE SPACES.
000054 01 LINE001.
000055      04 FILLER          PIC X(6)   VALUE "FECHA:".
000056      04 SL-FECHA-EQ     PIC X(8).
000057      04 FILLER          PIC X      VALUE SPACES.
000058      04 SL-C00EMPRE     PIC X(30).
000059      04 FILLER          PIC X      VALUE SPACES.
000060      04 FILLER          PIC X(31)  VALUE "MODULOS COLGADOS
000061-     "    PAG:".
000062      04 SL-CON-PAG      PIC Z(2)9.
000063 01 LINE002.
000064      04 FILLER          PIC X(15)  VALUE SPACES.
000065      04 FILLER          PIC X(57)  VALUE "-----------------------
000066-     "----------------------------------".
000067 01 LINE003.
000068      04 FILLER          PIC X(80)  VALUE ALL "-".
000069 01 LINE004.
000070      04 FILLER          PIC X(15)  VALUE "ALQUILER MODULO".
000071      04 FILLER          PIC X(6)   VALUE SPACES.
000072      04 FILLER          PIC X(4)   VALUE "OBRA".
000073      04 FILLER          PIC X(23)  VALUE SPACES.
000074      04 FILLER          PIC X(11)  VALUE "VENCIMIENTO".
000075      04 FILLER          PIC X(8)  VALUE SPACES.
000076      04 FILLER          PIC X(7)  VALUE "ENTREGA".
000077 01 LINE005.
000078      04 SL-B05NUMER     PIC Z(5)9.
000079      04 FILLER          PIC X(2)   VALUE SPACES.
000080      04 SL-B05MODUL     PIC Z(5)9.
000081      04 FILLER          PIC X      VALUE SPACES.
000082      04 SL-B05NOMCL     PIC X(31).
000083      04 FILLER          PIC X      VALUE SPACES.
000084      04 SL-B05FEVDI     PIC Z9.
000085      04 FILLER          PIC X      VALUE "/".
000086      04 SL-B05FEVME     PIC 99.
000087      04 FILLER          PIC X      VALUE "/".
000088      04 SL-B05FEVAN     PIC 9999.
000089      04 FILLER          PIC X      VALUE SPACES.
000090      04 SL-B05ALVEN     PIC X.
000091      04 FILLER          PIC X      VALUE SPACES.
000092      04 SL-B05TIFAC     PIC X.
000093      04 FILLER          PIC X      VALUE SPACES.
000094      04 SL-B05FACIN     PIC X.
000095      04 FILLER          PIC X      VALUE SPACES.
000096      04 SL-B05CONFI     PIC X.
000097      04 FILLER          PIC X      VALUE SPACES.
000098      04 SL-B06FECDI     PIC ZZ.
000099      04 FILLER          PIC X      VALUE "/".
000100      04 SL-B06FECME     PIC ZZ.
000101      04 FILLER          PIC X      VALUE "/".
000102      04 SL-B06FECAN     PIC ZZZZ.
000103      04 FILLER          PIC X      VALUE SPACES.
000104      04 SL-RETIR        PIC X.
000105 01  VERDE.
000106     03  FILLER      PIC X(19) VALUE "FCOLOR = GREEN,".
000107     03  FILLER      PIC X(18) VALUE "BCOLOR = BLACK ".
000108 01  AZUL.
000109     03  FILLER      PIC X(19) VALUE "FCOLOR = BLUE,".
000110     03  FILLER      PIC X(18) VALUE "BCOLOR = BLACK ".
000111 01  BLANCO.
000112     03  FILLER      PIC X(18) VALUE "FCOLOR = WHITE,".
000113     03  FILLER      PIC X(18) VALUE "BCOLOR = BLACK ".
000114 COPY "SISTSTAT.CBL".
000115 PROGRAMA.
000116     MOVE 'BASB05CO' TO PROGRA.
000117     CALL 'USOGRABA' USING USRID SESIO PROGRA.
000118     CANCEL 'USOGRABA'.
000119     MOVE PROGRA TO IMP-PRT
000120     OPEN INPUT C00.
000121     MOVE 1 TO C00NUMER.
000122     READ C00.
000123     MOVE "AUX1"    TO AUX-NOM.
000124     MOVE C00DIAUX  TO AUX-DIAUX
000125     MOVE USRID     TO AUX-USRID.
000126     OPEN OUTPUT AUXIFILE
000127     CLOSE AUXIFILE
000128     OPEN I-O AUXIFILE.
000129     OPEN INPUT B05 B06 B03 B07.
000130     MOVE ZERO TO CON-PAG.
000131     MOVE C00FECDI TO TOPDI.
000132     MOVE C00FECME TO TOPME.
000133     MOVE C00FECAN TO TOPAN.
000134 PEDIDO.
000135     DISPLAY "ͻ"
000136             LOW LINE 5 POSITION 22 CONTROL VERDE.
000137     MOVE 6 TO FILA.
000138 OTRO-CUA.
000139     DISPLAY "                                   "
000140             LOW LINE FILA  POSITION 22.
000141     ADD 1 TO FILA.
000142     IF FILA < 17 GO TO OTRO-CUA.
000143     DISPLAY "ͼ"
000144             LOW LINE 17 POSITION 22.
000145     DISPLAY "MODULOS COLGADOS AL:" LOW LINE 9 POSITION 25.
000146     DISPLAY "/" LOW LINE 9 POSITION 48.
000147     DISPLAY "/" LOW LINE 9 POSITION 51.
000148     DISPLAY "P" HIGH LINE 11 POSITION 28.
000149     DISPLAY "PANTALLA" LOW LINE 11 POSITION 30.
000150     DISPLAY "I" HIGH LINE 11 POSITION 40.
000151     DISPLAY "IMPRESORA" LOW LINE 11 POSITION 42.
000152     DISPLAY "F" HIGH LINE 12 POSITION 28.
000153     DISPLAY "FACTURAR" LOW LINE 12 POSITION 30.
000154     MOVE TOPDI  TO FECDI-E.
000155     DISPLAY FECDI-E  HIGH  LINE 9 POSITION  46.
000156     MOVE TOPME  TO FECME-E.
000157     DISPLAY FECME-E  HIGH  LINE 9 POSITION  49.
000158     MOVE TOPAN  TO FECAN-E.
000159     DISPLAY FECAN-E  HIGH  LINE 9 POSITION  52.
000160 TOPDI-ACC.
000161     ACCEPT TOPDI SIZE  2 PROMPT UPDATE
000162                HIGH  LINE 9 POSITION  46
000163     ACCEPT FUN-COD FROM ESCAPE KEY.
000164     IF FUN-COD = 27 GO TO FINALIZAR.
000165     IF TOPDI IS NOT NUMERIC GO TO TOPDI-ACC.
000166     PERFORM MENSAJE-DIS .
000167     MOVE TOPDI TO FECDI-E.
000168     DISPLAY FECDI-E HIGH LINE 9 POSITION  46.
000169 TOPME-ACC.
000170     ACCEPT TOPME SIZE  2 PROMPT UPDATE
000171                HIGH  LINE 9 POSITION  49
000172     ACCEPT FUN-COD FROM ESCAPE KEY.
000173     IF FUN-COD = 27 GO TO FINALIZAR.
000174     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO TOPDI-ACC.
000175     IF TOPME IS NOT NUMERIC GO TO TOPME-ACC.
000176     PERFORM MENSAJE-DIS .
000177     MOVE TOPME TO FECME-E.
000178     DISPLAY FECME-E HIGH LINE 9 POSITION  49.
000179 TOPAN-ACC.
000180     ACCEPT TOPAN SIZE  4 PROMPT UPDATE
000181                HIGH  LINE 9 POSITION  52
000182     ACCEPT FUN-COD FROM ESCAPE KEY.
000183     IF FUN-COD = 27 GO TO FINALIZAR.
000184     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO TOPME-ACC.
000185     IF TOPAN IS NOT NUMERIC GO TO TOPAN-ACC.
000186     PERFORM MENSAJE-DIS .
000187     MOVE TOPAN TO FECAN-E.
000188     DISPLAY FECAN-E HIGH LINE 9 POSITION  52.
000189     CALL "CONSFECH" USING TOPDI TOPME TOPAN MENSAJE
000190           CANCEL "CONSFECH".
000191     IF MENSAJE IS NOT = SPACES
000192                 PERFORM MENSAJE-DIS GO TO TOPDI-ACC.
000193 IND-ACC.
000194     ACCEPT IND SIZE  1 PROMPT
000195                HIGH  LINE 11 POSITION  52.
000196     ACCEPT FUN-COD FROM ESCAPE KEY.
000197     IF FUN-COD = 27 GO TO FINALIZAR.
000198     IF IND = "p" MOVE "P" TO IND.
000199     IF IND = "i" MOVE "I" TO IND.
000200     IF IND = "f" MOVE "F" TO IND.
000201     IF IND = "P" OR IND = "I"
000202                  OR IND = "F" NEXT SENTENCE ELSE
000203                                    GO TO IND-ACC.
000204     IF IND = "F" MOVE "D" TO U04IMPRE.
000205     IF IND = "P" MOVE "D" TO U04IMPRE.
000206     MOVE FECHA-TOP TO FEVEN.
000207     SUBTRACT 1 FROM VENME.
000208     IF VENME = ZERO MOVE 12 TO VENME
000209                     SUBTRACT 1 FROM VENAN.
000210     MOVE LOW-VALUES TO B05FEVEN-LA.
000211     START B05 KEY IS NOT LESS THAN B05FEVEN-LA
000212                   INVALID KEY MOVE "NO HAY NADA AUN"
000213                   TO MENSAJE PERFORM MENSAJE-DIS
000214                   ACCEPT IND LINE 23 POSITION 77
000215                   GO TO FINALIZAR.
000216 OTRO-B05.
000217     READ B05 NEXT AT END GO TO TOTALES.
000218     IF B05MODUL = ZERO GO TO OTRO-B05.
000219     IF B05ALVEN IS NOT = "A"  GO TO OTRO-B05.
000220     IF B05TIFAC  = "P"  GO TO OTRO-B05.
000221     IF B05FACIN  = "E"  AND B05FACLE IS NOT = SPACES
000222                   GO TO OTRO-B05.
000223     IF B05FREAN > ZERO GO TO SEG-B05.
000223*    IF B05FREAN = ZERO NEXT SENTENCE ELSE GO TO
000224*          OTRO-B05.
000225     IF B05FEVEN > FECHA-TOP GO TO OTRO-B05.
000226     IF B05TIFAC = "V" AND B05FEVEN > FEVEN GO TO OTRO-B05.
000216 SEG-B05.
000227     IF CON-PAG = 0 PERFORM ABRIR THRU FIN-ABRIR
000228                    PERFORM ENCABEZAMIENTO.
000229     IF CON-LIN > LIN-COR PERFORM PAGINA THRU FIN-PAGINA
000230                          PERFORM ENCABEZAMIENTO.
000231     MOVE B05NUMER   TO SL-B05NUMER
000232     MOVE B05MODUL   TO SL-B05MODUL
000233     MOVE B05NOMCL   TO SL-B05NOMCL
000234     MOVE B05FEVDI   TO SL-B05FEVDI
000235     MOVE B05FEVME   TO SL-B05FEVME
000236     MOVE B05FEVAN   TO SL-B05FEVAN
000237     MOVE B05ALVEN   TO SL-B05ALVEN
000238     MOVE B05TIFAC   TO SL-B05TIFAC
000239     MOVE B05FACIN   TO SL-B05FACIN
000240     MOVE B05CONFI   TO SL-B05CONFI
000241     MOVE ZERO       TO SL-B06FECDI
000242     MOVE ZERO       TO SL-B06FECME
000243     MOVE ZERO       TO SL-B06FECAN
000244     MOVE LOW-VALUES TO B06-REC
000245     MOVE B05NUMER TO B06SERVI
000246     START B06 KEY IS NOT LESS THAN B06SERVI-LA
000247           INVALID KEY GO TO FIN-VER-REMITO-ENT.
000248 OTRO-REMITO.
000249     READ B06 NEXT AT END GO TO FIN-VER-REMITO-ENT.
000250     IF B05NUMER = B06SERVI NEXT SENTENCE
000251     ELSE          GO TO FIN-VER-REMITO-ENT.
000252     MOVE B06TISER TO B03TISER.
000253     READ B03 INVALID KEY GO TO OTRO-REMITO.
000254     IF B03ALTA  = "M"
000255          MOVE B06FECDI   TO SL-B06FECDI
000256          MOVE B06FECME   TO SL-B06FECME
000257          MOVE B06FECAN   TO SL-B06FECAN
000258          GO TO FIN-VER-REMITO-ENT.
000259     GO TO OTRO-REMITO.
000260 FIN-VER-REMITO-ENT.
000261     MOVE SPACES TO SL-RETIR.
000262     IF B05FREDI > ZERO MOVE "R" TO SL-RETIR.
000263     MOVE LINE005 TO SL-NOR-CON
000264     MOVE LIN-NOR TO IMP-REC
000265     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000266     IF IND IS NOT = "F" GO TO OTRO-B05.
000267     IF SL-B06FECDI = SPACES GO TO OTRO-B05.
000268     IF B05CONFI    = "N"    GO TO OTRO-B05.
000269     IF B05TIFAC    = "P"    GO TO OTRO-B05.
000270     IF B05ALVEN    = "C"    GO TO OTRO-B05.
000271     PERFORM FACTURAR THRU FIN-FACTURAR.
000272     GO TO OTRO-B05.
000273 TOTALES.
000274     IF CON-PAG = ZERO
000275                   MOVE "NO HAY NADA AUN"
000276                   TO MENSAJE PERFORM MENSAJE-DIS
000277                   ACCEPT IND LINE 23 POSITION 77
000278                   GO TO FINALIZAR.
000279     MOVE LINE003 TO SL-NOR-CON
000280     MOVE LIN-NOR TO IMP-REC
000281     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000282     MOVE LINEBLA TO SL-NOR-CON
000283     MOVE LIN-NOR TO IMP-REC
000284     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000285     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000286     PERFORM PAGINA THRU FIN-PAGINA
000287     PERFORM CERRAR THRU FIN-CERRAR.
000288 FINALIZAR.
000289     DISPLAY " " CONTROL BLANCO LINE 1 POSITION 1.
000290     CLOSE B05 C00 AUXIFILE B06 B03 B07.
000291 SALIDA.
000292     EXIT PROGRAM.
000293 MENSAJE-DIS.
000294     DISPLAY MENSAJE BLINK LINE 24 POSITION 1.
000295     MOVE SPACES TO MENSAJE.
000296 ABRIR.
000297     MOVE C00DIAUX TO IMP-DIAUX.
000298     MOVE USRID    TO IMP-USRID.
000299     MOVE "BASB05CO.PRT" TO IMP-NOM.
000300     IF U04IMPRE = "I" OR U04IMPRE = "T" OPEN OUTPUT IMP .
000301     IF IMPSTAT = "30" GO TO ABRIR.
000302     IF U04IMPRE = "D" OR U04IMPRE = "T" OPEN OUTPUT DSK .
000303     MOVE ZERO  TO CON-PAG.
000304     CALL "FECHAEQU" USING FE-EQ TI-EQ SL-FECHA-EQ TI-EDI.
000305     CANCEL "FECHAEQU".
000306     MOVE C00EMPRE TO SL-C00EMPRE.
000307     MOVE LINE000 TO IMP-REC.
000308     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000309 FIN-ABRIR.
000310 CERRAR.
000311     IF U04IMPRE = "I" OR U04IMPRE = "T" CLOSE IMP.
000312     IF IMPSTAT = "30" GO TO CERRAR.
000313     IF U04IMPRE = "D" OR U04IMPRE = "T" CLOSE DSK.
000314     IF U04IMPRE = "D" OR U04IMPRE = "T"
000315             CALL "SHOWRELA" USING IMP-PAT
000316             CANCEL "SHOWRELA".
000317 FIN-CERRAR.
000318 WRT-IMP.
000319     ADD 1 TO CON-LIN.
000320 SEG-WRT-IMP.
000321     DISPLAY IMP-REC LINE 22 POSITION 1.
000322     MOVE IMP-REC TO DSK-REC.
000323     IF U04IMPRE = "I" OR U04IMPRE = "T" WRITE IMP-REC
000324                BEFORE 1 LINES.
000325     IF IMPSTAT = "30" GO TO SEG-WRT-IMP.
000326     IF U04IMPRE = "D" OR U04IMPRE = "T" WRITE DSK-REC
000327                BEFORE 1 LINES.
000328 FIN-WRT-IMP.
000329 PAGINA.
000330     MOVE LINEBLA  TO IMP-REC.
000331     MOVE LINEBLA  TO DSK-REC.
000332     DISPLAY IMP-REC LINE 22 POSITION 1.
000333     IF U04IMPRE = "I" OR U04IMPRE = "T"
000334                       WRITE IMP-REC AFTER PAGE.
000335     IF IMPSTAT = "30" GO TO PAGINA.
000336     IF U04IMPRE = "D" OR U04IMPRE = "T"
000337                       WRITE DSK-REC AFTER PAGE.
000338 FIN-PAGINA.
000339 ENCABEZAMIENTO.
000340     ADD 1 TO CON-PAG .
000341     MOVE ZERO TO CON-LIN.
000342     MOVE CON-PAG TO SL-CON-PAG .
000343     MOVE LINE001 TO SL-NOR-CON
000344     MOVE LIN-NOR TO IMP-REC
000345     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000346     MOVE LINE002 TO SL-NOR-CON
000347     MOVE LIN-NOR TO IMP-REC
000348     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000349     MOVE LINE003 TO SL-NOR-CON
000350     MOVE LIN-NOR TO IMP-REC
000351     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000352     MOVE LINE004 TO SL-NOR-CON
000353     MOVE LIN-NOR TO IMP-REC
000354     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000355     MOVE LINE003 TO SL-NOR-CON
000356     MOVE LIN-NOR TO IMP-REC
000357     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000358 FACTURAR.
000359     DISPLAY SAV-SCR CONTROL CREATE-WINDOW
000360             LINE 1 POSITION 1.
000361     IF B05MODUL = ZERO GO TO FIN-SIN-CONF.
000362     MOVE LOW-VALUES TO B07-REC.
000363     MOVE B05NUMER TO B07ALQUI.
000364     START B07 KEY IS NOT LESS THAN B07ALQUI-LA
000365                 INVALID KEY GO TO FIN-SIN-CONF.
000366     READ B07 NEXT
000367     IF B05NUMER = B07ALQUI NEXT SENTENCE ELSE
000368                             GO TO FIN-SIN-CONF.
000369     CALL "RECUADRO" USING 07 17 11 61 2
000370     DISPLAY "ESTE ALQUILER TIENE REMITOS SIN CONFIRMAR"
000371             LOW LINE 8 POSITION 19.
000372     DISPLAY "C" HIGH LINE 10 POSITION 31.
000373     DISPLAY "CONTINUAR" HIGH LINE 10 POSITION 34.
000374 FAC-ACC.
000375      ACCEPT SEG SIZE  1 PROMPT
000376                HIGH  LINE 10 POSITION  44
000377     IF SEG = "C"  OR SEG = "c"
000378             NEXT SENTENCE ELSE  GO TO FAC-ACC.
000379 FIN-SIN-CONF.
000380 CAL-HASTA.
000381     IF B05FREDI > ZERO MOVE B05FERET TO FEHAS
000382                         GO TO FIN-CAL-HASTA.
000383     IF B05FEVDI = ZERO
000384               MOVE B05FECHA TO FEHAS
000385            ELSE
000386               MOVE B05FEVEN TO FEHAS.
000387     ADD 1 TO HASME.
000388     IF HASME > 12 ADD 1 TO HASAN
000389                      MOVE 1 TO HASME.
000390     IF HASDI > DIMES(HASME)
000391              MOVE DIMES(HASME) TO HASDI.
000392 FIN-CAL-HASTA.
000393     CALL "BASPANFA" USING USRID B05CODCL B05SUCUR
000394               B05NUMER
000395               B05ARTIC    COMLE COMSU COMNU FECDI FECME FECAN
000396               SEG HASDI HASME HASAN IND-NCRE  FUN-COD.
000397     CANCEL "BASPANFA"
000398     IF FUN-COD = 27 GO TO FIN-FACTURAR.
000399     CALL "BASFAMOD" USING USRID COMLE COMSU COMNU
000400     FECDI FECME FECAN SEG  B05NUMER
000401                   FEHAS IND-NCRE
000402            FECDI FECME FECAN IND  B05NUMER
000403                   FEHAS IND-NCRE
000404     CANCEL "BASFAMOD".
000405     IF SEG = "P" GO TO FIN-CAL-HASTA.
000406     DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE".
000407 FIN-FACTURAR.
000408
000409
000410
000411
000412


