000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. C01CAFIS.
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SOURCE-COMPUTER. RMC.
000006 OBJECT-COMPUTER. RMC.
000007 INPUT-OUTPUT SECTION.
000008 COPY "SISTSELE.CBL".
000009     SELECT X03 ASSIGN TO RANDOM X03-PAT
000010         ORGANIZATION IS INDEXED
000011         RECORD KEY IS X03LLAVE
000012         ALTERNATE RECORD KEY IS X03TRANS-LA
000013         ALTERNATE RECORD KEY IS X03CUENT-LA
000014         FILE STATUS IS X03STAT
000015         ACCESS IS DYNAMIC.
000016     SELECT AUXIFILE ASSIGN TO RANDOM  AUX-PAT
000017         ORGANIZATION IS INDEXED
000018         RECORD KEY IS AUXLLAVE
000019         FILE STATUS IS AUXSTAT
000020         ACCESS IS DYNAMIC.
000021     SELECT AUX2FILE ASSIGN TO RANDOM  AU2-PAT
000022         ORGANIZATION IS INDEXED
000023         RECORD KEY IS AU2LLAVE
000024         FILE STATUS IS AUXSTAT
000025         ACCESS IS DYNAMIC.
000026     SELECT AUX1FILE ASSIGN TO RANDOM  AU1-PAT
000027         ORGANIZATION IS INDEXED
000028         RECORD KEY IS AU1LLAVE
000029         FILE STATUS IS AUXSTAT
000030         ACCESS IS DYNAMIC.
000031     SELECT AUX3FILE ASSIGN TO RANDOM  AU3-PAT
000032         ORGANIZATION IS INDEXED
000033         RECORD KEY IS AU3LLAVE
000034         FILE STATUS IS AUXSTAT
000035         ACCESS IS DYNAMIC.
000036     SELECT AUX4FILE ASSIGN TO RANDOM  AU4-PAT
000037         ORGANIZATION IS INDEXED
000038         RECORD KEY IS AU4LLAVE
000039         FILE STATUS IS AUXSTAT
000040         ACCESS IS DYNAMIC.
000041     SELECT AUX5FILE ASSIGN TO RANDOM  AU5-PAT
000042         ORGANIZATION IS INDEXED
000043         RECORD KEY IS AU5LLAVE
000044         FILE STATUS IS AUXSTAT
000045         ACCESS IS DYNAMIC.
000046
000047 DATA DIVISION.
000048 FILE SECTION.
000049 FD X03
000050      RECORD  CONTAINS 73 CHARACTERS
000051      LABEL RECORDS ARE STANDARD.
000052 01 X03-REC.
000053       02 X03CUENT-LA.
000054        03 X03CUENT PIC 9(10).
000055        03 X03TRANS-LA.
000056         04 X03TRANS PIC 9(8).
000057         04 X03LLAVE.
000058           06 X03NUMER PIC 9(8).
000059       02 X03DETAL-LA.
000060         04 X03DETAL PIC X(30).
000061       02 X03DEBHA PIC X.
000062       02 X03IMPOR-LA.
000063         04 X03IMPOR PIC S9(13)V99.
000064       02 X03CLASE PIC X    .
000065 FD  AUX1FILE
000066         RECORD CONTAINS 99 CHARACTERS
000067         LABEL RECORDS ARE STANDARD.
000068 01  AU1-REC.
000069      03 AU1LLAVE .
000070          09 AU1TRANS  PIC 9(8).
000071 FD  AUX2FILE
000072         RECORD CONTAINS 99 CHARACTERS
000073         LABEL RECORDS ARE STANDARD.
000074 01  AU2-REC.
000075      03 AU2LLAVE .
000076           09 AU2INTEG  PIC 9(3).
000077           09 AU2CODPR  PIC 9(5).
000078           09 AU2SUCUR  PIC 9(2).
000079      03 AU2TITUL  PIC X(30).
000080      03 AU2DEBE   PIC S9(13)V99.
000081      03 AU2HABER  PIC S9(13)V99.
000082 FD  AUXIFILE
000083         RECORD CONTAINS 99 CHARACTERS
000084         LABEL RECORDS ARE STANDARD.
000085 01  AUX-REC.
000086      03 AUXLLAVE .
000087          09 AUXCUENT  PIC 9(10).
000088      03 AUXINTEG  PIC 999.
000089      03 AUXTITUL  PIC X(30).
000090      03 AUXDEBE   PIC S9(13)V99.
000091      03 AUXHABER  PIC S9(13)V99.
000092
000093 FD  AUX3FILE
000094         RECORD CONTAINS 99 CHARACTERS
000095         LABEL RECORDS ARE STANDARD.
000096 01  AU3-REC.
000097      03 AU3LLAVE .
000098          05 AU3INTEG  PIC 9(3).
000099      03 AU3TITUL  PIC X(30).
000100      03 AU3DEBE   PIC S9(13)V99.
000101      03 AU3HABER  PIC S9(13)V99.
000102 FD  AUX4FILE
000103         RECORD CONTAINS 99 CHARACTERS
000104         LABEL RECORDS ARE STANDARD.
000105 01  AU4-REC.
000106      03 AU4LLAVE .
000107          05 AU4INTEG  PIC 9(3).
000108      03 AU4TITUL  PIC X(30).
000109      03 AU4DEBE   PIC S9(13)V99.
000110      03 AU4HABER  PIC S9(13)V99.
000111 FD  AUX5FILE
000112         RECORD CONTAINS 99 CHARACTERS
000113         LABEL RECORDS ARE STANDARD.
000114 01  AU5-REC.
000115      03 AU5LLAVE .
000116           09 AU5CUENT  PIC 9(10).
000117           09 AU5CODPR  PIC 9(5).
000118           09 AU5SUCUR  PIC 9(2).
000119      03 AU5TITUL  PIC X(30).
000120      03 AU5DEBE   PIC S9(13)V99.
000121      03 AU5HABER  PIC S9(13)V99.
000122 COPY "SISTFD.CBL".
000123 01 DETAL.
000124      02 PRI6      PIC X(06)  .
000125      02 FILLER    PIC X(20)  .
000126 77 C01CUENT-E    PIC Z(10).
000127 77 CUENT      PIC 9(10).
000128 77 IND-SUB    PIC X.
000129 77 CUPROVE  PIC  9(10).
000130 77 MARCA   PIC X      .
000131 77 X03STAT PIC XX     .
000132 01 X03-PAT.
000133*     02 FILLER    PIC XX VALUE "G:".
000134      02 X03-DIAUX PIC X(09)  .
000135      02 FILLER    PIC X  VALUE "\".
000136      02 X03-USRID PIC X(3)  .
000137      02 FILLER    PIC X  VALUE "\".
000138      02 X03-NOM   PIC X(8).
000139 77 W03NUMER   PIC 9(8).
000140 77 IND-PRO    PIC X.
000141 77 IND-MAR    PIC X.
000142 77 C00ANDES-E PIC Z(3)9.
000143 77 C00ANHAS-E PIC Z(3)9.
000144 77 FECDI-E PIC Z(1)9.
000145 77 FECME-E PIC Z(1)9.
000146 77 FECAN-E PIC Z(3)9.
000147 77 C03CUENT-E PIC Z(9)9.
000148 77 C03TRANS-E PIC Z(7)9.
000149 77 C03NUMER-E PIC Z(7)9.
000150 77 NUMER-E PIC Z(7)9.
000151 77 PEPE-E PIC  Z(12)9.99-.
000152 77 TOPEPE     PIC S9(13)V99.
000153 77 HABER      PIC S9(13)V99.
000154 77  TOTDEBE       PIC S9(13)V99.
000155 77  TOTHABER      PIC S9(13)V99.
000156 77  AUXI           PIC S9(13)V99.
000157 LINKAGE SECTION.
000158 77 USRID       PIC IS  XXX.
000159 77 SESIO       PIC IS  99 .
000160 01 FECHA.
000161      07 FECAN    PIC 9(4).
000162      07 FECME    PIC 9(2).
000163      07 FECDI    PIC 9(2).
000164 77 CODPR    PIC  9(5).
000165 77 CODPR2   PIC  9(5).
000166 77 ANDES-C  PIC  9(4).
000167 COPY "SISTPANT.CBL".
000168 PROCEDURE DIVISION USING USRID SESIO FECHA CODPR CODPR2 ANDES-C.
000169 COPY "SISTSTAF.CBL".
000170 PROGRAMA.
000171     MOVE 'C01CAFIS' TO PROGRA.
000172     CALL 'USOGRABA' USING USRID SESIO PROGRA.
000173     CANCEL 'USOGRABA'.
000174     MOVE PROGRA TO IMP-PRT
000175     OPEN INPUT C00.
000176     MOVE 1 TO C00NUMER .
000177     READ C00.
000178     MOVE ANDES-C TO ANDES.
000179     OPEN INPUT C01 C03 C02 C04 C55 C05 C12 C11.
000180     MOVE C00DIAUX TO X03-DIAUX
000181     MOVE USRID    TO X03-USRID
000182     MOVE "X03"    TO X03-NOM
000183     MOVE "AUX1"    TO AUX-NOM.
000184     MOVE C00DIAUX  TO AUX-DIAUX
000185     MOVE USRID     TO AUX-USRID.
000186     MOVE "AUX2"    TO AU1-NOM.
000187     MOVE C00DIAUX  TO AU1-DIAUX
000188     MOVE USRID     TO AU1-USRID.
000189     MOVE "AUX3"    TO AU2-NOM.
000190     MOVE C00DIAUX  TO AU2-DIAUX
000191     MOVE USRID     TO AU2-USRID.
000192     MOVE "AUX4"    TO AU3-NOM.
000193     MOVE C00DIAUX  TO AU3-DIAUX
000194     MOVE USRID     TO AU3-USRID.
000195     MOVE "AUX5"    TO AU4-NOM.
000196     MOVE C00DIAUX  TO AU4-DIAUX
000197     MOVE USRID     TO AU4-USRID.
000198     MOVE "AUX6"    TO AU5-NOM.
000199     MOVE C00DIAUX  TO AU5-DIAUX
000200     MOVE USRID     TO AU5-USRID.
000201     OPEN I-O AUX3FILE.
000202     OPEN I-O AUX4FILE.
000203     OPEN I-O AUX5FILE.
000204     OPEN I-O AUXIFILE.
000205     OPEN I-O AUX2FILE.
000206     OPEN I-O AUX1FILE.
000207     OPEN I-O X03.
000208     MOVE HIGH-VALUES TO X03-REC.
000209     START X03 KEY IS NOT GREATER THAN X03LLAVE
000210                INVALID KEY MOVE ZERO TO X03NUMER
000211                        GO TO FIN-ULT-X03.
000212     READ X03 PREVIOUS.
000213 FIN-ULT-X03.
000214     MOVE X03NUMER TO W03NUMER.
000215     MOVE "PROVE" TO C05CUTIP.
000216     READ C05 INVALID KEY
000217              CALL  "TG0SHOW" USING "C05RGACO" 00 FUN-COD
000218              CANCEL "TG0SHOW"
000219              GO TO FINALIZAR.
000220     MOVE C05CUENT TO CUPROVE.
000221     MOVE ZERO     TO C01CUENT.
000222     MOVE SPACES   TO C01TITUL.
000223 PONER.
000224     MOVE LOW-VALUES TO C04-REC
000225     START C04 KEY IS NOT LESS THAN C04LLAVE
000226           INVALID KEY GO TO FIN-PONER.
000227 OTRO-C04.
000228     READ C04 NEXT AT END GO TO FIN-PONER.
000229     IF C04CARTE IS NOT = "P" GO TO OTRO-C04.
000230     IF C04INFEC IS NOT = "S" GO TO OTRO-C04.
000231     MOVE C04MONED TO H35MONED.
000232     MOVE LOW-VALUES TO C01-REC.
000233     MOVE C04MONED TO C01MONED.
000234     START C01 KEY IS NOT LESS THAN C01MONED-LA.
000235     READ C01 NEXT
000236     OPEN INPUT H35.
000237 LEER-H35-TOD.
000238     MOVE LOW-VALUES TO H35-REC.
000239     START H35 KEY IS NOT LESS THAN H35FECHA-LA
000240                   INVALID KEY
000241                   GO TO FIN-LEER-H35-TOD.
000242 OTRO-H35-TOD.
000243     READ H35 NEXT INTO P35-REC AT END GO TO FIN-LEER-H35-TOD.
000244     MOVE H35NUMER  TO NUMER-E.
000245     DISPLAY NUMER-E  HIGH  LINE 15 POSITION  44.
000246     DISPLAY "H35" LINE 15 POSITION 54.
000247     IF H35IMPOR = 0 GO TO OTRO-H35-TOD.
000248     IF H35FDEAN IS NOT = FECAN
000249          OR H35FDEME IS NOT = FECME
000250                              GO TO OTRO-H35-TOD.
000251 AGREGAR.
000252     MOVE HIGH-VALUES TO C55NUMER-LA.
000253     MOVE H35NUMER TO C55NUMER.
000254     START C55 KEY IS NOT GREATER THAN C55NUMER-LA
000255              INVALID KEY
000256                   CALL "TG0SHOW" USING "FC55EP35" 00 FUN-COD
000257                   CANCEL "TG0SHOW"
000258                   GO TO FINALIZAR.
000259     READ C55 PREVIOUS.
000260     IF C55NUMER = H35NUMER NEXT SENTENCE ELSE
000261                   CALL "TG0SHOW" USING "FC55EP35" 00 FUN-COD
000262                   CANCEL "TG0SHOW"
000263                   GO TO FINALIZAR.
000264     MOVE C55TRANS TO C02TRANS.
000265     READ C02 INVALID KEY
000266                   CALL "TG0SHOW" USING "FC02EC55" 00 FUN-COD
000267                   CANCEL "TG0SHOW"
000268                   GO TO FINALIZAR.
000269     MOVE SPACES   TO X03-REC
000270     MOVE C01CUENT TO X03CUENT
000271     MOVE C02TRANS TO X03TRANS
000272     ADD 1 TO W03NUMER.
000273     MOVE W03NUMER TO X03NUMER.
000274     MOVE "H"      TO X03DEBHA.
000275     MOVE H35IMPOR TO X03IMPOR.
000276     MOVE C02TITUL TO X03DETAL.
000277     MOVE "X"      TO X03CLASE.
000278     WRITE X03-REC.
000279     MOVE C02TRANS TO AU1TRANS.
000280     WRITE AU1-REC INVALID KEY GO TO
000281                              OTRO-H35-TOD.
000282     CLOSE C03.
000283     MOVE C02FECAN TO ANDES.
000284     CALL "BUSCAEJE" USING C00PRIME C02FECME ANDES
000285     OPEN INPUT C03.
000286     MOVE LOW-VALUES TO C03TRANS-LA.
000287     MOVE C02TRANS TO C03TRANS.
000288     START C03 KEY IS NOT LESS THAN C03TRANS-LA
000289            INVALID KEY GO TO OTRO-H35-TOD.
000290     MOVE "N" TO IND.
000291 OTRO-C03-AG .
000292     READ C03 NEXT AT END GO TO OTRO-H35-TOD.
000293     MOVE C03NUMER  TO NUMER-E.
000294     DISPLAY NUMER-E  HIGH  LINE 15 POSITION  44.
000295     DISPLAY "C03" LINE 15 POSITION 54.
000296     IF C03TRANS  = C02TRANS NEXT SENTENCE ELSE
000297                        GO TO OTRO-H35-TOD.
000298     IF C03CUENT IS NOT = C01CUENT NEXT SENTENCE ELSE
000299                 GO TO OTRO-C03-AG.
000300     IF C03DEBHA = "H" AND ( C02FECME IS NOT = FECME
000301                          OR C02FECAN IS NOT = FECAN )
000302                  GO TO OTRO-C03-AG.
000303     MOVE C03DETAL TO DETAL.
000304     CALL "CUENANAL" USING USRID SESIO C03CUENT IND.
000305     IF PRI6 = "CHEQUE" AND C03DEBHA = "H" AND IND = "P"
000306                               GO TO OTRO-C03-AG.
000307     MOVE C03-REC TO X03-REC .
000308     ADD 1 TO W03NUMER
000309     MOVE  W03NUMER TO X03NUMER
000310     MOVE  "X"      TO X03CLASE
000311     WRITE X03-REC
000312     GO TO OTRO-C03-AG.
000313 FIN-C03-AG.
000314     GO TO OTRO-H35-TOD.
000315 FIN-LEER-H35-TOD.
000316     CLOSE  H35.
000317     GO TO OTRO-C04.
000318 FIN-PONER.
000319 CARGAR-C02.
000320     CLOSE C03.
000321     MOVE ANDES-C TO ANDES.
000322     OPEN INPUT C03.
000323     MOVE LOW-VALUES TO C02FECHA-LA.
000324     MOVE FECHA TO C02FECHA.
000325     MOVE ZERO  TO C02FECDI.
000326     START C02 KEY IS NOT LESS THAN C02FECHA-LA
000327                   INVALID KEY GO TO FIN-CARGAR-C02.
000328 OTRO-C02.
000329     READ C02 NEXT AT END GO TO FIN-CARGAR-C02.
000330     DISPLAY C02TRANS LINE 15 POSITION 44.
000331     DISPLAY "C02" LINE 15 POSITION 54.
000332     IF C02FECHA > FECHA GO TO FIN-CARGAR-C02.
000910     IF C02ASILE = "ZIAN" GO TO OTRO-C02.
000910     IF C02ASILE = "APAN" GO TO OTRO-C02.
000333
000334
000335 VER-C03.
000336     MOVE LOW-VALUES TO C03TRANS-LA.
000337     MOVE C02TRANS TO C03TRANS.
000338     START C03 KEY IS NOT LESS THAN C03TRANS-LA
000339                      INVALID KEY GO TO OTRO-C02.
000340 OTRO-C03-VER.
000341     READ C03 NEXT AT END GO TO OTRO-C02.
000342     MOVE C03NUMER  TO NUMER-E.
000343     DISPLAY NUMER-E  HIGH  LINE 15 POSITION  44.
000344     DISPLAY "C03" LINE 15 POSITION 54.
000345     IF C03TRANS IS NOT = C02TRANS GO TO OTRO-C02.
000346     MOVE C03CUENT TO C01CUENT.
000347     READ C01 INVALID KEY GO TO OTRO-C03-VER.
000348     IF C01MONED IS NOT = SPACES GO TO FIN-VER-C03.
000349     GO TO OTRO-C03-VER.
000350 FIN-VER-C03.
000351     MOVE C02TRANS TO AU1TRANS.
000352     WRITE AU1-REC INVALID KEY GO TO OTRO-C02.
000353     MOVE LOW-VALUES TO C03TRANS-LA.
000354     MOVE C02TRANS TO C03TRANS.
000355     START C03 KEY IS NOT LESS THAN C03TRANS-LA
000356                      INVALID KEY GO TO OTRO-C02.
000357 OTRO-C03.
000358     READ C03 NEXT AT END GO TO OTRO-C02.
000359     MOVE C03NUMER  TO NUMER-E.
000360     DISPLAY NUMER-E  HIGH  LINE 15 POSITION  44.
000361     DISPLAY "C03" LINE 15 POSITION 54.
000362     IF C03TRANS IS NOT = C02TRANS GO TO OTRO-C02.
000363     MOVE C03CUENT TO C01CUENT.
000364     READ C01 INVALID KEY GO TO OTRO-C03.
000365     MOVE C01MONED TO C04MONED
000366     READ C04 INVALID KEY MOVE SPACES TO C04-REC.
000367     IF C03DEBHA = "D"
000368                ADD 1 TO W03NUMER
000369                MOVE C03-REC TO X03-REC
000370                MOVE W03NUMER TO X03NUMER
000371                MOVE "X"      TO X03CLASE
000372                WRITE X03-REC
000373                GO TO OTRO-C03.
000374     IF C04CARTE = "P" AND C04INFEC = "S"
000375                PERFORM VER-C55 THRU FIN-VER-C55
000376           ELSE
000377                ADD 1 TO W03NUMER
000378                MOVE C03-REC TO X03-REC
000379                MOVE W03NUMER TO X03NUMER
000380                MOVE "X"      TO X03CLASE
000381                WRITE X03-REC.
000382     GO TO OTRO-C03.
000383 VER-C55.
000384     MOVE LOW-VALUES TO C55-REC.
000385     MOVE C02TRANS TO C55TRANS.
000386     START C55 KEY IS NOT LESS THAN C55LLAVE
000387              INVALID KEY GO TO GRABAR-X03.
000388 OTRO-C55.
000389     READ C55 NEXT AT END GO TO GRABAR-X03.
000390     IF C55TRANS IS NOT  = C02TRANS GO TO GRABAR-X03.
000391     IF C55MONED = C04MONED
000392                  GO TO FIN-VER-C55.
000393     GO TO OTRO-C55.
000394 GRABAR-X03.
000395     ADD 1 TO W03NUMER
000396     MOVE C03-REC TO X03-REC
000397     MOVE W03NUMER TO X03NUMER
000398     MOVE "X"      TO X03CLASE
000399     WRITE X03-REC.
000400 FIN-VER-C55.
000401 FIN-CARGAR-C02.
000402
000403 BALANCEAR.
000404     MOVE ZERO TO C02TRANS.
000405 OTRO-BAL.
000406     MOVE ZERO TO TOTDEBE TOTHABER.
000407     MOVE LOW-VALUES TO X03-REC.
000408     MOVE C02TRANS TO X03TRANS.
000409     START X03 KEY IS NOT LESS THAN X03TRANS-LA
000410           INVALID KEY GO TO FIN-BALANCEAR.
000411 OTRO-X03-BAL.
000412     READ X03 NEXT AT END
000413             IF  TOTDEBE = TOTHABER GO TO FIN-BALANCEAR
000414                  ELSE
000415                    PERFORM BALAN THRU FIN-BALAN
000416                    GO TO FIN-BALANCEAR
000417                    END-IF.
000418     MOVE X03NUMER  TO NUMER-E.
000419     DISPLAY NUMER-E  HIGH  LINE 15 POSITION  44.
000420     DISPLAY "X03" LINE 15 POSITION 54.
000421     IF X03TRANS IS NOT  = C02TRANS
000422                AND TOTDEBE = TOTHABER
000423                  MOVE X03TRANS TO C02TRANS
000424                  GO TO OTRO-BAL.
000425     IF X03TRANS IS NOT  = C02TRANS
000426            MOVE X03TRANS TO C55TRANS
000427            PERFORM BALAN THRU FIN-BALAN
000428            MOVE C55TRANS TO C02TRANS
000429            GO TO OTRO-BAL.
000430     IF X03DEBHA = "D" ADD X03IMPOR TO TOTDEBE
000431                 ELSE  ADD X03IMPOR TO TOTHABER.
000432     GO TO OTRO-X03-BAL.
000433 FIN-BALANCEAR.
000434
000435 NO-PROV.
000436     MOVE LOW-VALUES TO X03-REC.
000437     START X03 KEY IS NOT LESS THAN X03LLAVE
000438                INVALID KEY GO TO FIN-NOPROV.
000439 OTRO-X03-NOPRO.
000440     READ X03 NEXT AT END GO TO FIN-NOPROV.
000441     MOVE X03NUMER  TO NUMER-E.
000442     DISPLAY NUMER-E  HIGH  LINE 15 POSITION  44.
000443     DISPLAY "X03 no pro" LINE 15 POSITION 54.
000444     IF X03CUENT  = CUPROVE GO TO OTRO-X03-NOPRO.
000445     MOVE X03CUENT TO C01CUENT.
000446     READ C01 INVALID KEY GO TO OTRO-X03-NOPRO.
000447*    IF C01MONED IS NOT = SPACES
000448*                   GO TO OTRO-X03-NOPRO.
000449     SUBTRACT 1 FROM CODPR
000450     MOVE X03CUENT TO AU5CUENT
000451     MOVE CODPR    TO AU5CODPR
000452     MOVE ZERO     TO AU5SUCUR
000453     MOVE X03DETAL TO AU5TITUL
000454     MOVE ZERO     TO AU5DEBE
000455     MOVE ZERO     TO AU5HABER
000456     MOVE ZERO     TO AU5DEBE
000457     SUBTRACT 1 FROM CODPR2
000458     MOVE C01INTEG TO AU2INTEG
000459     MOVE CODPR2   TO AU2CODPR
000460     MOVE ZERO     TO AU2SUCUR
000461     MOVE X03DETAL TO AU2TITUL
000462     MOVE ZERO     TO AU2DEBE
000463     MOVE ZERO     TO AU2HABER
000464     MOVE ZERO     TO AU2DEBE
000465     IF X03DEBHA = "D"
000466           MOVE X03IMPOR  TO AU2DEBE
000467           MOVE X03IMPOR  TO AU5DEBE
000468         ELSE
000469           MOVE X03IMPOR  TO AU2HABER
000470           MOVE X03IMPOR  TO AU5HABER.
000471     WRITE AU2-REC.
000472     WRITE AU5-REC.
000473     GO TO OTRO-X03-NOPRO.
000474 FIN-NOPROV.
000475
000476
000477
000478
000479
000480
000481
000482 PROVEEDOR.
000483     MOVE LOW-VALUES TO X03-REC.
000484     MOVE CUPROVE  TO X03CUENT.
000485     START X03 KEY IS NOT LESS THAN X03CUENT-LA
000486                INVALID KEY GO TO FIN-PROVEEDOR.
000487 OTRO-X03-PRO.
000488     READ X03 NEXT AT END GO TO FIN-PROVEEDOR.
000489     MOVE X03NUMER  TO NUMER-E.
000490     DISPLAY NUMER-E  HIGH  LINE 15 POSITION  44.
000491     DISPLAY X03TRANS HIGH  LINE 16 POSITION  44.
000492     DISPLAY "X03 prov" LINE 15 POSITION 54.
000493     IF X03CUENT IS NOT  = CUPROVE
000494                          GO TO FIN-PROVEEDOR.
000495     MOVE X03-REC TO C03-REC.
000496     DELETE X03.
000497 BUS-PRO.
000498     MOVE LOW-VALUES TO C12-REC.
000499     MOVE X03TRANS   TO C12TRANS
000500     START C12 KEY IS NOT LESS THAN C12TRANS-LA
000501                   INVALID KEY
000502                   MOVE CUPROVE  TO C01CUENT
000503                   GO TO FIN-BUS-PRO.
000504 OTRO-C12.
000505     READ C12 NEXT AT END GO TO FIN-BUS-PRO.
000506     MOVE C12NUMER  TO NUMER-E.
000507     DISPLAY NUMER-E  HIGH  LINE 15 POSITION  44.
000508     DISPLAY "C12" LINE 15 POSITION 54.
000509     IF C12TRANS IS NOT = X03TRANS GO TO FIN-BUS-PRO.
000510
000511     CALL "C16APLIC" USING USRID SESIO C12NUMER C01CUENT
000512                                          C11CODPR C11SUCUR.
000513     IF C01CUENT = CUPROVE MOVE 888888 TO C01CUENT.
000514     IF C12IMPOR < C03IMPOR
000515                ADD 1 TO W03NUMER
000516                MOVE W03NUMER TO X03NUMER
000517                MOVE C12IMPOR TO X03IMPOR
000518                SUBTRACT C12IMPOR FROM C03IMPOR
000519                MOVE C01CUENT TO X03CUENT
000520                MOVE SPACES   TO X03DETAL
000521                MOVE "X"      TO X03CLASE
000522                WRITE X03-REC
000523                PERFORM LEER-AUX5
000524                GO TO OTRO-C12.
000525     ADD 1 TO W03NUMER
000526     MOVE W03NUMER TO X03NUMER
000527     MOVE C03IMPOR TO X03IMPOR
000528     MOVE C01CUENT TO X03CUENT
000529     MOVE SPACES   TO X03DETAL
000530     MOVE "X"      TO X03CLASE
000531     WRITE X03-REC
000532     MOVE C03IMPOR TO C12IMPOR
000533     PERFORM LEER-AUX5
000534     MOVE ZERO TO C03IMPOR.
000535 FIN-BUS-PRO.
000536     IF C01CUENT = CUPROVE MOVE 888888 TO C01CUENT.
000537     MOVE C03-REC TO X03-REC
000538     IF X03DEBHA = "D"
000539                     MOVE X03IMPOR  TO AU2DEBE
000540                     MOVE X03IMPOR  TO AU5DEBE
000541                   ELSE
000542                     MOVE X03IMPOR  TO AU2HABER
000543                     MOVE X03IMPOR  TO AU5HABER.
000544     IF C03IMPOR > ZERO
000545               MOVE C01CUENT TO X03CUENT
000546                MOVE "X"      TO X03CLASE
000547               WRITE X03-REC
000548               SUBTRACT 1 FROM CODPR
000549               MOVE X03CUENT TO AU5CUENT
000550               MOVE CODPR    TO AU5CODPR
000551               MOVE ZERO     TO AU5SUCUR
000552               MOVE X03DETAL TO AU5TITUL
000553               MOVE ZERO     TO AU5DEBE
000554               MOVE ZERO     TO AU5HABER
000555               MOVE ZERO     TO AU5DEBE
000556               WRITE AU5-REC.
000557     GO TO PROVEEDOR.
000558 FIN-PROVEEDOR.
000559 FINALIZAR.
000560     CLOSE C00 C01 C03 C02 C04 C55 C05 C12 C11
000561           AUX3FILE AUX4FILE AUX5FILE AUXIFILE AUX2FILE
000562             AUX1FILE X03.
000563 SALIDA.
000564     EXIT PROGRAM.
000565 MENSAJE-DIS.
000566     DISPLAY MENSAJE BLINK   LINE 24 POSITION 1.
000567     MOVE SPACES TO MENSAJE.
000568 LEER-AUX5.
000569     MOVE C01CUENT TO AU5CUENT
000570     READ C01 INVALID KEY MOVE SPACES TO C01-REC
000571                               MOVE ZERO TO C01INTEG.
000572     MOVE C01INTEG TO AU2INTEG
000573     MOVE C11CODPR TO AU5CODPR AU2CODPR.
000574     MOVE C11SUCUR TO AU5SUCUR AU2SUCUR.
000575     READ C11 INVALID KEY MOVE SPACES TO C11-REC
000576                          MOVE "XX"   TO C11NOMBR.
000577     READ AUX5FILE INVALID KEY
000578                  MOVE ZERO TO AU5DEBE
000579                  MOVE ZERO TO AU5HABER
000580                  MOVE C11NOMBR TO AU5TITUL
000581                  WRITE AU5-REC
000582                  READ AUX5FILE.
000583     READ AUX2FILE INVALID KEY
000584                  MOVE ZERO TO AU2DEBE
000585                  MOVE ZERO TO AU2HABER
000586                  MOVE C11NOMBR TO AU2TITUL
000587                  WRITE AU2-REC
000588                  READ AUX2FILE.
000589     IF X03DEBHA = "D"
000590              ADD C12IMPOR TO AU2DEBE
000591              ADD C12IMPOR TO AU5DEBE
000592         ELSE
000593              ADD C12IMPOR TO AU2HABER
000594              ADD C12IMPOR TO AU5HABER.
000595     REWRITE AU2-REC.
000596     REWRITE AU5-REC.
000597 FIN-LEER-AUX5.
000598 BALAN.
000599     IF TOTDEBE > TOTHABER
000600                MOVE "D" TO IND
000601                SUBTRACT TOTHABER FROM TOTDEBE
000602              ELSE
000603                MOVE "S" TO IND
000604                SUBTRACT TOTDEBE  FROM TOTHABER.
000605     MOVE LOW-VALUES TO X03-REC.
000606     MOVE C02TRANS TO X03TRANS.
000607     START X03 KEY IS NOT LESS THAN X03TRANS-LA.
000608 OTRO-X03-BALAN.
000609     READ X03 NEXT AT END GO TO FIN-BALAN.
000610     MOVE X03NUMER  TO NUMER-E.
000611     DISPLAY NUMER-E  HIGH  LINE 15 POSITION  44.
000612     DISPLAY "X03" LINE 15 POSITION 54.
000613     IF X03TRANS IS NOT = C02TRANS GO TO FIN-BALAN.
000614     IF X03DEBHA = "H" AND IND = "D" GO TO OTRO-X03-BALAN.
000615     IF X03DEBHA = "D" AND IND = "S" GO TO OTRO-X03-BALAN.
000616     IF ( TOTDEBE  > ZERO AND IND = "D" )
000617     OR ( TOTHABER  > ZERO AND IND = "S" )
000618          NEXT SENTENCE ELSE
000619                        GO TO FIN-BALAN.
000620     IF IND = "D"
000621        IF X03IMPOR < TOTDEBE
000622              SUBTRACT X03IMPOR FROM TOTDEBE
000623              DELETE X03
000624            ELSE  SUBTRACT TOTDEBE FROM X03IMPOR
000625              REWRITE X03-REC
000626              GO TO FIN-BALAN.
000627     IF IND = "S"
000628        IF X03IMPOR < TOTHABER
000629              SUBTRACT X03IMPOR FROM TOTHABER
000630              DELETE X03
000631            ELSE  SUBTRACT TOTHABER FROM X03IMPOR
000632              REWRITE X03-REC
000633              GO TO FIN-BALAN.
000634     GO TO OTRO-X03-BALAN.
000635 FIN-BALAN.


