
000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. C01RESCA.
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SOURCE-COMPUTER. RMC.
000006 OBJECT-COMPUTER. RMC.
000007 INPUT-OUTPUT SECTION.
000008 COPY "SISTSELE.CBL".
000009     SELECT AUXIFILE ASSIGN TO RANDOM  AUX-PAT
000010         ORGANIZATION IS INDEXED
000011         RECORD KEY IS AUXLLAVE
000012         FILE STATUS IS AUXSTAT
000013         ACCESS IS DYNAMIC.
000014     SELECT AUX2FILE ASSIGN TO RANDOM  AU2-PAT
000015         ORGANIZATION IS INDEXED
000016         RECORD KEY IS AU2LLAVE
000017         FILE STATUS IS AUXSTAT
000018         ACCESS IS DYNAMIC.
000019     SELECT AUX1FILE ASSIGN TO RANDOM  AU1-PAT
000020         ORGANIZATION IS INDEXED
000021         RECORD KEY IS AU1LLAVE
000022         FILE STATUS IS AUXSTAT
000023         ACCESS IS DYNAMIC.
000024     SELECT AUX3FILE ASSIGN TO RANDOM  AU3-PAT
000025         ORGANIZATION IS INDEXED
000026         RECORD KEY IS AU3LLAVE
000027         FILE STATUS IS AUXSTAT
000028         ACCESS IS DYNAMIC.
000029     SELECT AUX4FILE ASSIGN TO RANDOM  AU4-PAT
000030         ORGANIZATION IS INDEXED
000031         RECORD KEY IS AU4LLAVE
000032         FILE STATUS IS AUXSTAT
000033         ACCESS IS DYNAMIC.
000034 DATA DIVISION.
000035 FILE SECTION.
000036 FD  AUX1FILE
000037         RECORD CONTAINS 99 CHARACTERS
000038         LABEL RECORDS ARE STANDARD.
000039 01  AU1-REC.
000040      03 AU1LLAVE .
000041          09 AU1TRANS  PIC 9(8).
000042 FD  AUX2FILE
000043         RECORD CONTAINS 99 CHARACTERS
000044         LABEL RECORDS ARE STANDARD.
000045 01  AU2-REC.
000046      03 AU2LLAVE .
000047          09 AU2CUENT  PIC 9(10).
000048      03 AU2INTEG  PIC 9(3).
000049      03 AU2TITUL  PIC X(30).
000050      03 AU2DEBE   PIC S9(13)V99.
000051      03 AU2HABER  PIC S9(13)V99.
000052 FD  AUXIFILE
000053         RECORD CONTAINS 99 CHARACTERS
000054         LABEL RECORDS ARE STANDARD.
000055 01  AUX-REC.
000056      03 AUXLLAVE .
000057          09 AUXCUENT  PIC 9(10).
000058      03 AUXINTEG  PIC 9(3).
000059      03 AUXTITUL  PIC X(30).
000060      03 AUXDEBE   PIC S9(13)V99.
000061      03 AUXHABER  PIC S9(13)V99.
000062 FD  AUX3FILE
000063         RECORD CONTAINS 99 CHARACTERS
000064         LABEL RECORDS ARE STANDARD.
000065 01  AU3-REC.
000066      03 AU3LLAVE .
000067          05 AU3INTEG  PIC 9(3).
000068      03 AU3TITUL  PIC X(30).
000069      03 AU3DEBE   PIC S9(13)V99.
000070      03 AU3HABER  PIC S9(13)V99.
000071 FD  AUX4FILE
000072         RECORD CONTAINS 99 CHARACTERS
000073         LABEL RECORDS ARE STANDARD.
000074 01  AU4-REC.
000075      03 AU4LLAVE .
000076          05 AU4INTEG  PIC 9(3).
000077      03 AU4TITUL  PIC X(30).
000078      03 AU4DEBE   PIC S9(13)V99.
000079      03 AU4HABER  PIC S9(13)V99.
000080 COPY "SISTFD.CBL".
000081 77 C00ANDES-E PIC Z(3)9.
000082 77 C00ANHAS-E PIC Z(3)9.
000083 77 FECDI-E PIC Z(1)9.
000084 77 FECME-E PIC Z(1)9.
000085 77 FECAN-E PIC Z(3)9.
000086 77 C03CUENT-E PIC Z(9)9.
000087 77 C03TRANS-E PIC Z(7)9.
000088 77 C03NUMER-E PIC Z(7)9.
000089 01 FECHA.
000090      07 FECAN    PIC 9(4).
000091      07 FECME    PIC 9(2).
000092      07 FECDI    PIC 9(2).
000093 01  VERDE.
000094     03  FILLER      PIC X(19) VALUE "FCOLOR = GREEN,".
000095     03  FILLER      PIC X(18) VALUE "BCOLOR = BLACK ".
000096 01  AZUL.
000097     03  FILLER      PIC X(19) VALUE "FCOLOR = BLUE,".
000098     03  FILLER      PIC X(18) VALUE "BCOLOR = BLACK ".
000099 01  BLANCO.
000100     03  FILLER      PIC X(18) VALUE "FCOLOR = WHITE,".
000101     03  FILLER      PIC X(18) VALUE "BCOLOR = BLACK ".
000102 01 LINE001.
000103      04 FILLER          PIC X(6)   VALUE "Fecha:".
000104      04 SL-FECHA-EQ     PIC X(8).
000105      04 FILLER          PIC X      VALUE SPACES.
000106      04 SL-C00EMPRE     PIC X(30).
000107      04 FILLER          PIC X(33)  VALUE "RESUMEN DE CAJA
000108-     "   Pagina:".
000109      04 SL-CON-PAG      PIC Z9.
000110 01 LINE004.
000111      04 FILLER          PIC X(80)  VALUE ALL "-".
000112 01 LINE005.
000113      04 FILLER          PIC X(55)  VALUE SPACES.
000114      04 FILLER          PIC X(16)  VALUE "MOVIMIENTOS DEL:".
000115      04 SL-FECME        PIC Z9.
000116      04 FILLER          PIC X      VALUE "/".
000117      04 SL-FECAN        PIC Z(3)9.
000118 01 LINE005B.
000119      04 FILLER          PIC X(4)   VALUE SPACES.
000120      04 FILLER          PIC X(6)   VALUE "CUENTA".
000121      04 FILLER          PIC X(3)   VALUE SPACES.
000122      04 FILLER          PIC X(6)   VALUE "TITULO".
000123      04 FILLER          PIC X(35)  VALUE SPACES.
000124      04 FILLER          PIC X(4)   VALUE "DEBE".
000125      04 FILLER          PIC X(16)  VALUE SPACES.
000126      04 FILLER          PIC X(5)   VALUE "HABER".
000127 01 LINE006 .
000128      04 FILLER          PIC X(80)  VALUE ALL "-".
000129 01 LINE007.
000130      04 SL-INTEG        PIC 999.
000131      04 FILLER          PIC X      VALUE SPACES.
000132      04 SL-CUENT        PIC Z(9)9.
000133      04 FILLER          PIC X      VALUE SPACES.
000134      04 SL-TITUL        PIC X(30).
000135      04 SL-DEBE         PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000136      04 SL-HABER        PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000137 01 LINE008 .
000138      04 FILLER          PIC X(40)  VALUE SPACES.
000139      04 FILLER          PIC X(40)  VALUE ALL "=".
000140 01 LINE009 .
000141      04 FILLER          PIC X(33)  VALUE SPACES.
000142      04 FILLER          PIC X(10)  VALUE "TOTALES ".
000143      04 SL-TOTDEBE     PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000144      04 SL-TOTHABER    PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000145 01 LINE101.
000146      04 FILLER          PIC X(33)  VALUE "RESUMEN PROVEEDORES".
000147 01 LINE102.
000148      04 FILLER          PIC X(4)   VALUE SPACES.
000149      04 FILLER          PIC X(6)   VALUE "CUENTA".
000150      04 FILLER          PIC X(3)   VALUE SPACES.
000151      04 FILLER          PIC X(6)   VALUE "TITULO".
000152      04 FILLER          PIC X(35)  VALUE SPACES.
000153      04 FILLER          PIC X(4)   VALUE "DEBE".
000154      04 FILLER          PIC X(16)  VALUE SPACES.
000155      04 FILLER          PIC X(5)   VALUE "HABER".
000156 01 LINE103.
000157      04 SL-AU2INTEG     PIC 999.
000158      04 FILLER          PIC X      VALUE SPACES.
000159      04 SL-AU2CUENT     PIC Z(9)9.
000160      04 FILLER          PIC X      VALUE SPACES.
000161      04 SL-AU2TITUL     PIC X(30).
000162      04 SL-AU2DEBE      PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000163      04 SL-AU2HABER     PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000164 01 LINE104.
000165      04 FILLER          PIC X(40)  VALUE SPACES.
000166      04 FILLER          PIC X(40)  VALUE ALL "=".
000167 01 LINE105.
000168      04 FILLER          PIC X(34)  VALUE SPACES.
000169      04 FILLER          PIC X(10)  VALUE "TOTALES ".
000170      04 SR-TOTDEBE      PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000171      04 SR-TOTHABER     PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000172 77  TOTDEBE       PIC S9(13)V99.
000173 77  TOTHABER      PIC S9(13)V99.
000174 77  AUXI           PIC S9(13)V99.
000175 COPY "SISTSTAT.CBL".
000176 PROGRAMA.
000177     MOVE 'C01RESCA' TO PROGRA.
000178     CALL 'USOGRABA' USING USRID SESIO PROGRA.
000179     CANCEL 'USOGRABA'.
000180     MOVE PROGRA TO IMP-PRT
000181     OPEN INPUT C00.
000182     MOVE 1 TO C00NUMER.
000183     READ C00.
000184     MOVE C00ANDES TO ANDES.
000185     OPEN INPUT C01 C03 C02 C08.
000186     MOVE "AUX1"    TO AUX-NOM.
000187     MOVE C00DIAUX  TO AUX-DIAUX
000188     MOVE USRID     TO AUX-USRID.
000189     MOVE "AUX2"    TO AU1-NOM.
000190     MOVE C00DIAUX  TO AU1-DIAUX
000191     MOVE USRID     TO AU1-USRID.
000192     MOVE "AUX3"    TO AU2-NOM.
000193     MOVE C00DIAUX  TO AU2-DIAUX
000194     MOVE USRID     TO AU2-USRID.
000195     MOVE "AUX4"    TO AU3-NOM.
000196     MOVE C00DIAUX  TO AU3-DIAUX
000197     MOVE USRID     TO AU3-USRID.
000198     MOVE "AUX5"    TO AU4-NOM.
000199     MOVE C00DIAUX  TO AU4-DIAUX
000200     MOVE USRID     TO AU4-USRID.
000201     OPEN OUTPUT AUXIFILE.
000202     CLOSE AUXIFILE
000203     OPEN I-O AUXIFILE.
000204     OPEN OUTPUT AUX2FILE.
000205     CLOSE AUX2FILE
000206     OPEN I-O AUX2FILE.
000207     OPEN OUTPUT AUX3FILE.
000208     CLOSE AUX3FILE
000209     OPEN I-O AUX3FILE.
000210     OPEN OUTPUT AUX4FILE.
000211     CLOSE AUX4FILE
000212     OPEN I-O AUX4FILE.
000213     OPEN OUTPUT AUX1FILE.
000214     CLOSE AUX1FILE
000215     OPEN I-O AUX1FILE.
000216     MOVE ZERO TO CON-PAG.
000217 PEDIDO.
000218     DISPLAY "ͻ"
000219             LOW CONTROL VERDE LINE 2 POSITION 23.
000220     MOVE 3 TO FILA.
000221 OTRO-CUA.
000222     DISPLAY "                                      "
000223             LOW LINE FILA POSITION 23.
000224     ADD 1 TO FILA
000225     IF FILA > 16 NEXT SENTENCE ELSE GO TO OTRO-CUA.
000226     DISPLAY "ͼ"
000227             LOW LINE 17 POSITION 23.
000228     DISPLAY "RESUMEN DE CAJA" LOW LINE 4 POSITION 33.
000229     DISPLAY "EJERCICIO" LOW LINE 6 POSITION 32.
000230     DISPLAY "/" LOW LINE 6 POSITION 46.
000231     DISPLAY "DEL MES:" LOW LINE 11 POSITION 28.
000232     DISPLAY "P" HIGH LINE 13 POSITION 31.
000233     DISPLAY "PANTALLA" LOW LINE 13 POSITION 33.
000234     DISPLAY "I" HIGH LINE 13 POSITION 43.
000235     DISPLAY "IMPRESORA" LOW LINE 13 POSITION 45.
000236     DISPLAY "LEYENDO:" LOW LINE 15 POSITION 34.
000237     MOVE C00ANDES  TO C00ANDES-E.
000238     DISPLAY C00ANDES-E  HIGH  LINE 6 POSITION  42.
000239     MOVE C00ANHAS  TO C00ANHAS-E.
000240     DISPLAY C00ANHAS-E  HIGH  LINE 6 POSITION  47.
000241     MOVE FECME  TO FECME-E.
000242     DISPLAY FECME-E  HIGH  LINE 11 POSITION  36.
000243 FECME-ACC.
000244     ACCEPT FECME SIZE  2 PROMPT UPDATE
000245             HIGH  LINE 11 POSITION  36.
000246     ACCEPT FUN-COD FROM ESCAPE KEY.
000247     IF FUN-COD = 27 GO TO FINALIZAR.
000248     IF FECME IS NOT NUMERIC GO TO FECME-ACC.
000249     IF FECME > ZERO AND FECME < 13
000250             NEXT SENTENCE ELSE
000251             MOVE "INGRESE UN MES VALIDO POR FAVOR"
000252             TO MENSAJE PERFORM MENSAJE-DIS GO TO FECME-ACC.
000253     MOVE 31 TO FECDI.
000254     IF FECME = C00PRIME OR FECME > C00PRIME
000255                 MOVE C00ANDES TO FECAN
000256           ELSE  MOVE C00ANHAS TO FECAN.
000257     PERFORM MENSAJE-DIS .
000258     MOVE FECME TO FECME-E.
000259     DISPLAY FECME-E HIGH LINE 11 POSITION  36.
000260     DISPLAY NOMBRE-MES(FECME) HIGH LINE 11 POSITION  39.
000261 IND-ACC.
000262      ACCEPT IND SIZE  1 PROMPT
000263                HIGH  LINE 13 POSITION  55
000264     ACCEPT FUN-COD FROM ESCAPE KEY.
000265     IF FUN-COD = 27 GO TO FINALIZAR.
000266     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO FECME-ACC.
000267     IF IND = "p" MOVE "P" TO IND.
000268     IF IND = "i" MOVE "I" TO IND.
000269     IF IND = "P"  OR IND = "I"
000270             NEXT SENTENCE ELSE
000271             MOVE  " PANTALLA O IMPRESORA POR FAVOR"
000272             TO MENSAJE PERFORM MENSAJE-DIS GO TO IND-ACC.
000273     IF IND = "P"  MOVE "D" TO U04IMPRE.
000274     PERFORM MENSAJE-DIS .
000275     DISPLAY " " LOW  CONTROL BLANCO  LINE 24 POSITION 1 .
000276 CARGAR-C02.
000277     MOVE LOW-VALUES TO C02FECHA-LA.
000278     MOVE FECHA TO C02FECHA.
000279     MOVE ZERO  TO C02FECDI.
000280     START C02 KEY IS NOT LESS THAN C02FECHA-LA
000281                   INVALID KEY GO TO FIN-CARGAR-C02.
000282 OTRO-C02.
000283     READ C02 NEXT AT END GO TO FIN-CARGAR-C02.
000284     DISPLAY C02TRANS LINE 15 POSITION 44.
000285     IF C02FECHA > FECHA GO TO FIN-CARGAR-C02.
000286     IF C02ASILE = "ORPA"
000287            PERFORM ORPA THRU FIN-ORPA
000288            GO TO OTRO-C02.
000289     MOVE LOW-VALUES TO C03TRANS-LA.
000290     MOVE C02TRANS TO C03TRANS.
000291     START C03 KEY IS NOT LESS THAN C03TRANS-LA
000292                      INVALID KEY GO TO OTRO-C02.
000293 OTRO-C03.
000294     READ C03 NEXT AT END GO TO OTRO-C02.
000295     IF C03TRANS IS NOT = C02TRANS GO TO OTRO-C02.
000296     MOVE C03CUENT TO C01CUENT.
000297     READ C01 INVALID KEY GO TO OTRO-C03.
000298     IF C01MONED = SPACES GO TO OTRO-C03.
000299     PERFORM CARGAR-C03 THRU FIN-CARGAR-C03.
000300     GO TO OTRO-C02.
000301 FIN-CARGAR-C02.
000302 IMPRIMIR.
000303     MOVE ZERO TO TOTDEBE.
000304     MOVE ZERO TO TOTHABER  .
000305     MOVE LOW-VALUES TO AUXLLAVE.
000306     START AUXIFILE  KEY IS NOT LESS THAN AUXLLAVE
000307             INVALID KEY
000308             MOVE "NO HAY NADA AUN 1"
000309             TO MENSAJE PERFORM MENSAJE-DIS
000310             ACCEPT IND
000311             GO TO FINALIZAR.
000312 OTRO-AUX-IMP.
000313     READ AUXIFILE NEXT AT END GO TO TOTALES.
000314     IF CON-PAG = ZERO
000315                    PERFORM ABRIR
000316                    PERFORM ENCABEZAMIENTO.
000317     IF AUXDEBE  = 0 AND  AUXHABER = 0
000318                            GO TO OTRO-AUX-IMP.
000319     MOVE AUXDEBE  TO SL-DEBE    .
000320     MOVE AUXHABER TO SL-HABER  .
000321     ADD  AUXDEBE  TO TOTDEBE   .
000322     ADD  AUXHABER TO TOTHABER  .
000323     IF CON-LIN > LIN-COR - 5 PERFORM PAGINA THRU FIN-PAGINA
000324                     PERFORM ENCABEZAMIENTO.
000325     MOVE AUXCUENT TO SL-CUENT .
000326     MOVE AUXINTEG TO SL-INTEG .
000327     MOVE AUXTITUL TO SL-TITUL .
000328     MOVE LINE007 TO SL-NOR-CON
000329     MOVE LIN-NOR TO IMP-REC
000330     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000331     GO TO OTRO-AUX-IMP.
000332 TOTALES.
000333     IF CON-PAG = ZERO
000334             MOVE "NO HAY NADA AUN"
000335             TO MENSAJE PERFORM MENSAJE-DIS
000336             ACCEPT IND
000337             GO TO FINALIZAR.
000338     MOVE LINE008 TO SL-NOR-CON
000339     MOVE LIN-NOR TO IMP-REC
000340     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000341     MOVE TOTDEBE      TO SL-TOTDEBE
000342     MOVE TOTHABER     TO SL-TOTHABER
000343     MOVE LINE009 TO SL-NOR-CON
000344     MOVE LIN-NOR TO IMP-REC
000345     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000346     PERFORM LEER-AU3 THRU FIN-LEER-AU3.
000347     PERFORM RESUMEN THRU FIN-RESUMEN.
000348     PERFORM LEER-AU4 THRU FIN-LEER-AU4.
000349     MOVE LINEBLA TO IMP-REC.
000350     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000351     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000352     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000353     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000354 FIN-IMPRIMIR.
000355     PERFORM CERRAR THRU FIN-CERRAR.
000356 FINALIZAR.
000357     DISPLAY " " CONTROL BLANCO LINE 1 POSITION 1.
000358     CLOSE C00 C01 C03 C02 CLOSE AUXIFILE AUX1FILE AUX2FILE.
000359     CLOSE AUX3FILE AUX4FILE C08.
000360 SALIDA.
000361     EXIT PROGRAM.
000362 MENSAJE-DIS.
000363     DISPLAY MENSAJE BLINK   LINE 24 POSITION 1.
000364     MOVE SPACES TO MENSAJE.
000365     MOVE C03NUMER  TO C03NUMER-E.
000366     DISPLAY C03NUMER-E  HIGH  LINE 15 POSITION  44.
000367 CERRAR.
000368     IF U04IMPRE = "I" OR U04IMPRE = "T" CLOSE IMP.
000369     IF IMPSTAT = "30" GO TO CERRAR.
000370     IF U04IMPRE = "D" OR U04IMPRE = "T" CLOSE DSK.
000371     IF U04IMPRE = "D" OR U04IMPRE = "T"
000372             CALL "SHOWRELA" USING IMP-PAT
000373             CANCEL "SHOWRELA".
000374 FIN-CERRAR.
000375 ENCABEZAMIENTO.
000376     ADD 1 TO CON-PAG .
000377     MOVE ZERO TO CON-LIN.
000378     MOVE CON-PAG TO SL-CON-PAG.
000379     MOVE LINE001 TO SL-NOR-CON
000380     MOVE LIN-NOR TO IMP-REC
000381     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000382     MOVE LINE004 TO SL-NOR-CON
000383     MOVE LIN-NOR TO IMP-REC
000384     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000385     MOVE LINE005 TO SL-NOR-CON
000386     MOVE LIN-NOR TO IMP-REC
000387     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000388     MOVE LINE005B TO SL-NOR-CON
000389     MOVE LIN-NOR TO IMP-REC
000390     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000391     MOVE LINE006 TO SL-NOR-CON
000392     MOVE LIN-NOR TO IMP-REC
000393     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000394 ABRIR.
000395     MOVE C00DIAUX TO IMP-DIAUX.
000396     MOVE USRID    TO IMP-USRID.
000397     MOVE "C01RESCA.PRT" TO IMP-NOM.
000398     IF U04IMPRE = "I" OR U04IMPRE = "T" OPEN OUTPUT IMP .
000399     IF IMPSTAT = "30" GO TO ABRIR.
000400     IF U04IMPRE = "D" OR U04IMPRE = "T" OPEN OUTPUT DSK .
000401     CALL "FECHAEQU" USING FE-EQ TI-EQ SL-FECHA-EQ TI-EDI.
000402     CANCEL "FECHAEQU".
000403     MOVE C00EMPRE TO SL-C00EMPRE .
000404     MOVE LINE000 TO IMP-REC.
000405     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000406     MOVE FECME    TO SL-FECME
000407     MOVE FECAN    TO SL-FECAN.
000408 WRT-IMP.
000409     ADD 1 TO CON-LIN.
000410 SEG-WRT-IMP.
000411     DISPLAY IMP-REC LINE 22 POSITION 1.
000412     MOVE IMP-REC TO DSK-REC.
000413     IF U04IMPRE = "I" OR U04IMPRE = "T" WRITE IMP-REC
000414                BEFORE 1 LINES.
000415     IF IMPSTAT = "30" GO TO SEG-WRT-IMP.
000416     IF U04IMPRE = "D" OR U04IMPRE = "T" WRITE DSK-REC
000417                BEFORE 1 LINES.
000418 FIN-WRT-IMP.
000419 PAGINA.
000420     MOVE LINEBLA  TO IMP-REC.
000421     MOVE LINEBLA  TO DSK-REC.
000422     DISPLAY IMP-REC LINE 22 POSITION 1.
000423     IF U04IMPRE = "I" OR U04IMPRE = "T"
000424                       WRITE IMP-REC AFTER PAGE.
000425     IF IMPSTAT = "30" GO TO PAGINA.
000426     IF U04IMPRE = "D" OR U04IMPRE = "T"
000427                       WRITE DSK-REC AFTER PAGE.
000428 FIN-PAGINA.
000429 LEER-AUXI.
000430     MOVE C03CUENT TO AUXCUENT.
000431     READ AUXIFILE INVALID KEY
000432                  MOVE SPACES TO AUXTITUL
000433                  MOVE ZERO TO AUXDEBE
000434                  MOVE ZERO TO AUXHABER
000435                  WRITE AUX-REC
000436                  READ AUXIFILE.
000437     MOVE C03CUENT TO C01CUENT.
000438     READ C01 INVALID KEY
000439              CALL  "TG0SHOW" USING "FC01EC03" 00 FUN-COD
000440              CANCEL "TG0SHOW"
000441              GO TO FINALIZAR.
000442     MOVE C01TITUL TO AUXTITUL .
000443     MOVE C01INTEG TO AUXINTEG AU3INTEG .
000444     READ AUX3FILE INVALID KEY
000445                  MOVE SPACES TO AU3TITUL
000446                  MOVE ZERO TO AU3DEBE
000447                  MOVE ZERO TO AU3HABER
000448                  WRITE AU3-REC
000449                  READ AUX3FILE.
000450 FIN-LEER-AUXI.
000451 LEER-AUX2.
000452     MOVE C03CUENT TO AU2CUENT.
000453     READ AUX2FILE INVALID KEY
000454                  MOVE SPACES TO AU2TITUL
000455                  MOVE ZERO TO AU2DEBE
000456                  MOVE ZERO TO AU2HABER
000457                  WRITE AU2-REC
000458                  READ AUX2FILE.
000459     MOVE C03CUENT TO C01CUENT.
000460     READ C01 INVALID KEY
000461              CALL  "TG0SHOW" USING "FC01EC03" 00 FUN-COD
000462              CANCEL "TG0SHOW"
000463              GO TO FINALIZAR.
000464     MOVE C01TITUL TO AU2TITUL .
000465     MOVE C01INTEG TO AU2INTEG AU4INTEG .
000466     READ AUX4FILE INVALID KEY
000467                  MOVE SPACES TO AU4TITUL
000468                  MOVE ZERO TO AU4DEBE
000469                  MOVE ZERO TO AU4HABER
000470                  WRITE AU4-REC
000471                  READ AUX4FILE.
000472 FIN-LEER-AUX2.
000473
000474 CARGAR-C03.
000475     MOVE LOW-VALUES TO C03TRANS-LA.
000476     MOVE C02TRANS TO C03TRANS.
000477     START C03 KEY IS NOT LESS THAN C03TRANS-LA.
000478 OTRO-C03-CAR.
000479     READ C03 NEXT AT END GO TO FIN-CARGAR-C03.
000480     IF C03TRANS IS NOT = C02TRANS GO TO FIN-CARGAR-C03.
000481     PERFORM LEER-AUXI.
000482     IF C03DEBHA = "D" ADD C03IMPOR TO AUXDEBE
000483                       ADD C03IMPOR TO AU3DEBE
000484                ELSE   ADD C03IMPOR TO AUXHABER
000485                       ADD C03IMPOR TO AU3HABER.
000486     REWRITE AUX-REC.
000487     REWRITE AU3-REC.
000488     GO TO OTRO-C03-CAR.
000489 FIN-CARGAR-C03.
000490 ORPA.
000491     MOVE LOW-VALUES TO C03TRANS-LA.
000492     MOVE C02TRANS TO C03TRANS.
000493     START C03 KEY IS NOT LESS THAN C03TRANS-LA.
000494 OTRO-C03-ORP.
000495     READ C03 NEXT AT END GO TO FIN-ORPA.
000496     IF C03TRANS IS NOT = C02TRANS GO TO FIN-ORPA.
000497     PERFORM LEER-AUX2.
000498     IF C03DEBHA = "D" ADD C03IMPOR TO AU2DEBE
000499                       ADD C03IMPOR TO AU4DEBE
000500                ELSE   ADD C03IMPOR TO AU2HABER
000501                       ADD C03IMPOR TO AU4HABER.
000502     REWRITE AU2-REC.
000503     REWRITE AU4-REC.
000504     GO TO OTRO-C03-ORP.
000505 FIN-ORPA.
000506 RESUMEN.
000507     MOVE ZERO TO TOTDEBE.
000508     MOVE ZERO TO TOTHABER.
000509     MOVE LOW-VALUES TO AU2LLAVE.
000510     START AUX2FILE  KEY IS NOT LESS THAN AU2LLAVE
000511             INVALID KEY GO TO FIN-RESUMEN.
000512     MOVE LINE101  TO SL-NOR-CON.
000513     MOVE LIN-NOR TO IMP-REC
000514     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000515     MOVE LINE102  TO SL-NOR-CON.
000516     MOVE LIN-NOR TO IMP-REC
000517     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000518 OTRO-AU2-IMP.
000519     READ AUX2FILE NEXT AT END GO TO TER-RESUMEN.
000520     IF CON-LIN > LIN-COR
000521                    PERFORM PAGINA
000522                    PERFORM ENCABEZAMIENTO.
000523     MOVE AU2INTEG TO SL-AU2INTEG.
000524     MOVE AU2CUENT TO SL-AU2CUENT.
000525     MOVE AU2TITUL TO SL-AU2TITUL
000526     MOVE AU2DEBE  TO SL-AU2DEBE
000527     MOVE AU2HABER TO SL-AU2HABER
000528     ADD  AU2DEBE  TO TOTDEBE.
000529     ADD  AU2HABER TO TOTHABER.
000530     MOVE LINE103  TO SL-NOR-CON.
000531     MOVE LIN-NOR TO IMP-REC
000532     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000533     GO TO OTRO-AU2-IMP.
000534 TER-RESUMEN.
000535     MOVE TOTDEBE  TO SR-TOTDEBE
000536     MOVE TOTHABER TO SR-TOTHABER
000537     MOVE LINE104  TO SL-NOR-CON.
000538     MOVE LIN-NOR TO IMP-REC
000539     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000540     MOVE LINE105  TO SL-NOR-CON.
000541     MOVE LIN-NOR TO IMP-REC
000542     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000543 FIN-RESUMEN.
000544
000545
000546 LEER-AU3.
000547     MOVE ZERO TO TOTDEBE.
000548     MOVE ZERO TO TOTHABER  .
000549     MOVE LOW-VALUES TO AU3LLAVE.
000550     START AUX3FILE  KEY IS NOT LESS THAN AU3LLAVE
000551             INVALID KEY
000552             MOVE "NO HAY NADA AUN 1"
000553             TO MENSAJE PERFORM MENSAJE-DIS
000554             ACCEPT IND
000555             GO TO FINALIZAR.
000556 OTRO-AU3.
000557     READ AUX3FILE NEXT AT END GO TO TOT-AU3.
000558     IF AU3DEBE  = 0 AND  AU3HABER = 0
000559                            GO TO OTRO-AU3.
000560     MOVE AU3DEBE  TO SL-DEBE    .
000561     MOVE AU3HABER TO SL-HABER  .
000562     ADD  AU3DEBE  TO TOTDEBE   .
000563     ADD  AU3HABER TO TOTHABER  .
000564     IF CON-LIN > LIN-COR - 5 PERFORM PAGINA THRU FIN-PAGINA
000565                     PERFORM ENCABEZAMIENTO.
000566     MOVE ZERO     TO SL-CUENT .
000567     MOVE AU3INTEG TO SL-INTEG .
000568     MOVE AU3INTEG TO C08INTEG.
000569     READ C08 INVALID KEY MOVE SPACES TO C08-REC.
000570     MOVE C08NOMBR TO SL-TITUL .
000571     MOVE LINE007 TO SL-NOR-CON
000572     MOVE LIN-NOR TO IMP-REC
000573     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000574     GO TO OTRO-AU3.
000575 TOT-AU3.
000576     IF CON-PAG = ZERO
000577             MOVE "NO HAY NADA AUN"
000578             TO MENSAJE PERFORM MENSAJE-DIS
000579             ACCEPT IND
000580             GO TO FINALIZAR.
000581     MOVE LINE008 TO SL-NOR-CON
000582     MOVE LIN-NOR TO IMP-REC
000583     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000584     MOVE TOTDEBE      TO SL-TOTDEBE
000585     MOVE TOTHABER     TO SL-TOTHABER
000586     MOVE LINE009 TO SL-NOR-CON
000587     MOVE LIN-NOR TO IMP-REC
000588     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000589 FIN-LEER-AU3.
000590
000591 LEER-AU4.
000592     MOVE ZERO TO TOTDEBE.
000593     MOVE ZERO TO TOTHABER  .
000594     MOVE LOW-VALUES TO AU4LLAVE.
000595     START AUX4FILE  KEY IS NOT LESS THAN AU4LLAVE
000596             INVALID KEY
000597             MOVE "NO HAY NADA AUN 1"
000598             TO MENSAJE PERFORM MENSAJE-DIS
000599             ACCEPT IND
000600             GO TO FINALIZAR.
000601 OTRO-AU4.
000602     READ AUX4FILE NEXT AT END GO TO TOT-AU4.
000603     IF AU4DEBE  = 0 AND  AU4HABER = 0
000604                            GO TO OTRO-AU4.
000605     MOVE AU4DEBE  TO SL-DEBE    .
000606     MOVE AU4HABER TO SL-HABER  .
000607     ADD  AU4DEBE  TO TOTDEBE   .
000608     ADD  AU4HABER TO TOTHABER  .
000609     IF CON-LIN > LIN-COR - 5 PERFORM PAGINA THRU FIN-PAGINA
000610                     PERFORM ENCABEZAMIENTO.
000611     MOVE ZERO     TO SL-CUENT .
000612     MOVE AU4INTEG TO SL-INTEG .
000613     MOVE AU4INTEG TO C08INTEG.
000614     READ C08 INVALID KEY MOVE SPACES TO C08-REC.
000615     MOVE C08NOMBR TO SL-TITUL .
000616     MOVE LINE007 TO SL-NOR-CON
000617     MOVE LIN-NOR TO IMP-REC
000618     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000619     GO TO OTRO-AU4.
000620 TOT-AU4.
000621     IF CON-PAG = ZERO
000622             MOVE "NO HAY NADA AUN"
000623             TO MENSAJE PERFORM MENSAJE-DIS
000624             ACCEPT IND
000625             GO TO FINALIZAR.
000626     MOVE LINE008 TO SL-NOR-CON
000627     MOVE LIN-NOR TO IMP-REC
000628     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000629     MOVE TOTDEBE      TO SL-TOTDEBE
000630     MOVE TOTHABER     TO SL-TOTHABER
000631     MOVE LINE009 TO SL-NOR-CON
000632     MOVE LIN-NOR TO IMP-REC
000633     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000634 FIN-LEER-AU4.



