
000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. X35BAQ02.
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SOURCE-COMPUTER. RMC.
000006 OBJECT-COMPUTER. RMC.
000007 INPUT-OUTPUT SECTION.
000008     COPY "SISTSELE.CBL".
000009     SELECT AUXIFILE ASSIGN TO RANDOM AUX-PAT
000010         ORGANIZATION IS INDEXED
000011         RECORD KEY IS AUXLLAVE
000012         FILE STATUS IS AUXSTAT
000013         ACCESS IS DYNAMIC.
000014 DATA DIVISION.
000015 FILE SECTION.
000016 FD  AUXIFILE
000017         RECORD CONTAINS 122 CHARACTERS
000018         LABEL RECORDS ARE STANDARD.
000019 01  AUX-REC.
000020     02 AUXLLAVE.
000021       05  AUXTIPO     PIC X.
000022       05  AUXCUENT    PIC 9(10).
000023     02  AUXIMPOR    PIC S9(13)V99.
000024     02  AUXNOMBR    PIC X(30).
000025     COPY "SISTFD.CBL".
000026 77 CARTE        PIC  X(4).
000027 77 TOTAL        PIC S9(13)V99.
000028 77 DESDI-E PIC Z(1)9.
000029 77 DESME-E PIC Z(1)9.
000030 77 DESAN-E PIC Z(3)9.
000031 77 HASDI-E PIC Z(1)9.
000032 77 HASME-E PIC Z(1)9.
000033 77 HASAN-E PIC Z(3)9.
000034 77 CUPRO   PIC 9(10).
000035 01 DESDE.
000036      07 DESAN    PIC 9(4).
000037      07 DESME    PIC 9(2).
000038      07 DESDI    PIC 9(2).
000039 01 HASTA.
000040      07 HASAN    PIC 9(4).
000041      07 HASME    PIC 9(2).
000042      07 HASDI    PIC 9(2).
000043 01 FECHA-ANT.
000044      07 FECAN    PIC 9(4).
000045      07 FECME    PIC 9(2).
000046      07 FECDI    PIC 9(2).
000047 01 LINE001.
000048      04 FILLER          PIC X(6)   VALUE "FECHA:".
000049      04 SL-FECDI-EQ     PIC Z9.
000050      04 FILLER          PIC X      VALUE "/".
000051      04 SL-FECME-EQ     PIC Z9.
000052      04 FILLER          PIC X      VALUE "/".
000053      04 SL-FECAN-EQ     PIC Z9.
000054      04 FILLER          PIC X      VALUE SPACES.
000055      04 SL-C00EMPRE     PIC X(30).
000056      04 FILLER          PIC X      VALUE SPACES.
000057      04 FILLER          PIC X(31)  VALUE "VALORES IMPUTADOS
000058-     "    PAG:".
000059      04 SL-CON-PAG      PIC Z(2)9.
000060 01 LINE002.
000061      04 SL-T04MONED     PIC X(4).
000062      04 FILLER          PIC X      VALUE SPACES.
000063      04 SL-T04NOMBR     PIC X(30).
000064      04 FILLER          PIC X(4)  VALUE "DEL:".
000065      04 SL-DESDI        PIC ZZ.
000066      04 FILLER          PIC X      VALUE "/".
000067      04 SL-DESME        PIC 99.
000068      04 FILLER          PIC X      VALUE "/".
000069      04 SL-DESAN        PIC 9999.
000070      04 FILLER          PIC X      VALUE SPACES.
000071      04 FILLER          PIC X(3)  VALUE "AL:".
000072      04 SL-HASDI        PIC ZZ.
000073      04 FILLER          PIC X      VALUE "/".
000074      04 SL-HASME        PIC 99.
000075      04 FILLER          PIC X      VALUE "/".
000076      04 SL-HASAN        PIC 9999.
000077 01 LINE003.
000078      04 FILLER          PIC X(80)  VALUE ALL "-".
000079 01 LINE004.
000080      04 FILLER          PIC X(10)  VALUE SPACES.
000081      04 FILLER          PIC X(25)  VALUE "IMPUTACION  ".
000082      04 FILLER          PIC X(5)   VALUE SPACES.
000083      04 FILLER          PIC X(7)   VALUE "IMPORTE".
000084 01 LINE005.
000085      04 SL-AUXCUENT     PIC Z(10).
000086      04 FILLER          PIC X      VALUE SPACES.
000087      04 SL-AUXNOMBR     PIC X(30).
000088      04 FILLER          PIC X      VALUE SPACES.
000089      04 SL-AUXIMPOR     PIC Z(12)9.9(2).
000090 01 LINE006.
000091      04 FILLER          PIC X(37)  VALUE SPACES.
000092      04 FILLER          PIC X(20)  VALUE ALL "-".
000093 01 LINE007.
000094      04 FILLER          PIC X(37)  VALUE SPACES.
000095      04 SL-TOTAL        PIC Z(12)9.9(2).
000096 01 LINE008.
000097      04 FILLER          PIC X(37)  VALUE SPACES.
000098      04 FILLER          PIC X(20)  VALUE ALL "-".
000099 COPY "SISTSTAT.CBL".
000100 PROGRAMA.
000101     MOVE 'X35BAQ02' TO PROGRA.
000102     CALL 'USOGRABA' USING USRID SESIO PROGRA.
000103     CANCEL 'USOGRABA'.
000104     MOVE PROGRA TO IMP-PRT
000105     OPEN INPUT C00 C11 C02 C05 C01 C04 C12.
000106     MOVE 1 TO C00NUMER.
000107     READ C00.
000108     MOVE "AUX1"    TO AUX-NOM.
000109     MOVE C00DIAUX  TO AUX-DIAUX
000110     MOVE USRID     TO AUX-USRID.
000111     OPEN OUTPUT AUXIFILE
000112     CLOSE AUXIFILE.
000113     OPEN I-O AUXIFILE
000114     MOVE C00DIAUX TO T04-DIAUX
000115     MOVE USRID    TO T04-USRID
000116     MOVE "T04"    TO T04-NOM
000117     OPEN OUTPUT T04
000118     CLOSE T04
000119     OPEN I-O T04
000120     PERFORM CARGAR-T04 THRU FIN-CARGAR-T04
000121     MOVE "PROVE" TO C05CUTIP.
000122     READ C05 INVALID KEY
000123                 CALL  "TG0SHOW" USING "FC05CHET" 00 FUN-COD
000124                 CANCEL "TG0SHOW"
000125                 GO TO FINALIZAR.
000126     MOVE C05CUENT TO CUPRO.
000127     MOVE "CHETE" TO C05CUTIP.
000128     READ C05 INVALID KEY
000129                 CALL  "TG0SHOW" USING "FC05CHET" 00 FUN-COD
000130                 CANCEL "TG0SHOW"
000131                 GO TO FINALIZAR.
000132     MOVE C05CUENT TO C01CUENT.
000133     READ C01 INVALID KEY
000134                 CALL  "TG0SHOW" USING "FC01CHET" 00 FUN-COD
000135                 CANCEL "TG0SHOW"
000136                 GO TO FINALIZAR.
000137     MOVE C01MONED TO CARTE
000138     DISPLAY "ͻ"
000139             LOW LINE 5 POSITION 21.
000140     MOVE 6 TO FILA.
000141 OTRO-CUA.
000142     DISPLAY "                                    "
000143             LOW LINE FILA POSITION 21.
000144     ADD 1 TO FILA.
000145     IF FILA < 15 GO TO OTRO-CUA.
000146     DISPLAY "ͼ"
000147             LOW LINE 15 POSITION 21.
000148     DISPLAY "LISTADO DE VALORES ENTREGADOS"
000149             LOW LINE 6 POSITION 25.
000150     DISPLAY "TOTALES POR IMPUTACION"
000151             LOW LINE 7 POSITION 25.
000152     DISPLAY "DESDE EL" LOW LINE 9 POSITION 29.
000153     DISPLAY "/" LOW LINE 9 POSITION 40.
000154     DISPLAY "/" LOW LINE 9 POSITION 43.
000155     DISPLAY "HASTA EL" LOW LINE 11 POSITION 29.
000156     DISPLAY "/" LOW LINE 11 POSITION 40.
000157     DISPLAY "/" LOW LINE 11 POSITION 43.
000158     DISPLAY "DE LA CARTERA " LOW LINE 12 POSITION 29.
000159     DISPLAY "P" HIGH LINE 14 POSITION 26.
000160     DISPLAY "Pantalla" LOW LINE 14 POSITION 28.
000161     DISPLAY "I" HIGH LINE 14 POSITION 39.
000162     DISPLAY "Impresora" LOW LINE 14 POSITION 41.
000163     MOVE DESDI  TO DESDI-E.
000164     DISPLAY DESDI-E  HIGH  LINE 9 POSITION  38.
000165     MOVE DESME  TO DESME-E.
000166     DISPLAY DESME-E  HIGH  LINE 9 POSITION  41.
000167     MOVE DESAN  TO DESAN-E.
000168     DISPLAY DESAN-E  HIGH  LINE 9 POSITION  44.
000169     MOVE HASDI  TO HASDI-E.
000170     DISPLAY HASDI-E  HIGH  LINE 11 POSITION  38.
000171     MOVE HASME  TO HASME-E.
000172     DISPLAY HASME-E  HIGH  LINE 11 POSITION  41.
000173     MOVE HASAN  TO HASAN-E.
000174     DISPLAY HASAN-E  HIGH  LINE 11 POSITION  44.
000175     DISPLAY IND  HIGH  LINE 14 POSITION  51.
000176 DESDI-ACC.
000177     IF DESDI = ZERO
000178         ACCEPT DESDI SIZE  2 PROMPT
000179                HIGH  LINE 9 POSITION  38
000180         ELSE
000181         ACCEPT DESDI SIZE  2 REVERSE UPDATE
000182                HIGH  LINE 9 POSITION  38.
000183     ACCEPT FUN-COD FROM ESCAPE KEY.
000184     IF FUN-COD = 27 GO TO FINALIZAR.
000185     IF DESDI IS NOT NUMERIC GO TO DESDI-ACC.
000186     PERFORM MENSAJE-DIS .
000187     MOVE DESDI TO DESDI-E.
000188     DISPLAY DESDI-E HIGH LINE 9 POSITION  38.
000189 DESME-ACC.
000190     IF DESME = ZERO
000191         ACCEPT DESME SIZE  2 PROMPT
000192                HIGH  LINE 9 POSITION  41
000193         ELSE
000194         ACCEPT DESME SIZE  2 REVERSE UPDATE
000195                HIGH  LINE 9 POSITION  41.
000196     ACCEPT FUN-COD FROM ESCAPE KEY.
000197     IF FUN-COD = 27 GO TO FINALIZAR.
000198     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO DESDI-ACC.
000199     IF DESME IS NOT NUMERIC GO TO DESME-ACC.
000200     PERFORM MENSAJE-DIS .
000201     MOVE DESME TO DESME-E.
000202     DISPLAY DESME-E HIGH LINE 9 POSITION  41.
000203 DESAN-ACC.
000204     IF DESAN = ZERO
000205         ACCEPT DESAN SIZE  4 PROMPT
000206                HIGH  LINE 9 POSITION  44
000207         ELSE
000208         ACCEPT DESAN SIZE  4 REVERSE UPDATE
000209                HIGH  LINE 9 POSITION  44.
000210     ACCEPT FUN-COD FROM ESCAPE KEY.
000211     IF FUN-COD = 27 GO TO FINALIZAR.
000212     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO DESME-ACC.
000213     IF DESAN IS NOT NUMERIC GO TO DESAN-ACC.
000214     CALL "CONSFECH" USING DESDI DESME DESAN MENSAJE
000215     CANCEL "CONSFECH"
000216     IF MENSAJE IS NOT = SPACES
000217        PERFORM MENSAJE-DIS GO TO DESDI-ACC.
000218     PERFORM MENSAJE-DIS .
000219     MOVE DESAN TO DESAN-E.
000220     DISPLAY DESAN-E HIGH LINE 9 POSITION  44.
000221 HASDI-ACC.
000222     IF HASDI = ZERO
000223         ACCEPT HASDI SIZE  2 PROMPT
000224                HIGH  LINE 11 POSITION  38
000225         ELSE
000226         ACCEPT HASDI SIZE  2 REVERSE UPDATE
000227                HIGH  LINE 11 POSITION  38.
000228     ACCEPT FUN-COD FROM ESCAPE KEY.
000229     IF FUN-COD = 27 GO TO FINALIZAR.
000230     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO DESAN-ACC.
000231     IF HASDI IS NOT NUMERIC GO TO HASDI-ACC.
000232     PERFORM MENSAJE-DIS .
000233     MOVE HASDI TO HASDI-E.
000234     DISPLAY HASDI-E HIGH LINE 11 POSITION  38.
000235 HASME-ACC.
000236     IF HASME = ZERO
000237         ACCEPT HASME SIZE  2 PROMPT
000238                HIGH  LINE 11 POSITION  41
000239         ELSE
000240         ACCEPT HASME SIZE  2 REVERSE UPDATE
000241                HIGH  LINE 11 POSITION  41.
000242     ACCEPT FUN-COD FROM ESCAPE KEY.
000243     IF FUN-COD = 27 GO TO FINALIZAR.
000244     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO HASDI-ACC.
000245     IF HASME IS NOT NUMERIC GO TO HASME-ACC.
000246     PERFORM MENSAJE-DIS .
000247     MOVE HASME TO HASME-E.
000248     DISPLAY HASME-E HIGH LINE 11 POSITION  41.
000249 HASAN-ACC.
000250     IF HASAN = ZERO
000251         ACCEPT HASAN SIZE  4 PROMPT
000252                HIGH  LINE 11 POSITION  44
000253         ELSE
000254         ACCEPT HASAN SIZE  4 REVERSE UPDATE
000255                HIGH  LINE 11 POSITION  44.
000256     ACCEPT FUN-COD FROM ESCAPE KEY.
000257     IF FUN-COD = 27 GO TO FINALIZAR.
000258     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO HASME-ACC.
000259     IF HASAN IS NOT NUMERIC GO TO HASAN-ACC.
000260     CALL "CONSFECH" USING HASDI HASME HASAN MENSAJE
000261     CANCEL "CONSFECH"
000262     IF MENSAJE IS NOT = SPACES
000263        PERFORM MENSAJE-DIS GO TO HASDI-ACC.
000264     PERFORM MENSAJE-DIS .
000265     MOVE HASAN TO HASAN-E.
000266     DISPLAY HASAN-E HIGH LINE 11 POSITION  44.
000267 CARTE-ACC.
000268     IF CARTE = SPACES
000269         ACCEPT CARTE SIZE  4 PROMPT
000270                HIGH  LINE 12 POSITION  51
000271         ELSE
000272         ACCEPT CARTE SIZE  4 REVERSE UPDATE
000273                HIGH  LINE 12 POSITION  51.
000274     ACCEPT FUN-COD FROM ESCAPE KEY.
000275     IF FUN-COD = 27 GO TO FINALIZAR.
000276     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO HASAN-ACC.
000277     IF FUN-COD = 01
000278                 DISPLAY SAV-SCR CONTROL CREATE-WINDOW
000279                          LINE 1 POSITION 1
000280                 CALL "T04POING" USING USRID CARTE FUN-COD
000281                 CANCEL "T04POING"
000282                 DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE".
000283 CARTE-SEG.
000284     MOVE CARTE TO T04MONED
000285     READ T04 INVALID KEY
000286          DISPLAY SAV-SCR CONTROL CREATE-WINDOW
000287                   LINE 1 POSITION 1
000288          CALL "T04POING" USING USRID CARTE FUN-COD
000289          CANCEL "T04POING"
000290          DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE"
000291          GO TO CARTE-SEG.
000292     PERFORM MENSAJE-DIS .
000293     DISPLAY CARTE HIGH LINE 12 POSITION  51.
000294     MOVE LOW-VALUES TO C01-REC.
000295     MOVE T04MONED TO C01MONED.
000296     START C01 KEY IS NOT LESS THAN C01MONED-LA.
000297     READ C01 NEXT.
000298     MOVE C01CUENT TO C05CUENT.
000299 IND-ACC.
000300     IF IND = SPACES
000301         ACCEPT IND SIZE  1 PROMPT
000302                HIGH  LINE 14 POSITION  51
000303         ELSE
000304         ACCEPT IND SIZE  1 REVERSE UPDATE
000305                HIGH  LINE 14 POSITION  51.
000306     ACCEPT FUN-COD FROM ESCAPE KEY.
000307     IF FUN-COD = 27 GO TO FINALIZAR.
000308     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO CARTE-ACC.
000309     IF IND = "P" OR "I"
000310             NEXT SENTENCE ELSE
000311             MOVE "PANTALLA  IMPRESORA POR FAVOR"
000312             TO MENSAJE PERFORM MENSAJE-DIS GO TO IND-ACC.
000313     PERFORM MENSAJE-DIS .
000314     DISPLAY IND HIGH LINE 14 POSITION  51.
000315     IF IND = "P" MOVE "D" TO U04IMPRE.
000316 PROCESO.
000317     MOVE LOW-VALUES TO C02FECHA-LA.
000318     MOVE DESDE TO C02FECHA.
000319     START C02 KEY IS NOT LESS THAN C02FECHA-LA INVALID KEY
000320             MOVE "NO HAY NADA AUN "
000321             TO MENSAJE PERFORM MENSAJE-DIS GO TO IND-ACC.
000322     MOVE DESAN TO ANDES.
000323     OPEN INPUT C03.
000324 OTRO-C02.
000325     READ C02 NEXT AT END GO TO IMPRIMIR.
000326     IF C02FECAN IS NOT = ANDES CLOSE C03
000327                       MOVE C02FECAN TO ANDES
000328                       OPEN INPUT C03.
000329     IF C02FECHA > HASTA  GO TO IMPRIMIR.
000330
000331 VER-IMP.
000332     MOVE LOW-VALUES TO C03TRANS-LA.
000333     MOVE C02TRANS TO C03TRANS
000334     START C03 KEY IS NOT LESS THAN C03TRANS-LA INVALID KEY
000335                      GO TO OTRO-C02.
000336 OTRO-C03-IMP.
000337     READ C03 NEXT AT END GO TO FIN-VER-IMP.
000338     IF C03TRANS IS NOT = C02TRANS GO TO FIN-VER-IMP.
000339     IF C03DEBHA = "D" NEXT SENTENCE ELSE GO TO OTRO-C03-IMP.
000340     MOVE C03CUENT TO C01CUENT.
000341     READ C01 INVALID KEY MOVE SPACES TO C01-REC.
000342     MOVE "C"      TO AUXTIPO
000343     MOVE C01CUENT TO AUXCUENT.
000344     MOVE C01TITUL TO AUXNOMBR.
000345     IF C03CUENT = CUPRO  NEXT SENTENCE ELSE GO TO FIN-VER-IMP.
000346     MOVE LOW-VALUES TO C12-REC.
000347     MOVE C02TRANS TO C12TRANS
000348     START C12 KEY IS NOT LESS THAN C12TRANS-LA INVALID KEY
000349                      GO TO FIN-VER-IMP.
000350     READ C12 NEXT.
000351     IF C02TRANS = C12TRANS NEXT SENTENCE ELSE
000352                      GO TO FIN-VER-IMP.
000353     MOVE C12CODPR TO C11CODPR
000354     MOVE C12SUCUR TO C11SUCUR
000355     READ C11 INVALID KEY MOVE SPACES TO C11-REC.
000356     MOVE C11NOMBR TO AUXNOMBR.
000357     MOVE C11CODPR TO AUXCUENT.
000358     MOVE "P"      TO AUXTIPO.
000359 FIN-VER-IMP.
000360     MOVE LOW-VALUES TO C03TRANS-LA.
000361     MOVE C02TRANS TO C03TRANS
000362     START C03 KEY IS NOT LESS THAN C03TRANS-LA INVALID KEY
000363                      GO TO OTRO-C02.
000364 OTRO-C03.
000365     READ C03 NEXT AT END GO TO OTRO-C02.
000366     IF C03TRANS IS NOT = C02TRANS GO TO OTRO-C02.
000367     IF C03DEBHA = "H" NEXT SENTENCE ELSE GO TO OTRO-C03.
000368     IF C03CUENT = C05CUENT NEXT SENTENCE ELSE GO TO OTRO-C03.
000369     READ AUXIFILE INVALID KEY MOVE ZERO TO AUXIMPOR
000370                               WRITE AUX-REC
000371                               READ AUXIFILE.
000372     ADD C03IMPOR TO AUXIMPOR.
000373     REWRITE AUX-REC.
000374     GO TO OTRO-C03.
000375 IMPRIMIR.
000376     CLOSE C03.
000377     MOVE LOW-VALUES TO AUX-REC.
000378     START AUXIFILE KEY IS NOT LESS THAN AUXLLAVE
000379                   INVALID KEY
000380         MOVE "NO HAY NADA AUN " TO MENSAJE
000381         PERFORM MENSAJE-DIS GO TO IND-ACC.
000382     MOVE ZERO TO TOTAL CON-PAG.
000383 OTRO-IMP.
000384     READ AUXIFILE  NEXT AT END GO TO TOTALES.
000385     IF CON-PAG = 0 PERFORM ABRIR
000386                    PERFORM ENCABEZAMIENTO.
000387     IF CON-LIN > LIN-COR PERFORM PAGINA PERFORM ENCABEZAMIENTO.
000388     MOVE AUXCUENT TO SL-AUXCUENT
000389     MOVE AUXNOMBR TO SL-AUXNOMBR
000390     MOVE AUXIMPOR TO SL-AUXIMPOR
000391     ADD AUXIMPOR TO TOTAL
000392     MOVE LINE005 TO SL-NOR-CON
000393     MOVE LIN-NOR TO IMP-REC
000394     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000395     GO TO OTRO-IMP.
000396 TOTALES.
000397     MOVE TOTAL TO SL-TOTAL   .
000398     MOVE LINE006 TO SL-NOR-CON
000399     MOVE LIN-NOR TO IMP-REC
000400     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000401     MOVE LINE007 TO SL-NOR-CON
000402     MOVE LIN-NOR TO IMP-REC
000403     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000404     MOVE LINE008 TO SL-NOR-CON
000405     MOVE LIN-NOR TO IMP-REC
000406     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000407     MOVE LINEBLA TO IMP-REC.
000408     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000409     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000410     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000411     PERFORM PAGINA.
000412 CERRAR.
000413     IF U04IMPRE = "I" OR U04IMPRE = "T" CLOSE IMP.
000414     IF IMPSTAT = "30" GO TO CERRAR.
000415     IF U04IMPRE = "D" OR U04IMPRE = "T" CLOSE DSK.
000416     IF U04IMPRE = "D" OR U04IMPRE = "T"
000417             CALL "SHOWRELA" USING IMP-PAT
000418             CANCEL "SHOWRELA".
000419 FIN-CERRAR.
000420 FINALIZAR.
000421     CLOSE C00 C11 C02 C05 C01 C04 C12.
000422 SALIDA.
000423     EXIT PROGRAM.
000424 MENSAJE-DIS.
000425     DISPLAY MENSAJE BLINK LINE 24 POSITION 1.
000426     MOVE SPACES TO MENSAJE.
000427 CONFIRME-DIS.
000428     DISPLAY MENSAJE HIGH LINE 24 POSITION 1.
000429     MOVE SPACES TO MENSAJE.
000430 ABRIR.
000431     MOVE C00DIAUX TO IMP-DIAUX.
000432     MOVE USRID    TO IMP-USRID.
000433     MOVE "X35BAQ02.PRT" TO IMP-NOM.
000434     IF U04IMPRE = "I" OR U04IMPRE = "T" OPEN OUTPUT IMP .
000435     IF IMPSTAT = "30" GO TO ABRIR.
000436     IF U04IMPRE = "D" OR U04IMPRE = "T" OPEN OUTPUT DSK .
000437     ACCEPT FECHA-EQ FROM DATE.
000438     MOVE FECDI-EQ TO SL-FECDI-EQ.
000439     MOVE FECME-EQ TO SL-FECME-EQ.
000440     MOVE FECAN-EQ TO SL-FECAN-EQ.
000441     MOVE C00EMPRE TO SL-C00EMPRE.
000442     MOVE T04MONED TO SL-T04MONED.
000443     MOVE T04NOMBR TO SL-T04NOMBR.
000444     MOVE DESDI    TO SL-DESDI   .
000445     MOVE DESME    TO SL-DESME   .
000446     MOVE DESAN    TO SL-DESAN   .
000447     MOVE HASDI    TO SL-HASDI   .
000448     MOVE HASME    TO SL-HASME   .
000449     MOVE HASAN    TO SL-HASAN   .
000450     MOVE LINE000  TO IMP-REC.
000451     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000452 ENCABEZAMIENTO.
000453     ADD 1 TO CON-PAG .
000454     MOVE ZERO TO CON-LIN.
000455     MOVE CON-PAG TO SL-CON-PAG .
000456     MOVE LINE001 TO SL-NOR-CON
000457     MOVE LIN-NOR TO IMP-REC
000458     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000459     MOVE LINEBLA TO IMP-REC.
000460     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000461     MOVE LINE002 TO SL-NOR-CON
000462     MOVE LIN-NOR TO IMP-REC
000463     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000464     MOVE LINE003 TO SL-NOR-CON
000465     MOVE LIN-NOR TO IMP-REC
000466     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000467     MOVE LINE004 TO SL-NOR-CON
000468     MOVE LIN-NOR TO IMP-REC
000469     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000470 WRT-IMP.
000471     ADD 1 TO CON-LIN.
000472 SEG-WRT-IMP.
000473     DISPLAY IMP-REC LINE 22 POSITION 1.
000474     MOVE IMP-REC TO DSK-REC.
000475     IF U04IMPRE = "I" OR U04IMPRE = "T" WRITE IMP-REC
000476                BEFORE 1 LINES.
000477     IF IMPSTAT = "30" GO TO SEG-WRT-IMP.
000478     IF U04IMPRE = "D" OR U04IMPRE = "T" WRITE DSK-REC
000479                BEFORE 1 LINES.
000480 FIN-WRT-IMP.
000481 PAGINA.
000482     MOVE LINEBLA  TO IMP-REC.
000483     MOVE LINEBLA  TO DSK-REC.
000484     DISPLAY IMP-REC LINE 22 POSITION 1.
000485     IF U04IMPRE = "I" OR U04IMPRE = "T"
000486                       WRITE IMP-REC AFTER PAGE.
000487     IF IMPSTAT = "30" GO TO PAGINA.
000488     IF U04IMPRE = "D" OR U04IMPRE = "T"
000489                       WRITE DSK-REC AFTER PAGE.
000490 FIN-PAGINA.
000491 CARGAR-T04.
000492     MOVE LOW-VALUES TO C04-REC
000493     START C04 KEY IS NOT LESS THAN C04LLAVE
000494           INVALID KEY GO TO FIN-CARGAR-T04.
000495 OTRO-C04.
000496     READ C04 NEXT AT END GO TO FIN-CARGAR-T04.
000497     IF C04CARTE = "T" NEXT SENTENCE
000498     ELSE           GO TO OTRO-C04.
000499     MOVE C04-REC TO T04-REC
000500     MOVE SPACES  TO T04MARCA
000501     WRITE T04-REC.
000502     GO TO OTRO-C04.
000503 FIN-CARGAR-T04.


