       IDENTIFICATION DIVISION.                                                 
       PROGRAM-ID. BASB00IN.                                                    
       ENVIRONMENT DIVISION.                                                    
       CONFIGURATION SECTION.                                                   
       SOURCE-COMPUTER. RMC.                                                    
       OBJECT-COMPUTER. RMC.                                                    
       INPUT-OUTPUT SECTION.                                                    
           COPY "SISTSELE.CBL".                                                 
           SELECT AUXIFILE ASSIGN TO RANDOM AUX-PAT.                            
       DATA DIVISION.                                                           
       FILE SECTION.                                                            
       FD  AUXIFILE                                                             
               RECORD CONTAINS 1 CHARACTERS                                     
               LABEL RECORDS ARE STANDARD.                                      
       01  AUXI-REC.                                                            
             05  FILLER PIC X.                                                  
           COPY "SISTFD.CBL".                                                   
       77 AN-ANT     PIC 9999.                                                  
       77 W00-REC    PIC X(2000).                                               
       77 B00COMSU-E PIC Z(1)9.                                                 
       77 B00BAPRO-E PIC Z(2)9.                                                 
       77 B00SESTD-E PIC Z9.
       77 B00PAHIG-E PIC Z9.
       77 B00ULTSE-E PIC Z9.
       77 B00COSE1-E PIC Z9.                                                    
       77 B00COSE2-E PIC Z9.                                                    
       77 B00ULREM-E PIC Z(5)9.                                                 
           COPY "SISTSTAT.CBL".                                                 
       PROGRAMA.                                                                
           MOVE "BASB00IN" TO PROGRA.
           CALL "USOGRABA" USING USRID SESIO PROGRA.
           CANCEL "USOGRABA".
           MOVE PROGRA   TO IMP-PRT  .
           OPEN I-O B00 C00.                                                    
           OPEN INPUT B01 TG51 B03.
           MOVE 1 TO B00NUMER.                                                  
           READ B00 WITH NO LOCK.                                               
           MOVE 1 TO C00NUMER.                                                  
           READ C00 WITH NO LOCK.                                               
           PERFORM PANT-FIJA THRU FIN-PANT-FIJA.                                
           PERFORM PANT-ACCEPT THRU FIN-PANT-ACCEPT.                            
           IF IND = "M" OR IND = "m" GO TO FINALIZAR.                           
           IF USRID = C00USRID OR = C00CLASU                                    
                     NEXT SENTENCE ELSE GO TO FINALIZAR.                        
           MOVE B00-REC TO W00-REC.                                             
       VER-GRABAR.                                                              
           MOVE "UN MOMENTO POR FAVOR ESTAN GRABANDO" TO MENSAJE                
           PERFORM MENSAJE-DIS                                                  
           MOVE 1 TO C00NUMER                                                   
           READ C00                                                             
           IF C00STAT = "99" GO TO VER-GRABAR.                                  
           PERFORM MENSAJE-DIS                                                  
           MOVE W00-REC TO B00-REC.                                             
           REWRITE B00-REC.                                                     
           OPEN EXTEND LOGAUD.                                                  
           MOVE "B00"     TO AUDARCHI.                                          
           MOVE "BASB00IN " TO AUDPROGR.                                        
           MOVE  USRID     TO AUDUSRID.                                         
           ACCEPT AUDFECHA FROM DATE.                                           
           ACCEPT AUDTIME  FROM TIME.                                           
           MOVE "R"  TO AUDCLASE.                                               
           MOVE B00-REC TO AUDCONTE.                                            
           WRITE AUD-REC.                                                       
           CLOSE LOGAUD.                                                        
       FINALIZAR.                                                               
           CLOSE C00 B00 B01 TG51 B03.                                          
       SALIDA.                                                                  
           EXIT PROGRAM.                                                        
       MENSAJE-DIS.                                                             
           DISPLAY MENSAJE BLINK LINE 24 POSITION 1.                            
           MOVE SPACES TO MENSAJE.                                              
       CONFIRME-DIS.                                                            
           DISPLAY MENSAJE HIGH LINE 24 POSITION 1.                             
           MOVE SPACES TO MENSAJE.                                              
       PANT-FIJA.                                                               
           DISPLAY " " ERASE LINE 1 POSITION 1.                                 
           DISPLAY "PARAMETROS EN BAOS Y MODULOS"                              
                   LOW LINE 3 POSITION 19.                                      
           DISPLAY "1-REMITOS EN CURSO:" LOW LINE 5 POSITION 22.                
           DISPLAY "-" LOW LINE 5 POSITION 45.                                  
           DISPLAY "2-CODIGO DE BAOS PROPIOS CLIENTE:"                         
                   LOW LINE 6 POSITION 7.                                       
           DISPLAY "      3-PLANILLA DE MANTENIMIENTO:"                         
                   LOW LINE 7 POSITION 7.                                       
           DISPLAY " 4-SERVICIO STANDAR EN PREREMITOS:"                         
                   LOW LINE 8 POSITION 7.                                       
           DISPLAY "   5-CODIGOS DE LIMPIEZA DE BAOS:"                         
                   LOW LINE 9 POSITION 7.                                       
           DISPLAY "        6-ULTIMO REMITO ENTREGADO:"                         
                   LOW LINE 10 POSITION 7.                                      
           DISPLAY "            7-SALDO EN LA FACTURA:"
                   LOW LINE 11 POSITION 7.
           DISPLAY "     8-REPOSICION PAPEL HIGIENICO:"
                   LOW LINE 12 POSITION 7.
           DISPLAY "                9-ULTIMO SERVICIO:"
                   LOW LINE 13 POSITION 7.
           DISPLAY "    10-OBS. DE REMITOS EN FACTURA:"
                   LOW LINE 14 POSITION 7.
           DISPLAY "     11-FAC. PROPORCIONAL/10 DIAS:"
                   LOW LINE 15 POSITION 7.
           IF USRID = C00USRID
           DISPLAY "                          12-PATH:"
                   LOW LINE 16 POSITION 7.
           DISPLAY "   13-CONTROL ARTICULOS SERVICIOS:"
                   LOW LINE 17 POSITION 7.
           DISPLAY "  14-CODIGO SERVICIOS SUSPENDIDOS:"
                   LOW LINE 18 POSITION 7.
           DISPLAY "" HIGH LINE 23 POSITION 5.                                 
           DISPLAY "Campo anterior" LOW LINE 23 POSITION 7.                     
           DISPLAY "R" HIGH LINE 23 POSITION 23.                                
           DISPLAY "Repasar datos" LOW LINE 23 POSITION 25.                     
           DISPLAY "1/14" HIGH LINE 23 POSITION 40.
           DISPLAY "Modificar Campo" LOW LINE 23 POSITION 45.                   
           DISPLAY "S/F" HIGH LINE 23 POSITION 62.                              
           DISPLAY "Grabar" LOW LINE 23 POSITION 66.                            
       FIN-PANT-FIJA.                                                           
       PANT-VARIABLE.                                                           
           DISPLAY B00COMLE  HIGH  LINE 5 POSITION  41.                         
           MOVE B00COMSU  TO B00COMSU-E.                                        
           DISPLAY B00COMSU-E  HIGH  LINE 5 POSITION  46.                       
           MOVE B00BAPRO  TO B00BAPRO-E.                                        
           DISPLAY B00BAPRO-E  HIGH  LINE 6 POSITION  41.                       
           DISPLAY B00PLANI  HIGH  LINE 7 POSITION  41.
           MOVE B00SESTD  TO B00SESTD-E.                                        
           DISPLAY B00SESTD-E  HIGH  LINE 8 POSITION  41.                       
           MOVE B00COSE1  TO B00COSE1-E.                                        
           DISPLAY B00COSE1-E  HIGH  LINE 9 POSITION  41.                       
           MOVE B00COSE2  TO B00COSE2-E.                                        
           DISPLAY B00COSE2-E  HIGH  LINE 9 POSITION  44.                       
           MOVE B00ULREM  TO B00ULREM-E.                                        
           DISPLAY B00ULREM-E  HIGH  LINE 10 POSITION  44.                      
           DISPLAY B00SAFAC  HIGH  LINE 11 POSITION  44.
           MOVE B00PAHIG  TO B00PAHIG-E.
           DISPLAY B00PAHIG-E  HIGH  LINE 12 POSITION  41.
           MOVE B00ULTSE  TO B00ULTSE-E.
           DISPLAY B00ULTSE-E  HIGH  LINE 13 POSITION  41.
           DISPLAY B00OBREF  HIGH  LINE 14 POSITION  44.
           DISPLAY B00FAPRO  HIGH  LINE 15 POSITION  44.
           IF USRID = C00USRID
           DISPLAY B00DIROT  HIGH  LINE 16 POSITION  44.
           DISPLAY B00COCRU  HIGH  LINE 17 POSITION  44.
           DISPLAY B00SESUS  HIGH  LINE 18 POSITION  44.
       FIN-PANT-VARIABLE.                                                       
       PANT-ACCEPT.                                                             
           GO TO FUN-ACC.                                                       
       B00COMLE-ACC.                                                            
           ACCEPT B00COMLE SIZE  4 PROMPT  UPDATE                               
                      HIGH  LINE 5 POSITION  41.                                
           ACCEPT FUN-COD FROM ESCAPE KEY.                                      
           IF FUN-COD = 27 MOVE  "M" TO IND GO TO FIN-PANT-ACCEPT.              
           PERFORM MENSAJE-DIS .                                                
           DISPLAY B00COMLE HIGH LINE 5 POSITION  41.                           
       B00COMSU-ACC.                                                            
           ACCEPT B00COMSU SIZE  2 PROMPT UPDATE                                
                      HIGH  LINE 5 POSITION  46.                                
           IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO B00COMLE-ACC.              
           PERFORM MENSAJE-DIS .                                                
           IF FUN-COD = 01                                                      
                       DISPLAY SAV-SCR CONTROL CREATE-WINDOW                    
                                LINE 1 POSITION 1                               
                       CALL "TG51POIN" USING USRID                              
                                B00COMLE B00COMSU FUN-COD SESIO
                       CANCEL "TG51POIN"                                        
                       DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE".                 
       B00COMSU-SEG.                                                            
           IF FUN-COD = 27 MOVE  "M" TO IND GO TO FIN-PANT-ACCEPT.              
           MOVE B00COMLE TO TG51COMLE.                                          
           MOVE B00COMSU TO TG51COMSU.                                          
           READ TG51 WITH NO LOCK INVALID KEY                                   
                       DISPLAY SAV-SCR CONTROL CREATE-WINDOW                    
                                LINE 1 POSITION 1                               
                       CALL "TG51POIN" USING USRID                              
                                 B00COMLE B00COMSU FUN-COD SESIO
                       CANCEL "TG51POIN"                                        
                       DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE"                  
                       GO TO B00COMSU-SEG.                                      
           MOVE B00COMSU TO B00COMSU-E.                                         
           DISPLAY B00COMSU-E HIGH LINE 5 POSITION  46.                         
           IF FUC IS NOT = SPACES  GO TO FUN-ACC.                               
       B00BAPRO-ACC.                                                            
           ACCEPT B00BAPRO SIZE  3 PROMPT UPDATE                                
                      HIGH  LINE 6 POSITION  41.                                
           ACCEPT FUN-COD FROM ESCAPE KEY.                                      
           IF FUN-COD = 27 MOVE  "M" TO IND GO TO FIN-PANT-ACCEPT.              
           IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO B00COMSU-ACC.              
           IF FUN-COD = 01                                                      
                DISPLAY SAV-SCR CONTROL CREATE-WINDOW                           
                        LINE 1 POSITION 1                                       
                CALL "BASB01PO" USING USRID B00BAPRO FUN-COD SESIO
                CANCEL "BASB01PO"                                               
                DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE".                        
       B00BAPRO-SEG.                                                            
           IF FUN-COD = 27 MOVE  "M" TO IND GO TO FIN-PANT-ACCEPT.              
           MOVE B00BAPRO TO B01ARTIC                                            
           READ B01 INVALID KEY                                                 
                DISPLAY SAV-SCR CONTROL CREATE-WINDOW                           
                         LINE 1 POSITION 1                                      
                CALL "BASB01PO" USING USRID B00BAPRO FUN-COD SESIO
                CANCEL "BASB01PO"                                               
                DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE"                         
                GO TO B00BAPRO-SEG.                                             
           PERFORM MENSAJE-DIS .                                                
           MOVE B00BAPRO TO B00BAPRO-E.                                         
           DISPLAY B00BAPRO-E HIGH LINE 6 POSITION  41.                         
           IF FUC IS NOT = SPACES  GO TO FUN-ACC.                               
       B00PLANI-ACC.                                                            
           ACCEPT B00PLANI SIZE  1 PROMPT  UPDATE                               
                      HIGH  LINE 7 POSITION  41.                                
           ACCEPT FUN-COD FROM ESCAPE KEY.                                      
           IF FUN-COD = 27 MOVE  "M" TO IND GO TO FIN-PANT-ACCEPT.              
           IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO B00BAPRO-ACC.              
           IF B00PLANI = "s" MOVE "S" TO B00PLANI.                              
           IF B00PLANI = "n" MOVE "N" TO B00PLANI.                              
           IF B00PLANI = "S" OR B00PLANI = "N"                                  
                    NEXT SENTENCE ELSE MOVE                                     
              "S/N PLANILLA DE MANTENIMIENTO DE BAOS"                          
              TO MENSAJE PERFORM MENSAJE-DIS GO TO B00PLANI-ACC.
           PERFORM MENSAJE-DIS .                                                
           DISPLAY B00PLANI HIGH LINE 7 POSITION  41.                           
                                                                                
       B00SESTD-ACC.                                                            
           ACCEPT B00SESTD SIZE  2 PROMPT UPDATE                                
                      HIGH  LINE 8 POSITION  41.                                
           ACCEPT FUN-COD FROM ESCAPE KEY.                                      
           IF FUN-COD = 27 MOVE  "M" TO IND GO TO FIN-PANT-ACCEPT.              
           IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO B00PLANI-ACC.              
           IF FUN-COD = 01                                                      
                DISPLAY SAV-SCR CONTROL CREATE-WINDOW                           
                        LINE 1 POSITION 1                                       
                CALL "BASB03PO" USING USRID B00SESTD FUN-COD                    
                CANCEL "BASB03PO"                                               
                DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE".                        
       B00SESTD-SEG.                                                            
           IF FUN-COD = 27 MOVE  "M" TO IND GO TO FIN-PANT-ACCEPT.              
           MOVE B00SESTD TO B03TISER                                            
           READ B03 INVALID KEY                                                 
                DISPLAY SAV-SCR CONTROL CREATE-WINDOW                           
                         LINE 1 POSITION 1                                      
                CALL "BASB03PO" USING USRID B00SESTD FUN-COD                    
                CANCEL "BASB03PO"                                               
                DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE"                         
                GO TO B00SESTD-SEG.                                             
           PERFORM MENSAJE-DIS .                                                
           MOVE B00SESTD TO B00SESTD-E.                                         
           DISPLAY B00SESTD-E HIGH LINE 8 POSITION  41.                         
           IF FUC IS NOT = SPACES  GO TO FUN-ACC.                               
       B00COSE1-ACC.                                                            
           ACCEPT B00COSE1 SIZE  2 PROMPT UPDATE                                
                      HIGH  LINE 9 POSITION  41.                                
           ACCEPT FUN-COD FROM ESCAPE KEY.                                      
           IF FUN-COD = 27 MOVE  "M" TO IND GO TO FIN-PANT-ACCEPT.              
           IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO B00SESTD-ACC.              
           IF FUN-COD = 01                                                      
                DISPLAY SAV-SCR CONTROL CREATE-WINDOW                           
                        LINE 1 POSITION 1                                       
                CALL "BASB03PO" USING USRID B00COSE1 FUN-COD                    
                CANCEL "BASB03PO"                                               
                DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE".                        
       B00COSE1-SEG.                                                            
           IF FUN-COD = 27 MOVE  "M" TO IND GO TO FIN-PANT-ACCEPT.              
           MOVE B00COSE1 TO B03TISER                                            
           READ B03 INVALID KEY                                                 
                DISPLAY SAV-SCR CONTROL CREATE-WINDOW                           
                         LINE 1 POSITION 1                                      
                CALL "BASB03PO" USING USRID B00COSE1 FUN-COD                    
                CANCEL "BASB03PO"                                               
                DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE"                         
                GO TO B00COSE1-SEG.                                             
           PERFORM MENSAJE-DIS .                                                
           MOVE B00COSE1 TO B00COSE1-E.                                         
           DISPLAY B00COSE1-E HIGH LINE 9 POSITION  41.                         
       B00COSE2-ACC.                                                            
           ACCEPT B00COSE2 SIZE  2 PROMPT UPDATE                                
                      HIGH  LINE 9 POSITION  44.                                
           ACCEPT FUN-COD FROM ESCAPE KEY.                                      
           IF FUN-COD = 27 MOVE  "M" TO IND GO TO FIN-PANT-ACCEPT.              
           IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO B00COSE1-ACC.              
           IF FUN-COD = 01                                                      
                DISPLAY SAV-SCR CONTROL CREATE-WINDOW                           
                        LINE 1 POSITION 1                                       
                CALL "BASB03PO" USING USRID B00COSE2 FUN-COD                    
                CANCEL "BASB03PO"                                               
                DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE".                        
       B00COSE2-SEG.                                                            
           IF FUN-COD = 27 MOVE  "M" TO IND GO TO FIN-PANT-ACCEPT.              
           MOVE B00COSE2 TO B03TISER                                            
           READ B03 INVALID KEY                                                 
                DISPLAY SAV-SCR CONTROL CREATE-WINDOW                           
                         LINE 1 POSITION 1                                      
                CALL "BASB03PO" USING USRID B00COSE2 FUN-COD                    
                CANCEL "BASB03PO"                                               
                DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE"                         
                GO TO B00COSE2-SEG.                                             
           PERFORM MENSAJE-DIS .                                                
           MOVE B00COSE2 TO B00COSE2-E.                                         
           DISPLAY B00COSE2-E HIGH LINE 9 POSITION  44.                         
           IF FUC IS NOT = SPACES  GO TO FUN-ACC.                               
       B00ULREM-ACC.                                                            
           ACCEPT B00ULREM SIZE  6 PROMPT UPDATE                                
                      HIGH  LINE 10 POSITION  44.                               
           ACCEPT FUN-COD FROM ESCAPE KEY.                                      
           IF FUN-COD = 27 MOVE  "M" TO IND GO TO FIN-PANT-ACCEPT.              
           IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO B00COSE2-ACC.              
           PERFORM MENSAJE-DIS .                                                
           MOVE B00ULREM TO B00ULREM-E.                                         
           DISPLAY B00ULREM-E HIGH LINE 10 POSITION  44.                        
           IF FUC IS NOT = SPACES  GO TO FUN-ACC.

       B00SAFAC-ACC.
           ACCEPT B00SAFAC SIZE  1 PROMPT  UPDATE
                      HIGH  LINE 11 POSITION  44.
           ACCEPT FUN-COD FROM ESCAPE KEY.                                      
           IF FUN-COD = 27 MOVE  "M" TO IND GO TO FIN-PANT-ACCEPT.              
           IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO B00ULREM-ACC.
           IF B00SAFAC = "s" MOVE "S" TO B00SAFAC.
           IF B00SAFAC = "n" MOVE "N" TO B00SAFAC.
           IF B00SAFAC = "S" OR B00SAFAC = "N"
                    NEXT SENTENCE ELSE MOVE                                     
              "S/N SALDO EN LA FACTURA"
              TO MENSAJE PERFORM MENSAJE-DIS GO TO B00SAFAC-ACC.
           PERFORM MENSAJE-DIS .                                                
           DISPLAY B00SAFAC HIGH LINE 11 POSITION  44.
           IF FUC IS NOT = SPACES  GO TO FUN-ACC.

       B00PAHIG-ACC.
           ACCEPT B00PAHIG SIZE  2 PROMPT UPDATE
                      HIGH  LINE 12 POSITION  41.
           ACCEPT FUN-COD FROM ESCAPE KEY.                                      
           IF FUN-COD = 27 MOVE  "M" TO IND GO TO FIN-PANT-ACCEPT.              
           IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO B00SAFAC-ACC.
           IF FUN-COD = 01                                                      
                DISPLAY SAV-SCR CONTROL CREATE-WINDOW                           
                        LINE 1 POSITION 1                                       
                CALL "BASB03PO" USING USRID B00PAHIG FUN-COD
                CANCEL "BASB03PO"                                               
                DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE".                        
       B00PAHIG-SEG.
           IF FUN-COD = 27 MOVE  "M" TO IND GO TO FIN-PANT-ACCEPT.              
           MOVE B00PAHIG TO B03TISER
           READ B03 INVALID KEY                                                 
                DISPLAY SAV-SCR CONTROL CREATE-WINDOW                           
                         LINE 1 POSITION 1                                      
                CALL "BASB03PO" USING USRID B00PAHIG FUN-COD
                CANCEL "BASB03PO"                                               
                DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE"                         
                GO TO B00PAHIG-SEG.
           PERFORM MENSAJE-DIS .                                                
           MOVE B00PAHIG TO B00PAHIG-E.
           DISPLAY B00PAHIG-E HIGH LINE 12 POSITION  41.
           IF FUC IS NOT = SPACES  GO TO FUN-ACC.                               
       B00ULTSE-ACC.
           ACCEPT B00ULTSE SIZE  2 PROMPT UPDATE
                      HIGH  LINE 13 POSITION  41.
           ACCEPT FUN-COD FROM ESCAPE KEY.                                      
           IF FUN-COD = 27 MOVE  "M" TO IND GO TO FIN-PANT-ACCEPT.              
           IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO B00PAHIG-ACC.
           IF FUN-COD = 01                                                      
                DISPLAY SAV-SCR CONTROL CREATE-WINDOW                           
                        LINE 1 POSITION 1                                       
                CALL "BASB03PO" USING USRID B00ULTSE FUN-COD
                CANCEL "BASB03PO"                                               
                DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE".                        
           IF B00ULTSE = ZERO  GO TO FIN-B00ULTSE-ACC.
       B00ULTSE-SEG.
           IF FUN-COD = 27 MOVE  "M" TO IND GO TO FIN-PANT-ACCEPT.
           MOVE B00ULTSE TO B03TISER
           READ B03 INVALID KEY                                                 
                DISPLAY SAV-SCR CONTROL CREATE-WINDOW                           
                         LINE 1 POSITION 1                                      
                CALL "BASB03PO" USING USRID B00ULTSE FUN-COD
                CANCEL "BASB03PO"                                               
                DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE"                         
                GO TO B00ULTSE-SEG.
           PERFORM MENSAJE-DIS .                                                
       FIN-B00ULTSE-ACC.
           MOVE B00ULTSE TO B00ULTSE-E.
           DISPLAY B00ULTSE-E HIGH LINE 13 POSITION  41.
           IF FUC IS NOT = SPACES  GO TO FUN-ACC.                               
       B00OBREF-ACC.
           ACCEPT B00OBREF SIZE  1 PROMPT  UPDATE
                      HIGH  LINE 14 POSITION  44.
           ACCEPT FUN-COD FROM ESCAPE KEY.                                      
           IF FUN-COD = 27 MOVE  "M" TO IND GO TO FIN-PANT-ACCEPT.              
           IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO B00ULREM-ACC.
           IF B00OBREF = "s" MOVE "S" TO B00OBREF.
           IF B00OBREF = "n" MOVE "N" TO B00OBREF.
           IF B00OBREF = "S" OR B00OBREF = "N"
                    NEXT SENTENCE ELSE MOVE                                     
              "OBSERVACIONES DE REMITOS EN FACTURA S/N"
              TO MENSAJE PERFORM MENSAJE-DIS GO TO B00OBREF-ACC.
           PERFORM MENSAJE-DIS .                                                
           DISPLAY B00OBREF HIGH LINE 14 POSITION  44.
           IF FUC IS NOT = SPACES  GO TO FUN-ACC.
       B00FAPRO-ACC.
           ACCEPT B00FAPRO SIZE  1 PROMPT  UPDATE
                      HIGH  LINE 15 POSITION  44.
           ACCEPT FUN-COD FROM ESCAPE KEY.                                      
           IF FUN-COD = 27 MOVE  "M" TO IND GO TO FIN-PANT-ACCEPT.              
           IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO B00ULREM-ACC.
           IF B00FAPRO = "s" MOVE "S" TO B00FAPRO.
           IF B00FAPRO = "n" MOVE "N" TO B00FAPRO.
           IF B00FAPRO = "S" OR B00FAPRO = "N"
                    NEXT SENTENCE ELSE MOVE                                     
              "FACTURACION PROPORCIONAL CADA 10 DIAS"
              TO MENSAJE PERFORM MENSAJE-DIS GO TO B00FAPRO-ACC.
           PERFORM MENSAJE-DIS .                                                
           DISPLAY B00FAPRO HIGH LINE 15 POSITION  44.
           IF FUC IS NOT = SPACES  GO TO FUN-ACC.
       B00DIROT-ACC.
           IF USRID = C00USRID
           ACCEPT B00DIROT SIZE 20 PROMPT  UPDATE
                      HIGH  LINE 16 POSITION  44.
           ACCEPT FUN-COD FROM ESCAPE KEY.                                      
           IF FUN-COD = 27 MOVE  "M" TO IND GO TO FIN-PANT-ACCEPT.              
           IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO B00FAPRO-ACC.
           PERFORM MENSAJE-DIS .                                                
           IF USRID = C00USRID
           DISPLAY B00DIROT HIGH LINE 16 POSITION  44.
           IF FUC IS NOT = SPACES  GO TO FUN-ACC.
       B00COCRU-ACC.
           ACCEPT B00COCRU SIZE 1 PROMPT  UPDATE
                      HIGH  LINE 17 POSITION  44.
           ACCEPT FUN-COD FROM ESCAPE KEY.                                      
           IF FUN-COD = 27 MOVE  "M" TO IND GO TO FIN-PANT-ACCEPT.              
           IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO B00FAPRO-ACC.
           IF B00COCRU = "s" MOVE "S" TO B00COCRU.
           IF B00COCRU = "n" MOVE "N" TO B00COCRU.
           IF B00COCRU = "S" OR B00COCRU = "N"
                    NEXT SENTENCE ELSE MOVE                                     
              "S/N POR FAVOR "
              TO MENSAJE PERFORM MENSAJE-DIS GO TO B00COCRU-ACC.
           PERFORM MENSAJE-DIS .                                                
           DISPLAY B00COCRU HIGH LINE 17 POSITION  44.
           IF FUC IS NOT = SPACES  GO TO FUN-ACC.
       B00SESUS-ACC.
           ACCEPT B00SESUS SIZE 2 PROMPT  UPDATE
                      HIGH  LINE 18 POSITION  44.
           ACCEPT FUN-COD FROM ESCAPE KEY.                                      
           IF FUN-COD = 27 MOVE  "M" TO IND GO TO FIN-PANT-ACCEPT.              
           IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO B00FAPRO-ACC.
           PERFORM MENSAJE-DIS .                                                
           DISPLAY B00SESUS HIGH LINE 18 POSITION  44.
           IF FUC IS NOT = SPACES  GO TO FUN-ACC.
       FUN-ACC.                                                                 
           PERFORM PANT-VARIABLE THRU FIN-PANT-VARIABLE.                        
           MOVE SPACES TO FUC.                                                  
           DISPLAY FUC HIGH LINE 23 POSITION 77.                                
           ACCEPT IND SIZE 1 LINE 23 POSITION 77.                               
           ACCEPT FUN-COD FROM ESCAPE KEY.                                      
           IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO B00DIROT-ACC.
           IF FUN-COD = 27 MOVE  "M" TO IND GO TO FIN-PANT-ACCEPT.              
           IF IND IS NUMERIC ACCEPT SEG SIZE 1 LINE 23 POSITION 78              
                IF SEG IS NUMERIC NEXT SENTENCE ELSE                            
                MOVE IND TO SEG MOVE ZERO TO IND.                               
           ACCEPT FUN-COD FROM ESCAPE KEY.                                      
           IF FUN-COD = 27 MOVE  "M" TO IND GO TO FIN-PANT-ACCEPT.              
           IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO B00DIROT-ACC.
           DISPLAY FUC HIGH LINE 23 POSITION 77.                                
           IF IND = "M" OR IND = "m" GO TO FIN-PANT-ACCEPT.                     
           IF IND = "S" OR IND = "s" GO TO FIN-PANT-ACCEPT.                     
           IF IND = "F" OR IND = "f" GO TO FIN-PANT-ACCEPT.                     
           IF IND = "R" OR IND = "r" MOVE SPACES TO FUC                         
                        GO TO B00COMLE-ACC.                                     
           IF FUN IS NOT NUMERIC GO TO FUN-ACC.                                 
           IF FUN =  1 GO TO B00COMLE-ACC.                                      
           IF FUN =  2 GO TO B00BAPRO-ACC.                                      
           IF FUN =  3 GO TO B00PLANI-ACC.                                      
           IF FUN =  4 GO TO B00SESTD-ACC.                                      
           IF FUN =  5 GO TO B00COSE1-ACC.                                      
           IF FUN =  6 GO TO B00ULREM-ACC.
           IF FUN =  7 GO TO B00SAFAC-ACC.
           IF FUN =  8 GO TO B00PAHIG-ACC.
           IF FUN =  9 GO TO B00ULTSE-ACC.
           IF FUN = 10 GO TO B00OBREF-ACC.
           IF FUN = 11 GO TO B00FAPRO-ACC.
           IF FUN = 12 GO TO B00DIROT-ACC.
           GO TO FUN-ACC.                                                       
       FIN-PANT-ACCEPT.                                                         
