000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. C01C08UN.
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SOURCE-COMPUTER. RMC.
000006 OBJECT-COMPUTER. RMC.
000007 INPUT-OUTPUT SECTION.
000008     COPY "SISTSELE.CBL".
000009     SELECT AUXIFILE ASSIGN TO RANDOM  AUX-PAT
000010         ORGANIZATION IS INDEXED
000011         RECORD KEY IS AUXLLAVE
000012         ACCESS IS DYNAMIC.
000013     SELECT R01 ASSIGN TO RANDOM PAT-C01
000014         ORGANIZATION IS INDEXED
000015         RECORD KEY IS R01LLAVE
000016         ALTERNATE RECORD KEY IS R01TIPO-LA
000017         ALTERNATE RECORD KEY IS R01MONED-LA
000018         ALTERNATE RECORD KEY IS R01TITUL-LA WITH DUPLICATES
000019         ACCESS IS DYNAMIC.
000020     SELECT R08 ASSIGN TO RANDOM PAT-C08
000021         ORGANIZATION IS INDEXED
000022         RECORD KEY IS R08LLAVE
000023         ALTERNATE RECORD KEY IS R08NOMBR-LA WITH DUPLICATES
000024         ACCESS IS DYNAMIC.
000025 DATA DIVISION.
000026 FILE SECTION.
000027 FD  AUXIFILE
000028         RECORD CONTAINS 146 CHARACTERS
000029         LABEL RECORDS ARE STANDARD.
000030 01  AUX-REC.
000031      03 AUXLLAVE.
000032         05 AUXFECHA PIC 9(8).
000033         05 AUXNUMER PIC 9(8).
000034      03 AUXCONTE    PIC X(80).
000035      03 AUXIMPOR    PIC S9(13)V99.
000036      03 AUXREMAN    PIC S9(13)V99.
000037      03 AUXAPLIC    PIC S9(13)V99.
000038      03 AUXDECRE    PIC X.
000039      03 AUXMARCA    PIC X.
000040 FD R01
000041      RECORD  CONTAINS 178 CHARACTERS
000042      LABEL RECORDS ARE STANDARD.
000043 01 R01-REC.
000044       02 R01MONED-LA.
000045          04 R01MONED PIC XXXX.
000046          04 R01TIPO-LA.
000047            06 R01TIPO  PIC XX.
000048            06  R01LLAVE.
000049              08 R01CUENT PIC 9(10).
000050       02 R01TITUL-LA.
000051         04 R01TITUL PIC X(30).
000052       02 R01TITRE PIC X(15).
000053       02 R01CLASE PIC X.
000054       02 R01NIVEL PIC 9.
000055       02 R01ESTAD PIC X.
000056       02 R01AJUST PIC X.
000057       02 R01PASES PIC X.
000058       02 R01INTEG PIC 9(3).
000059       02 R01BALA1 PIC 9(2).
000060       02 R01BALA2 PIC 9(2).
000061       02 R01BALA3 PIC 9(2).
000062       02 R01DEBHA PIC X.
000063       02 R01PROVE PIC X.
000064       02 R01VENTA PIC X.
000065       02 R01STOCK PIC X.
000066       02 R01ARTLE PIC X(13).
000067       02 R01ARTNU REDEFINES R01ARTLE PIC 9(13).
000068       02 FILLER   PIC X(86).
000069 FD R08
000070      RECORD  CONTAINS 100 CHARACTERS
000071      LABEL RECORDS ARE STANDARD.
000072 01 R08-REC.
000073       02 R08LLAVE.
000074          04 R08INTEG  PIC 999.
000075       02 R08NOMBR-LA.
000076          04 R08NOMBR  PIC X(30).
000077       02 FILLER       PIC X(67).
000078 COPY "SISTFD.CBL".
000079 77 PAT-C01     PIC IS X(30).
000079 77 PAT-C08     PIC IS X(30).
000079 77 R00STAT     PIC IS XX .
000080 77 R08STAT     PIC IS XX .
000080 77 USRID       PIC IS XXX VALUE "XXX".
000080 77 SESIO       PIC IS 99 VALUE 73.
000081 PROCEDURE DIVISION.
000082 PROGRAMA.
000083     MOVE 'C01C08UN' TO PROGRA.
000084     CALL 'USOGRABA' USING USRID SESIO PROGRA.
000085     CANCEL 'USOGRABA'.
000088     OPEN INPUT B00.
           MOVE 1 TO B00NUMER.
           READ B00.
           MOVE SPACES TO PAT-C01 PAT-C08.
           STRING B00DIROT DELIMITED BY SPACE
                  "C01"    DELIMITED BY SIZE
                  INTO PAT-C01.
           STRING B00DIROT DELIMITED BY SPACE
                  "C08"    DELIMITED BY SIZE
                  INTO PAT-C08.
000086     MOVE PROGRA TO IMP-PRT
000087     OPEN I-O C01 C08.
000088     OPEN INPUT R01 R08.
000089     MOVE LOW-VALUES TO R01-REC.
000090     START R01 KEY IS NOT LESS THAN R01LLAVE
000091                 INVALID KEY GO TO FIN-R01.
000092 OTRO-R01.
000093     READ R01 NEXT AT END GO TO FIN-R01.
000094     DISPLAY R01CUENT LINE 15 POSITION 44
000095     MOVE R01CUENT TO C01CUENT.
000096     READ C01 INVALID KEY WRITE C01-REC FROM R01-REC
000097                           GO TO OTRO-R01.
000098     MOVE R01-REC TO C01-REC.
000099     REWRITE C01-REC.
000100     GO TO OTRO-R01.
000101 FIN-R01.
000102     MOVE LOW-VALUES TO R08-REC.
000103     START R08 KEY IS NOT LESS THAN R08LLAVE
000104                 INVALID KEY GO TO FIN-R08.
000105 OTRO-R08.
000106     READ R08 NEXT AT END GO TO FIN-R08.
000107     DISPLAY R08INTEG LINE 15 POSITION 44
000108     MOVE R08INTEG TO C08INTEG.
000109     READ C08 INVALID KEY WRITE C08-REC FROM R08-REC
000110                           GO TO OTRO-R08.
000111     MOVE R08-REC TO C08-REC.
000112     REWRITE C08-REC.
000113     GO TO OTRO-R08.
000114 FIN-R08.
000115 FINALIZAR.
000116     CLOSE R01 C01 C08 R08 B00.
000117 SALIDA.
000118     EXIT PROGRAM.
000119 MENSAJE-DIS.
000120     DISPLAY MENSAJE BLINK LINE 24 POSITION 1.
000121     MOVE SPACES TO MENSAJE.
000122
000123
000124
000125
000126
000127
000128
000129
000130
000131


