000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. C01CAFIC.
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SOURCE-COMPUTER. RMC.
000006 OBJECT-COMPUTER. RMC.
000007 INPUT-OUTPUT SECTION.
000008*COPY "SISTSELE.CBL".
000009 FILE-CONTROL.
000090     SELECT B00 ASSIGN TO RANDOM "B00"
000100         ORGANIZATION IS INDEXED
000110         RECORD KEY IS B00LLAVE
000170         ACCESS IS DYNAMIC.
000180     SELECT C00 ASSIGN TO RANDOM  C00-PAT
000190         ORGANIZATION IS INDEXED
000200         RECORD KEY IS C00LLAVE
000220         ACCESS IS DYNAMIC.
000090     SELECT C12 ASSIGN TO RANDOM  C12-PAT
000100         ORGANIZATION IS INDEXED
000110         RECORD KEY IS C12LLAVE
000120         ALTERNATE RECORD KEY IS C12FECHA-LA
000120         ALTERNATE RECORD KEY IS C12TRANS-LA
000120         ALTERNATE RECORD KEY IS C12CODPR-LA
000120         ALTERNATE RECORD KEY IS C12COMPR-LA
000160         ACCESS IS DYNAMIC.
000077     SELECT C01 ASSIGN TO RANDOM C01-PAT
000078         ORGANIZATION IS INDEXED
000079         RECORD KEY IS C01LLAVE
000080         ALTERNATE RECORD KEY IS C01TIPO-LA
000081         ALTERNATE RECORD KEY IS C01MONED-LA
000082         ALTERNATE RECORD KEY IS C01TITUL-LA WITH DUPLICATES
000083         ACCESS IS DYNAMIC.
000084     SELECT C02 ASSIGN TO RANDOM C02-PAT
000085         ORGANIZATION IS INDEXED
000086         RECORD KEY IS C02LLAVE
000087         ALTERNATE RECORD KEY IS C02FECHA-LA
000088         ALTERNATE RECORD KEY IS C02ASIEN-LA
000089         ALTERNATE RECORD KEY IS C02TITUL-LA WITH DUPLICATES
000090         ACCESS IS DYNAMIC.
000091     SELECT C03 ASSIGN TO RANDOM C03-PAT
000092         ORGANIZATION IS INDEXED
000093         RECORD KEY IS C03LLAVE
000094         ALTERNATE RECORD KEY IS C03CUENT-LA
000095         ALTERNATE RECORD KEY IS C03TRANS-LA
000096         ALTERNATE RECORD KEY IS C03DETAL-LA WITH DUPLICATES
000097         ALTERNATE RECORD KEY IS C03IMPOR-LA WITH DUPLICATES
000098         ACCESS IS DYNAMIC.
000107     SELECT C04 ASSIGN TO RANDOM C04-PAT
000108         ORGANIZATION IS INDEXED
000109         RECORD KEY IS C04LLAVE
000110         ALTERNATE RECORD KEY IS C04ORDEN-LA WITH DUPLICATES
000111         ALTERNATE RECORD KEY IS C04NOMBR-LA WITH DUPLICATES
000112         ACCESS IS DYNAMIC.
000113     SELECT C05 ASSIGN TO RANDOM C05-PAT
000114         ORGANIZATION IS INDEXED
000115         RECORD KEY IS C05LLAVE
000116         ALTERNATE RECORD KEY IS C05TITUL-LA
000117         ALTERNATE RECORD KEY IS C05CUENT-LA WITH DUPLICATES
000118         ACCESS IS DYNAMIC.
000143     SELECT C11 ASSIGN TO RANDOM C11-PAT
000144         ORGANIZATION IS INDEXED
000145         RECORD KEY IS C11LLAVE
000146         ALTERNATE RECORD KEY IS C11NOMBR-LA WITH DUPLICATES
000147         ALTERNATE RECORD KEY IS C11ORPAG-LA WITH DUPLICATES
000148         ALTERNATE RECORD KEY IS C11DOMIC-LA WITH DUPLICATES
000149         ALTERNATE RECORD KEY IS C11LOCAL-LA WITH DUPLICATES
000150         ALTERNATE RECORD KEY IS C11CUIT-LA  WITH DUPLICATES
000151         ACCESS IS DYNAMIC.
000184     SELECT H35 ASSIGN TO RANDOM H35-PAT
000185         ORGANIZATION IS INDEXED
000186         RECORD KEY IS H35LLAVE
000187         ALTERNATE RECORD KEY IS H35FECHA-LA
000188         ALTERNATE RECORD KEY IS H35NUCOM-LA
000189         ALTERNATE RECORD KEY IS H35IMPOR-LA WITH DUPLICATES
000190         ALTERNATE RECORD KEY IS H35NUPRO-LA WITH DUPLICATES
000191         ALTERNATE RECORD KEY IS H35CODCL-LA WITH DUPLICATES
000192         ALTERNATE RECORD KEY IS H35CODPR-LA WITH DUPLICATES
000193         ACCESS IS DYNAMIC.
000090     SELECT C55 ASSIGN TO RANDOM  C55-PAT
000100         ORGANIZATION IS INDEXED
000110         RECORD KEY IS C55LLAVE
000120         ALTERNATE RECORD KEY IS C55NUMER-LA WITH DUPLICATES
000160         ACCESS IS DYNAMIC.
000589     SELECT X03 ASSIGN TO RANDOM X03-PAT
000590         ORGANIZATION IS INDEXED
000591         RECORD KEY IS X03LLAVE
000592         ALTERNATE RECORD KEY IS X03TRANS-LA
000593         ALTERNATE RECORD KEY IS X03CUENT-LA
000595         ACCESS IS DYNAMIC.
000596     SELECT AUXIFILE ASSIGN TO RANDOM  AUX-PAT
000597         ORGANIZATION IS INDEXED
000598         RECORD KEY IS AUXLLAVE
000600         ACCESS IS DYNAMIC.
000601     SELECT AUX2FILE ASSIGN TO RANDOM  AU2-PAT
000602         ORGANIZATION IS INDEXED
000603         RECORD KEY IS AU2LLAVE
000605         ACCESS IS DYNAMIC.
000606     SELECT AUX1FILE ASSIGN TO RANDOM  AU1-PAT
000607         ORGANIZATION IS INDEXED
000608         RECORD KEY IS AU1LLAVE
000610         ACCESS IS DYNAMIC.
000611     SELECT AUX3FILE ASSIGN TO RANDOM  AU3-PAT
000612         ORGANIZATION IS INDEXED
000613         RECORD KEY IS AU3LLAVE
000615         ACCESS IS DYNAMIC.
000616     SELECT AUX4FILE ASSIGN TO RANDOM  AU4-PAT
000617         ORGANIZATION IS INDEXED
000618         RECORD KEY IS AU4LLAVE
000620         ACCESS IS DYNAMIC.
000621     SELECT AUX5FILE ASSIGN TO RANDOM  AU5-PAT
000622         ORGANIZATION IS INDEXED
000623         RECORD KEY IS AU5LLAVE
000625         ACCESS IS DYNAMIC.
000626
000627 DATA DIVISION.
000628 FILE SECTION.
000160 FD B00
000170      RECORD CONTAINS 2000 CHARACTERS
000180      LABEL RECORDS ARE STANDARD.
ENCABE*  ARTICULOS DE SERVICIOS DEL B00
000190 01 B00-REC.
000200       02 B00LLAVE.
000210         04 B00NUMER PIC 9.
000230       02 B00COMLE   PIC X(4).
000230       02 B00COMSU   PIC 9(2).
000230       02 B00BAPRO   PIC 9(3).
000230       02 B00SESTD   PIC 9(2).
000230       02 B00PLANI   PIC X.
000230       02 B00COSE1   PIC 9(2).
000230       02 B00COSE2   PIC 9(2).
000230       02 B00ULREM   PIC 9(6).
000230       02 B00SAFAC   PIC X.
000230       02 B00PAHIG   PIC 9(2).
000230       02 B00ULTSE   PIC 9(2).
000230       02 B00OBREF   PIC X.
000230       02 B00FAPRO   PIC X.
000230       02 B00DIROT   PIC X(20).
000230       02 FILLER     PIC X(1950).
00160 FD C00
000170      RECORD  CONTAINS 2000 CHARACTERS
000180      LABEL RECORDS ARE STANDARD.
000190 01 C00-REC.
000200       02  C00LLAVE.
000210         04 C00NUMER PIC 9.
000260       02 C00OPERA PIC 9(6).
000260       02 C00ACTUA PIC 9(6).
000260       02 C00USRID PIC X(3).
000900       02 C00IMPRE PIC X    .
000220       02 C00EMPRE PIC X(30).
000540       02 C00TACUE PIC 9(2).
000240       02 C00PRIME PIC 9(2).
000250       02 C00ANDES PIC 9(4).
000260       02 C00ANHAS PIC 9(4).
000290       02 C00FECHA.
000300           04 C00FECAN PIC 9(4).
000310           04 C00FECME PIC 9(2).
000320           04 C00FECDI PIC 9(2).
000540       02 C00MONED PIC X(2).
000540       02 C00REPCU PIC X   .
000540       02 C00REPDE PIC X   .
000540       02 C00REPDH PIC X   .
000540       02 C00DIAUX PIC X(11).
000540       02 C00TAIMP PIC X.
000290       02 C00FEMAX.
000300           04 C00MAXAN PIC 9(4).
000310           04 C00MAXME PIC 9(2).
000320           04 C00MAXDI PIC 9(2).
000290       02 C00FEMIN.
000300           04 C00MINAN PIC 9(4).
000310           04 C00MINME PIC 9(2).
000320           04 C00MINDI PIC 9(2).
000540       02 C00TAIVA PIC S99V99.
000540       02 C00TAIRE PIC S99V99.
000540       02 C00IVASU PIC S99V99.
000540       02 C00IVAIN PIC S99V99.
000540       02 C00DIREC PIC X(30).
000540       02 C00LOCAL PIC X(30).
000540       02 C00TELEF PIC X(30).
000290       02 C00CUIT .
000300           04 C00CUIT1 PIC 9(2).
000310           04 C00CUIT2 PIC 9(8).
000320           04 C00CUIT3 PIC 9(1).
000540       02 C00TAART PIC 99.
000540       02 C00TIART PIC X .
000540       02 C00ASIVE PIC X .
000540       02 C00RECDE PIC X .
000540       02 C00BOCA  PIC 99.
000540       02 C00OBLBO PIC X .
000540       02 C00STOME PIC X .
000540       02 C00ACSTO PIC X .
000540       02 C00DIAFI PIC X .
000540       02 C00PORCE PIC S9(3)V99.
000540       02 C00FLEMI PIC S9(9)V99.
             02 C00ILPT1 PIC X(15).
             02 C00ILPT2 PIC X(15).
             02 C00ILPT3 PIC X(15).
             02 C00CLASU PIC X(3).
             02 C00DETA1 PIC X(40).
             02 C00DETA2 PIC X(40).
             02 C00DETA3 PIC X(40).
             02 C00DETA4 PIC X(40).
             02 C00DETA5 PIC X(40).
             02 C00DETA6 PIC X(40).
             02 C00DETA7 PIC X(40).
             02 C00NUTIC PIC 9999.
             02 C00I1COM PIC X(15).
             02 C00I1EXP PIC X(15).
             02 C00I1IN1 PIC X(15).
             02 C00I1IN2 PIC X(15).
             02 C00I1IN3 PIC X(15).
             02 C00I1EMI PIC X(15).
             02 C00I1EMF PIC X(15).
             02 C00I1GRI PIC X(15).
             02 C00I1GRF PIC X(15).
             02 C00I2COM PIC X(15).
             02 C00I2EXP PIC X(15).
             02 C00I2IN1 PIC X(15).
             02 C00I2IN2 PIC X(15).
             02 C00I2IN3 PIC X(15).
             02 C00I2EMI PIC X(15).
             02 C00I2EMF PIC X(15).
             02 C00I2GRI PIC X(15).
             02 C00I2GRF PIC X(15).
             02 C00I3COM PIC X(15).
             02 C00I3EXP PIC X(15).
             02 C00I3IN1 PIC X(15).
             02 C00I3IN2 PIC X(15).
             02 C00I3IN3 PIC X(15).
             02 C00I3EMI PIC X(15).
             02 C00I3EMF PIC X(15).
             02 C00I3GRI PIC X(15).
             02 C00I3GRF PIC X(15).
             02 C00LPIM1 PIC 99.
             02 C00LPIM2 PIC 99.
             02 C00LPIM3 PIC 99.
             02 C00TACEN PIC 9.
             02 C00POCEN PIC 9.
             02 C00TADEP PIC 9.
             02 C00PODEP PIC 9.
             02 C00TAMOT PIC 9.
             02 C00POMOT PIC 9.
             02 C00STOCK PIC X.
             02 C00AYUVA PIC X.
             02 C00COFVA PIC X.
             02 C00PRFVA PIC X.
             02 C00RAZCO PIC X.
             02 C00PRDEU PIC X.
             02 C00PRDIA PIC 99.
             02 C00TEDEU PIC X.
             02 C00TEDIA PIC 99.
             02 C00SIGLA PIC XX.
             02 C00DISCO PIC X.
             02 C00DIRIM PIC X(8).
             02 C00DIREX PIC X(8).
             02 C00LISMA PIC 9(2).
             02 C00USBAT PIC X(3).
000540       02 FILLER   PIC X(972).
000190 FD C12
000200      RECORD  CONTAINS  212 CHARACTERS
000210      LABEL RECORDS ARE STANDARD.
000220 01 C12-REC.
000300       02 C12FECHA-LA.
000300        03 C12FECHA.
000300          04 C12FECAN  PIC 9999.
000300          04 C12FECME  PIC 99  .
000300          04 C12FECDI  PIC 99  .
000230       03  C12CODPR-LA.
000240        04 C12COPRO.
000240         06 C12CODPR PIC 9(5).
000240         06 C12SUCUR PIC 9(2).
000250        04 C12COMPR-LA.
000250         06 C12COMPR.
000260           08 C12COMLE PIC X(4).
000260           08 C12COMBO PIC 9(4).
000260           08 C12COMNU PIC 9(8).
000250         06 C12TRANS-LA.
000260          08 C12TRANS PIC 9(8).
000260          08 C12LLAVE.
000260           10 C12NUMER PIC 9(8).
000300       02 C12FEVEN.
000300          04 C12FEVAN  PIC 9999.
000300          04 C12FEVME  PIC 99  .
000300          04 C12FEVDI  PIC 99  .
000260       02 C12COPAG PIC 9(3).
000260       02 C12ESPEC PIC X(2).
000260       02 C12COTIZ PIC S9(7)V9(6).
000260       02 C12IMPOR PIC S9(13)V9(2).
000260       02 C12NETGR PIC S9(13)V9(2).
000260       02 C12TAIVA PIC S9(2)V99.
000260       02 C12TIPO  PIC X.
000260       02 C12DECRE PIC X.
000260       02 C12BL    PIC X(8).
000300       02 C12FECBL.
000300          04 C12FEBAN  PIC 9999.
000300          04 C12FEBME  PIC 99  .
000300          04 C12FEBDI  PIC 99  .
000260       02 C12CARPE     PIC 9(7).
000260       02 C12FILLE     PIC X(80).
000190 FD H35
000200      RECORD  CONTAINS  300 CHARACTERS
000210      LABEL RECORDS ARE STANDARD.
000220 01 H35-REC.
000260       02 H35FECHA-LA.
000270         03 H35FECHA.
000270           04 H35FECAN PIC 9(4).
000270           04 H35FECME PIC 9(2).
000270           04 H35FECDI PIC 9(2).
000280          03 H35NUCOM-LA.
000290             04 H35NUCOM PIC 9(11).
000320             04 H35LLAVE.
000330               06 H35NUMER PIC 9(8).
000320       02 H35IMPOR-LA.
000330         04 H35IMPOR     PIC S9(13)V99.
000320       02 H35NUPRO-LA.
000330         04 H35NUPRO     PIC 9(6).
000320       02 H35CODCL-LA.
000330         04 H35CODCL     PIC 9(5).
000330         04 H35CLISU     PIC 99.
000320       02 H35CODPR-LA.
000330         04 H35CODPR     PIC 9(5).
000330         04 H35PROSU     PIC 99.
000270       02 H35FEDEP.
000270         04 H35FDEAN     PIC 9(4).
000270         04 H35FDEME     PIC 9(2).
000270         04 H35FDEDI     PIC 9(2).
000340       02 H35CODBA       PIC 999.
000350       02 H35BANSU       PIC 999.
000350       02 H35OBSER       PIC X(60).
000350       02 H35CLEAR       PIC 99.
000350       02 H35PRTER       PIC X.
000470       02 FILLER         PIC X(153).

000629 FD X03
000630      RECORD  CONTAINS 73 CHARACTERS
000631      LABEL RECORDS ARE STANDARD.
000632 01 X03-REC.
000633       02 X03CUENT-LA.
000634        03 X03CUENT PIC 9(10).
000635        03 X03TRANS-LA.
000636         04 X03TRANS PIC 9(8).
000637         04 X03LLAVE.
000638           06 X03NUMER PIC 9(8).
000639       02 X03DETAL-LA.
000640         04 X03DETAL PIC X(30).
000641       02 X03DEBHA PIC X.
000642       02 X03IMPOR-LA.
000643         04 X03IMPOR PIC S9(13)V99.
000644       02 X03CLASE PIC X    .
000645 FD  AUX1FILE
000646         RECORD CONTAINS 99 CHARACTERS
000647         LABEL RECORDS ARE STANDARD.
000648 01  AU1-REC.
000649      03 AU1LLAVE .
000650          09 AU1TRANS  PIC 9(8).
000651 FD  AUX2FILE
000652         RECORD CONTAINS 99 CHARACTERS
000653         LABEL RECORDS ARE STANDARD.
000654 01  AU2-REC.
000655      03 AU2LLAVE .
000656           09 AU2INTEG  PIC 9(3).
000657           09 AU2CODPR  PIC 9(5).
000658           09 AU2SUCUR  PIC 9(2).
000659      03 AU2TITUL  PIC X(30).
000660      03 AU2DEBE   PIC S9(13)V99.
000661      03 AU2HABER  PIC S9(13)V99.
000662 FD  AUXIFILE
000663         RECORD CONTAINS 99 CHARACTERS
000664         LABEL RECORDS ARE STANDARD.
000665 01  AUX-REC.
000666      03 AUXLLAVE .
000667          09 AUXCUENT  PIC 9(10).
000668      03 AUXINTEG  PIC 999.
000669      03 AUXTITUL  PIC X(30).
000670      03 AUXDEBE   PIC S9(13)V99.
000671      03 AUXHABER  PIC S9(13)V99.
000672
000673 FD  AUX3FILE
000674         RECORD CONTAINS 99 CHARACTERS
000675         LABEL RECORDS ARE STANDARD.
000676 01  AU3-REC.
000677      03 AU3LLAVE .
000678          05 AU3INTEG  PIC 9(3).
000679      03 AU3TITUL  PIC X(30).
000680      03 AU3DEBE   PIC S9(13)V99.
000681      03 AU3HABER  PIC S9(13)V99.
000682 FD  AUX4FILE
000683         RECORD CONTAINS 99 CHARACTERS
000684         LABEL RECORDS ARE STANDARD.
000685 01  AU4-REC.
000686      03 AU4LLAVE .
000687          05 AU4INTEG  PIC 9(3).
000688      03 AU4TITUL  PIC X(30).
000689      03 AU4DEBE   PIC S9(13)V99.
000690      03 AU4HABER  PIC S9(13)V99.
000691 FD  AUX5FILE
000692         RECORD CONTAINS 99 CHARACTERS
000693         LABEL RECORDS ARE STANDARD.
000694 01  AU5-REC.
000695      03 AU5LLAVE .
000696           09 AU5CUENT  PIC 9(10).
000697           09 AU5CODPR  PIC 9(5).
000698           09 AU5SUCUR  PIC 9(2).
000699      03 AU5TITUL  PIC X(30).
000700      03 AU5DEBE   PIC S9(13)V99.
000701      03 AU5HABER  PIC S9(13)V99.
000180 FD C01
000190      RECORD  CONTAINS 178 CHARACTERS
000200      LABEL RECORDS ARE STANDARD.
000210 01 C01-REC.
000300       02 C01MONED-LA.
000300          04 C01MONED PIC XXXX.
000300          04 C01TIPO-LA.
000300            06 C01TIPO  PIC XX.
000260            06  C01LLAVE.
000270              08 C01CUENT PIC 9(10).
000280       02 C01TITUL-LA.
000290         04 C01TITUL PIC X(30).
000300       02 C01TITRE PIC X(15).
000300       02 C01CLASE PIC X.
000300       02 C01NIVEL PIC 9.
000310       02 C01ESTAD PIC X.
000310       02 C01AJUST PIC X.
000310       02 C01PASES PIC X.
000320       02 C01INTEG PIC 9(3).
000330       02 C01BALA1 PIC 9(2).
000340       02 C01BALA2 PIC 9(2).
000350       02 C01BALA3 PIC 9(2).
000300       02 C01DEBHA PIC X.
000350       02 C01PROVE PIC X.
000350       02 C01VENTA PIC X.
000350       02 C01STOCK PIC X.
000350       02 C01ARTLE PIC X(13).
000350       02 C01ARTNU REDEFINES C01ARTLE PIC 9(13).
000350       02 FILLER   PIC X(86).
000180 FD C02
000190      RECORD  CONTAINS 64 CHARACTERS
000200      LABEL RECORDS ARE STANDARD.
000210 01 C02-REC.
000300       02 C02FECHA-LA.
000300        03 C02FECHA.
000300          04 C02FECAN  PIC 9999.
000300          04 C02FECME  PIC 99  .
000300          04 C02FECDI  PIC 99  .
000300        03 C02ASIEN-LA.
000300         04 C02ASIEN.
000300          06 C02ASILE  PIC X(4).
000300          06 C02ASIAN  PIC 9(4).
000300          06 C02ASIME  PIC 9(2).
000300          06 C02ASINU  PIC 9(8).
000260         04 C02LLAVE.
000270           08 C02TRANS PIC 9(8).
000290       02 C02TITUL-LA.
000290          04 C02TITUL  PIC X(30).
000180 FD C03
000190      RECORD  CONTAINS 73 CHARACTERS
000200      LABEL RECORDS ARE STANDARD.
000210 01 C03-REC.
000300       02 C03CUENT-LA.
000300        03 C03CUENT PIC 9(10).
000300        03 C03TRANS-LA.
000300         04 C03TRANS PIC 9(8).
000300         04 C03LLAVE.
000300           06 C03NUMER PIC 9(8).
000290       02 C03DETAL-LA.
000290         04 C03DETAL PIC X(30).
000290       02 C03DEBHA PIC X.
000290       02 C03IMPOR-LA.
000290         04 C03IMPOR PIC S9(13)V99.
000210       02 FILLER   PIC X    .
000180 FD C04
000190      RECORD  CONTAINS 154 CHARACTERS
000200      LABEL RECORDS ARE STANDARD.
000210 01 C04-REC.
000300       02 C04LLAVE.
000270          08 C04MONED PIC X(4).
000280       02 C04NOMBR-LA.
000290         04 C04NOMBR PIC X(30).
000280       02 C04ORDEN-LA.
000300         04 C04ORDEN PIC 99.
000300       02 C04COBRA PIC X.
000300       02 C04PAGOS PIC X.
000300       02 C04CARTE PIC X.
000300       02 C04BANCO PIC X.
000310       02 C04EFECT PIC X.
000310       02 C04ESPEC PIC XX.
000310       02 C04ULCOM PIC 9(11).
000300       02 C04ULFEC.
000300          04 C04UFEAN  PIC 9999.
000300          04 C04UFEME  PIC 99  .
000300          04 C04UFEDI  PIC 99  .
000310       02 C04INFEC PIC X .
000310       02 C04INPRO PIC X .
000310       02 C04INCOM PIC X .
000310       02 C04INBAN PIC X .
000310       02 C04ULPRO PIC 9(6).
000310       02 C04INCLE PIC X .
000310       02 C04NOCOM PIC X(6).
000310       02 C04ACTPA PIC X .
000310       02 C04MOREC PIC X(4).
000310       02 C04MORET PIC X(4).
000310       02 C04INOBS PIC X .
000310       02 C04INPRT PIC X .
000310       02 C04EMITE PIC X .
000310       02 C04EPROG PIC X(8).
000310       02 C04CTPRO PIC X.
000310       02 C04CTCLI PIC X.
000350       02 FILLER   PIC X(53).
000450 FD C05
000460      RECORD  CONTAINS 100 CHARACTERS
000470      LABEL RECORDS ARE STANDARD.
000190 01 C05-REC.
000200       02 C05TITUL-LA.
000210          04 C05TITUL PIC X(30).
000200          04 C05LLAVE.
000210             06 C05CUTIP PIC X(5).
000200       02 C05CUENT-LA.
000200          04 C05CUENT PIC 9(10).
000200       02 C05COMPA    PIC X.
000210       02 FILLER      PIC X(54).
000190 FD C11
000200      RECORD  CONTAINS  500 CHARACTERS
000210      LABEL RECORDS ARE STANDARD.
000220 01 C11-REC.
000230       02  C11LLAVE.
000240         04 C11CODPR PIC 9(5).
000240         04 C11SUCUR PIC 9(2).
000250       02 C11NOMBR-LA.
000260         04 C11NOMBR PIC X(30).
000270       02 C11DOMIC-LA.
000280         04 C11DOMIC PIC X(30).
000270       02 C11ORPAG-LA.
000280         04 C11ORPAG PIC X(30).
000290       02 C11LOCAL-LA.
000300         04 C11LOCAL PIC X(20).
000310       02 C11CODPO PIC 9(4) .
000310       02 C11SUBLO PIC 9(2) .
000320       02 C11TELEF PIC X(24).
000320       02 C11NUFAX PIC X(24).
000320       02 C11CUENT PIC 9(10).
000330       02 C11CUIT-LA.
000330         04 C11CUIT.
                  06 C11CUIT1 PIC 99.
                  06 C11CUIT2 PIC 9(8).
                  06 C11CUIT3 PIC 9.
000330       02 C11ESTAD PIC X.
000340       02 C11OBSE1 PIC X(60).
000340       02 C11OBSE2 PIC X(60).
000340       02 C11OBSE3 PIC X(60).
000350       02 C11DIAS  PIC 999  .
000350       02 C11DIPAG PIC XXX  .
000350       02 C11DISCR PIC X    .
000360       02 C11CUPRO PIC 9(10).
000370       02 C11CATIV PIC X    .
000370       02 C11CATGA PIC XX  .
000370       02 C11INGAN PIC X    .
000370       02 C11POSUS PIC S99V99.
000370       02 C11COPAG PIC 999.
000370       02 C11VENCI PIC X  .
000370       02 C11CONCO PIC X  .
000370       02 C11LIMCO PIC S9(13)V99.
000370       02 FILLER   PIC X(82).
000190 FD C55
000200      RECORD  CONTAINS 132 CHARACTERS
000210      LABEL RECORDS ARE STANDARD.
000220 01 C55-REC.
000420      02 C55LLAVE.
000420        04 C55TRANS   PIC 9(8).
000420        04 C55NUMER-LA.
000420          06 C55NUMER PIC 9(8).
000420          06 C55TRAN1 PIC 9(8).
000420      02 C55OPETI     PIC X.
000420      02 C55OPECO     PIC 9(5).
000420      02 C55OPESU     PIC 9(2).
000420      02 C55ARCHI.
000420          04 C55ARTIP PIC X(3).
000420          04 C55MONED PIC X(4).
000420      02 FILER        PIC X(93).
000290 WORKING-STORAGE SECTION.
000220 01 W17-REC.
000300       02 W17TRANS-LA.
000300         04 W17TRANS  PIC 9(8).
000300         04 W17FECHA-LA.
000300           06 W17FECHA.
000300            08 W17FECAN  PIC 9999.
000300            08 W17FECME  PIC 99  .
000300            08 W17FECDI  PIC 99  .
000250           06 W17LLAVE.
000260            08 W17COMLE PIC X(4).
000260            08 W17COMSU PIC 9(2).
000260            08 W17HASTA PIC 9(6).
000260       02 W17DESDE PIC 9(6).
000260       02 W17IMPOR PIC S9(13)V9(2).
000260       02 W17NETGR PIC S9(13)V9(2).
000260       02 FILLER   PIC X(22).
000210 01 W02-REC.
000300       02 W02FECHA-LA.
000300        03 W02FECHA.
000300          04 W02FECAN  PIC 9999.
000300          04 W02FECME  PIC 99  .
000300          04 W02FECDI  PIC 99  .
000300        03 W02ASIEN-LA.
000300         04 W02ASIEN.
000300          06 W02ASILE  PIC X(4).
000300          06 W02ASIAN  PIC 9(4).
000300          06 W02ASIME  PIC 9(2).
000300          06 W02ASINU  PIC 9(8).
000260         04 W02LLAVE.
000270           08 W02TRANS PIC 9(8).
000290       02 W02TITUL     PIC X(30).
000220 01 W20-REC.
000270       02 W20LLAVE.
000420          04 W20ARCHI PIC X(8).
000420          04 W20ARCLL PIC X(20).
000000 01 B00-PAT PIC X(30).
000000 01 C00-PAT PIC X(30).
000000 01 C01-PAT PIC X(30).
000000 01 C02-PAT PIC X(30).
000000 01 C03-PAT PIC X(30).
000000 01 C04-PAT PIC X(30).
000000 01 C05-PAT PIC X(30).
000000 01 C11-PAT PIC X(30).
000000 01 C12-PAT PIC X(30).
000000 01 C55-PAT PIC X(30).
000000 01 H35-PAT PIC X(30).
000000 01 AUX-PAT.
000300      02 AUX-DIAUX PIC X(09)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 AUX-USRID PIC X(3)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 AUX-NOM   PIC X(8).
000300      02 FILLER    PIC XX VALUE SPACES.
000000 01 AU1-PAT.
000300      02 AU1-DIAUX PIC X(09)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 AU1-USRID PIC X(3)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 AU1-NOM   PIC X(8).
000300      02 FILLER    PIC XX VALUE SPACES.
000000 01 AU2-PAT.
000300      02 AU2-DIAUX PIC X(09)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 AU2-USRID PIC X(3)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 AU2-NOM   PIC X(8).
000300      02 FILLER    PIC XX VALUE SPACES.
000000 01 AU3-PAT.
000300      02 AU3-DIAUX PIC X(09)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 AU3-USRID PIC X(3)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 AU3-NOM   PIC X(8).
000300      02 FILLER    PIC XX VALUE SPACES.
000000 01 AU4-PAT.
000300      02 AU4-DIAUX PIC X(09)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 AU4-USRID PIC X(3)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 AU4-NOM   PIC X(8).
000300      02 FILLER    PIC XX VALUE SPACES.
000000 01 AU5-PAT.
000300      02 AU5-DIAUX PIC X(09)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 AU5-USRID PIC X(3)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 AU5-NOM   PIC X(8).
000300      02 FILLER    PIC XX VALUE SPACES.
000000 01 AU6-PAT.
000300      02 AU6-DIAUX PIC X(09)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 AU6-USRID PIC X(3)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 AU6-NOM   PIC X(8).
000300      02 FILLER    PIC XX VALUE SPACES.
000000 01 AU7-PAT.
000300      02 AU7-DIAUX PIC X(09)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 AU7-USRID PIC X(3)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 AU7-NOM   PIC X(8).
000300      02 FILLER    PIC XX VALUE SPACES.
000000 01 AU8-PAT.
000300      02 AU8-DIAUX PIC X(09)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 AU8-USRID PIC X(3)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 AU8-NOM   PIC X(8).
000300      02 FILLER    PIC XX VALUE SPACES.
000000 01 T03-PAT.
000300      02 T03-DIAUX PIC X(09)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 T03-USRID PIC X(3)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 T03-NOM   PIC X(8).
000300      02 FILLER    PIC X(18).
000000 01 T04-PAT.
000300      02 T04-DIAUX PIC X(09)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 T04-USRID PIC X(3)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 T04-NOM   PIC X(8) VALUE "T04".
000300      02 FILLER    PIC X(18).
000000 01 T24-PAT.
000300      02 T24-DIAUX PIC X(09)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 T24-USRID PIC X(3)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 T24-NOM   PIC X(8) VALUE "T24".
000300      02 FILLER    PIC X(18).
000000 01 T12-PAT.
000300      02 T12-DIAUX PIC X(09)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 T12-USRID PIC X(3)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 T12-NOM   PIC X(8) VALUE "T12".
000300      02 FILLER    PIC X(18).
000000 01 H25-PAT.
000300      02 H25-DIAUX PIC X(09)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 H25-USRID PIC X(3)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 H25-NOM   PIC X(8).
000300      02 FILLER    PIC X(18).
000000 01 D25-PAT.
000300      02 D25-DIAUX PIC X(09)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 D25-USRID PIC X(3)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 D25-NOM   PIC X(8).
000300      02 FILLER    PIC X(18).
000000 01 T31-PAT.
000300      02 T31-DIAUX PIC X(09)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 T31-USRID PIC X(3)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 T31-NOM   PIC X(8) VALUE "T31".
000300      02 FILLER    PIC X(18).
000000 01 T32-PAT.
000300      02 T32-DIAUX PIC X(09)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 T32-USRID PIC X(3)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 T32-NOM   PIC X(8) VALUE "T32".
000300      02 FILLER    PIC X(18).
000000 01 T27-PAT.
000300      02 T27-DIAUX PIC X(09)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 T27-USRID PIC X(3)  .
000300      02 FILLER    PIC X  VALUE "\".
000300      02 T27-NOM   PIC X(8).
000300      02 FILLER    PIC X(18).
000460 77 ULT-C02    PIC 9(8).
000460 77 ULT-C03    PIC 9(8).
000460 77 ULT-C12    PIC 9(8).
000460 77 ULT-C55    PIC 9(8).
000460 77 ULT-C15    PIC 9(8).
000460 77 ULT-C18    PIC 9(8).
000280 01 FUL .
000290    03 FUC .
000300       05 IND    PIC X  VALUE SPACES.
000310       05 SEG    PIC X VALUE SPACES.
000320    03 FUN REDEFINES FUC PIC 99 .
002100 77 I          PIC S999999.
002090 77 J          PIC S999999.
002120 77 COLU       PIC S999.
002130 77 FILA       PIC 99.
002140 77 EX         PIC S999.
002140 77 FUN-COD    PIC S99.
002140 77 POS-CUE    PIC S99.
002140 77 POS-ART    PIC S99.
002150 77 MENSAJE    PIC X(75)   VALUE SPACES .
002160 77 IND-MOD    PIC X   VALUE SPACES .
000450 77 LIN-COR    PIC S9999 COMP  VALUE ZERO  .
000450 77 LIN-RED    PIC S9999 COMP  VALUE ZERO  .
000450 77 CON-LIN    PIC S9999 COMP  VALUE ZERO  .
000460 77 CON-PAG    PIC  999  .
000600 77 LINEBLA PIC X(80)   VALUE SPACES.
       01 LIN-NOR.
           03 SL-NOR  PIC X(15).
           03 SL-NOR-CON PIC X(240).
       01 LIN-COM.
           03 SL-COM  PIC X(15).
           03 SL-COM-CON PIC X(240).
000010 01 LINE000.
            04 SL-IN1          PIC X(15).
            04 SL-IN2          PIC X(15).
            04 SL-IN3          PIC X(15).
000240 01  TAB-MES.
R00250      03  TABLA-MES.
000260          05 FILLER    PIC X(10)     VALUE "    ENERO" .
000270          05 FILLER    PIC X(10)     VALUE "  FEBRERO" .
000280          05 FILLER    PIC X(10)     VALUE "    MARZO" .
000290          05 FILLER    PIC X(10)     VALUE "    ABRIL" .
000300          05 FILLER    PIC X(10)     VALUE "     MAYO" .
000310          05 FILLER    PIC X(10)     VALUE "    JUNIO" .
000320          05 FILLER    PIC X(10)     VALUE "    JULIO" .
000330          05 FILLER    PIC X(10)     VALUE "   AGOSTO".
000340          05 FILLER    PIC X(10)     VALUE "SETIEMBRE" .
000350          05 FILLER    PIC X(10)     VALUE "  OCTUBRE" .
000360          05 FILLER    PIC X(10)     VALUE "NOVIEMBRE" .
000370          05 FILLER    PIC X(10)     VALUE "DICIEMBRE" .
000380      03  NOMBRE-MES   REDEFINES TABLA-MES
000390                                     OCCURS 12 TIMES PIC IS X(10).
000460 01 TIME-EQ.
000490     03 HORA   PIC 99   .
000500     03 MINU   PIC 99   .
000510     03 SEGU   PIC 99   .
000520     03 FRAC   PIC 99   .
000000 01  FECHA-EQ.
000000       03 FECAN-EQ  PIC 99.
000000       03 FECME-EQ  PIC 99.
000000       03 FECDI-EQ  PIC 99.
000460 01 TI-EQ.
000490     03 HO     PIC 99   .
000500     03 MI     PIC 99   .
000510     03 SE     PIC 99   .
000520     03 FR     PIC 99   .
000000 01  FE-EQ.
000000       03 AN  PIC 9999.
000000       03 ME  PIC 99.
000000       03 DI  PIC 99.
       77  TI-EDI PIC X(5).
000310 01 DIASXMES.
000320    03 TOMES.
000330       05 FILLER PIC 99 VALUE 31    .
000340       05 FILLER PIC 99 VALUE 28    .
000350       05 FILLER PIC 99 VALUE 31    .
000360       05 FILLER PIC 99 VALUE 30    .
000370       05 FILLER PIC 99 VALUE 31    .
000380       05 FILLER PIC 99 VALUE 30    .
000390       05 FILLER PIC 99 VALUE 31    .
000400       05 FILLER PIC 99 VALUE 31    .
000410       05 FILLER PIC 99 VALUE 30    .
000420       05 FILLER PIC 99 VALUE 31    .
000430       05 FILLER PIC 99 VALUE 30    .
000440       05 FILLER PIC 99 VALUE 31    .
000450    03 DIMES  REDEFINES TOMES PIC 99 OCCURS 12 TIMES.
000000 01 TABLA.
000000      02 LINEAS.
000000         04 LIN01 PIC X(80).
000000         04 LIN02 PIC X(80).
000000         04 LIN03 PIC X(80).
000000         04 LIN04 PIC X(80).
               04 LIN05 PIC X(80).
               04 LIN06 PIC X(80).
               04 LIN07 PIC X(80).
               04 LIN08 PIC X(80).
               04 LIN09 PIC X(80).
               04 LIN10 PIC X(80).
               04 LIN11 PIC X(80).
               04 LIN12 PIC X(80).
               04 LIN13 PIC X(80).
               04 LIN14 PIC X(80).
               04 LIN15 PIC X(80).
               04 LIN16 PIC X(80).
               04 LIN17 PIC X(80).
               04 LIN18 PIC X(80).
               04 LIN19 PIC X(80).
               04 LIN20 PIC X(80).
               04 LIN21 PIC X(80).
               04 LIN22 PIC X(80).
               04 LIN23 PIC X(80).
               04 LIN24 PIC X(80).
       01  SAV-SCR.
           03  WCB-HANDLE               PIC 999 BINARY  VALUE 0.
           03  WCB-NUM-ROWS             PIC 999 BINARY  VALUE 25.
           03  WCB-NUM-COLS             PIC 999 BINARY  VALUE 80.
           03  WCB-LOCATION-REFERENCE   PIC X   VALUE "S".
           03  WCB-BORDER-SWITCH        PIC X   VALUE "Y".
           03  WCB-BORDER-TYPE          PIC 9   VALUE  3.
           03  WCB-BORDER-CHAR          PIC X   VALUE "*".
           03  WCB-FILL-SWITCH          PIC X   VALUE "N".
           03  WCB-FILL-CHAR            PIC X   VALUE " ".
           03  WCB-TITLE-LOCATION       PIC X   VALUE "T".
           03  WCB-TITLE-POSITION       PIC X   VALUE "C".
           03  WCB-TITLE-LENGTH         PIC 999 BINARY VALUE 0.
           03  WCB-TITLE                PIC X(64) VALUE SPACES.
       01  CREATE-WINDOW.
           03  FILLER              PIC X(15) VALUE "WINDOW-CREATE, ".
123456     03  FILLER              PIC X(18) VALUE "FCOLOR = WHITE,".
           03  FILLER              PIC X(18) VALUE "BCOLOR = BLACK ".

       01 PAT-TG0.
            03 PTG0   PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG0".
       01 PAT-TG1.
            03 PTG1   PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG1".
       01 PAT-TG2.
            03 PTG2   PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG2".
       01 PAT-TG3.
            03 PTG3   PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG3".
       01 PAT-TG4.
            03 PTG4   PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG4".
       01 PAT-TG5.
            03 PTG5   PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG5".
       01 PAT-TG6.
            03 PTG6   PIC X(09).
            03 FIVLER PIC X(11) VALUE "\DATOS\TG6".
       01 PAT-TG7.
            03 PTG7   PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG7".
       01 PAT-TG8.
            03 PTG8   PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG8".
       01 PAT-TG9.
            03 PTG9   PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG9".
       01 PAT-TG10.
            03 PTG10  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG10".
       01 PAT-TG11.
            03 PTG11  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG11".
       01 PAT-TG12.
            03 PTG12  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG12".
       01 PAT-TG13.
            03 PTG13  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG13".
       01 PAT-TG14.
            03 PTG14  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG14".
       01 PAT-TG15.
            03 PTG15  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG15".
       01 PAT-TG16.
            03 PTG16  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG16".
       01 PAT-TG17.
            03 PTG17  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG17".
       01 PAT-TG18.
            03 PTG18  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG18".
       01 PAT-TG19.
            03 PTG19  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG19".
       01 PAT-TG20.
            03 PTG20  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG20".
       01 PAT-TG21.
            03 PTG21  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG21".
       01 PAT-TG40.
            03 PTG40  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG40".
       01 PAT-TG41.
            03 PTG41  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG41".
       01 PAT-TG42.
            03 PTG42  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG42".
       01 PAT-TG43.
            03 PTG43  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG43".
       01 PAT-TG44.
            03 PTG44  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG44".
       01 PAT-TG45.
            03 PTG45  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG45".
       01 PAT-TG46.
            03 PTG46  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG46".
       01 PAT-TG47.
            03 PTG47  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG47".
       01 PAT-TG48.
            03 PTG48  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG48".
       01 PAT-TG49.
            03 PTG49  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG49".
       01 PAT-TG50.
            03 PTG50  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG50".
       01 PAT-TG51.
            03 PTG51  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG51".
       01 PAT-TG52.
            03 PTG52  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG52".
       01 PAT-TG53.
            03 PTG53  PIC X(09).
            03 FILLER PIC X(11) VALUE "\DATOS\TG53".
000640 01  LINE-MENS.
000670     03  FILLER           PIC X       VALUE "@".
000670     03  SL-NUMEN         PIC X(4).
000670     03  FILLER           PIC X       VALUE "@".
000670     03  SL-MENS          PIC X(30).


       77 TEX75     PIC X(75).
       77 AUDSESIO  PIC 99.
       77 U00EDUCA  PIC X VALUE "N".
       77 PROGRA PIC X(8) VALUE "GESTIONE".
       77 LEYENDO  PIC X(40).
       01 T-P   PIC X(1920).
       01 T-S   PIC X(1920).
       01 D-D USAGE BINARY.
           03 FILLER PIC 9(4) VALUE 0.
           03 FILLER PIC 9(4) VALUE 0.
           03 FILLER PIC 9(4) VALUE 1.
           03 FILLER PIC 9(4) VALUE 1.
           03 FILLER PIC 9(4) VALUE 1920.
           03 FILLER PIC 9(4) VALUE 0.
           03 FILLER PIC 9(4) VALUE 0.
       77 A-C PIC X VALUE H"01".
       01 P-T.
           05 F-G-C-V PIC X VALUE "7".
           05 B-G-C-V PIC X VALUE "0".
           05 A-V     PIC 9(4) BINARY VALUE 0.
           05 F-C     PIC X VALUE SPACES.
       01 ERR-REC.
            02 ERR-EXT.
               04 ARC-STAT PIC XX.
               04 EXT-STAT PIC XX.
            02 ARC-OPE  PIC X(20).
            02 ARC-NAME.
               03 ARC-NAME3 PIC X(3).
               03 FILLER    PIC X(27).
            02 ARC-PATH PIC X(64).
000990      02 PRG-NAME    PIC X(30).
000990      02 ARC-LIN     PIC 9(6) BINARY.
000990      02 ARC-ILI     PIC 9(2) BINARY.







000703 01 DETAL.
000704      02 PRI6      PIC X(06)  .
000705      02 FILLER    PIC X(20)  .
000706 77 C01CUENT-E    PIC Z(10).
000707 77 CUENT      PIC 9(10).
000708 77 IND-SUB    PIC X.
000709 77 CUPROVE  PIC  9(10).
000710 77 MARCA   PIC X      .
000711 77 X03STAT PIC XX     .
000712 01 X03-PAT.
000714      02 X03-DIAUX PIC X(09)  .
000715      02 FILLER    PIC X  VALUE "\".
000716      02 X03-USRID PIC X(3)  .
000717      02 FILLER    PIC X  VALUE "\".
000718      02 X03-NOM   PIC X(8).
000719 77 W03NUMER   PIC 9(8).
000720 77 IND-PRO    PIC X.
000721 77 IND-MAR    PIC X.
000722 77 C00ANDES-E PIC Z(3)9.
000723 77 C00ANHAS-E PIC Z(3)9.
000724 77 FECDI-E PIC Z(1)9.
000725 77 FECME-E PIC Z(1)9.
000726 77 FECAN-E PIC Z(3)9.
000727 77 C03CUENT-E PIC Z(9)9.
000728 77 C03TRANS-E PIC Z(7)9.
000729 77 C03NUMER-E PIC Z(7)9.
000730 77 NUMER-E PIC Z(7)9.
000731 77 PEPE-E PIC  Z(12)9.99-.
000732 77 TOPEPE     PIC S9(13)V99.
000733 77 HABER      PIC S9(13)V99.
000734 77  TOTDEBE       PIC S9(13)V99.
000735 77  TOTHABER      PIC S9(13)V99.
000736 77  AUXI           PIC S9(13)V99.
000746 77 ANDES    PIC  9(4).
000737 LINKAGE SECTION.
000738 77 USRID       PIC IS  XXX.
000739 77 SESIO       PIC IS  99 .
000740 01 FECHA.
000741      07 FECAN    PIC 9(4).
000742      07 FECME    PIC 9(2).
000743      07 FECDI    PIC 9(2).
000744 77 CODPR    PIC  9(5).
000745 77 CODPR2   PIC  9(5).
000746 77 ANDES-C  PIC  9(4).
000747 COPY "SISTPANT.CBL".
000748 PROCEDURE DIVISION USING USRID SESIO FECHA CODPR CODPR2 ANDES-C.
002609 START-CODE SECTION.
       CONTROLO.
           IF USRID = SPACES STOP RUN.
000750 PROGRAMA.
000751     MOVE 'C01CAFIC' TO PROGRA.
000752     CALL 'USOGRABA' USING USRID SESIO PROGRA.
000753     CANCEL 'USOGRABA'.
000755     OPEN INPUT B00.
000756     MOVE 1 TO  B00NUMER.
000757     READ B00.

           MOVE SPACES TO C00-PAT C01-PAT C02-PAT C03-PAT
                          C04-PAT C05-PAT C55-PAT C12-PAT C11-PAT
           STRING B00DIROT DELIMITED BY SPACE
                  "C00"    DELIMITED BY SIZE
                  INTO C00-PAT.

000755     OPEN INPUT C00
000756     MOVE 1 TO C00NUMER
000757     READ C00.

           MOVE SPACES TO C00-PAT C01-PAT C02-PAT C03-PAT
                          C04-PAT C05-PAT C55-PAT C12-PAT C11-PAT
           STRING B00DIROT DELIMITED BY SPACE
                  "C00"    DELIMITED BY SIZE
                  INTO C00-PAT.
           STRING B00DIROT DELIMITED BY SPACE
                  "C01"    DELIMITED BY SIZE
                  INTO C01-PAT.
           STRING B00DIROT DELIMITED BY SPACE
                  "C02"    DELIMITED BY SIZE
                  INTO C02-PAT.
           STRING B00DIROT DELIMITED BY SPACE
                  "C03"    DELIMITED BY SIZE
                  ANDES-C  DELIMITED BY SIZE
                  INTO C03-PAT.
           STRING B00DIROT DELIMITED BY SPACE
                  "C04"    DELIMITED BY SIZE
                  INTO C04-PAT.
           STRING B00DIROT DELIMITED BY SPACE
                  "C05"    DELIMITED BY SIZE
                  INTO C05-PAT.
           STRING B00DIROT DELIMITED BY SPACE
                  "C55"    DELIMITED BY SIZE
                  INTO C55-PAT.
           STRING B00DIROT DELIMITED BY SPACE
                  "C11"    DELIMITED BY SIZE
                  INTO C11-PAT.
           STRING B00DIROT DELIMITED BY SPACE
                  "C12"    DELIMITED BY SIZE
                  INTO C12-PAT.


000759     OPEN INPUT C01 C03 C02 C04 C55 C05 C12 C11.
000760     MOVE C00DIAUX TO X03-DIAUX
000761     MOVE USRID    TO X03-USRID
000762     MOVE "X03"    TO X03-NOM
000763     MOVE "AUX1"    TO AUX-NOM.
000764     MOVE C00DIAUX  TO AUX-DIAUX
000765     MOVE USRID     TO AUX-USRID.
000766     MOVE "AUX2"    TO AU1-NOM.
000767     MOVE C00DIAUX  TO AU1-DIAUX
000768     MOVE USRID     TO AU1-USRID.
000769     MOVE "AUX3"    TO AU2-NOM.
000770     MOVE C00DIAUX  TO AU2-DIAUX
000771     MOVE USRID     TO AU2-USRID.
000772     MOVE "AUX4"    TO AU3-NOM.
000773     MOVE C00DIAUX  TO AU3-DIAUX
000774     MOVE USRID     TO AU3-USRID.
000775     MOVE "AUX5"    TO AU4-NOM.
000776     MOVE C00DIAUX  TO AU4-DIAUX
000777     MOVE USRID     TO AU4-USRID.
000778     MOVE "AUX6"    TO AU5-NOM.
000779     MOVE C00DIAUX  TO AU5-DIAUX
000780     MOVE USRID     TO AU5-USRID.
000781     OPEN I-O AUX3FILE.
000782     OPEN I-O AUX4FILE.
000783     OPEN I-O AUX5FILE.
000784     OPEN I-O AUXIFILE.
000785     OPEN I-O AUX2FILE.
000786     OPEN I-O AUX1FILE.
000787     OPEN I-O X03.
000788     MOVE HIGH-VALUES TO X03-REC.
000789     START X03 KEY IS NOT GREATER THAN X03LLAVE
000790                INVALID KEY MOVE ZERO TO X03NUMER
000791                        GO TO FIN-ULT-X03.
000792     READ X03 PREVIOUS.
000793 FIN-ULT-X03.
000794     MOVE X03NUMER TO W03NUMER.
000795     MOVE "PROVE" TO C05CUTIP.
000796     READ C05 INVALID KEY
000797              CALL  "TG0SHOW" USING "C05RGACO" 00 FUN-COD
000798              CANCEL "TG0SHOW"
000799              GO TO FINALIZAR.
000800     MOVE C05CUENT TO CUPROVE.
000801     MOVE ZERO     TO C01CUENT.
000802     MOVE SPACES   TO C01TITUL.
000803 PONER.
000804     MOVE LOW-VALUES TO C04-REC
000805     START C04 KEY IS NOT LESS THAN C04LLAVE
000806           INVALID KEY GO TO FIN-PONER.
000807 OTRO-C04.
000808     READ C04 NEXT AT END GO TO FIN-PONER.
000809     IF C04CARTE IS NOT = "P" GO TO OTRO-C04.
000810     IF C04INFEC IS NOT = "S" GO TO OTRO-C04.
000812     MOVE LOW-VALUES TO C01-REC.
000813     MOVE C04MONED TO C01MONED.
000814     START C01 KEY IS NOT LESS THAN C01MONED-LA.
000815     READ C01 NEXT
           STRING B00DIROT DELIMITED BY SPACE
                  "H35"    DELIMITED BY SIZE
                  C04MONED DELIMITED BY SIZE
                  INTO H35-PAT.
000816     OPEN INPUT H35.
000817 LEER-H35-TOD.
000818     MOVE LOW-VALUES TO H35-REC.
000819     START H35 KEY IS NOT LESS THAN H35FECHA-LA
000820                   INVALID KEY GO TO FIN-LEER-H35-TOD.
000821 OTRO-H35-TOD.
000822     READ H35 NEXT AT END GO TO FIN-LEER-H35-TOD.
000823     MOVE H35NUMER  TO NUMER-E.
000824     DISPLAY NUMER-E  HIGH  LINE 15 POSITION  44.
000825     DISPLAY "H35" LINE 15 POSITION 54.
000826     IF H35IMPOR = 0 GO TO OTRO-H35-TOD.
000827     IF H35FDEAN IS NOT = FECAN
000828          OR H35FDEME IS NOT = FECME
000829                              GO TO OTRO-H35-TOD.
000830 AGREGAR.
000831     MOVE HIGH-VALUES TO C55NUMER-LA.
000832     MOVE H35NUMER TO C55NUMER.
000833     START C55 KEY IS NOT GREATER THAN C55NUMER-LA
000834              INVALID KEY
000835                   CALL "TG0SHOW" USING "FC55EP35" 00 FUN-COD
000836                   CANCEL "TG0SHOW"
000837                   GO TO FINALIZAR.
000838     READ C55 PREVIOUS.
000839     IF C55NUMER = H35NUMER NEXT SENTENCE ELSE
000840                   CALL "TG0SHOW" USING "FC55EP35" 00 FUN-COD
000841                   CANCEL "TG0SHOW"
000842                   GO TO FINALIZAR.
000843     MOVE C55TRANS TO C02TRANS.
000844     READ C02 INVALID KEY
000845                   CALL "TG0SHOW" USING "FC02EC55" 00 FUN-COD
000846                   CANCEL "TG0SHOW"
000847                   GO TO FINALIZAR.
000848     MOVE SPACES   TO X03-REC
000849     MOVE C01CUENT TO X03CUENT
000850     MOVE C02TRANS TO X03TRANS
000851     ADD 1 TO W03NUMER.
000852     MOVE W03NUMER TO X03NUMER.
000853     MOVE "H"      TO X03DEBHA.
000854     MOVE H35IMPOR TO X03IMPOR.
000855     MOVE C02TITUL TO X03DETAL.
000856     WRITE X03-REC.
000857     MOVE C02TRANS TO AU1TRANS.
000858     WRITE AU1-REC INVALID KEY GO TO
000859                              OTRO-H35-TOD.
000860     CLOSE C03.
000861     MOVE C02FECAN TO ANDES.
000862     CALL "BUSCAEJE" USING C00PRIME C02FECME ANDES

           STRING B00DIROT DELIMITED BY SPACE
                  "C03"    DELIMITED BY SIZE
                  ANDES    DELIMITED BY SIZE
                  INTO C03-PAT.


000863     OPEN INPUT C03.
000864     MOVE LOW-VALUES TO C03TRANS-LA.
000865     MOVE C02TRANS TO C03TRANS.
000866     START C03 KEY IS NOT LESS THAN C03TRANS-LA
000867            INVALID KEY GO TO OTRO-H35-TOD.
000868     MOVE "N" TO IND.
000869 OTRO-C03-AG .
000870     READ C03 NEXT AT END GO TO OTRO-H35-TOD.
000871     MOVE C03NUMER  TO NUMER-E.
000872     DISPLAY NUMER-E  HIGH  LINE 15 POSITION  44.
000873     DISPLAY "C03" LINE 15 POSITION 54.
000874     IF C03TRANS  = C02TRANS NEXT SENTENCE ELSE
000875                        GO TO OTRO-H35-TOD.
000876     IF C03CUENT IS NOT = C01CUENT NEXT SENTENCE ELSE
000877                 GO TO OTRO-C03-AG.
000878     IF C03DEBHA = "H" AND ( C02FECME IS NOT = FECME
000879                          OR C02FECAN IS NOT = FECAN )
000880                  GO TO OTRO-C03-AG.
000881     MOVE C03DETAL TO DETAL.
000882     CALL "CUENANAX" USING USRID SESIO C03CUENT IND.
000883     IF PRI6 = "CHEQUE" AND C03DEBHA = "H" AND IND = "P"
000884                               GO TO OTRO-C03-AG.
000885     MOVE C03-REC TO X03-REC .
000886     ADD 1 TO W03NUMER
000887     MOVE  W03NUMER TO X03NUMER
000888     WRITE X03-REC
000889     GO TO OTRO-C03-AG.
000890 FIN-C03-AG.
000891     GO TO OTRO-H35-TOD.
000892 FIN-LEER-H35-TOD.
000893     CLOSE  H35.
000894     GO TO OTRO-C04.
000895 FIN-PONER.
000896 CARGAR-C02.
000897     CLOSE C03.
000898     MOVE ANDES-C TO ANDES.

           STRING B00DIROT DELIMITED BY SPACE
                  "C03"    DELIMITED BY SIZE
                  ANDES-C  DELIMITED BY SIZE
                  INTO C03-PAT.

000899     OPEN INPUT C03.
000900     MOVE LOW-VALUES TO C02FECHA-LA.
000901     MOVE FECHA TO C02FECHA.
000902     MOVE ZERO  TO C02FECDI.
000903     START C02 KEY IS NOT LESS THAN C02FECHA-LA
000904                   INVALID KEY GO TO FIN-CARGAR-C02.
000905 OTRO-C02.
000906     READ C02 NEXT AT END GO TO FIN-CARGAR-C02.
000907     DISPLAY C02TRANS LINE 15 POSITION 44.
000908     DISPLAY "C02" LINE 15 POSITION 54.
000909     IF C02FECHA > FECHA GO TO FIN-CARGAR-C02.
000910     IF C02ASILE = "ZIAN" GO TO OTRO-C02.
000910     IF C02ASILE = "APAN" GO TO OTRO-C02.
000911
000912 VER-C03.
000913     MOVE LOW-VALUES TO C03TRANS-LA.
000914     MOVE C02TRANS TO C03TRANS.
000915     START C03 KEY IS NOT LESS THAN C03TRANS-LA
000916                      INVALID KEY GO TO OTRO-C02.
000917 OTRO-C03-VER.
000918     READ C03 NEXT AT END GO TO OTRO-C02.
000919     MOVE C03NUMER  TO NUMER-E.
000920     DISPLAY NUMER-E  HIGH  LINE 15 POSITION  44.
000921     DISPLAY "C03" LINE 15 POSITION 54.
000922     IF C03TRANS IS NOT = C02TRANS GO TO OTRO-C02.
000923     MOVE C03CUENT TO C01CUENT.
000924     READ C01 INVALID KEY GO TO OTRO-C03-VER.
000925     IF C01MONED IS NOT = SPACES GO TO FIN-VER-C03.
000926     GO TO OTRO-C03-VER.
000927 FIN-VER-C03.
000928     MOVE C02TRANS TO AU1TRANS.
000929     WRITE AU1-REC INVALID KEY GO TO OTRO-C02.
000930     MOVE LOW-VALUES TO C03TRANS-LA.
000931     MOVE C02TRANS TO C03TRANS.
000932     START C03 KEY IS NOT LESS THAN C03TRANS-LA
000933                      INVALID KEY GO TO OTRO-C02.
000934 OTRO-C03.
000935     READ C03 NEXT AT END GO TO OTRO-C02.
000936     MOVE C03NUMER  TO NUMER-E.
000937     DISPLAY NUMER-E  HIGH  LINE 15 POSITION  44.
000938     DISPLAY "C03" LINE 15 POSITION 54.
000939     IF C03TRANS IS NOT = C02TRANS GO TO OTRO-C02.
000940     MOVE C03CUENT TO C01CUENT.
000941     READ C01 INVALID KEY GO TO OTRO-C03.
000942     MOVE C01MONED TO C04MONED
000943     READ C04 INVALID KEY MOVE SPACES TO C04-REC.
000944     IF C03DEBHA = "D"
000945                ADD 1 TO W03NUMER
000946                MOVE C03-REC TO X03-REC
000947                MOVE W03NUMER TO X03NUMER
000948                WRITE X03-REC
000949                GO TO OTRO-C03.
000950     IF C04CARTE = "P" AND C04INFEC = "S"
000951                PERFORM VER-C55 THRU FIN-VER-C55
000952           ELSE
000953                ADD 1 TO W03NUMER
000954                MOVE C03-REC TO X03-REC
000955                MOVE W03NUMER TO X03NUMER
000956                WRITE X03-REC.
000957     GO TO OTRO-C03.
000958 VER-C55.
000959     MOVE LOW-VALUES TO C55-REC.
000960     MOVE C02TRANS TO C55TRANS.
000961     START C55 KEY IS NOT LESS THAN C55LLAVE
000962              INVALID KEY GO TO GRABAR-X03.
000963 OTRO-C55.
000964     READ C55 NEXT AT END GO TO GRABAR-X03.
000965     IF C55TRANS IS NOT  = C02TRANS GO TO GRABAR-X03.
000966     IF C55MONED = C04MONED
000967                  GO TO FIN-VER-C55.
000968     GO TO OTRO-C55.
000969 GRABAR-X03.
000970     ADD 1 TO W03NUMER
000971     MOVE C03-REC TO X03-REC
000972     MOVE W03NUMER TO X03NUMER
000973     WRITE X03-REC.
000974 FIN-VER-C55.
000975 FIN-CARGAR-C02.
000976
000977 BALANCEAR.
000978     MOVE ZERO TO C02TRANS.
000979 OTRO-BAL.
000980     MOVE ZERO TO TOTDEBE TOTHABER.
000981     MOVE LOW-VALUES TO X03-REC.
000982     MOVE C02TRANS TO X03TRANS.
000983     START X03 KEY IS NOT LESS THAN X03TRANS-LA
000984                  INVALID KEY GO TO FIN-BALANCEAR.
000985 OTRO-X03-BAL.
000986     READ X03 NEXT AT END
000987             IF  TOTDEBE = TOTHABER GO TO FIN-BALANCEAR
000988                  ELSE
000989                    PERFORM BALAN THRU FIN-BALAN
000990                    GO TO FIN-BALANCEAR
000991                    END-IF.
000992     MOVE X03NUMER  TO NUMER-E.
000993     DISPLAY NUMER-E  HIGH  LINE 15 POSITION  44.
000994     DISPLAY "X03" LINE 15 POSITION 54.
000995     IF X03TRANS IS NOT  = C02TRANS
000996                AND TOTDEBE = TOTHABER
000997                  MOVE X03TRANS TO C02TRANS
000998                  GO TO OTRO-BAL.
000999     IF X03TRANS IS NOT  = C02TRANS
001000            MOVE X03TRANS TO C55TRANS
001001            PERFORM BALAN THRU FIN-BALAN
001002            MOVE C55TRANS TO C02TRANS
001003            GO TO OTRO-BAL.
001004     IF X03DEBHA = "D" ADD X03IMPOR TO TOTDEBE
001005                 ELSE  ADD X03IMPOR TO TOTHABER.
001006     GO TO OTRO-X03-BAL.
001007 FIN-BALANCEAR.
001008
001009 NO-PROV.
001010     MOVE LOW-VALUES TO X03-REC.
001011     START X03 KEY IS NOT LESS THAN X03LLAVE
001012                INVALID KEY GO TO FIN-NOPROV.
001013 OTRO-X03-NOPRO.
001014     READ X03 NEXT AT END GO TO FIN-NOPROV.
001015     MOVE X03NUMER  TO NUMER-E.
001016     DISPLAY NUMER-E  HIGH  LINE 15 POSITION  44.
001017     DISPLAY "X03 NO PROV" LINE 15 POSITION 54.
001018     IF X03CLASE  IS NOT = SPACES GO TO OTRO-X03-NOPRO.
001019     IF X03CUENT  = CUPROVE GO TO OTRO-X03-NOPRO.
001020     MOVE X03CUENT TO C01CUENT.
001021     READ C01 INVALID KEY GO TO OTRO-X03-NOPRO.
001022*    IF C01MONED IS NOT = SPACES
001023*                   GO TO OTRO-X03-NOPRO.
001024     SUBTRACT 1 FROM CODPR
001025     MOVE X03CUENT TO AU5CUENT
001026     MOVE CODPR    TO AU5CODPR
001027     MOVE ZERO     TO AU5SUCUR
001028     MOVE X03DETAL TO AU5TITUL
001029     MOVE ZERO     TO AU5DEBE
001030     MOVE ZERO     TO AU5HABER
001031     MOVE ZERO     TO AU5DEBE
001032     SUBTRACT 1 FROM CODPR2
001033     MOVE C01INTEG TO AU2INTEG
001034     MOVE CODPR2   TO AU2CODPR
001035     MOVE ZERO     TO AU2SUCUR
001036     MOVE X03DETAL TO AU2TITUL
001037     MOVE ZERO     TO AU2DEBE
001038     MOVE ZERO     TO AU2HABER
001039     MOVE ZERO     TO AU2DEBE
001040     IF X03DEBHA = "D"
001041           MOVE X03IMPOR  TO AU2DEBE
001042           MOVE X03IMPOR  TO AU5DEBE
001043         ELSE
001044           MOVE X03IMPOR  TO AU2HABER
001045           MOVE X03IMPOR  TO AU5HABER.
001046     WRITE AU2-REC.
001047     WRITE AU5-REC.
001048     GO TO OTRO-X03-NOPRO.
001049 FIN-NOPROV.
001050
001051
001052
001053
001054
001055
001056
001057 PROVEEDOR.
001058     MOVE LOW-VALUES TO X03-REC.
001059     MOVE CUPROVE  TO X03CUENT.
001060     START X03 KEY IS NOT LESS THAN X03CUENT-LA
001061                INVALID KEY GO TO FIN-PROVEEDOR.
001062 OTRO-X03-PRO.
001063     READ X03 NEXT AT END GO TO FIN-PROVEEDOR.
001064     MOVE X03NUMER  TO NUMER-E.
001065     DISPLAY NUMER-E  HIGH  LINE 15 POSITION  44.
001066     DISPLAY "X03 PROVEEDOR" LINE 15 POSITION 54.
001067     IF X03CUENT IS NOT  = CUPROVE
001068                          GO TO FIN-PROVEEDOR.
001069     IF X03CLASE  = "X" GO TO FIN-PROVEEDOR.
001070     MOVE X03-REC TO C03-REC.
001071     DELETE X03.
001072 BUS-PRO.
001073     MOVE LOW-VALUES TO C12-REC.
001074     MOVE X03TRANS   TO C12TRANS
001075     START C12 KEY IS NOT LESS THAN C12TRANS-LA
001076                   INVALID KEY
001077                   MOVE CUPROVE  TO C01CUENT
001078                   GO TO FIN-BUS-PRO.
001079 OTRO-C12.
001080     READ C12 NEXT AT END GO TO FIN-BUS-PRO.
001081     MOVE C12NUMER  TO NUMER-E.
001082     DISPLAY NUMER-E  HIGH  LINE 15 POSITION  44.
001083     DISPLAY "C12" LINE 15 POSITION 54.
001084     IF C12TRANS IS NOT = X03TRANS GO TO FIN-BUS-PRO.
001085
001086     CALL "C16APLIX" USING USRID SESIO C12NUMER C01CUENT
001087                                          C11CODPR C11SUCUR.
001088     IF C01CUENT = CUPROVE MOVE 888888 TO C01CUENT.
001089     IF C12IMPOR < C03IMPOR
001090                ADD 1 TO W03NUMER
001091                MOVE W03NUMER TO X03NUMER
001092                MOVE C12IMPOR TO X03IMPOR
001093                SUBTRACT C12IMPOR FROM C03IMPOR
001094                MOVE C01CUENT TO X03CUENT
001095                MOVE SPACES   TO X03DETAL
001096                WRITE X03-REC
001097                PERFORM LEER-AUX5
001098                GO TO OTRO-C12.
001099     ADD 1 TO W03NUMER
001100     MOVE W03NUMER TO X03NUMER
001101     MOVE C03IMPOR TO X03IMPOR
001102     MOVE C01CUENT TO X03CUENT
001103     MOVE SPACES   TO X03DETAL
001104     WRITE X03-REC
001105     MOVE C03IMPOR TO C12IMPOR
001106     PERFORM LEER-AUX5
001107     MOVE ZERO TO C03IMPOR.
001108 FIN-BUS-PRO.
001109     IF C01CUENT = CUPROVE MOVE 888888 TO C01CUENT.
001110     MOVE C03-REC TO X03-REC
001111     IF X03DEBHA = "D"
001112                     MOVE X03IMPOR  TO AU2DEBE
001113                     MOVE X03IMPOR  TO AU5DEBE
001114                   ELSE
001115                     MOVE X03IMPOR  TO AU2HABER
001116                     MOVE X03IMPOR  TO AU5HABER.
001117     IF C03IMPOR > ZERO
001118               MOVE C01CUENT TO X03CUENT
001119               WRITE X03-REC
001120               SUBTRACT 1 FROM CODPR
001121               MOVE X03CUENT TO AU5CUENT
001122               MOVE CODPR    TO AU5CODPR
001123               MOVE ZERO     TO AU5SUCUR
001124               MOVE X03DETAL TO AU5TITUL
001125               MOVE ZERO     TO AU5DEBE
001126               MOVE ZERO     TO AU5HABER
001127               MOVE ZERO     TO AU5DEBE
001128               WRITE AU5-REC.
001129     GO TO PROVEEDOR.
001130 FIN-PROVEEDOR.
001131 FINALIZAR.
001132     CLOSE C00 C01 C03 C02 C04 C55 C05 C12 C11 B00
001133           AUX3FILE AUX4FILE AUX5FILE AUXIFILE AUX2FILE
001134             AUX1FILE X03.
001135 SALIDA.
001136     EXIT PROGRAM.
001137 MENSAJE-DIS.
001138     DISPLAY MENSAJE BLINK   LINE 24 POSITION 1.
001139     MOVE SPACES TO MENSAJE.
001140 LEER-AUX5.
001141     MOVE C01CUENT TO AU5CUENT
001142     READ C01 INVALID KEY MOVE SPACES TO C01-REC
001143                          MOVE ZERO TO C01INTEG.
001144     MOVE C01INTEG TO AU2INTEG
001145     MOVE C11CODPR TO AU5CODPR AU2CODPR.
001146     MOVE C11SUCUR TO AU5SUCUR AU2SUCUR.
001147     READ C11 INVALID KEY MOVE SPACES TO C11-REC
001148                          MOVE "XX"   TO C11NOMBR.
001149     READ AUX5FILE INVALID KEY
001150                  MOVE ZERO TO AU5DEBE
001151                  MOVE ZERO TO AU5HABER
001152                  MOVE C11NOMBR TO AU5TITUL
001153                  WRITE AU5-REC
001154                  READ AUX5FILE.
001155     READ AUX2FILE INVALID KEY
001156                  MOVE ZERO TO AU2DEBE
001157                  MOVE ZERO TO AU2HABER
001158                  MOVE C11NOMBR TO AU2TITUL
001159                  WRITE AU2-REC
001160                  READ AUX2FILE.
001161     IF X03DEBHA = "D"
001162              ADD C12IMPOR TO AU2DEBE
001163              ADD C12IMPOR TO AU5DEBE
001164         ELSE
001165              ADD C12IMPOR TO AU2HABER
001166              ADD C12IMPOR TO AU5HABER.
001167     REWRITE AU2-REC.
001168     REWRITE AU5-REC.
001169 FIN-LEER-AUX5.
001170
001171 BALAN.
001172     IF TOTDEBE > TOTHABER
001173                MOVE "D" TO IND
001174                SUBTRACT TOTHABER FROM TOTDEBE
001175              ELSE
001176                MOVE "S" TO IND
001177                SUBTRACT TOTDEBE  FROM TOTHABER.
001178     MOVE LOW-VALUES TO X03-REC.
001179     MOVE C02TRANS TO X03TRANS.
001180     START X03 KEY IS NOT LESS THAN X03TRANS-LA.
001181 OTRO-X03-BALAN.
001182     READ X03 NEXT AT END GO TO FIN-BALAN.
001183     MOVE X03NUMER  TO NUMER-E.
001184     DISPLAY NUMER-E  HIGH  LINE 15 POSITION  44.
001185     DISPLAY "X03" LINE 15 POSITION 54.
001186     IF X03TRANS IS NOT = C02TRANS GO TO FIN-BALAN.
001187     IF X03DEBHA = "H" AND IND = "D" GO TO OTRO-X03-BALAN.
001188     IF X03DEBHA = "D" AND IND = "S" GO TO OTRO-X03-BALAN.
001189     IF ( TOTDEBE  > ZERO AND IND = "D" )
001190     OR ( TOTHABER  > ZERO AND IND = "S" )
001191          NEXT SENTENCE ELSE
001192                        GO TO FIN-BALAN.
001193     IF IND = "D"
001194        IF X03IMPOR < TOTDEBE
001195              SUBTRACT X03IMPOR FROM TOTDEBE
001196              DELETE X03
001197            ELSE  SUBTRACT TOTDEBE FROM X03IMPOR
001198              REWRITE X03-REC
001199              GO TO FIN-BALAN.
001200     IF IND = "S"
001201        IF X03IMPOR < TOTHABER
001202              SUBTRACT X03IMPOR FROM TOTHABER
001203              DELETE X03
001204            ELSE  SUBTRACT TOTHABER FROM X03IMPOR
001205              REWRITE X03-REC
001206              GO TO FIN-BALAN.
001207     GO TO OTRO-X03-BALAN.
001208 FIN-BALAN.
















