    l1 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. C01RESFC.
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SOURCE-COMPUTER. RMC.
000006 OBJECT-COMPUTER. RMC.
000007 INPUT-OUTPUT SECTION.
000008 COPY "SISTSELE.CBL".
000009     SELECT X03 ASSIGN TO RANDOM X03-PAT
000010         ORGANIZATION IS INDEXED
000011         RECORD KEY IS X03LLAVE
000012         ALTERNATE RECORD KEY IS X03TRANS-LA
000013         ALTERNATE RECORD KEY IS X03CUENT-LA
000014         FILE STATUS IS X03STAT
000015         ACCESS IS DYNAMIC.
000016     SELECT AUXIFILE ASSIGN TO RANDOM  AUX-PAT
000017         ORGANIZATION IS INDEXED
000018         RECORD KEY IS AUXLLAVE
000019         FILE STATUS IS AUXSTAT
000020         ACCESS IS DYNAMIC.
000021     SELECT AUX2FILE ASSIGN TO RANDOM  AU2-PAT
000022         ORGANIZATION IS INDEXED
000023         RECORD KEY IS AU2LLAVE
000024         FILE STATUS IS AUXSTAT
000025         ACCESS IS DYNAMIC.
000026     SELECT AUX1FILE ASSIGN TO RANDOM  AU1-PAT
000027         ORGANIZATION IS INDEXED
000028         RECORD KEY IS AU1LLAVE
000029         FILE STATUS IS AUXSTAT
000030         ACCESS IS DYNAMIC.
000031     SELECT AUX3FILE ASSIGN TO RANDOM  AU3-PAT
000032         ORGANIZATION IS INDEXED
000033         RECORD KEY IS AU3LLAVE
000034         FILE STATUS IS AUXSTAT
000035         ACCESS IS DYNAMIC.
000036     SELECT AUX4FILE ASSIGN TO RANDOM  AU4-PAT
000037         ORGANIZATION IS INDEXED
000038         RECORD KEY IS AU4LLAVE
000039         FILE STATUS IS AUXSTAT
000040         ACCESS IS DYNAMIC.
000041     SELECT AUX5FILE ASSIGN TO RANDOM  AU5-PAT
000042         ORGANIZATION IS INDEXED
000043         RECORD KEY IS AU5LLAVE
000044         FILE STATUS IS AUXSTAT
000045         ACCESS IS DYNAMIC.
000046
000047 DATA DIVISION.
000048 FILE SECTION.
000049 FD X03
000050      RECORD  CONTAINS 73 CHARACTERS
000051      LABEL RECORDS ARE STANDARD.
000052 01 X03-REC.
000053       02 X03CUENT-LA.
000054        03 X03CUENT PIC 9(10).
000055        03 X03TRANS-LA.
000056         04 X03TRANS PIC 9(8).
000057         04 X03LLAVE.
000058           06 X03NUMER PIC 9(8).
000059       02 X03DETAL-LA.
000060         04 X03DETAL PIC X(30).
000061       02 X03DEBHA PIC X.
000062       02 X03IMPOR-LA.
000063         04 X03IMPOR PIC S9(13)V99.
000064       02 X03CLASE   PIC X    .
000065 FD  AUX1FILE
000066         RECORD CONTAINS 99 CHARACTERS
000067         LABEL RECORDS ARE STANDARD.
000068 01  AU1-REC.
000069      03 AU1LLAVE .
000070          09 AU1TRANS  PIC 9(8).
000071 FD  AUX2FILE
000072         RECORD CONTAINS 99 CHARACTERS
000073         LABEL RECORDS ARE STANDARD.
000074 01  AU2-REC.
000075      03 AU2LLAVE .
000076           09 AU2INTEG  PIC 9(3).
000077           09 AU2CODPR  PIC 9(5).
000078           09 AU2SUCUR  PIC 9(2).
000079      03 AU2TITUL  PIC X(30).
000080      03 AU2DEBE   PIC S9(13)V99.
000081      03 AU2HABER  PIC S9(13)V99.
000082 FD  AUXIFILE
000083         RECORD CONTAINS 99 CHARACTERS
000084         LABEL RECORDS ARE STANDARD.
000085 01  AUX-REC.
000086      03 AUXLLAVE .
000087          09 AUXCUENT  PIC 9(10).
000088      03 AUXINTEG  PIC 999.
000089      03 AUXTITUL  PIC X(30).
000090      03 AUXDEBE   PIC S9(13)V99.
000091      03 AUXHABER  PIC S9(13)V99.
000092
000093 FD  AUX3FILE
000094         RECORD CONTAINS 99 CHARACTERS
000095         LABEL RECORDS ARE STANDARD.
000096 01  AU3-REC.
000097      03 AU3LLAVE .
000098          05 AU3INTEG  PIC 9(3).
000099      03 AU3TITUL  PIC X(30).
000100      03 AU3DEBE   PIC S9(13)V99.
000101      03 AU3HABER  PIC S9(13)V99.
000102 FD  AUX4FILE
000103         RECORD CONTAINS 99 CHARACTERS
000104         LABEL RECORDS ARE STANDARD.
000105 01  AU4-REC.
000106      03 AU4LLAVE .
000107          05 AU4INTEG  PIC 9(3).
000108      03 AU4TITUL  PIC X(30).
000109      03 AU4DEBE   PIC S9(13)V99.
000110      03 AU4HABER  PIC S9(13)V99.
000111 FD  AUX5FILE
000112         RECORD CONTAINS 99 CHARACTERS
000113         LABEL RECORDS ARE STANDARD.
000114 01  AU5-REC.
000115      03 AU5LLAVE .
000116           09 AU5CUENT  PIC 9(10).
000117           09 AU5CODPR  PIC 9(5).
000118           09 AU5SUCUR  PIC 9(2).
000119      03 AU5TITUL  PIC X(30).
000120      03 AU5DEBE   PIC S9(13)V99.
000121      03 AU5HABER  PIC S9(13)V99.
000122 COPY "SISTFD.CBL".
000123 01 DETAL.
000124      02 PRI6      PIC X(06)  .
000125      02 FILLER    PIC X(20)  .
000126 77 C01CUENT-E    PIC Z(10).
000127 77 CUENT      PIC 9(10).
000128 77 IND-SUB    PIC X.
000129 77 CODPR    PIC  9(5).
000130 77 CODPR2   PIC  9(5).
000131 77 CUPROVE  PIC  9(10).
000132 77 MARCA   PIC X      .
000133 77 X03STAT PIC XX     .
000134 01 X03-PAT.
000136      02 X03-DIAUX PIC X(09)  .
000137      02 FILLER    PIC X  VALUE "\".
000138      02 X03-USRID PIC X(3)  .
000139      02 FILLER    PIC X  VALUE "\".
000140      02 X03-NOM   PIC X(8).
000141 77 W03NUMER   PIC 9(8).
000142 77 IND-PRO    PIC X.
000143 77 IND-MAR    PIC X.
000144 77 C00ANDES-E PIC Z(3)9.
000145 77 C00ANHAS-E PIC Z(3)9.
000146 77 C06ANDES-E PIC Z(3)9.
000147 77 C06ANHAS-E PIC Z(3)9.
000148 77 FECDI-E PIC Z(1)9.
000149 77 FECME-E PIC Z(1)9.
000150 77 FECAN-E PIC Z(3)9.
000151 77 C03CUENT-E PIC Z(9)9.
000152 77 C03TRANS-E PIC Z(7)9.
000153 77 C03NUMER-E PIC Z(7)9.
000154 77 NUMER-E PIC Z(7)9.
000155 77 PEPE-E PIC  Z(12)9.99-.
000156 77 TOPEPE     PIC S9(13)V99.
000157 77 HABER      PIC S9(13)V99.
000158 01 FECHA.
000159      07 FECAN    PIC 9(4).
000160      07 FECME    PIC 9(2).
000161      07 FECDI    PIC 9(2).
000162 01  VERDE.
000163     03  FILLER      PIC X(19) VALUE "FCOLOR = GREEN,".
000164     03  FILLER      PIC X(18) VALUE "BCOLOR = BLACK ".
000165 01  AZUL.
000166     03  FILLER      PIC X(19) VALUE "FCOLOR = BLUE,".
000167     03  FILLER      PIC X(18) VALUE "BCOLOR = BLACK ".
000168 01  BLANCO.
000169     03  FILLER      PIC X(18) VALUE "FCOLOR = WHITE,".
000170     03  FILLER      PIC X(18) VALUE "BCOLOR = BLACK ".
000171 01 LINE001.
000172      04 FILLER          PIC X(6)   VALUE "Fecha:".
000173      04 SL-FECDI-EQ     PIC Z9.
000174      04 FILLER          PIC X      VALUE "/".
000175      04 SL-FECAN-EQ     PIC Z9.
000176      04 FILLER          PIC X      VALUE "/".
000177      04 SL-FECME-EQ     PIC Z9.
000178      04 FILLER          PIC X      VALUE SPACES.
000179      04 SL-C00EMPRE     PIC X(30).
000180      04 FILLER          PIC X(33)  VALUE "CAJA FINANCIERA
000181-     "   Pagina:".
000182      04 SL-CON-PAG      PIC Z9.
000183 01 LINE004.
000184      04 FILLER          PIC X(80)  VALUE ALL "-".
000185 01 LINE005.
000186      04 FILLER          PIC X(55)  VALUE SPACES.
000187      04 FILLER          PIC X(8)  VALUE "VALORES:".
000188      04 SL-FECME        PIC Z9.
000189      04 FILLER          PIC X      VALUE "/".
000190      04 SL-FECAN        PIC Z(3)9.
000191 01 LINE005B.
000192      04 FILLER          PIC X(4)   VALUE SPACES.
000193      04 FILLER          PIC X(6)   VALUE "CUENTA".
000194      04 FILLER          PIC X(3)   VALUE SPACES.
000195      04 FILLER          PIC X(6)   VALUE "TITULO".
000196      04 FILLER          PIC X(35)  VALUE SPACES.
000197      04 FILLER          PIC X(4)   VALUE "DEBE".
000198      04 FILLER          PIC X(16)  VALUE SPACES.
000199      04 FILLER          PIC X(5)   VALUE "HABER".
000200 01 LINE006 .
000201      04 FILLER          PIC X(80)  VALUE ALL "-".
000202 01 LINE007.
000203      04 SL-INTEG        PIC 999.
000204      04 FILLER          PIC X      VALUE SPACES.
000205      04 SL-CUENT        PIC Z(9)9.
000206      04 FILLER          PIC X      VALUE SPACES.
000207      04 SL-TITUL        PIC X(30).
000208      04 SL-DEBE         PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000209      04 SL-HABER        PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000210 01 LINE008 .
000211      04 FILLER          PIC X(40)  VALUE SPACES.
000212      04 FILLER          PIC X(40)  VALUE ALL "=".
000213 01 LINE009 .
000214      04 FILLER          PIC X(33)  VALUE SPACES.
000215      04 FILLER          PIC X(10)  VALUE "TOTALES ".
000216      04 SL-TOTDEBE     PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000217      04 SL-TOTHABER    PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000218 01 LINE009S.
000219      04 FILLER          PIC X(30)  VALUE SPACES.
000220      04 FILLER          PIC X(13)  VALUE "SUBTOTALES ".
000221      04 SL-SUBDEBE     PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000222      04 SL-SUBHABER    PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000223 01 LINE101.
000224      04 FILLER          PIC X(33)  VALUE "RESUMEN PROVEEDORES".
000225 01 LINE102.
000226      04 FILLER          PIC X(4)   VALUE SPACES.
000227      04 FILLER          PIC X(6)   VALUE "CUENTA".
000228      04 FILLER          PIC X(3)   VALUE SPACES.
000229      04 FILLER          PIC X(6)   VALUE "TITULO".
000230      04 FILLER          PIC X(35)  VALUE SPACES.
000231      04 FILLER          PIC X(4)   VALUE "DEBE".
000232      04 FILLER          PIC X(16)  VALUE SPACES.
000233      04 FILLER          PIC X(5)   VALUE "HABER".
000234 01 LINE103.
000235      04 SL-AU2INTEG     PIC 999.
000236      04 FILLER          PIC X      VALUE SPACES.
000237      04 SL-AU2CUENT     PIC Z(9)9.
000238      04 FILLER          PIC X      VALUE SPACES.
000239      04 SL-AU2TITUL     PIC X(30).
000240      04 SL-AU2DEBE      PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000241      04 SL-AU2HABER     PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000242 01 LINE104.
000243      04 FILLER          PIC X(40)  VALUE SPACES.
000244      04 FILLER          PIC X(40)  VALUE ALL "=".
000245 01 LINE105.
000246      04 FILLER          PIC X(35)  VALUE SPACES.
000247      04 FILLER          PIC X(10)  VALUE "TOTALES ".
000248      04 SR-TOTDEBE      PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000249      04 SR-TOTHABER     PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000250 01 LINE208 .
000251      04 FILLER          PIC X(15)  VALUE SPACES.
000252      04 SL-NOMBR     PIC X(30).
000253      04 SL-AU5DEBE   PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000254      04 SL-AU5HABER  PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000255 77  TOTDEBE       PIC S9(13)V99.
000256 77  TOTHABER      PIC S9(13)V99.
000257 77  AUXI           PIC S9(13)V99.
000258 01 LINE-DEB.
000259      04 SX-FECHA        PIC X(8).
000260      04 FILLER          PIC X      VALUE SPACES.
000261      04 SX-TITUL     PIC X(30).
000262      04 SX-DEBE      PIC  ZZZZ,ZZZ,ZZZ,ZZZ.ZZ .
000263      04 SX-HABER     PIC  ZZZZ,ZZZ,ZZZ,ZZZ.ZZ .
000264 COPY "SISTSTAT.CBL".
000265 PROGRAMA.
000266     MOVE 'C01RESFC' TO PROGRA.
000267     CALL 'USOGRABA' USING USRID SESIO PROGRA.
000268     CANCEL 'USOGRABA'.
000269     MOVE PROGRA TO IMP-PRT
000270     MOVE 99999 TO CODPR CODPR2.
000271     OPEN INPUT C00.
000272     MOVE 1 TO C00NUMER.
000273     READ C00.
000274     MOVE C00ANDES TO ANDES.
000275     MOVE C00ANDES TO C06ANDES.
000276     MOVE C00ANHAS TO C06ANHAS.
000277     OPEN INPUT C01 C08 C06.
000278     MOVE C00DIAUX TO X03-DIAUX
000279     MOVE USRID    TO X03-USRID
000280     MOVE "X03"    TO X03-NOM
000281     MOVE "AUX1"    TO AUX-NOM.
000282     MOVE C00DIAUX  TO AUX-DIAUX
000283     MOVE USRID     TO AUX-USRID.
000284     MOVE "AUX2"    TO AU1-NOM.
000285     MOVE C00DIAUX  TO AU1-DIAUX
000286     MOVE USRID     TO AU1-USRID.
000287     MOVE "AUX3"    TO AU2-NOM.
000288     MOVE C00DIAUX  TO AU2-DIAUX
000289     MOVE USRID     TO AU2-USRID.
000290     MOVE "AUX4"    TO AU3-NOM.
000291     MOVE C00DIAUX  TO AU3-DIAUX
000292     MOVE USRID     TO AU3-USRID.
000293     MOVE "AUX5"    TO AU4-NOM.
000294     MOVE C00DIAUX  TO AU4-DIAUX
000295     MOVE USRID     TO AU4-USRID.
000296     MOVE "AUX6"    TO AU5-NOM.
000297     MOVE C00DIAUX  TO AU5-DIAUX
000298     MOVE USRID     TO AU5-USRID.
000299     OPEN OUTPUT AUX3FILE.
000300     CLOSE AUX3FILE
000301     OPEN OUTPUT AUX4FILE.
000302     CLOSE AUX4FILE
000303     OPEN OUTPUT AUX5FILE.
000304     CLOSE AUX5FILE
000305     OPEN OUTPUT AUXIFILE.
000306     CLOSE AUXIFILE
000307     OPEN OUTPUT AUX2FILE.
000308     CLOSE AUX2FILE
000309     OPEN OUTPUT AUX1FILE.
000310     CLOSE AUX1FILE
000311     OPEN OUTPUT X03
000312     CLOSE X03 .
000313     MOVE ZERO TO CON-PAG W03NUMER.
000314     MOVE ZERO     TO C01CUENT.
000315     MOVE SPACES   TO C01TITUL.
000316 PEDIDO.
000317     DISPLAY "ͻ"
000318             LOW CONTROL VERDE LINE 2 POSITION 23.
000319     MOVE 3 TO FILA.
000320 OTRO-CUA.
000321     DISPLAY "                                      "
000322             LOW LINE FILA POSITION 23.
000323     ADD 1 TO FILA
000324     IF FILA > 16 NEXT SENTENCE ELSE GO TO OTRO-CUA.
000325     DISPLAY "ͼ"
000326             LOW LINE 17 POSITION 23.
000327     DISPLAY "CAJA FINANCIERA" LOW LINE 4 POSITION 33.
000328     DISPLAY "EJERCICIO" LOW LINE 6 POSITION 32.
000329     DISPLAY "/" LOW LINE 6 POSITION 46.
000330     DISPLAY "APERTURA DE CUENTA" LOW LINE 7 POSITION 32.
000331     DISPLAY "DEL MES:" LOW LINE 11 POSITION 28.
000332     DISPLAY "P" HIGH LINE 13 POSITION 31.
000333     DISPLAY "PANTALLA" LOW LINE 13 POSITION 33.
000334     DISPLAY "I" HIGH LINE 13 POSITION 43.
000335     DISPLAY "IMPRESORA" LOW LINE 13 POSITION 45.
000336     DISPLAY "LEYENDO:" LOW LINE 15 POSITION 34.
000337     MOVE C00ANDES  TO C00ANDES-E.
000338     DISPLAY C00ANDES-E  HIGH  LINE 6 POSITION  42.
000339     MOVE C00ANHAS  TO C00ANHAS-E.
000340     DISPLAY C00ANHAS-E  HIGH  LINE 6 POSITION  47.
000341     MOVE FECME  TO FECME-E.
000342     DISPLAY FECME-E  HIGH  LINE 11 POSITION  36.
000343     MOVE C01CUENT  TO C01CUENT-E.
000344     DISPLAY C01CUENT-E  HIGH  LINE 8 POSITION  22.
000345     DISPLAY C01TITUL  HIGH  LINE 8 POSITION  33.
000346 C06ANDES-ACC.
000347     ACCEPT C06ANDES SIZE  4 PROMPT UPDATE
000348                HIGH  LINE 6 POSITION  42
000349     ACCEPT FUN-COD FROM ESCAPE KEY.
000350     IF FUN-COD = 27 GO TO FINALIZAR.
000351     IF C06ANDES IS NOT NUMERIC GO TO C06ANDES-ACC.
000352     PERFORM MENSAJE-DIS .
000353     MOVE C06ANDES TO C06ANDES-E.
000354     DISPLAY C06ANDES-E HIGH LINE 6 POSITION  42.
000355     MOVE C06ANHAS TO C06ANHAS-E.
000356     DISPLAY C06ANHAS-E HIGH LINE 6 POSITION  47.
000357     MOVE C06ANDES TO C06ANHAS.
000358     IF C00PRIME > 1 ADD 1 TO C06ANHAS.
000359     READ C06 INVALID KEY
000360                 DISPLAY SAV-SCR CONTROL CREATE-WINDOW
000361                          LINE 1 POSITION 1
000362                 CALL "C06POING" USING USRID
000363                                C06ANDES C06ANHAS FUN-COD
000364                 DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE".
000365     MOVE C06ANDES TO C06ANDES-E.
000366     DISPLAY C06ANDES-E HIGH LINE 6 POSITION  42.
000367     MOVE C06ANHAS TO C06ANHAS-E.
000368     DISPLAY C06ANHAS-E HIGH LINE 6 POSITION  47.
000369     IF FUN-COD = 27 GO TO FINALIZAR.
000370     MOVE C06ANDES TO ANDES.
000371 C01CUENT-ACC.
000372     MOVE SPACES   TO C01TITUL.
000373     COMPUTE POS-CUE = 22 - C00TACUE + 10.
000374     ACCEPT C01CUENT SIZE  C00TACUE PROMPT  UPDATE
000375                HIGH  LINE 8 POSITION POS-CUE.
000376     ACCEPT FUN-COD FROM ESCAPE KEY.
000377     IF C01CUENT = ZERO GO TO NINGUNA.
000378     IF FUN-COD = 27 GO TO FINALIZAR.
000379     IF FUN-COD = 52 GO TO C06ANDES-ACC.
000380     IF FUN-COD = 01
000381                 DISPLAY SAV-SCR CONTROL CREATE-WINDOW
000382                          LINE 1 POSITION 1
000383                 CLOSE C00 C01
000384                 CALL "C01POING" USING USRID C01CUENT FUN-COD
000385                 OPEN INPUT C01 C00
000386                 DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE".
000387     IF FUN-COD = 27 GO TO FINALIZAR.
000388 C01CUENT-SEG.
000389     READ C01 INVALID KEY
000390                 DISPLAY SAV-SCR CONTROL CREATE-WINDOW
000391                          LINE 1 POSITION 1
000392                 CLOSE C00 C01
000393                 CALL "C01POING" USING USRID C01CUENT FUN-COD
000394                 OPEN INPUT C01 C00
000395                 DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE"
000396                 GO TO C01CUENT-SEG.
000397     PERFORM MENSAJE-DIS .
000398 NINGUNA.
000399     MOVE C01CUENT TO C01CUENT-E CUENT.
000400     DISPLAY C01CUENT-E HIGH LINE 8 POSITION  22.
000401     DISPLAY C01TITUL HIGH LINE 8 POSITION  33.
000402 FECME-ACC.
000403     ACCEPT FECME SIZE  2 PROMPT UPDATE
000404             HIGH  LINE 11 POSITION  36.
000405     ACCEPT FUN-COD FROM ESCAPE KEY.
000406     IF FUN-COD = 27 GO TO FINALIZAR.
000407     IF FECME IS NOT NUMERIC GO TO FECME-ACC.
000408     IF FECME > ZERO AND FECME < 13
000409             NEXT SENTENCE ELSE
000410             MOVE "INGRESE UN MES VALIDO POR FAVOR"
000411             TO MENSAJE PERFORM MENSAJE-DIS GO TO FECME-ACC.
000412     MOVE 31 TO FECDI.
000413*    IF FECME = C00PRIME OR FECME > C00PRIME
000414*                MOVE C00ANDES TO FECAN
000415*          ELSE  MOVE C00ANHAS TO FECAN.
000416     MOVE ANDES TO FECAN.
000417     PERFORM MENSAJE-DIS .
000418     MOVE FECME TO FECME-E.
000419     DISPLAY FECME-E HIGH LINE 11 POSITION  36.
000420     DISPLAY NOMBRE-MES(FECME) HIGH LINE 11 POSITION  39.
000421 IND-ACC.
000422      ACCEPT IND SIZE  1 PROMPT
000423                HIGH  LINE 13 POSITION  55
000424     ACCEPT FUN-COD FROM ESCAPE KEY.
000425     IF FUN-COD = 27 GO TO FINALIZAR.
000426     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO FECME-ACC.
000427     IF IND = "p" MOVE "P" TO IND.
000428     IF IND = "i" MOVE "I" TO IND.
000429     IF IND = "P"  OR IND = "I"
000430             NEXT SENTENCE ELSE
000431             MOVE  " PANTALLA O IMPRESORA POR FAVOR"
000432             TO MENSAJE PERFORM MENSAJE-DIS GO TO IND-ACC.
000433     IF IND = "P"  MOVE "D" TO U04IMPRE.
000434     PERFORM MENSAJE-DIS .
000435     DISPLAY " " LOW  CONTROL BLANCO  LINE 24 POSITION 1 .
000436     CALL "C01C08UN".
000436     CANCEL "C01C08UN".
000437     CALL "C01CAFIS" USING USRID SESIO FECHA CODPR CODPR2 ANDES
000436     CANCEL "C01CAFIS".
000438     CALL "C01CAFIC" USING USRID SESIO FECHA CODPR CODPR2 ANDES.
000436     CANCEL "C01CAFIC".
000439     OPEN I-O AUX3FILE AUX4FILE AUX5FILE AUXIFILE AUX2FILE
000440           AUX1FILE X03 .
000441
000442 CARGAR-X03.
000443     MOVE LOW-VALUES TO X03-REC.
000444     START X03 KEY IS NOT LESS THAN X03TRANS-LA
000445          INVALID KEY GO TO FIN-CARGAR-X03.
000446 OTRO-X03-CAR.
000447     READ X03 NEXT AT END GO TO FIN-CARGAR-X03.
000448     MOVE X03CUENT TO C01CUENT.
000449     PERFORM LEER-AUXI.
000450     IF X03DEBHA = "D" ADD X03IMPOR TO AUXDEBE
000451                       ADD X03IMPOR TO AU3DEBE
000452                ELSE   ADD X03IMPOR TO AUXHABER
000453                       ADD X03IMPOR TO AU3HABER.
000454     REWRITE AUX-REC.
000455     REWRITE AU3-REC.
000456     GO TO OTRO-X03-CAR.
000457 FIN-CARGAR-X03.
000458
000459 IMPRIMIR.
000460     MOVE ZERO TO TOTDEBE.
000461     MOVE ZERO TO TOTHABER  .
000462     MOVE LOW-VALUES TO AUXLLAVE.
000463     START AUXIFILE  KEY IS NOT LESS THAN AUXLLAVE
000464             INVALID KEY
000465             MOVE "NO HAY NADA AUN 1"
000466             TO MENSAJE PERFORM MENSAJE-DIS
000467             ACCEPT IND
000468             GO TO FINALIZAR.
000469 OTRO-AUX-IMP.
000470     READ AUXIFILE NEXT AT END GO TO TOTALES.
000471     IF CON-PAG = ZERO
000472                    PERFORM ABRIR
000473                    PERFORM ENCABEZAMIENTO.
000474     IF AUXDEBE  = 0 AND  AUXHABER = 0
000475                            GO TO OTRO-AUX-IMP.
000476     MOVE AUXDEBE  TO SL-DEBE    .
000477     MOVE AUXHABER TO SL-HABER  .
000478     ADD  AUXDEBE  TO TOTDEBE   .
000479     ADD  AUXHABER TO TOTHABER  .
000480     IF CON-LIN > LIN-COR - 5 PERFORM PAGINA THRU FIN-PAGINA
000481                     PERFORM ENCABEZAMIENTO.
000482     MOVE AUXCUENT TO SL-CUENT .
000483     MOVE AUXINTEG TO SL-INTEG .
000484     MOVE AUXTITUL TO SL-TITUL .
000485     MOVE LINE007 TO SL-NOR-CON
000486     MOVE LIN-NOR TO IMP-REC
000487     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000488     IF AUXCUENT > 599999 OR = CUENT
000489             PERFORM APE-PRO THRU FIN-APE-PRO.
000490     GO TO OTRO-AUX-IMP.
000491 TOTALES.
000492     IF CON-PAG = ZERO
000493             MOVE "NO HAY NADA AUN 1 "
000494             TO MENSAJE PERFORM MENSAJE-DIS
000495             ACCEPT IND
000496             GO TO FINALIZAR.
000497     MOVE LINE008 TO SL-NOR-CON
000498     MOVE LIN-NOR TO IMP-REC
000499     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000500     MOVE TOTDEBE      TO SL-TOTDEBE
000501     MOVE TOTHABER     TO SL-TOTHABER
000502     MOVE LINE009 TO SL-NOR-CON
000503     MOVE LIN-NOR TO IMP-REC
000504     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000505     PERFORM PAGINA THRU FIN-PAGINA.
000506     PERFORM ENCABEZAMIENTO.
000507
000508
000509     PERFORM LEER-AU3 THRU FIN-LEER-AU3.
000510*    PERFORM RESUMEN THRU FIN-RESUMEN.
000511*    PERFORM LEER-AU4 THRU FIN-LEER-AU4.
000512     MOVE LINEBLA TO IMP-REC.
000513     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000514     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000515     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000516     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000517 FIN-IMPRIMIR.
000518     PERFORM CERRAR THRU FIN-CERRAR.
000519 FINALIZAR.
000520     DISPLAY " " CONTROL BLANCO LINE 1 POSITION 1.
000521     CLOSE C00 C01 CLOSE AUXIFILE AUX1FILE AUX2FILE
000522               C08 X03 C06.
000523 SALIDA.
000524     EXIT PROGRAM.
000525 MENSAJE-DIS.
000526     DISPLAY MENSAJE BLINK   LINE 24 POSITION 1.
000527     MOVE SPACES TO MENSAJE.
000528 CERRAR.
000529     IF U04IMPRE = "I" OR U04IMPRE = "T" CLOSE IMP.
000530     IF IMPSTAT = "30" GO TO CERRAR.
000531     IF U04IMPRE = "D" OR U04IMPRE = "T" CLOSE DSK.
000532     IF U04IMPRE = "D" OR U04IMPRE = "T"
000533             CALL "SHOWRELA" USING IMP-PAT
000534             CANCEL "SHOWRELA".
000535 FIN-CERRAR.
000536 ENCABEZAMIENTO.
000537     ADD 1 TO CON-PAG .
000538     MOVE ZERO TO CON-LIN.
000539     MOVE CON-PAG TO SL-CON-PAG.
000540     MOVE LINE001 TO SL-NOR-CON
000541     MOVE LIN-NOR TO IMP-REC
000542     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000543     MOVE LINE004 TO SL-NOR-CON
000544     MOVE LIN-NOR TO IMP-REC
000545     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000546     MOVE LINE005 TO SL-NOR-CON
000547     MOVE LIN-NOR TO IMP-REC
000548     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000549     MOVE LINE005B TO SL-NOR-CON
000550     MOVE LIN-NOR TO IMP-REC
000551     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000552     MOVE LINE006 TO SL-NOR-CON
000553     MOVE LIN-NOR TO IMP-REC
000554     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000555 ABRIR.
000556     MOVE C00DIAUX TO IMP-DIAUX.
000557     MOVE USRID    TO IMP-USRID.
000558     MOVE "C01RESFI.PRT" TO IMP-NOM.
000559     IF U04IMPRE = "I" OR U04IMPRE = "T" OPEN OUTPUT IMP .
000560     IF IMPSTAT = "30" GO TO ABRIR.
000561     IF U04IMPRE = "D" OR U04IMPRE = "T" OPEN OUTPUT DSK .
000562     ACCEPT FECHA-EQ FROM DATE.
000563     MOVE FECDI-EQ TO SL-FECDI-EQ.
000564     MOVE FECME-EQ TO SL-FECME-EQ.
000565     MOVE FECAN-EQ TO SL-FECAN-EQ.
000566     MOVE C00EMPRE TO SL-C00EMPRE .
000567     MOVE LINE000 TO IMP-REC.
000568     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000569     MOVE FECME    TO SL-FECME
000570     MOVE FECAN    TO SL-FECAN.
000571 WRT-IMP.
000572     ADD 1 TO CON-LIN.
000573 SEG-WRT-IMP.
000574     DISPLAY IMP-REC LINE 22 POSITION 1.
000575     MOVE IMP-REC TO DSK-REC.
000576     IF U04IMPRE = "I" OR U04IMPRE = "T" WRITE IMP-REC
000577                BEFORE 1 LINES.
000578     IF IMPSTAT = "30" GO TO SEG-WRT-IMP.
000579     IF U04IMPRE = "D" OR U04IMPRE = "T" WRITE DSK-REC
000580                BEFORE 1 LINES.
000581 FIN-WRT-IMP.
000582 PAGINA.
000583     MOVE LINEBLA  TO IMP-REC.
000584     MOVE LINEBLA  TO DSK-REC.
000585     DISPLAY IMP-REC LINE 22 POSITION 1.
000586     IF U04IMPRE = "I" OR U04IMPRE = "T"
000587                       WRITE IMP-REC AFTER PAGE.
000588     IF IMPSTAT = "30" GO TO PAGINA.
000589     IF U04IMPRE = "D" OR U04IMPRE = "T"
000590                       WRITE DSK-REC AFTER PAGE.
000591 FIN-PAGINA.
000592 LEER-AU3.
000593     MOVE "N"  TO IND-SUB.
000594     MOVE ZERO TO TOTDEBE.
000595     MOVE ZERO TO TOTHABER  .
000596     MOVE LOW-VALUES TO AU3LLAVE.
000597     START AUX3FILE  KEY IS NOT LESS THAN AU3LLAVE
000598             INVALID KEY
000599             MOVE "NO HAY NADA AUN 3"
000600             TO MENSAJE PERFORM MENSAJE-DIS
000601             ACCEPT IND
000602             GO TO FIN-LEER-AU3.
000603 OTRO-AU3.
000604     READ AUX3FILE NEXT AT END GO TO TOT-AU3.
000605     IF AU3DEBE  = 0 AND  AU3HABER = 0
000606                            GO TO OTRO-AU3.
000607     IF AU3INTEG > 600 AND IND-SUB = "N"
000608               MOVE "S"  TO IND-SUB
000609               MOVE LINE008 TO SL-NOR-CON
000610               MOVE LIN-NOR TO IMP-REC
000611               PERFORM WRT-IMP THRU FIN-WRT-IMP
000612               MOVE TOTDEBE      TO SL-SUBDEBE
000613               MOVE TOTHABER     TO SL-SUBHABER
000614               MOVE LINE009S TO SL-NOR-CON
000615               MOVE LIN-NOR TO IMP-REC
000616               PERFORM WRT-IMP THRU FIN-WRT-IMP
000617               PERFORM PAGINA THRU FIN-PAGINA
000618               PERFORM ENCABEZAMIENTO.
000619     MOVE AU3DEBE  TO SL-DEBE    .
000620     MOVE AU3HABER TO SL-HABER  .
000621     ADD  AU3DEBE  TO TOTDEBE   .
000622     ADD  AU3HABER TO TOTHABER  .
000623     IF CON-LIN > LIN-COR - 5 PERFORM PAGINA THRU FIN-PAGINA
000624                     PERFORM ENCABEZAMIENTO.
000625     MOVE ZERO     TO SL-CUENT .
000626     MOVE AU3INTEG TO SL-INTEG .
000627     MOVE AU3INTEG TO C08INTEG.
000628     READ C08 INVALID KEY MOVE SPACES TO C08-REC.
000629     MOVE C08NOMBR TO SL-TITUL .
000630     MOVE LINE007 TO SL-NOR-CON
000631     MOVE LIN-NOR TO IMP-REC
000632     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000633     IF AU3INTEG > 600
000634             PERFORM APE-PROV THRU FIN-APE-PROV.
000635     GO TO OTRO-AU3.
000636 TOT-AU3.
000637     IF TOTDEBE  = ZERO
000638             MOVE "NO HAY NADA AUN 3 "
000639             TO MENSAJE PERFORM MENSAJE-DIS
000640             ACCEPT IND
000641             GO TO FIN-LEER-AU3.
000642     MOVE LINE008 TO SL-NOR-CON
000643     MOVE LIN-NOR TO IMP-REC
000644     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000645     MOVE TOTDEBE      TO SL-TOTDEBE
000646     MOVE TOTHABER     TO SL-TOTHABER
000647     MOVE LINE009 TO SL-NOR-CON
000648     MOVE LIN-NOR TO IMP-REC
000649     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000650 FIN-LEER-AU3.
000651
000652 LEER-AU4.
000653     MOVE ZERO TO TOTDEBE.
000654     MOVE ZERO TO TOTHABER  .
000655     MOVE LOW-VALUES TO AU4LLAVE.
000656     START AUX4FILE  KEY IS NOT LESS THAN AU4LLAVE
000657             INVALID KEY
000658             MOVE "NO HAY NADA AUN 4"
000659             TO MENSAJE PERFORM MENSAJE-DIS
000660             ACCEPT IND
000661             GO TO FIN-LEER-AU4.
000662 OTRO-AU4.
000663     READ AUX4FILE NEXT AT END GO TO TOT-AU4.
000664     IF AU4DEBE  = 0 AND  AU4HABER = 0
000665                            GO TO OTRO-AU4.
000666     MOVE AU4DEBE  TO SL-DEBE    .
000667     MOVE AU4HABER TO SL-HABER  .
000668     ADD  AU4DEBE  TO TOTDEBE   .
000669     ADD  AU4HABER TO TOTHABER  .
000670     IF CON-LIN > LIN-COR - 5 PERFORM PAGINA THRU FIN-PAGINA
000671                     PERFORM ENCABEZAMIENTO.
000672     MOVE ZERO     TO SL-CUENT .
000673     MOVE AU4INTEG TO SL-INTEG .
000674     MOVE AU4INTEG TO C08INTEG.
000675     READ C08 INVALID KEY MOVE SPACES TO C08-REC.
000676     MOVE C08NOMBR TO SL-TITUL .
000677     MOVE LINE007 TO SL-NOR-CON
000678     MOVE LIN-NOR TO IMP-REC
000679     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000680     GO TO OTRO-AU4.
000681 TOT-AU4.
000682     IF TOTDEBE = ZERO
000683             MOVE "NO HAY NADA AUN 4 "
000684             TO MENSAJE PERFORM MENSAJE-DIS
000685             ACCEPT IND
000686             GO TO FIN-LEER-AU4.
000687     MOVE LINE008 TO SL-NOR-CON
000688     MOVE LIN-NOR TO IMP-REC
000689     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000690     MOVE TOTDEBE      TO SL-TOTDEBE
000691     MOVE TOTHABER     TO SL-TOTHABER
000692     MOVE LINE009 TO SL-NOR-CON
000693     MOVE LIN-NOR TO IMP-REC
000694     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000695 FIN-LEER-AU4.
000696 APE-PRO.
000697     MOVE LOW-VALUES TO AU5LLAVE.
000698     MOVE AUXCUENT   TO AU5CUENT.
000699     START AUX5FILE  KEY IS NOT LESS THAN AU5LLAVE
000700             INVALID KEY GO TO FIN-APE-PRO.
000701 OTRO-AU5.
000702     READ AUX5FILE NEXT AT END GO TO FIN-APE-PRO.
000703     IF AU5CUENT IS NOT = AUXCUENT GO TO FIN-APE-PRO.
000704     IF CON-LIN > LIN-COR  PERFORM PAGINA THRU FIN-PAGINA
000705                           PERFORM ENCABEZAMIENTO.
000706     IF AU5DEBE = ZERO AND AU5HABER = ZERO
000707                                 GO TO OTRO-AU5.
000708     MOVE AU5TITUL TO SL-NOMBR
000709     MOVE AU5DEBE  TO SL-AU5DEBE  .
000710     MOVE AU5HABER TO SL-AU5HABER .
000711     MOVE LINE208 TO SL-COM-CON
000712     MOVE LIN-COM TO IMP-REC
000713     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000714     GO TO OTRO-AU5.
000715 FIN-APE-PRO.
000716 APE-PROV.
000717     MOVE LOW-VALUES TO AU2LLAVE.
000718     MOVE AU3INTEG   TO AU2INTEG.
000719     START AUX2FILE  KEY IS NOT LESS THAN AU2LLAVE
000720             INVALID KEY GO TO FIN-APE-PROV.
000721 OTRO-AU2.
000722     READ AUX2FILE NEXT AT END GO TO FIN-APE-PROV.
000723     IF AU2INTEG IS NOT = AU3INTEG GO TO FIN-APE-PROV.
000724     IF CON-LIN > LIN-COR  PERFORM PAGINA THRU FIN-PAGINA
000725                           PERFORM ENCABEZAMIENTO.
000726     IF AU2DEBE = ZERO AND AU2HABER = ZERO
000727                                 GO TO OTRO-AU2.
000728     MOVE AU2TITUL TO SL-NOMBR
000729     MOVE AU2DEBE  TO SL-AU5DEBE  .
000730     MOVE AU2HABER TO SL-AU5HABER .
000731     MOVE LINE208 TO SL-COM-CON
000732     MOVE LIN-COM TO IMP-REC
000733     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000734     GO TO OTRO-AU2.
000735 FIN-APE-PROV.
000736
000737
000738
000739 LEER-AUXI.
000740     MOVE C01CUENT TO AUXCUENT.
000741     READ AUXIFILE INVALID KEY
000742                  MOVE SPACES TO AUXTITUL
000743                  MOVE ZERO TO AUXDEBE
000744                  MOVE ZERO TO AUXHABER
000745                  WRITE AUX-REC
000746                  READ AUXIFILE.
000747     READ C01 INVALID KEY
000748              MOVE SPACES TO C01-REC
000749              MOVE ZEROES TO C01INTEG.
000750     MOVE C01TITUL TO AUXTITUL .
000751     MOVE C01INTEG TO AUXINTEG AU3INTEG .
000752     READ AUX3FILE INVALID KEY
000753                  MOVE SPACES TO AU3TITUL
000754                  MOVE ZERO TO AU3DEBE
000755                  MOVE ZERO TO AU3HABER
000756                  WRITE AU3-REC
000757                  READ AUX3FILE.
000758 FIN-LEER-AUXI.


