000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. C01RESFI.
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SOURCE-COMPUTER. RMC.
000006 OBJECT-COMPUTER. RMC.
000007 INPUT-OUTPUT SECTION.
000008 COPY "SISTSELE.CBL".
000009     SELECT X03 ASSIGN TO RANDOM X03-PAT
000010         ORGANIZATION IS INDEXED
000011         RECORD KEY IS X03LLAVE
000012         ALTERNATE RECORD KEY IS X03TRANS-LA
000013         ALTERNATE RECORD KEY IS X03CUENT-LA
000014         FILE STATUS IS X03STAT
000015         ACCESS IS DYNAMIC.
000016     SELECT AUXIFILE ASSIGN TO RANDOM  AUX-PAT
000017         ORGANIZATION IS INDEXED
000018         RECORD KEY IS AUXLLAVE
000019         FILE STATUS IS AUXSTAT
000020         ACCESS IS DYNAMIC.
000021     SELECT AUX2FILE ASSIGN TO RANDOM  AU2-PAT
000022         ORGANIZATION IS INDEXED
000023         RECORD KEY IS AU2LLAVE
000024         FILE STATUS IS AUXSTAT
000025         ACCESS IS DYNAMIC.
000026     SELECT AUX1FILE ASSIGN TO RANDOM  AU1-PAT
000027         ORGANIZATION IS INDEXED
000028         RECORD KEY IS AU1LLAVE
000029         FILE STATUS IS AUXSTAT
000030         ACCESS IS DYNAMIC.
000031     SELECT AUX3FILE ASSIGN TO RANDOM  AU3-PAT
000032         ORGANIZATION IS INDEXED
000033         RECORD KEY IS AU3LLAVE
000034         FILE STATUS IS AUXSTAT
000035         ACCESS IS DYNAMIC.
000036     SELECT AUX4FILE ASSIGN TO RANDOM  AU4-PAT
000037         ORGANIZATION IS INDEXED
000038         RECORD KEY IS AU4LLAVE
000039         FILE STATUS IS AUXSTAT
000040         ACCESS IS DYNAMIC.
000041     SELECT AUX5FILE ASSIGN TO RANDOM  AU5-PAT
000042         ORGANIZATION IS INDEXED
000043         RECORD KEY IS AU5LLAVE
000044         FILE STATUS IS AUXSTAT
000045         ACCESS IS DYNAMIC.
000046
000047 DATA DIVISION.
000048 FILE SECTION.
000049 FD X03
000050      RECORD  CONTAINS 73 CHARACTERS
000051      LABEL RECORDS ARE STANDARD.
000052 01 X03-REC.
000053       02 X03CUENT-LA.
000054        03 X03CUENT PIC 9(10).
000055        03 X03TRANS-LA.
000056         04 X03TRANS PIC 9(8).
000057         04 X03LLAVE.
000058           06 X03NUMER PIC 9(8).
000059       02 X03DETAL-LA.
000060         04 X03DETAL PIC X(30).
000061       02 X03DEBHA PIC X.
000062       02 X03IMPOR-LA.
000063         04 X03IMPOR PIC S9(13)V99.
000064       02 FILLER   PIC X    .
000065 FD  AUX1FILE
000066         RECORD CONTAINS 99 CHARACTERS
000067         LABEL RECORDS ARE STANDARD.
000068 01  AU1-REC.
000069      03 AU1LLAVE .
000070          09 AU1TRANS  PIC 9(8).
000071 FD  AUX2FILE
000072         RECORD CONTAINS 99 CHARACTERS
000073         LABEL RECORDS ARE STANDARD.
000074 01  AU2-REC.
000075      03 AU2LLAVE .
000076           09 AU2INTEG  PIC 9(10).
000077           09 AU2CODPR  PIC 9(5).
000078           09 AU2SUCUR  PIC 9(2).
000079      03 AU2TITUL  PIC X(30).
000080      03 AU2DEBE   PIC S9(13)V99.
000081      03 AU2HABER  PIC S9(13)V99.
000082 FD  AUXIFILE
000083         RECORD CONTAINS 99 CHARACTERS
000084         LABEL RECORDS ARE STANDARD.
000085 01  AUX-REC.
000086      03 AUXLLAVE .
000087          09 AUXCUENT  PIC 9(10).
000088      03 AUXINTEG  PIC 999.
000089      03 AUXTITUL  PIC X(30).
000090      03 AUXDEBE   PIC S9(13)V99.
000091      03 AUXHABER  PIC S9(13)V99.
000092
000093 FD  AUX3FILE
000094         RECORD CONTAINS 99 CHARACTERS
000095         LABEL RECORDS ARE STANDARD.
000096 01  AU3-REC.
000097      03 AU3LLAVE .
000098          05 AU3INTEG  PIC 9(3).
000099      03 AU3TITUL  PIC X(30).
000100      03 AU3DEBE   PIC S9(13)V99.
000101      03 AU3HABER  PIC S9(13)V99.
000102 FD  AUX4FILE
000103         RECORD CONTAINS 99 CHARACTERS
000104         LABEL RECORDS ARE STANDARD.
000105 01  AU4-REC.
000106      03 AU4LLAVE .
000107          05 AU4INTEG  PIC 9(3).
000108      03 AU4TITUL  PIC X(30).
000109      03 AU4DEBE   PIC S9(13)V99.
000110      03 AU4HABER  PIC S9(13)V99.
000111 FD  AUX5FILE
000112         RECORD CONTAINS 99 CHARACTERS
000113         LABEL RECORDS ARE STANDARD.
000114 01  AU5-REC.
000115      03 AU5LLAVE .
000116           09 AU5CUENT  PIC 9(10).
000117           09 AU5CODPR  PIC 9(5).
000118           09 AU5SUCUR  PIC 9(2).
000119      03 AU5TITUL  PIC X(30).
000120      03 AU5DEBE   PIC S9(13)V99.
000121      03 AU5HABER  PIC S9(13)V99.
000122 COPY "SISTFD.CBL".
000123 01 DETAL.
000124      02 PRI6      PIC X(06)  .
000125      02 FILLER    PIC X(20)  .
000126 77 C01CUENT-E    PIC Z(10).
000127 77 CUENT      PIC 9(10).
000128 77 IND-SUB    PIC X.
000129 77 CODPR    PIC  9(5).
000130 77 CODPR2   PIC  9(5).
000131 77 CUPROVE  PIC  9(10).
000132 77 MARCA   PIC X      .
000133 77 X03STAT PIC XX     .
000134 01 X03-PAT.
000136      02 X03-DIAUX PIC X(09)  .
000137      02 FILLER    PIC X  VALUE "\".
000138      02 X03-USRID PIC X(3)  .
000139      02 FILLER    PIC X  VALUE "\".
000140      02 X03-NOM   PIC X(8).
000141 77 W03NUMER   PIC 9(8).
000142 77 IND-PRO    PIC X.
000143 77 IND-MAR    PIC X.
000144 77 C00ANDES-E PIC Z(3)9.
000145 77 C00ANHAS-E PIC Z(3)9.
000146 77 C06ANDES-E PIC Z(3)9.
000147 77 C06ANHAS-E PIC Z(3)9.
000148 77 FECDI-E PIC Z(1)9.
000149 77 FECME-E PIC Z(1)9.
000150 77 FECAN-E PIC Z(3)9.
000151 77 C03CUENT-E PIC Z(9)9.
000152 77 C03TRANS-E PIC Z(7)9.
000153 77 C03NUMER-E PIC Z(7)9.
000154 77 NUMER-E PIC Z(7)9.
000155 77 PEPE-E PIC  Z(12)9.99-.
000156 77 TOPEPE     PIC S9(13)V99.
000157 77 HABER      PIC S9(13)V99.
000158 01 FECHA.
000159      07 FECAN    PIC 9(4).
000160      07 FECME    PIC 9(2).
000161      07 FECDI    PIC 9(2).
000162 01  VERDE.
000163     03  FILLER      PIC X(19) VALUE "FCOLOR = GREEN,".
000164     03  FILLER      PIC X(18) VALUE "BCOLOR = BLACK ".
000165 01  AZUL.
000166     03  FILLER      PIC X(19) VALUE "FCOLOR = BLUE,".
000167     03  FILLER      PIC X(18) VALUE "BCOLOR = BLACK ".
000168 01  BLANCO.
000169     03  FILLER      PIC X(18) VALUE "FCOLOR = WHITE,".
000170     03  FILLER      PIC X(18) VALUE "BCOLOR = BLACK ".
000171 01 LINE001.
000172      04 FILLER          PIC X(6)   VALUE "Fecha:".
000173      04 SL-FECDI-EQ     PIC Z9.
000174      04 FILLER          PIC X      VALUE "/".
000175      04 SL-FECAN-EQ     PIC Z9.
000176      04 FILLER          PIC X      VALUE "/".
000177      04 SL-FECME-EQ     PIC Z9.
000178      04 FILLER          PIC X      VALUE SPACES.
000179      04 SL-C00EMPRE     PIC X(30).
000180      04 FILLER          PIC X(33)  VALUE "CAJA FINANCIERA
000181-     "   Pagina:".
000182      04 SL-CON-PAG      PIC Z9.
000183 01 LINE004.
000184      04 FILLER          PIC X(80)  VALUE ALL "-".
000185 01 LINE005.
000186      04 FILLER          PIC X(55)  VALUE SPACES.
000187      04 FILLER          PIC X(8)  VALUE "VALORES:".
000188      04 SL-FECME        PIC Z9.
000189      04 FILLER          PIC X      VALUE "/".
000190      04 SL-FECAN        PIC Z(3)9.
000191 01 LINE005B.
000192      04 FILLER          PIC X(4)   VALUE SPACES.
000193      04 FILLER          PIC X(6)   VALUE "CUENTA".
000194      04 FILLER          PIC X(3)   VALUE SPACES.
000195      04 FILLER          PIC X(6)   VALUE "TITULO".
000196      04 FILLER          PIC X(35)  VALUE SPACES.
000197      04 FILLER          PIC X(4)   VALUE "DEBE".
000198      04 FILLER          PIC X(16)  VALUE SPACES.
000199      04 FILLER          PIC X(5)   VALUE "HABER".
000200 01 LINE006 .
000201      04 FILLER          PIC X(80)  VALUE ALL "-".
000202 01 LINE007.
000203      04 SL-INTEG        PIC 999.
000204      04 FILLER          PIC X      VALUE SPACES.
000205      04 SL-CUENT        PIC Z(9)9.
000206      04 FILLER          PIC X      VALUE SPACES.
000207      04 SL-TITUL        PIC X(30).
000208      04 SL-DEBE         PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000209      04 SL-HABER        PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000210 01 LINE008 .
000211      04 FILLER          PIC X(40)  VALUE SPACES.
000212      04 FILLER          PIC X(40)  VALUE ALL "=".
000213 01 LINE009 .
000214      04 FILLER          PIC X(33)  VALUE SPACES.
000215      04 FILLER          PIC X(10)  VALUE "TOTALES ".
000216      04 SL-TOTDEBE     PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000217      04 SL-TOTHABER    PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000218 01 LINE009S.
000219      04 FILLER          PIC X(30)  VALUE SPACES.
000220      04 FILLER          PIC X(13)  VALUE "SUBTOTALES ".
000221      04 SL-SUBDEBE     PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000222      04 SL-SUBHABER    PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000223 01 LINE101.
000224      04 FILLER          PIC X(33)  VALUE "RESUMEN PROVEEDORES".
000225 01 LINE102.
000226      04 FILLER          PIC X(4)   VALUE SPACES.
000227      04 FILLER          PIC X(6)   VALUE "CUENTA".
000228      04 FILLER          PIC X(3)   VALUE SPACES.
000229      04 FILLER          PIC X(6)   VALUE "TITULO".
000230      04 FILLER          PIC X(35)  VALUE SPACES.
000231      04 FILLER          PIC X(4)   VALUE "DEBE".
000232      04 FILLER          PIC X(16)  VALUE SPACES.
000233      04 FILLER          PIC X(5)   VALUE "HABER".
000234 01 LINE103.
000235      04 SL-AU2INTEG     PIC 999.
000236      04 FILLER          PIC X      VALUE SPACES.
000237      04 SL-AU2CUENT     PIC Z(9)9.
000238      04 FILLER          PIC X      VALUE SPACES.
000239      04 SL-AU2TITUL     PIC X(30).
000240      04 SL-AU2DEBE      PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000241      04 SL-AU2HABER     PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000242 01 LINE104.
000243      04 FILLER          PIC X(40)  VALUE SPACES.
000244      04 FILLER          PIC X(40)  VALUE ALL "=".
000245 01 LINE105.
000246      04 FILLER          PIC X(35)  VALUE SPACES.
000247      04 FILLER          PIC X(10)  VALUE "TOTALES ".
000248      04 SR-TOTDEBE      PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000249      04 SR-TOTHABER     PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000250 01 LINE208 .
000251      04 FILLER          PIC X(15)  VALUE SPACES.
000252      04 SL-NOMBR     PIC X(30).
000253      04 SL-AU5DEBE   PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000254      04 SL-AU5HABER  PIC  ZZ,ZZZ,ZZZ,ZZZ.ZZ .
000255 77  TOTDEBE       PIC S9(13)V99.
000256 77  TOTHABER      PIC S9(13)V99.
000257 77  AUXI           PIC S9(13)V99.
000258 01 LINE-DEB.
000259      04 SX-FECHA        PIC X(8).
000260      04 FILLER          PIC X      VALUE SPACES.
000261      04 SX-TITUL     PIC X(30).
000262      04 SX-DEBE      PIC  ZZZZ,ZZZ,ZZZ,ZZZ.ZZ .
000263      04 SX-HABER     PIC  ZZZZ,ZZZ,ZZZ,ZZZ.ZZ .
000264 COPY "SISTSTAT.CBL".
000265 PROGRAMA.
000266     MOVE 'C01RESFI' TO PROGRA.
000267     CALL 'USOGRABA' USING USRID SESIO PROGRA.
000268     CANCEL 'USOGRABA'.
000269     MOVE PROGRA TO IMP-PRT
000270     MOVE 99999 TO CODPR CODPR2.
000271     OPEN INPUT C00.
000272     MOVE 1 TO C00NUMER.
000273     READ C00.
000274     MOVE C00ANDES TO C06ANDES.
000275     MOVE C00ANDES TO C06ANHAS.
000276     MOVE C00ANDES TO ANDES.
000277     OPEN INPUT C01 C03 C02 C04 C55 C05 C12 C11 C08 C06.
000278     MOVE C00DIAUX TO X03-DIAUX
000279     MOVE USRID    TO X03-USRID
000280     MOVE "X03"    TO X03-NOM
000281     MOVE "AUX1"    TO AUX-NOM.
000282     MOVE C00DIAUX  TO AUX-DIAUX
000283     MOVE USRID     TO AUX-USRID.
000284     MOVE "AUX2"    TO AU1-NOM.
000285     MOVE C00DIAUX  TO AU1-DIAUX
000286     MOVE USRID     TO AU1-USRID.
000287     MOVE "AUX3"    TO AU2-NOM.
000288     MOVE C00DIAUX  TO AU2-DIAUX
000289     MOVE USRID     TO AU2-USRID.
000290     MOVE "AUX4"    TO AU3-NOM.
000291     MOVE C00DIAUX  TO AU3-DIAUX
000292     MOVE USRID     TO AU3-USRID.
000293     MOVE "AUX5"    TO AU4-NOM.
000294     MOVE C00DIAUX  TO AU4-DIAUX
000295     MOVE USRID     TO AU4-USRID.
000296     MOVE "AUX6"    TO AU5-NOM.
000297     MOVE C00DIAUX  TO AU5-DIAUX
000298     MOVE USRID     TO AU5-USRID.
000299     OPEN OUTPUT AUX3FILE.
000300     CLOSE AUX3FILE
000301     OPEN I-O AUX3FILE.
000302     OPEN OUTPUT AUX4FILE.
000303     CLOSE AUX4FILE
000304     OPEN I-O AUX4FILE.
000305     OPEN OUTPUT AUX5FILE.
000306     CLOSE AUX5FILE
000307     OPEN I-O AUX5FILE.
000308     OPEN OUTPUT AUXIFILE.
000309     CLOSE AUXIFILE
000310     OPEN I-O AUXIFILE.
000311     OPEN OUTPUT AUX2FILE.
000312     CLOSE AUX2FILE
000313     OPEN I-O AUX2FILE.
000314     OPEN OUTPUT AUX1FILE.
000315     CLOSE AUX1FILE
000316     OPEN I-O AUX1FILE.
000317     OPEN OUTPUT X03
000318     CLOSE X03 .
000319     OPEN I-O X03.
000320     MOVE ZERO TO CON-PAG W03NUMER.
000321     MOVE "PROVE" TO C05CUTIP.
000322     READ C05 INVALID KEY
000323              CALL  "TG0SHOW" USING "C05RGACO" 00 FUN-COD
000324              CANCEL "TG0SHOW"
000325              GO TO FINALIZAR.
000326     MOVE C05CUENT TO CUPROVE.
000327     MOVE ZERO     TO C01CUENT.
000328     MOVE SPACES   TO C01TITUL.
000329 PEDIDO.
000330     DISPLAY "ͻ"
000331             LOW CONTROL VERDE LINE 2 POSITION 23.
000332     MOVE 3 TO FILA.
000333 OTRO-CUA.
000334     DISPLAY "                                      "
000335             LOW LINE FILA POSITION 23.
000336     ADD 1 TO FILA
000337     IF FILA > 16 NEXT SENTENCE ELSE GO TO OTRO-CUA.
000338     DISPLAY "ͼ"
000339             LOW LINE 17 POSITION 23.
000340     DISPLAY "CAJA FINANCIERA" LOW LINE 4 POSITION 33.
000341     DISPLAY "EJERCICIO" LOW LINE 6 POSITION 32.
000342     DISPLAY "/" LOW LINE 6 POSITION 46.
000343     DISPLAY "APERTURA DE CUENTA" LOW LINE 7 POSITION 32.
000344     DISPLAY "DEL MES:" LOW LINE 11 POSITION 28.
000345     DISPLAY "P" HIGH LINE 13 POSITION 31.
000346     DISPLAY "PANTALLA" LOW LINE 13 POSITION 33.
000347     DISPLAY "I" HIGH LINE 13 POSITION 43.
000348     DISPLAY "IMPRESORA" LOW LINE 13 POSITION 45.
000349     DISPLAY "LEYENDO:" LOW LINE 15 POSITION 34.
000350     MOVE C00ANDES  TO C00ANDES-E.
000351     DISPLAY C00ANDES-E  HIGH  LINE 6 POSITION  42.
000352     MOVE C00ANHAS  TO C00ANHAS-E.
000353     DISPLAY C00ANHAS-E  HIGH  LINE 6 POSITION  47.
000354     MOVE FECME  TO FECME-E.
000355     DISPLAY FECME-E  HIGH  LINE 11 POSITION  36.
000356     MOVE C01CUENT  TO C01CUENT-E.
000357     DISPLAY C01CUENT-E  HIGH  LINE 8 POSITION  22.
000358     DISPLAY C01TITUL  HIGH  LINE 8 POSITION  33.
000359 C06ANDES-ACC.
000360     ACCEPT C06ANDES SIZE  4 PROMPT UPDATE
000361                HIGH  LINE 6 POSITION  42
000362     ACCEPT FUN-COD FROM ESCAPE KEY.
000363     IF FUN-COD = 27 GO TO FINALIZAR.
000364     IF C06ANDES IS NOT NUMERIC GO TO C06ANDES-ACC.
000365     PERFORM MENSAJE-DIS .
000366     MOVE C06ANDES TO C06ANDES-E.
000367     DISPLAY C06ANDES-E HIGH LINE 6 POSITION  42.
000368     MOVE C06ANHAS TO C06ANHAS-E.
000369     DISPLAY C06ANHAS-E HIGH LINE 6 POSITION  47.
000370     MOVE C06ANDES TO C06ANHAS.
000371     IF C00PRIME > 1 ADD 1 TO C06ANHAS.
000372     READ C06 INVALID KEY
000373                 DISPLAY SAV-SCR CONTROL CREATE-WINDOW
000374                          LINE 1 POSITION 1
000375                 CALL "C06POING" USING USRID
000376                                C06ANDES C06ANHAS FUN-COD
000377                 DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE".
000378     MOVE C06ANDES TO C06ANDES-E.
000379     DISPLAY C06ANDES-E HIGH LINE 6 POSITION  42.
000380     MOVE C06ANHAS TO C06ANHAS-E.
000381     DISPLAY C06ANHAS-E HIGH LINE 6 POSITION  47.
000382     IF FUN-COD = 27 GO TO FINALIZAR.
000383     CLOSE C03
000384     MOVE C06ANDES TO ANDES.
000385     OPEN INPUT C03.
000386 C01CUENT-ACC.
000387     MOVE SPACES   TO C01TITUL.
000388     COMPUTE POS-CUE = 22 - C00TACUE + 10.
000389     ACCEPT C01CUENT SIZE  C00TACUE PROMPT  UPDATE
000390                HIGH  LINE 8 POSITION POS-CUE.
000391     ACCEPT FUN-COD FROM ESCAPE KEY.
000392     IF C01CUENT = ZERO GO TO NINGUNA.
000393     IF FUN-COD = 27 GO TO FINALIZAR.
000394     IF FUN-COD = 52 GO TO C06ANDES-ACC.
000395     IF FUN-COD = 01
000396                 DISPLAY SAV-SCR CONTROL CREATE-WINDOW
000397                          LINE 1 POSITION 1
000398                 CLOSE C00 C01
000399                 CALL "C01POING" USING USRID C01CUENT FUN-COD
000400                 OPEN INPUT C01 C00
000401                 DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE".
000402     IF FUN-COD = 27 GO TO FINALIZAR.
000403 C01CUENT-SEG.
000404     READ C01 INVALID KEY
000405                 DISPLAY SAV-SCR CONTROL CREATE-WINDOW
000406                          LINE 1 POSITION 1
000407                 CLOSE C00 C01
000408                 CALL "C01POING" USING USRID C01CUENT FUN-COD
000409                 OPEN INPUT C01 C00
000410                 DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE"
000411                 GO TO C01CUENT-SEG.
000412     PERFORM MENSAJE-DIS .
000413 NINGUNA.
000414     MOVE C01CUENT TO C01CUENT-E CUENT.
000415     DISPLAY C01CUENT-E HIGH LINE 8 POSITION  22.
000416     DISPLAY C01TITUL HIGH LINE 8 POSITION  33.
000417 FECME-ACC.
000418     ACCEPT FECME SIZE  2 PROMPT UPDATE
000419             HIGH  LINE 11 POSITION  36.
000420     ACCEPT FUN-COD FROM ESCAPE KEY.
000421     IF FUN-COD = 27 GO TO FINALIZAR.
000422     IF FECME IS NOT NUMERIC GO TO FECME-ACC.
000423     IF FECME > ZERO AND FECME < 13
000424             NEXT SENTENCE ELSE
000425             MOVE "INGRESE UN MES VALIDO POR FAVOR"
000426             TO MENSAJE PERFORM MENSAJE-DIS GO TO FECME-ACC.
000427     MOVE 31 TO FECDI.
000428*    IF FECME = C00PRIME OR FECME > C00PRIME
000429*                MOVE C00ANDES TO FECAN
000430*          ELSE  MOVE C00ANHAS TO FECAN.
000431     MOVE C06ANDES TO FECAN.
000432     PERFORM MENSAJE-DIS .
000433     MOVE FECME TO FECME-E.
000434     DISPLAY FECME-E HIGH LINE 11 POSITION  36.
000435     DISPLAY NOMBRE-MES(FECME) HIGH LINE 11 POSITION  39.
000436 IND-ACC.
000437      ACCEPT IND SIZE  1 PROMPT
000438                HIGH  LINE 13 POSITION  55
000439     ACCEPT FUN-COD FROM ESCAPE KEY.
000440     IF FUN-COD = 27 GO TO FINALIZAR.
000441     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO FECME-ACC.
000442     IF IND = "p" MOVE "P" TO IND.
000443     IF IND = "i" MOVE "I" TO IND.
000444     IF IND = "P"  OR IND = "I"
000445             NEXT SENTENCE ELSE
000446             MOVE  " PANTALLA O IMPRESORA POR FAVOR"
000447             TO MENSAJE PERFORM MENSAJE-DIS GO TO IND-ACC.
000448     IF IND = "P"  MOVE "D" TO U04IMPRE.
000449     PERFORM MENSAJE-DIS .
000450     DISPLAY " " LOW  CONTROL BLANCO  LINE 24 POSITION 1 .
000451 PONER.
000452     MOVE LOW-VALUES TO C04-REC
000453     START C04 KEY IS NOT LESS THAN C04LLAVE
000454           INVALID KEY GO TO FIN-PONER.
000455 OTRO-C04.
000456     READ C04 NEXT AT END GO TO FIN-PONER.
000457     IF C04CARTE IS NOT = "P" GO TO OTRO-C04.
000458     IF C04INFEC IS NOT = "S" GO TO OTRO-C04.
000459     MOVE C04MONED TO H35MONED.
000460     MOVE LOW-VALUES TO C01-REC.
000461     MOVE C04MONED TO C01MONED.
000462     START C01 KEY IS NOT LESS THAN C01MONED-LA.
000463     READ C01 NEXT
000464     OPEN INPUT H35.
000465 LEER-H35-TOD.
000466     MOVE LOW-VALUES TO H35-REC.
000467     START H35 KEY IS NOT LESS THAN H35FECHA-LA
000468                   INVALID KEY GO TO FIN-LEER-H35-TOD.
000469 OTRO-H35-TOD.
000470     READ H35 NEXT INTO P35-REC AT END GO TO FIN-LEER-H35-TOD.
000471     MOVE H35NUMER  TO NUMER-E.
000472     DISPLAY NUMER-E  HIGH  LINE 15 POSITION  44.
000473     DISPLAY "H35" LINE 15 POSITION 54.
000474     IF H35IMPOR = 0 GO TO OTRO-H35-TOD.
000475     IF H35FDEAN IS NOT = FECAN
000476          OR H35FDEME IS NOT = FECME
000477                              GO TO OTRO-H35-TOD.
000478 AGREGAR.
000479     MOVE HIGH-VALUES TO C55NUMER-LA.
000480     MOVE H35NUMER TO C55NUMER.
000481     START C55 KEY IS NOT GREATER THAN C55NUMER-LA
000482              INVALID KEY
000483                   CALL "TG0SHOW" USING "FC55EP35" 00 FUN-COD
000484                   CANCEL "TG0SHOW"
000485                   GO TO FINALIZAR.
000486     READ C55 PREVIOUS.
000487     IF C55NUMER = H35NUMER NEXT SENTENCE ELSE
000488                   CALL "TG0SHOW" USING "FC55EP35" 00 FUN-COD
000489                   CANCEL "TG0SHOW"
000490                   GO TO FINALIZAR.
000491     MOVE C55TRANS TO C02TRANS.
000492     READ C02 INVALID KEY
000493                   CALL "TG0SHOW" USING "FC02EC55" 00 FUN-COD
000494                   CANCEL "TG0SHOW"
000495                   GO TO FINALIZAR.
000496     MOVE SPACES   TO X03-REC
000497     MOVE C01CUENT TO X03CUENT
000498     MOVE C02TRANS TO X03TRANS
000499     ADD 1 TO W03NUMER.
000500     MOVE W03NUMER TO X03NUMER.
000501     MOVE "H"      TO X03DEBHA.
000502     MOVE H35IMPOR TO X03IMPOR.
000503     MOVE C02TITUL TO X03DETAL.
000504     WRITE X03-REC.
000505     MOVE C02TRANS TO AU1TRANS.
000506     WRITE AU1-REC INVALID KEY GO TO
000507                              OTRO-H35-TOD.
000508     CLOSE C03.
000509     MOVE C02FECAN TO ANDES.
000510     CALL "BUSCAEJE" USING C00PRIME C02FECME ANDES
000511     OPEN INPUT C03.
000512     MOVE LOW-VALUES TO C03TRANS-LA.
000513     MOVE C02TRANS TO C03TRANS.
000514     START C03 KEY IS NOT LESS THAN C03TRANS-LA
000515            INVALID KEY GO TO OTRO-H35-TOD.
000516     MOVE "N" TO IND.
000517 OTRO-C03-AG .
000518     READ C03 NEXT AT END GO TO OTRO-H35-TOD.
000519     IF C03TRANS  = C02TRANS NEXT SENTENCE ELSE
000520                        GO TO OTRO-H35-TOD.
000521     IF C03CUENT IS NOT = C01CUENT NEXT SENTENCE ELSE
000522                 GO TO OTRO-C03-AG.
000523     IF C03DEBHA = "H" AND ( C02FECME IS NOT = FECME
000524                          OR C02FECAN IS NOT = FECAN )
000525                  GO TO OTRO-C03-AG.
000526     MOVE C03DETAL TO DETAL.
000527     CALL "CUENANAL" USING USRID SESIO C03CUENT IND.
000529     IF PRI6 = "CHEQUE" AND C03DEBHA = "H" AND IND = "P"
000530                               GO TO OTRO-C03-AG.
000531     MOVE C03-REC TO X03-REC .
000532     ADD 1 TO W03NUMER
000533     MOVE  W03NUMER TO X03NUMER
000534     WRITE X03-REC.
000535     GO TO OTRO-C03-AG.
000536 FIN-C03-AG.
000537     GO TO OTRO-H35-TOD.
000538 FIN-LEER-H35-TOD.
000539     CLOSE  H35.
000540     GO TO OTRO-C04.
000541 FIN-PONER.
000542 CARGAR-C02.
000543     CLOSE C03.
000544     MOVE C06ANDES TO ANDES.
000545     OPEN INPUT C03.
000546     MOVE LOW-VALUES TO C02FECHA-LA.
000547     MOVE FECHA TO C02FECHA.
000548     MOVE ZERO  TO C02FECDI.
000549     START C02 KEY IS NOT LESS THAN C02FECHA-LA
000550                   INVALID KEY GO TO FIN-CARGAR-C02.
000551 OTRO-C02.
000552     READ C02 NEXT AT END GO TO FIN-CARGAR-C02.
000553     DISPLAY C02TRANS LINE 15 POSITION 44.
000554     DISPLAY "C02" LINE 15 POSITION 54.
000555     IF C02FECHA > FECHA GO TO FIN-CARGAR-C02.
000556
000557
000558 VER-C03.
000559     MOVE LOW-VALUES TO C03TRANS-LA.
000560     MOVE C02TRANS TO C03TRANS.
000561     START C03 KEY IS NOT LESS THAN C03TRANS-LA
000562                      INVALID KEY GO TO OTRO-C02.
000563 OTRO-C03-VER.
000564     READ C03 NEXT AT END GO TO OTRO-C02.
000565     IF C03TRANS IS NOT = C02TRANS GO TO OTRO-C02.
000566     MOVE C03CUENT TO C01CUENT.
000567     READ C01 INVALID KEY GO TO OTRO-C03-VER.
000568     IF C01MONED IS NOT = SPACES GO TO FIN-VER-C03.
000569     GO TO OTRO-C03-VER.
000570 FIN-VER-C03.
000571     MOVE C02TRANS TO AU1TRANS.
000572     WRITE AU1-REC INVALID KEY GO TO OTRO-C02.
000573     MOVE LOW-VALUES TO C03TRANS-LA.
000574     MOVE C02TRANS TO C03TRANS.
000575     START C03 KEY IS NOT LESS THAN C03TRANS-LA
000576                      INVALID KEY GO TO OTRO-C02.
000577 OTRO-C03.
000578     READ C03 NEXT AT END GO TO OTRO-C02.
000579     IF C03TRANS IS NOT = C02TRANS GO TO OTRO-C02.
000580     MOVE C03CUENT TO C01CUENT.
000581     READ C01 INVALID KEY GO TO OTRO-C03.
000582     MOVE C01MONED TO C04MONED
000583     READ C04 INVALID KEY MOVE SPACES TO C04-REC.
000584     IF C03DEBHA = "D"
000585                ADD 1 TO W03NUMER
000586                MOVE C03-REC TO X03-REC
000587                MOVE W03NUMER TO X03NUMER
000588                WRITE X03-REC
000589                GO TO OTRO-C03.
000590     IF C04CARTE = "P" AND C04INFEC = "S"
000591                PERFORM VER-C55 THRU FIN-VER-C55
000592           ELSE
000593                ADD 1 TO W03NUMER
000594                MOVE C03-REC TO X03-REC
000595                MOVE W03NUMER TO X03NUMER
000596                WRITE X03-REC.
000597     GO TO OTRO-C03.
000598 VER-C55.
000599     MOVE LOW-VALUES TO C55-REC.
000600     MOVE C02TRANS TO C55TRANS.
000601     START C55 KEY IS NOT LESS THAN C55LLAVE
000602              INVALID KEY GO TO GRABAR-X03.
000603 OTRO-C55.
000604     READ C55 NEXT AT END GO TO GRABAR-X03.
000605     IF C55TRANS IS NOT  = C02TRANS GO TO GRABAR-X03.
000606     IF C55MONED = C04MONED
000607                  GO TO FIN-VER-C55.
000608     GO TO OTRO-C55.
000609 GRABAR-X03.
000610     ADD 1 TO W03NUMER
000611     MOVE C03-REC TO X03-REC
000612     MOVE W03NUMER TO X03NUMER
000613     WRITE X03-REC.
000614 FIN-VER-C55.
000615 FIN-CARGAR-C02.
000616 BALANCEAR.
000617     MOVE ZERO TO C02TRANS.
000618 OTRO-BAL.
000619     MOVE ZERO TO TOTDEBE TOTHABER.
000620     MOVE LOW-VALUES TO X03-REC.
000621     MOVE C02TRANS TO X03TRANS.
000622     START X03 KEY IS NOT LESS THAN X03TRANS-LA.
000623 OTRO-X03-BAL.
000624     READ X03 NEXT AT END
000625             IF  TOTDEBE = TOTHABER GO TO FIN-BALANCEAR
000626                  ELSE
000627                    PERFORM BALAN THRU FIN-BALAN
000628                    GO TO FIN-BALANCEAR
000629                    END-IF.
000630     DISPLAY X03NUMER LINE 15 POSITION 44.
000631     DISPLAY "X03" LINE 15 POSITION 54.
000632     IF X03TRANS IS NOT  = C02TRANS
000633                AND TOTDEBE = TOTHABER
000634                  MOVE X03TRANS TO C02TRANS
000635                  GO TO OTRO-BAL.
000636     IF X03TRANS IS NOT  = C02TRANS
000637            MOVE X03TRANS TO C55TRANS
000638            PERFORM BALAN THRU FIN-BALAN
000639            MOVE C55TRANS TO C02TRANS
000640            GO TO OTRO-BAL.
000641     IF X03DEBHA = "D" ADD X03IMPOR TO TOTDEBE
000642                 ELSE  ADD X03IMPOR TO TOTHABER.
000643     GO TO OTRO-X03-BAL.
000644 FIN-BALANCEAR.
000645
000646 NO-PROV.
000647     MOVE LOW-VALUES TO X03-REC.
000648     START X03 KEY IS NOT LESS THAN X03LLAVE
000649                INVALID KEY GO TO FIN-NOPROV.
000650 OTRO-X03-NOPRO.
000651     READ X03 NEXT AT END GO TO FIN-NOPROV.
000652     DISPLAY X03NUMER LINE 15 POSITION 44.
000653     DISPLAY "PX03" LINE 15 POSITION 54.
000654     IF X03CUENT  = CUPROVE GO TO OTRO-X03-NOPRO.
000655     MOVE X03CUENT TO C01CUENT.
000656     READ C01 INVALID KEY GO TO OTRO-X03-NOPRO.
000657*    IF C01MONED IS NOT = SPACES
000658*                   GO TO OTRO-X03-NOPRO.
000659     SUBTRACT 1 FROM CODPR
000660     MOVE X03CUENT TO AU5CUENT
000661     MOVE CODPR    TO AU5CODPR
000662     MOVE ZERO     TO AU5SUCUR
000663     MOVE X03DETAL TO AU5TITUL
000664     MOVE ZERO     TO AU5DEBE
000665     MOVE ZERO     TO AU5HABER
000666     MOVE ZERO     TO AU5DEBE
000667     SUBTRACT 1 FROM CODPR2
000668     MOVE C01INTEG TO AU2INTEG
000669     MOVE CODPR2   TO AU2CODPR
000670     MOVE ZERO     TO AU2SUCUR
000671     MOVE X03DETAL TO AU2TITUL
000672     MOVE ZERO     TO AU2DEBE
000673     MOVE ZERO     TO AU2HABER
000674     MOVE ZERO     TO AU2DEBE
000675     IF X03DEBHA = "D"
000676           MOVE X03IMPOR  TO AU2DEBE
000677           MOVE X03IMPOR  TO AU5DEBE
000678         ELSE
000679           MOVE X03IMPOR  TO AU2HABER
000680           MOVE X03IMPOR  TO AU5HABER.
000681     WRITE AU2-REC.
000682     WRITE AU5-REC.
000683     GO TO OTRO-X03-NOPRO.
000684 FIN-NOPROV.
000685
000686
000687
000688
000689
000690
000691
000692 PROVEEDOR.
000693     MOVE LOW-VALUES TO X03-REC.
000694     MOVE CUPROVE  TO X03CUENT.
000695     START X03 KEY IS NOT LESS THAN X03CUENT-LA
000696                INVALID KEY GO TO FIN-PROVEEDOR.
000697 OTRO-X03-PRO.
000698     READ X03 NEXT AT END GO TO FIN-PROVEEDOR.
000699     DISPLAY X03NUMER LINE 15 POSITION 44.
000700     DISPLAY "NPX03" LINE 15 POSITION 54.
000701     IF X03CUENT IS NOT  = CUPROVE
000702                          GO TO FIN-PROVEEDOR.
000703     MOVE X03-REC TO C03-REC.
000704     DELETE X03.
000705 BUS-PRO.
000706     MOVE LOW-VALUES TO C12-REC.
000707     MOVE X03TRANS   TO C12TRANS
000708     START C12 KEY IS NOT LESS THAN C12TRANS-LA
000709                   INVALID KEY
000710                   MOVE CUPROVE  TO C01CUENT
000711                   GO TO FIN-BUS-PRO.
000712 OTRO-C12.
000713     READ C12 NEXT AT END GO TO FIN-BUS-PRO.
000714     DISPLAY C12NUMER LINE 15 POSITION 44.
000715     DISPLAY "C12" LINE 15 POSITION 54.
000716     IF C12TRANS IS NOT = X03TRANS GO TO FIN-BUS-PRO.
000717     MOVE CUPROVE TO C01CUENT.
000718     CALL "C16APLIC" USING USRID SESIO C12NUMER C01CUENT
000719                                          C11CODPR C11SUCUR.
000720     IF C12IMPOR < C03IMPOR
000721                ADD 1 TO W03NUMER
000722                MOVE W03NUMER TO X03NUMER
000723                MOVE C12IMPOR TO X03IMPOR
000724                SUBTRACT C12IMPOR FROM C03IMPOR
000725                MOVE C01CUENT TO X03CUENT
000726                MOVE SPACES   TO X03DETAL
000727                WRITE X03-REC
000728                PERFORM LEER-AUX5
000729                GO TO OTRO-C12.
000730     ADD 1 TO W03NUMER
000731     MOVE W03NUMER TO X03NUMER
000732     MOVE C03IMPOR TO X03IMPOR
000733     MOVE C01CUENT TO X03CUENT
000734     MOVE SPACES   TO X03DETAL
000735     WRITE X03-REC
000736     MOVE C03IMPOR TO C12IMPOR
000737     PERFORM LEER-AUX5
000738     MOVE ZERO TO C03IMPOR.
000739 FIN-BUS-PRO.
000740     MOVE C03-REC TO X03-REC
000741     IF X03DEBHA = "D"
000742                     MOVE X03IMPOR  TO AU2DEBE
000743                     MOVE X03IMPOR  TO AU5DEBE
000744                   ELSE
000745                     MOVE X03IMPOR  TO AU2HABER
000746                     MOVE X03IMPOR  TO AU5HABER.
000747     IF C03IMPOR > ZERO
000748               MOVE C01CUENT TO X03CUENT
000749               WRITE X03-REC
000750               SUBTRACT 1 FROM CODPR
000751               MOVE X03CUENT TO AU5CUENT
000752               MOVE CODPR    TO AU5CODPR
000753               MOVE ZERO     TO AU5SUCUR
000754               MOVE X03DETAL TO AU5TITUL
000755               MOVE ZERO     TO AU5DEBE
000756               MOVE ZERO     TO AU5HABER
000757               MOVE ZERO     TO AU5DEBE
000758               WRITE AU5-REC.
000759     GO TO PROVEEDOR.
000760 FIN-PROVEEDOR.
000761
000762 CARGAR-X03.
000763     MOVE LOW-VALUES TO X03-REC.
000764     START X03 KEY IS NOT LESS THAN X03TRANS-LA.
000765 OTRO-X03-CAR.
000766     READ X03 NEXT AT END GO TO FIN-CARGAR-X03.
000767     DISPLAY X03NUMER LINE 15 POSITION 44.
000768     DISPLAY "CX03" LINE 15 POSITION 54.
000769     MOVE X03CUENT TO C01CUENT.
000770     PERFORM LEER-AUXI.
000771     IF X03DEBHA = "D" ADD X03IMPOR TO AUXDEBE
000772                       ADD X03IMPOR TO AU3DEBE
000773                ELSE   ADD X03IMPOR TO AUXHABER
000774                       ADD X03IMPOR TO AU3HABER.
000775     REWRITE AUX-REC.
000776     REWRITE AU3-REC.
000777     GO TO OTRO-X03-CAR.
000778 FIN-CARGAR-X03.
000779
000780 IMPRIMIR.
000781     MOVE ZERO TO TOTDEBE.
000782     MOVE ZERO TO TOTHABER  .
000783     MOVE LOW-VALUES TO AUXLLAVE.
000784     START AUXIFILE  KEY IS NOT LESS THAN AUXLLAVE
000785             INVALID KEY
000786             MOVE "NO HAY NADA AUN 1"
000787             TO MENSAJE PERFORM MENSAJE-DIS
000788             ACCEPT IND
000789             GO TO FINALIZAR.
000790 OTRO-AUX-IMP.
000791     READ AUXIFILE NEXT AT END GO TO TOTALES.
000792     IF CON-PAG = ZERO
000793                    PERFORM ABRIR
000794                    PERFORM ENCABEZAMIENTO.
000795     IF AUXDEBE  = 0 AND  AUXHABER = 0
000796                            GO TO OTRO-AUX-IMP.
000797     MOVE AUXDEBE  TO SL-DEBE    .
000798     MOVE AUXHABER TO SL-HABER  .
000799     ADD  AUXDEBE  TO TOTDEBE   .
000800     ADD  AUXHABER TO TOTHABER  .
000801     IF CON-LIN > LIN-COR - 5 PERFORM PAGINA THRU FIN-PAGINA
000802                     PERFORM ENCABEZAMIENTO.
000803     MOVE AUXCUENT TO SL-CUENT .
000804     MOVE AUXINTEG TO SL-INTEG .
000805     MOVE AUXTITUL TO SL-TITUL .
000806     MOVE LINE007 TO SL-NOR-CON
000807     MOVE LIN-NOR TO IMP-REC
000808     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000809     IF AUXCUENT > 599999 OR = CUENT
000810             PERFORM APE-PRO THRU FIN-APE-PRO.
000811     GO TO OTRO-AUX-IMP.
000812 TOTALES.
000813     IF CON-PAG = ZERO
000814             MOVE "NO HAY NADA AUN 1 "
000815             TO MENSAJE PERFORM MENSAJE-DIS
000816             ACCEPT IND
000817             GO TO FINALIZAR.
000818     MOVE LINE008 TO SL-NOR-CON
000819     MOVE LIN-NOR TO IMP-REC
000820     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000821     MOVE TOTDEBE      TO SL-TOTDEBE
000822     MOVE TOTHABER     TO SL-TOTHABER
000823     MOVE LINE009 TO SL-NOR-CON
000824     MOVE LIN-NOR TO IMP-REC
000825     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000826     PERFORM PAGINA THRU FIN-PAGINA.
000827     PERFORM ENCABEZAMIENTO.
000828
000829
000830     PERFORM LEER-AU3 THRU FIN-LEER-AU3.
000831*    PERFORM RESUMEN THRU FIN-RESUMEN.
000832*    PERFORM LEER-AU4 THRU FIN-LEER-AU4.
000833     MOVE LINEBLA TO IMP-REC.
000834     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000835     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000836     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000837     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000838 FIN-IMPRIMIR.
000839     PERFORM CERRAR THRU FIN-CERRAR.
000840 FINALIZAR.
000841     DISPLAY " " CONTROL BLANCO LINE 1 POSITION 1.
000842     CLOSE C00 C01 C03 C02 C04 CLOSE AUXIFILE AUX1FILE AUX2FILE.
000843     CLOSE C55 C05 C12 C11 X03 C06.
000844 SALIDA.
000845     EXIT PROGRAM.
000846 MENSAJE-DIS.
000847     DISPLAY MENSAJE BLINK   LINE 24 POSITION 1.
000848     MOVE SPACES TO MENSAJE.
000849 CERRAR.
000850     IF U04IMPRE = "I" OR U04IMPRE = "T" CLOSE IMP.
000851     IF IMPSTAT = "30" GO TO CERRAR.
000852     IF U04IMPRE = "D" OR U04IMPRE = "T" CLOSE DSK.
000853     IF U04IMPRE = "D" OR U04IMPRE = "T"
000854             CALL "SHOWRELA" USING IMP-PAT
000855             CANCEL "SHOWRELA".
000856 FIN-CERRAR.
000857 ENCABEZAMIENTO.
000858     ADD 1 TO CON-PAG .
000859     MOVE ZERO TO CON-LIN.
000860     MOVE CON-PAG TO SL-CON-PAG.
000861     MOVE LINE001 TO SL-NOR-CON
000862     MOVE LIN-NOR TO IMP-REC
000863     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000864     MOVE LINE004 TO SL-NOR-CON
000865     MOVE LIN-NOR TO IMP-REC
000866     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000867     MOVE LINE005 TO SL-NOR-CON
000868     MOVE LIN-NOR TO IMP-REC
000869     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000870     MOVE LINE005B TO SL-NOR-CON
000871     MOVE LIN-NOR TO IMP-REC
000872     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000873     MOVE LINE006 TO SL-NOR-CON
000874     MOVE LIN-NOR TO IMP-REC
000875     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000876 ABRIR.
000877     MOVE C00DIAUX TO IMP-DIAUX.
000878     MOVE USRID    TO IMP-USRID.
000879     MOVE "C01RESFI.PRT" TO IMP-NOM.
000880     IF U04IMPRE = "I" OR U04IMPRE = "T" OPEN OUTPUT IMP .
000881     IF IMPSTAT = "30" GO TO ABRIR.
000882     IF U04IMPRE = "D" OR U04IMPRE = "T" OPEN OUTPUT DSK .
000883     ACCEPT FECHA-EQ FROM DATE.
000884     MOVE FECDI-EQ TO SL-FECDI-EQ.
000885     MOVE FECME-EQ TO SL-FECME-EQ.
000886     MOVE FECAN-EQ TO SL-FECAN-EQ.
000887     MOVE C00EMPRE TO SL-C00EMPRE .
000888     MOVE LINE000 TO IMP-REC.
000889     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000890     MOVE FECME    TO SL-FECME
000891     MOVE FECAN    TO SL-FECAN.
000892 WRT-IMP.
000893     ADD 1 TO CON-LIN.
000894 SEG-WRT-IMP.
000895     DISPLAY IMP-REC LINE 22 POSITION 1.
000896     MOVE IMP-REC TO DSK-REC.
000897     IF U04IMPRE = "I" OR U04IMPRE = "T" WRITE IMP-REC
000898                BEFORE 1 LINES.
000899     IF IMPSTAT = "30" GO TO SEG-WRT-IMP.
000900     IF U04IMPRE = "D" OR U04IMPRE = "T" WRITE DSK-REC
000901                BEFORE 1 LINES.
000902 FIN-WRT-IMP.
000903 PAGINA.
000904     MOVE LINEBLA  TO IMP-REC.
000905     MOVE LINEBLA  TO DSK-REC.
000906     DISPLAY IMP-REC LINE 22 POSITION 1.
000907     IF U04IMPRE = "I" OR U04IMPRE = "T"
000908                       WRITE IMP-REC AFTER PAGE.
000909     IF IMPSTAT = "30" GO TO PAGINA.
000910     IF U04IMPRE = "D" OR U04IMPRE = "T"
000911                       WRITE DSK-REC AFTER PAGE.
000912 FIN-PAGINA.
000913 LEER-AUXI.
000914     MOVE C01CUENT TO AUXCUENT.
000915     READ AUXIFILE INVALID KEY
000916                  MOVE SPACES TO AUXTITUL
000917                  MOVE ZERO TO AUXDEBE
000918                  MOVE ZERO TO AUXHABER
000919                  WRITE AUX-REC
000920                  READ AUXIFILE.
000921     READ C01 INVALID KEY MOVE SPACES TO C01-REC
000922              MOVE ZERO TO C01INTEG.
000923     MOVE C01TITUL TO AUXTITUL .
000924     MOVE C01INTEG TO AUXINTEG AU3INTEG .
000925     READ AUX3FILE INVALID KEY
000926                  MOVE SPACES TO AU3TITUL
000927                  MOVE ZERO TO AU3DEBE
000928                  MOVE ZERO TO AU3HABER
000929                  WRITE AU3-REC
000930                  READ AUX3FILE.
000931 FIN-LEER-AUXI.
000932 LEER-AUX5.
000933     MOVE C01CUENT TO AU5CUENT
000934     READ C01 INVALID KEY MOVE SPACES TO C01-REC.
000935     MOVE C01INTEG TO AU2INTEG
000936     MOVE C11CODPR TO AU5CODPR AU2CODPR.
000937     MOVE C11SUCUR TO AU5SUCUR AU2SUCUR.
000938     READ C11 INVALID KEY MOVE SPACES TO C11-REC
000939                          MOVE "XX"   TO C11NOMBR.
000940     READ AUX5FILE INVALID KEY
000941                  MOVE ZERO TO AU5DEBE
000942                  MOVE ZERO TO AU5HABER
000943                  MOVE C11NOMBR TO AU5TITUL
000944                  WRITE AU5-REC
000945                  READ AUX5FILE.
000946     READ AUX2FILE INVALID KEY
000947                  MOVE ZERO TO AU2DEBE
000948                  MOVE ZERO TO AU2HABER
000949                  MOVE C11NOMBR TO AU2TITUL
000950                  WRITE AU2-REC
000951                  READ AUX2FILE.
000952     IF X03DEBHA = "D"
000953              ADD C12IMPOR TO AU2DEBE
000954              ADD C12IMPOR TO AU5DEBE
000955         ELSE
000956              ADD C12IMPOR TO AU2HABER
000957              ADD C12IMPOR TO AU5HABER.
000958     REWRITE AU2-REC.
000959     REWRITE AU5-REC.
000960 FIN-LEER-AUX5.
000961
000962 CARGAR-C03.
000963     MOVE LOW-VALUES TO C03TRANS-LA.
000964     MOVE C02TRANS TO C03TRANS.
000965     START C03 KEY IS NOT LESS THAN C03TRANS-LA.
000966 OTRO-C03-CAR.
000967     READ C03 NEXT AT END GO TO FIN-CARGAR-C03.
000968     IF C03TRANS IS NOT = C02TRANS GO TO FIN-CARGAR-C03.
000969     MOVE C03CUENT TO C01CUENT.
000970     READ C01 INVALID KEY GO TO OTRO-C03.
000971     MOVE C01MONED TO C04MONED.
000972     READ C04 INVALID KEY MOVE SPACES TO C04-REC.
000973     IF C04CARTE = "P" AND C04INFEC = "S"
000974                             MOVE "S" TO IND-PRO.
000975     PERFORM LEER-AUXI.
000976     IF C03DEBHA = "D" ADD C03IMPOR TO AUXDEBE
000977                       ADD C03IMPOR TO AU3DEBE
000978                ELSE   ADD C03IMPOR TO AUXHABER
000979                       ADD C03IMPOR TO AU3HABER.
000980
000981     REWRITE AUX-REC.
000982     REWRITE AU3-REC.
000983     GO TO OTRO-C03-CAR.
000984 FIN-CARGAR-C03.
000985 LEER-AU3.
000986     MOVE "N"  TO IND-SUB.
000987     MOVE ZERO TO TOTDEBE.
000988     MOVE ZERO TO TOTHABER  .
000989     MOVE LOW-VALUES TO AU3LLAVE.
000990     START AUX3FILE  KEY IS NOT LESS THAN AU3LLAVE
000991             INVALID KEY
000992             MOVE "NO HAY NADA AUN 3"
000993             TO MENSAJE PERFORM MENSAJE-DIS
000994             ACCEPT IND
000995             GO TO FIN-LEER-AU3.
000996 OTRO-AU3.
000997     READ AUX3FILE NEXT AT END GO TO TOT-AU3.
000998     IF AU3DEBE  = 0 AND  AU3HABER = 0
000999                            GO TO OTRO-AU3.
001000     IF AU3INTEG > 600 AND IND-SUB = "N"
001001               MOVE "S"  TO IND-SUB
001002               MOVE LINE008 TO SL-NOR-CON
001003               MOVE LIN-NOR TO IMP-REC
001004               PERFORM WRT-IMP THRU FIN-WRT-IMP
001005               MOVE TOTDEBE      TO SL-SUBDEBE
001006               MOVE TOTHABER     TO SL-SUBHABER
001007               MOVE LINE009S TO SL-NOR-CON
001008               MOVE LIN-NOR TO IMP-REC
001009               PERFORM WRT-IMP THRU FIN-WRT-IMP
001010               PERFORM PAGINA THRU FIN-PAGINA
001011               PERFORM ENCABEZAMIENTO.
001012     MOVE AU3DEBE  TO SL-DEBE    .
001013     MOVE AU3HABER TO SL-HABER  .
001014     ADD  AU3DEBE  TO TOTDEBE   .
001015     ADD  AU3HABER TO TOTHABER  .
001016     IF CON-LIN > LIN-COR - 5 PERFORM PAGINA THRU FIN-PAGINA
001017                     PERFORM ENCABEZAMIENTO.
001018     MOVE ZERO     TO SL-CUENT .
001019     MOVE AU3INTEG TO SL-INTEG .
001020     MOVE AU3INTEG TO C08INTEG.
001021     READ C08 INVALID KEY MOVE SPACES TO C08-REC.
001022     MOVE C08NOMBR TO SL-TITUL .
001023     MOVE LINE007 TO SL-NOR-CON
001024     MOVE LIN-NOR TO IMP-REC
001025     PERFORM WRT-IMP THRU FIN-WRT-IMP.
001026     IF AU3INTEG > 600
001027             PERFORM APE-PROV THRU FIN-APE-PROV.
001028     GO TO OTRO-AU3.
001029 TOT-AU3.
001030     IF TOTDEBE  = ZERO
001031             MOVE "NO HAY NADA AUN 3 "
001032             TO MENSAJE PERFORM MENSAJE-DIS
001033             ACCEPT IND
001034             GO TO FIN-LEER-AU3.
001035     MOVE LINE008 TO SL-NOR-CON
001036     MOVE LIN-NOR TO IMP-REC
001037     PERFORM WRT-IMP THRU FIN-WRT-IMP.
001038     MOVE TOTDEBE      TO SL-TOTDEBE
001039     MOVE TOTHABER     TO SL-TOTHABER
001040     MOVE LINE009 TO SL-NOR-CON
001041     MOVE LIN-NOR TO IMP-REC
001042     PERFORM WRT-IMP THRU FIN-WRT-IMP.
001043 FIN-LEER-AU3.
001044
001045 LEER-AU4.
001046     MOVE ZERO TO TOTDEBE.
001047     MOVE ZERO TO TOTHABER  .
001048     MOVE LOW-VALUES TO AU4LLAVE.
001049     START AUX4FILE  KEY IS NOT LESS THAN AU4LLAVE
001050             INVALID KEY
001051             MOVE "NO HAY NADA AUN 4"
001052             TO MENSAJE PERFORM MENSAJE-DIS
001053             ACCEPT IND
001054             GO TO FIN-LEER-AU4.
001055 OTRO-AU4.
001056     READ AUX4FILE NEXT AT END GO TO TOT-AU4.
001057     IF AU4DEBE  = 0 AND  AU4HABER = 0
001058                            GO TO OTRO-AU4.
001059     MOVE AU4DEBE  TO SL-DEBE    .
001060     MOVE AU4HABER TO SL-HABER  .
001061     ADD  AU4DEBE  TO TOTDEBE   .
001062     ADD  AU4HABER TO TOTHABER  .
001063     IF CON-LIN > LIN-COR - 5 PERFORM PAGINA THRU FIN-PAGINA
001064                     PERFORM ENCABEZAMIENTO.
001065     MOVE ZERO     TO SL-CUENT .
001066     MOVE AU4INTEG TO SL-INTEG .
001067     MOVE AU4INTEG TO C08INTEG.
001068     READ C08 INVALID KEY MOVE SPACES TO C08-REC.
001069     MOVE C08NOMBR TO SL-TITUL .
001070     MOVE LINE007 TO SL-NOR-CON
001071     MOVE LIN-NOR TO IMP-REC
001072     PERFORM WRT-IMP THRU FIN-WRT-IMP.
001073     GO TO OTRO-AU4.
001074 TOT-AU4.
001075     IF TOTDEBE = ZERO
001076             MOVE "NO HAY NADA AUN 4 "
001077             TO MENSAJE PERFORM MENSAJE-DIS
001078             ACCEPT IND
001079             GO TO FIN-LEER-AU4.
001080     MOVE LINE008 TO SL-NOR-CON
001081     MOVE LIN-NOR TO IMP-REC
001082     PERFORM WRT-IMP THRU FIN-WRT-IMP.
001083     MOVE TOTDEBE      TO SL-TOTDEBE
001084     MOVE TOTHABER     TO SL-TOTHABER
001085     MOVE LINE009 TO SL-NOR-CON
001086     MOVE LIN-NOR TO IMP-REC
001087     PERFORM WRT-IMP THRU FIN-WRT-IMP.
001088 FIN-LEER-AU4.
001089
001090
001091 BALAN.
001092     IF TOTDEBE > TOTHABER
001093                MOVE "D" TO IND
001094                SUBTRACT TOTHABER FROM TOTDEBE
001095              ELSE
001096                MOVE "S" TO IND
001097                SUBTRACT TOTDEBE  FROM TOTHABER.
001098     MOVE LOW-VALUES TO X03-REC.
001099     MOVE C02TRANS TO X03TRANS.
001100     START X03 KEY IS NOT LESS THAN X03TRANS-LA.
001101 OTRO-X03-BALAN.
001102     READ X03 NEXT AT END GO TO FIN-BALAN.
001103     IF X03TRANS IS NOT = C02TRANS GO TO FIN-BALAN.
001104     IF X03DEBHA = "H" AND IND = "D" GO TO OTRO-X03-BALAN.
001105     IF X03DEBHA = "D" AND IND = "S" GO TO OTRO-X03-BALAN.
001106     IF ( TOTDEBE  > ZERO AND IND = "D" )
001107     OR ( TOTHABER  > ZERO AND IND = "S" )
001108          NEXT SENTENCE ELSE
001109                        GO TO FIN-BALAN.
001110     IF IND = "D"
001111        IF X03IMPOR < TOTDEBE
001112              SUBTRACT X03IMPOR FROM TOTDEBE
001113              DELETE X03
001114            ELSE  SUBTRACT TOTDEBE FROM X03IMPOR
001115              REWRITE X03-REC
001116              GO TO FIN-BALAN.
001117     IF IND = "S"
001118        IF X03IMPOR < TOTHABER
001119              SUBTRACT X03IMPOR FROM TOTHABER
001120              DELETE X03
001121            ELSE  SUBTRACT TOTHABER FROM X03IMPOR
001122              REWRITE X03-REC
001123              GO TO FIN-BALAN.
001124     GO TO OTRO-X03-BALAN.
001125 FIN-BALAN.
001126
001127 APE-PRO.
001128     MOVE LOW-VALUES TO AU5LLAVE.
001129     MOVE AUXCUENT   TO AU5CUENT.
001130     START AUX5FILE  KEY IS NOT LESS THAN AU5LLAVE
001131             INVALID KEY GO TO FIN-APE-PRO.
001132 OTRO-AU5.
001133     READ AUX5FILE NEXT AT END GO TO FIN-APE-PRO.
001134     IF AU5CUENT IS NOT = AUXCUENT GO TO FIN-APE-PRO.
001135     IF CON-LIN > LIN-COR  PERFORM PAGINA THRU FIN-PAGINA
001136                           PERFORM ENCABEZAMIENTO.
001137     IF AU5DEBE = ZERO AND AU5HABER = ZERO
001138                                 GO TO OTRO-AU5.
001139     MOVE AU5TITUL TO SL-NOMBR
001140     MOVE AU5DEBE  TO SL-AU5DEBE  .
001141     MOVE AU5HABER TO SL-AU5HABER .
001142     MOVE LINE208 TO SL-COM-CON
001143     MOVE LIN-COM TO IMP-REC
001144     PERFORM WRT-IMP THRU FIN-WRT-IMP.
001145     GO TO OTRO-AU5.
001146 FIN-APE-PRO.
001147 APE-PROV.
001148     MOVE LOW-VALUES TO AU2LLAVE.
001149     MOVE AU3INTEG   TO AU2INTEG.
001150     START AUX2FILE  KEY IS NOT LESS THAN AU2LLAVE
001151             INVALID KEY GO TO FIN-APE-PROV.
001152 OTRO-AU2.
001153     READ AUX2FILE NEXT AT END GO TO FIN-APE-PROV.
001154     IF AU2INTEG IS NOT = AU3INTEG GO TO FIN-APE-PROV.
001155     IF CON-LIN > LIN-COR  PERFORM PAGINA THRU FIN-PAGINA
001156                           PERFORM ENCABEZAMIENTO.
001157     IF AU2DEBE = ZERO AND AU2HABER = ZERO
001158                                 GO TO OTRO-AU2.
001159     MOVE AU2TITUL TO SL-NOMBR
001160     MOVE AU2DEBE  TO SL-AU5DEBE  .
001161     MOVE AU2HABER TO SL-AU5HABER .
001162     MOVE LINE208 TO SL-COM-CON
001163     MOVE LIN-COM TO IMP-REC
001164     PERFORM WRT-IMP THRU FIN-WRT-IMP.
001165     GO TO OTRO-AU2.
001166 FIN-APE-PROV.
001167
001168
001169


