000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. P18FICIM.
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SOURCE-COMPUTER. RMC.
000006 OBJECT-COMPUTER. RMC.
000007 INPUT-OUTPUT SECTION.
000008 COPY "SISTSELE.CBL".
000009     SELECT AUXIFILE ASSIGN TO RANDOM  AUX-PAT
000010         ORGANIZATION IS INDEXED
000011         RECORD KEY IS AUXLLAVE
000012         FILE STATUS IS AUXSTAT
000013         ACCESS IS DYNAMIC.
000014 DATA DIVISION.
000015 FILE SECTION.
000016 FD  AUXIFILE
000017         RECORD CONTAINS 144 CHARACTERS
000018         LABEL RECORDS ARE STANDARD.
000019 01  AUX-REC.
000020      03 AUXLLAVE.
000021         05 AUXFECHA PIC 9(8).
000022         05 AUXTRANS PIC 9(8).
000023         05 AUXNUMER PIC 9(8).
000024         05 FILLER   PIC 9(8).
000025      03 AUXCONTE    PIC X(80).
000026      03 AUXIMPOR    PIC S9(13)V99.
000027      03 AUXSALDO    PIC S9(13)V99.
000028 COPY "SISTFD.CBL".
000029 01  VERDE.
000030     03  FILLER      PIC X(19) VALUE "FCOLOR = GREEN,".
000031     03  FILLER      PIC X(18) VALUE "BCOLOR = BLACK ".
000032 01  AZUL.
000033     03  FILLER      PIC X(19) VALUE "FCOLOR = BLUE,".
000034     03  FILLER      PIC X(18) VALUE "BCOLOR = BLACK ".
000035 01  BLANCO.
000036     03  FILLER      PIC X(18) VALUE "FCOLOR = WHITE,".
000037     03  FILLER      PIC X(18) VALUE "BCOLOR = BLACK ".
000038
000039 77 IND-HAY  PIC X.
000040 77 IND-ORD  PIC X.
000041 77 IND-HOJ  PIC X.
000042 77 CODCLDES PIC 9(5).
000043 77 SUCURDES PIC 9(2).
000044 77 NOMCODES PIC X(30).
000045 77 CODCLHAS PIC 9(5).
000046 77 SUCURHAS PIC 9(2).
000047 77 NOMCOHAS PIC X(30).
000048 77 CODCLDES-E PIC Z(4)9.
000049 77 SUCURDES-E PIC Z(1)9.
000050 77 CODCLHAS-E PIC Z(4)9.
000051 77 SUCURHAS-E PIC Z(1)9.
000052 77 P18CODCL-E PIC Z(4)9.
000053 77 P18SUCUR-E PIC Z(1)9.
000054 77 P18FECDI-E PIC Z(1)9.
000055 77 P18FECME-E PIC Z(1)9.
000056 77 P18FECAN-E PIC Z(3)9.
000057 77 P18NUMER-E PIC Z(7)9.
000058 77 SALDO      PIC S9(13)V99.
000059 01 LINE-TIT.
000060      04 FILLER          PIC X(2)   VALUE SPACES.
000061      04 FILLER          PIC X(5)   VALUE "FECHA".
000062      04 FILLER          PIC X(2)   VALUE SPACES.
000063      04 FILLER          PIC X(11)  VALUE "COMPROBANTE".
000064      04 FILLER          PIC X(2)   VALUE SPACES.
000065      04 FILLER PIC X(23)  VALUE "VALOR ORIG. VENCIMIENTO".
000066      04 FILLER          PIC X(2)   VALUE SPACES.
000067      04 FILLER          PIC X(4)   VALUE "DEBE".
000068      04 FILLER          PIC X(7)   VALUE SPACES.
000069      04 FILLER          PIC X(5)   VALUE "HABER".
000070      04 FILLER          PIC X(7)   VALUE SPACES.
000071      04 FILLER          PIC X(5)   VALUE "SALDO".
000072 01 LINEHA-SA.
000073      04 HS-P18FECDI     PIC Z9.
000074      04 FILLER          PIC X      VALUE "/".
000075      04 HS-P18FECME     PIC Z9.
000076      04 FILLER          PIC X      VALUE "/".
000077      04 HS-P18FECAN     PIC Z9.
000078      04 FILLER          PIC X      VALUE SPACES.
000079      04 HS-P18COMLE     PIC X(4).
000080      04 FILLER          PIC X      VALUE "-".
000081      04 HS-P18COMNU     PIC Z(5)9.
000082      04 FILLER          PIC X      VALUE SPACES.
000083      04 HS-C18IMPOR     PIC Z(7)9.9(2).
000084      04 FILLER          PIC X(8)   VALUE SPACES.
000085      04 FILLER          PIC X(8)   VALUE SPACES.
000086      04 HS-P18IMPOR     PIC Z(13)9.9(2).
000087 01 LINEDE-SA.
000088      04 DS-P18FECDI     PIC Z9.
000089      04 FILLER          PIC X      VALUE "/".
000090      04 DS-P18FECME     PIC Z9.
000091      04 FILLER          PIC X      VALUE "/".
000092      04 DS-P18FECAN     PIC Z9.
000093      04 FILLER          PIC X      VALUE SPACES.
000094      04 DS-P18COMLE     PIC X(4).
000095      04 FILLER          PIC X      VALUE "-".
000096      04 DS-P18COMNU     PIC Z(5)9.
000097      04 FILLER          PIC X      VALUE SPACES.
000098      04 DS-C18IMPOR     PIC Z(7)9.9(2).
000099      04 FILLER          PIC X      VALUE SPACES.
000100      04 DS-P18FEVDI     PIC Z9.
000101      04 FILLER          PIC X      VALUE "/".
000102      04 DS-P18FEVME     PIC Z9.
000103      04 FILLER          PIC X      VALUE "/".
000104      04 DS-P18FEVAN     PIC Z9.
000105      04 DS-P18IMPOR     PIC Z(8)9.9(2).
000106 01 LINE-SALDO.
000107      04 FILLER          PIC X(67)  VALUE SPACES.
000108      04 SL-SALDO        PIC Z(8).ZZCR.
000109 01  FECHA .
000110         03 ANIO-E PIC 99   .
000111         03 MES-E  PIC 99   .
000112         03 DIA-E  PIC 99   .
000113 01 LINE001.
000114      04 FILLER          PIC X(6)   VALUE "FECHA:".
000115      04 SL-DIA-E        PIC Z9.
000116      04 FILLER          PIC X      VALUE "/".
000117      04 SL-MES-E        PIC Z9.
000118      04 FILLER          PIC X      VALUE "/".
000119      04 SL-ANIO-E       PIC Z9.
000120      04 FILLER          PIC X      VALUE SPACES.
000121      04 SL-C00EMPRE     PIC X(30).
000122      04 FILLER          PIC X      VALUE SPACES.
000123      04 FILLER PIC X(25)  VALUE "COMPOSICION DEL SALDO".
000124      04 FILLER          PIC X      VALUE SPACES.
000125      04 FILLER          PIC X(5)   VALUE "HOJA:".
000126      04 SL-CON-PAG      PIC Z(2)9.
000127 01 LINE002.
000128      04 FILLER          PIC X(15)  VALUE SPACES.
000129      04 FILLER          PIC X(57)  VALUE ALL "-".
000130 01 LINE004.
000131      04 FILLER          PIC XXXX   VALUE SPACES.
000132      04 SL-P18CODCL     PIC Z(4)9.
000133      04 FILLER          PIC X      VALUE SPACES.
000134      04 SL-C13NOMCO     PIC X(30).
000135 01 LINE004B.
000136      04 FILLER          PIC XXXX   VALUE SPACES.
000137      04 SL-C13CALLE     PIC X(30).
000138      04 FILLER          PIC X      VALUE SPACES.
000139      04 SL-C13CODPO     PIC 9(4).
000140      04 FILLER          PIC X      VALUE SPACES.
000141      04 SL-C13LOCAL     PIC X(30).
000142 01 LINE004C.
000143      04 FILLER          PIC XXXX   VALUE SPACES.
000144      04 SL-C13TELEF     PIC X(60).
000145 01 LINE005.
000146      04 FILLER          PIC X(80)  VALUE ALL "".
000147 01 LINE011.
000148      04 FILLER          PIC X(31) VALUE SPACES.
000149      04 FILLER          PIC X(49) VALUE
000150      "CONTINUA EN LA PAGINA SIGUIENTE".
000151 01 LINE012.
000152      04 FILLER          PIC X(31) VALUE SPACES.
000153      04 FILLER          PIC X(49) VALUE
000154      "CONTINUACION DE LA HOJA ANTERIOR".
000155 COPY "SISTSTAT.CBL".
000156 PROGRAMA.
000157     MOVE 'P18FICIM' TO PROGRA.
000158     CALL 'USOGRABA' USING USRID SESIO PROGRA.
000159     CANCEL 'USOGRABA'.
000160     MOVE PROGRA TO IMP-PRT
000161     OPEN INPUT C00.
000162     MOVE 1 TO C00NUMER.
000163     READ C00.
000164     MOVE "AUX1"    TO AUX-NOM.
000165     MOVE C00DIAUX  TO AUX-DIAUX
000166     MOVE USRID     TO AUX-USRID.
000167     OPEN INPUT P18 C13 C18.
000168     MOVE ZERO TO CON-PAG.
000169     MOVE "N"    TO IND-HOJ.
000170     MOVE "A"    TO IND-ORD.
000171     MOVE SPACES TO IND.
000172 PEDIDO.
000173     DISPLAY "ͻ"
000174             LOW CONTROL VERDE LINE 3 POSITION 14.
000175     MOVE 4 TO FILA.
000176 OTRO-CUA.
000177     DISPLAY "                                               "
000178             LOW LINE FILA POSITION 14.
000179     ADD 1 TO FILA.
000180     IF FILA < 17 GO TO OTRO-CUA.
000181     DISPLAY "ͼ"
000182             LOW LINE 17 POSITION 14.
000183     DISPLAY "CLIENTES" LOW LINE 5 POSITION 19.
000184     DISPLAY "FICHAS DE COMPOSICION DE SALDOS"
000185             LOW LINE 6 POSITION 22.
000186     DISPLAY "DESDE:" LOW LINE 8 POSITION 16.
000187     DISPLAY "-" LOW LINE 8 POSITION 27.
000188     DISPLAY "HASTA:" LOW LINE 9 POSITION 16.
000189     DISPLAY "-" LOW LINE 9 POSITION 27.
000190     DISPLAY "SALTO DE HOJA EN CADA FICHA"
000191             LOW LINE 11 POSITION 23.
000192     DISPLAY "S/N" HIGH LINE 11 POSITION 55.
000193     DISPLAY "ORDEN" LOW LINE 12 POSITION 20.
000194     DISPLAY "N" HIGH LINE 12 POSITION 27.
000195     DISPLAY "NUMERICO" LOW LINE 12 POSITION 29.
000196     DISPLAY "A" HIGH LINE 12 POSITION 39.
000197     DISPLAY "ALFABETICO" LOW LINE 12 POSITION 41.
000198     DISPLAY "N/A" HIGH LINE 12 POSITION 55.
000199     DISPLAY "P" HIGH LINE 13 POSITION 28.
000200     DISPLAY "PANTALLA" LOW LINE 13 POSITION 30.
000201     DISPLAY "I" HIGH LINE 13 POSITION 40.
000202     DISPLAY "IMPRESORA" LOW LINE 13 POSITION 42.
000203     DISPLAY "P/I" HIGH LINE 13 POSITION 55.
000204     DISPLAY "LEYENDO:" LOW LINE 15 POSITION 21.
000205     DISPLAY "-" LOW LINE 15 POSITION 34.
000206     DISPLAY "/" LOW LINE 15 POSITION 40.
000207     DISPLAY "/" LOW LINE 15 POSITION 43.
000208 BUSCO-PRIMERO.
000209     MOVE LOW-VALUES TO C13NOMCO-LA.
000210     START C13 KEY IS NOT LESS THAN C13NOMCO-LA
000211               INVALID KEY
000212             MOVE "NO HAY NADA AUN "
000213             TO MENSAJE PERFORM MENSAJE-DIS
000214             ACCEPT IND GO TO FINALIZAR.
000215     READ C13 NEXT.
000216     MOVE C13CODCL   TO CODCLDES.
000217     MOVE C13SUCUR   TO SUCURDES.
000218     MOVE C13NOMCO   TO NOMCODES.
000219 BUSCO-ULTIMO.
000220     MOVE HIGH-VALUES TO C13NOMCO-LA.
000221     START C13 KEY IS NOT GREATER THAN C13NOMCO-LA
000222               INVALID KEY
000223             MOVE "NO HAY NADA AUN "
000224             TO MENSAJE PERFORM MENSAJE-DIS
000225             ACCEPT IND GO TO FINALIZAR.
000226     READ C13 PREVIOUS.
000227     MOVE C13CODCL   TO CODCLHAS.
000228     MOVE C13SUCUR   TO SUCURHAS.
000229     MOVE C13NOMCO   TO NOMCOHAS.
000230     MOVE CODCLDES  TO CODCLDES-E.
000231     DISPLAY CODCLDES-E  HIGH  LINE 8 POSITION  22.
000232     MOVE SUCURDES  TO SUCURDES-E.
000233     DISPLAY SUCURDES-E  HIGH  LINE 8 POSITION  28.
000234     DISPLAY NOMCODES  HIGH  LINE 8 POSITION  31.
000235     MOVE CODCLHAS  TO CODCLHAS-E.
000236     DISPLAY CODCLHAS-E  HIGH  LINE 9 POSITION  22.
000237     MOVE SUCURHAS  TO SUCURHAS-E.
000238     DISPLAY SUCURHAS-E  HIGH  LINE 9 POSITION  28.
000239     DISPLAY NOMCOHAS  HIGH  LINE 9 POSITION  31.
000240     DISPLAY IND-HOJ  HIGH  LINE 11 POSITION  52.
000241     DISPLAY IND-ORD  HIGH  LINE 12 POSITION  52.
000242     GO TO IND-ORD-ACC.
000243 CODCLDES-ACC.
000244     ACCEPT CODCLDES SIZE  5 PROMPT UPDATE
000245                HIGH  LINE 8 POSITION  22.
000246     ACCEPT FUN-COD FROM ESCAPE KEY.
000247     IF FUN-COD = 27 GO TO FINALIZAR.
000248     IF CODCLDES IS NOT NUMERIC GO TO CODCLDES-ACC.
000249     IF FUN-COD = 01
000250                 DISPLAY SAV-SCR CONTROL CREATE-WINDOW
000251                          LINE 1 POSITION 1
000252                 CALL "C13POING" USING
000253                         USRID CODCLDES SUCURDES FUN-COD
000254                 CANCEL "C13POING"
000255                 DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE"
000256                 GO TO  SUCURDES-SEG.
000257     PERFORM MENSAJE-DIS .
000258     MOVE CODCLDES TO CODCLDES-E.
000259     DISPLAY CODCLDES-E HIGH LINE 8 POSITION  22.
000260 SUCURDES-ACC.
000261     ACCEPT SUCURDES SIZE  2 PROMPT  UPDATE
000262                HIGH  LINE 8 POSITION  28.
000263     ACCEPT FUN-COD FROM ESCAPE KEY.
000264     IF FUN-COD = 27 GO TO FINALIZAR.
000265     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO CODCLDES-ACC.
000266     IF FUN-COD = 01
000267                 DISPLAY SAV-SCR CONTROL CREATE-WINDOW
000268                          LINE 1 POSITION 1
000269                 CALL "C13POING" USING
000270                         USRID CODCLDES SUCURDES FUN-COD
000271                 CANCEL "C13POING"
000272                 DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE".
000273 SUCURDES-SEG.
000274     MOVE CODCLDES TO C13CODCL.
000275     MOVE SUCURDES TO C13SUCUR.
000276     READ C13 INVALID KEY
000277                 DISPLAY SAV-SCR CONTROL CREATE-WINDOW
000278                          LINE 1 POSITION 1
000279                 CALL "C13POING" USING
000280                         USRID CODCLDES SUCURDES FUN-COD
000281                  CANCEL "C13POING"
000282                  DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE"
000283                  GO TO SUCURDES-SEG.
000284     MOVE C13NOMCO TO NOMCODES.
000285     MOVE SUCURDES TO SUCURDES-E.
000286     DISPLAY SUCURDES-E HIGH LINE 8 POSITION  28.
000287     DISPLAY NOMCODES HIGH LINE 8 POSITION  31.
000288 CODCLHAS-ACC.
000289     ACCEPT CODCLHAS SIZE  5 PROMPT UPDATE
000290                HIGH  LINE 9 POSITION  22.
000291     ACCEPT FUN-COD FROM ESCAPE KEY.
000292     IF FUN-COD = 27 GO TO FINALIZAR.
000293     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO SUCURDES-ACC.
000294     IF CODCLHAS IS NOT NUMERIC GO TO CODCLHAS-ACC.
000295     IF FUN-COD = 01
000296                 DISPLAY SAV-SCR CONTROL CREATE-WINDOW
000297                          LINE 1 POSITION 1
000298                 CALL "C13POING" USING
000299                         USRID CODCLHAS SUCURHAS FUN-COD
000300                 CANCEL "C13POING"
000301                 DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE"
000302                 GO TO  SUCURHAS-SEG.
000303     PERFORM MENSAJE-DIS .
000304     MOVE CODCLHAS TO CODCLHAS-E.
000305     DISPLAY CODCLHAS-E HIGH LINE 9 POSITION  22.
000306 SUCURHAS-ACC.
000307     ACCEPT SUCURHAS SIZE  2 PROMPT  UPDATE
000308                HIGH  LINE 9 POSITION  28.
000309     ACCEPT FUN-COD FROM ESCAPE KEY.
000310     IF FUN-COD = 27 GO TO FINALIZAR.
000311     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO CODCLHAS-ACC.
000312     IF FUN-COD = 01
000313                 DISPLAY SAV-SCR CONTROL CREATE-WINDOW
000314                          LINE 1 POSITION 1
000315                 CALL "C13POING" USING
000316                         USRID CODCLHAS SUCURHAS FUN-COD
000317                 CANCEL "C13POING"
000318                 DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE".
000319 SUCURHAS-SEG.
000320     MOVE CODCLHAS TO C13CODCL.
000321     MOVE SUCURHAS TO C13SUCUR.
000322     READ C13 INVALID KEY
000323                 DISPLAY SAV-SCR CONTROL CREATE-WINDOW
000324                          LINE 1 POSITION 1
000325                 CALL "C13POING" USING
000326                         USRID CODCLHAS SUCURHAS FUN-COD
000327                  CANCEL "C13POING"
000328                  DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE"
000329                  GO TO SUCURHAS-SEG.
000330     MOVE C13NOMCO TO NOMCOHAS.
000331     MOVE SUCURHAS TO SUCURHAS-E.
000332     DISPLAY SUCURHAS-E HIGH LINE 9 POSITION  28.
000333     DISPLAY NOMCOHAS HIGH LINE 9 POSITION  31.
000334 IND-HOJ-ACC.
000335         ACCEPT IND-HOJ SIZE  1 PROMPT UPDATE
000336                HIGH  LINE 11 POSITION  52
000337     ACCEPT FUN-COD FROM ESCAPE KEY.
000338     IF FUN-COD = 27 GO TO FINALIZAR.
000339     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO SUCURHAS-ACC.
000340     IF IND-HOJ = "s" MOVE "S" TO IND-HOJ.
000341     IF IND-HOJ = "n" MOVE "N" TO IND-HOJ.
000342     IF IND-HOJ = "S" OR IND-HOJ = "N"
000343             NEXT SENTENCE ELSE
000344             MOVE "HOJA NUEVA EN CADA FICHA S/N"
000345             TO MENSAJE PERFORM MENSAJE-DIS GO TO IND-HOJ-ACC.
000346     PERFORM MENSAJE-DIS .
000347     DISPLAY IND-HOJ HIGH LINE 11 POSITION  52.
000348 IND-ORD-ACC.
000349         ACCEPT IND-ORD SIZE  1 PROMPT UPDATE
000350                HIGH  LINE 12 POSITION  52
000351     ACCEPT FUN-COD FROM ESCAPE KEY.
000352     IF FUN-COD = 27 GO TO FINALIZAR.
000353     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO IND-HOJ-ACC.
000354     IF IND-ORD = "a" MOVE "A" TO IND-ORD.
000355     IF IND-ORD = "n" MOVE "N" TO IND-ORD.
000356     IF IND-ORD = "A" OR IND-ORD = "N"
000357             NEXT SENTENCE ELSE
000358             MOVE "ALFABETICO NUMERICO POR FAVOR"
000359             TO MENSAJE PERFORM MENSAJE-DIS GO TO IND-ORD-ACC.
000360     PERFORM MENSAJE-DIS .
000361     DISPLAY IND-ORD HIGH LINE 12 POSITION  52.
000362 REVISO-DESDE-HASTA.
000363     IF IND-ORD = "N" AND CODCLDES > CODCLHAS
000364             MOVE "DESDE MAYOR QUE HASTA REVISE POR FAVOR"
000365             TO MENSAJE PERFORM MENSAJE-DIS GO TO CODCLDES-ACC.
000366     IF IND-ORD = "A" AND NOMCODES > NOMCOHAS
000367             MOVE "DESDE MAYOR QUE HASTA REVISE POR FAVOR"
000368             TO MENSAJE PERFORM MENSAJE-DIS GO TO CODCLDES-ACC.
000369 FIN-REVISO-DESDE-HASTA.
000370 IND-ACC.
000371      ACCEPT IND SIZE  1 PROMPT UPDATE
000372                HIGH  LINE 13 POSITION  52.
000373     ACCEPT FUN-COD FROM ESCAPE KEY.
000374     IF FUN-COD = 27 GO TO FINALIZAR.
000375     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO IND-ORD-ACC.
000376     IF IND = "p" MOVE "P" TO IND.
000377     IF IND = "i" MOVE "I" TO IND.
000378     IF IND = "P"  OR IND = "I"
000379             NEXT SENTENCE ELSE
000380             MOVE  " PANTALLA O IMPRESORA POR FAVOR"
000381             TO MENSAJE PERFORM MENSAJE-DIS GO TO IND-ACC.
000382     PERFORM MENSAJE-DIS .
000383     DISPLAY " " LOW  CONTROL BLANCO  LINE 24 POSITION 1 .
000384     IF IND = "P"  MOVE "D" TO U04IMPRE.
000385     MOVE LOW-VALUES TO C13-REC.
000386     IF IND-ORD = "N"
000387          MOVE LOW-VALUES TO C13LLAVE
000388          MOVE CODCLDES   TO C13CODCL
000389          START C13 KEY IS NOT LESS THAN C13LLAVE
000390       ELSE
000391          MOVE LOW-VALUES TO C13NOMCO-LA
000392          MOVE CODCLDES   TO C13NOMCO
000393          START C13 KEY IS NOT LESS THAN C13NOMCO-LA.
000394 OTRO-C13.
000395     READ C13 NEXT AT END GO TO FINALIZAR.
           IF C13SUCUR > ZERO GO TO OTRO-C13.
000396     MOVE C13CODCL  TO P18CODCL-E.
000397     DISPLAY P18CODCL-E  HIGH  LINE 15 POSITION  29.
000398     MOVE C13SUCUR  TO P18SUCUR-E.
000399     DISPLAY P18SUCUR-E  HIGH  LINE 15 POSITION  35.
000400     MOVE ZERO      TO P18FECDI-E.
000401     DISPLAY P18FECDI-E  HIGH  LINE 15 POSITION  38.
000402     MOVE ZERO      TO P18FECME-E.
000403     DISPLAY P18FECME-E  HIGH  LINE 15 POSITION  41.
000404     MOVE ZERO      TO P18FECAN-E.
000405     DISPLAY P18FECAN-E  HIGH  LINE 15 POSITION  44.
000406     MOVE ZERO      TO P18NUMER-E.
000407     DISPLAY P18NUMER-E  HIGH  LINE 15 POSITION  49.
000408     IF IND-ORD = "N" AND C13CODCL > CODCLHAS GO TO FINALIZAR.
000409     IF IND-ORD = "A" AND C13NOMCO > NOMCOHAS GO TO FINALIZAR.
000410************ SUPER ABUNDANTE PERO ACELERA MUCHO
000411     MOVE LOW-VALUES TO P18CODCL-LA.
000412     MOVE C13CODCL   TO P18CODCL
000413     START P18 KEY IS NOT LESS THAN P18CODCL-LA
000414               INVALID KEY GO TO OTRO-C13.
000415     READ P18 NEXT.
000416     IF P18CODCL IS NOT = C13CODCL GO TO OTRO-C13.
000417*********FIN SUPER ABUNDANTE PERO ACELERA MUCHO
000418     PERFORM CUENTA THRU FIN-CUENTA.
000419     GO TO OTRO-C13.
000420 FINALIZAR.
000421     DISPLAY " " CONTROL BLANCO LINE 1 POSITION 1.
000422     IF CON-PAG > ZERO
000423                  MOVE LINEBLA TO IMP-REC
000424                  PERFORM WRT-IMP THRU FIN-WRT-IMP
000425                  PERFORM WRT-IMP THRU FIN-WRT-IMP
000426                  PERFORM WRT-IMP THRU FIN-WRT-IMP
000427                  PERFORM PAGINA THRU FIN-PAGINA
000428                  PERFORM CERRAR THRU FIN-CERRAR.
000429     CLOSE C18 P18 C13 C00.
000430 SALIDA.
000431     EXIT PROGRAM.
000432 MENSAJE-DIS.
000433     DISPLAY MENSAJE BLINK LINE 24 POSITION 1.
000434     MOVE SPACES TO MENSAJE.
000435 CUENTA.
000436     OPEN OUTPUT AUXIFILE.
000437     CLOSE AUXIFILE
000438     OPEN I-O AUXIFILE.
000439     MOVE "N" TO IND-HAY.
000440     MOVE LOW-VALUES TO P18CODCL-LA.
000441     MOVE C13CODCL TO P18CODCL.
000442     START P18 KEY IS NOT LESS THAN P18CODCL-LA
000443                   INVALID KEY GO TO TER-CUENTA.
000444 OTRO-P18.
000445     READ P18 NEXT AT END GO TO IMPRIMIR.
000446     IF P18CODCL IS NOT = C13CODCL GO TO IMPRIMIR.
000447     MOVE P18CODCL  TO P18CODCL-E.
000448     DISPLAY P18CODCL-E  HIGH  LINE 15 POSITION  29.
000449     MOVE P18SUCUR  TO P18SUCUR-E.
000450     DISPLAY P18SUCUR-E  HIGH  LINE 15 POSITION  35.
000451     MOVE P18FECDI  TO P18FECDI-E.
000452     DISPLAY P18FECDI-E  HIGH  LINE 15 POSITION  38.
000453     MOVE P18FECME  TO P18FECME-E.
000454     DISPLAY P18FECME-E  HIGH  LINE 15 POSITION  41.
000455     MOVE P18FECAN  TO P18FECAN-E.
000456     DISPLAY P18FECAN-E  HIGH  LINE 15 POSITION  44.
000457     MOVE P18NUMER  TO P18NUMER-E.
000458     DISPLAY P18NUMER-E  HIGH  LINE 15 POSITION  49.
000459     MOVE P18NUMER TO C18NUMER.
000460     READ C18 INVALID KEY
000461                DISPLAY P18COMLE " " P18COMSU " " C18COMNU " "
000462                        P18CODCL " " P18NUMER ACCEPT IND
000463                CALL  "TG0SHOW" USING "FC18EP18" 00 FUN-COD
000464                CANCEL "TG0SHOW"
000465                GO TO FINALIZAR.
000466     MOVE "S" TO IND-HAY.
000467     IF P18DECRE = "C"
000468               MOVE P18FECDI TO HS-P18FECDI
000469               MOVE P18FECME TO HS-P18FECME
000470               MOVE P18FECAN TO HS-P18FECAN
000471               MOVE P18COMLE TO HS-P18COMLE
000472               MOVE P18COMNU TO HS-P18COMNU
000473               MOVE P18IMPOR TO HS-P18IMPOR
000474               MOVE C18IMPOR TO HS-C18IMPOR
000475               MOVE LINEHA-SA TO AUXCONTE
000476           ELSE
000477               MOVE P18FECDI TO DS-P18FECDI
000478               MOVE P18FECME TO DS-P18FECME
000479               MOVE P18FECAN TO DS-P18FECAN
000480               MOVE P18COMLE TO DS-P18COMLE
000481               MOVE P18COMNU TO DS-P18COMNU
000482               MOVE P18FEVDI TO DS-P18FEVDI
000483               MOVE P18FEVME TO DS-P18FEVME
000484               MOVE P18FEVAN TO DS-P18FEVAN
000485               MOVE P18IMPOR TO DS-P18IMPOR
000486               MOVE C18IMPOR TO DS-C18IMPOR
000487               MOVE LINEDE-SA TO AUXCONTE.
000488     MOVE LOW-VALUES TO AUXLLAVE.
000489     MOVE P18COMNU   TO AUXTRANS.
000490     MOVE P18FECHA   TO AUXFECHA.
000491     MOVE P18NUMER   TO AUXNUMER.
000492     MOVE P18IMPOR   TO AUXIMPOR.
000493     IF P18DECRE = "C" MULTIPLY -1 BY AUXIMPOR.
000494     MOVE ZERO       TO AUXSALDO.
000495     WRITE AUX-REC.
000496     GO TO OTRO-P18.
000497 IMPRIMIR.
000498     IF IND-HAY = "N" GO TO TER-CUENTA.
000499     PERFORM SALDOS THRU FIN-SALDOS.
000500     IF CON-PAG > ZERO AND IND-HOJ = "S"
000501                  PERFORM PAGINA THRU FIN-PAGINA
000502                  PERFORM ENCABEZAMIENTO.
000503     IF CON-PAG > ZERO
000504                  PERFORM ENCABEZA-CUENT.
000505     MOVE LOW-VALUES TO AUXLLAVE.
000506     START AUXIFILE KEY IS NOT LESS THAN AUXLLAVE
000507                   INVALID KEY GO TO TER-CUENTA.
000508 OTRO-IMP.
000509     READ AUXIFILE NEXT AT END GO TO FIN-IMPRIMIR.
000510     IF CON-PAG = 0 PERFORM ABRIR THRU FIN-ABRIR
000511                    PERFORM ENCABEZAMIENTO
000512                    PERFORM ENCABEZA-CUENT.
000513     IF CON-LIN > LIN-COR MOVE LINE011 TO SL-NOR-CON
000514                     MOVE LIN-NOR TO IMP-REC
000515                     PERFORM WRT-IMP THRU FIN-WRT-IMP
000516                     PERFORM PAGINA THRU FIN-PAGINA
000517                     PERFORM ENCABEZAMIENTO
000518                     PERFORM ENCABEZA-CUENT
000519                     MOVE LINE012 TO SL-NOR-CON
000520                     MOVE LIN-NOR TO IMP-REC
000521                     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000522     MOVE AUXCONTE TO SL-NOR-CON
000523     MOVE LIN-NOR TO IMP-REC
000524     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000525     GO TO OTRO-IMP.
000526 FIN-IMPRIMIR.
000527     MOVE LINE005 TO SL-NOR-CON
000528     MOVE LIN-NOR TO IMP-REC
000529     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000530     MOVE LINEBLA TO IMP-REC.
000531     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000532     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000533 TER-CUENTA.
000534     CLOSE AUXIFILE.
000535 FIN-CUENTA.
000536 ABRIR.
000537     MOVE C00DIAUX TO IMP-DIAUX.
000538     MOVE USRID    TO IMP-USRID.
000539     MOVE "P18FICIM.PRT" TO IMP-NOM.
000540     IF U04IMPRE = "I" OR U04IMPRE = "T" OPEN OUTPUT IMP .
000541     IF IMPSTAT = "30" GO TO ABRIR.
000542     IF U04IMPRE = "D" OR U04IMPRE = "T" OPEN OUTPUT DSK .
000543     MOVE ZERO  TO CON-PAG.
000544     ACCEPT FECHA FROM DATE.
000545     MOVE DIA-E  TO SL-DIA-E.
000546     MOVE MES-E  TO SL-MES-E.
000547     MOVE ANIO-E TO SL-ANIO-E.
000548     MOVE C00EMPRE TO SL-C00EMPRE.
000549     MOVE LINE000 TO IMP-REC.
000550     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000551 FIN-ABRIR.
000552 ENCABEZAMIENTO.
000553     ADD 1 TO CON-PAG .
000554     MOVE ZERO TO CON-LIN
000555     MOVE CON-PAG TO SL-CON-PAG .
000556     MOVE LINE001 TO SL-NOR-CON
000557     MOVE LIN-NOR TO IMP-REC
000558     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000559     MOVE LINE002 TO SL-NOR-CON
000560     MOVE LIN-NOR TO IMP-REC
000561     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000562 ENCABEZA-CUENT.
000563     MOVE C13CODCL TO SL-P18CODCL.
000564     MOVE C13NOMCO TO SL-C13NOMCO.
000565     MOVE C13LOCAL TO SL-C13LOCAL.
000566     MOVE C13CODPO TO SL-C13CODPO.
000567     MOVE C13CALLE TO SL-C13CALLE.
000568     MOVE C13TELEF TO SL-C13TELEF.
000569     MOVE LINE004 TO SL-NOR-CON
000570     MOVE LIN-NOR TO IMP-REC
000571     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000572     MOVE LINE004B TO SL-NOR-CON
000573     MOVE LIN-NOR TO IMP-REC
000574     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000575     MOVE LINE004C TO SL-NOR-CON
000576     MOVE LIN-NOR TO IMP-REC
000577     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000578     MOVE LINE005 TO SL-NOR-CON
000579     MOVE LIN-NOR TO IMP-REC
000580     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000581     MOVE LINE-TIT TO SL-NOR-CON
000582     MOVE LIN-NOR TO IMP-REC
000583     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000584     MOVE LINE005 TO SL-NOR-CON
000585     MOVE LIN-NOR TO IMP-REC
000586     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000587 CERRAR.
000588     IF U04IMPRE = "I" OR U04IMPRE = "T" CLOSE IMP.
000589     IF IMPSTAT = "30" GO TO CERRAR.
000590     IF U04IMPRE = "D" OR U04IMPRE = "T" CLOSE DSK.
000591     IF U04IMPRE = "D" OR U04IMPRE = "T"
000592             CALL "SHOWRELA" USING IMP-PAT
000593             CANCEL "SHOWRELA".
000594 FIN-CERRAR.
000595 WRT-IMP.
000596     ADD 1 TO CON-LIN.
000597 SEG-WRT-IMP.
000598     DISPLAY IMP-REC LINE 22 POSITION 1.
000599     MOVE IMP-REC TO DSK-REC.
000600     IF U04IMPRE = "I" OR U04IMPRE = "T" WRITE IMP-REC
000601                BEFORE 1 LINES.
000602     IF IMPSTAT = "30" GO TO SEG-WRT-IMP.
000603     IF U04IMPRE = "D" OR U04IMPRE = "T" WRITE DSK-REC
000604                BEFORE 1 LINES.
000605 FIN-WRT-IMP.
000606 PAGINA.
000607     MOVE LINEBLA  TO IMP-REC.
000608     MOVE LINEBLA  TO DSK-REC.
000609     DISPLAY IMP-REC LINE 22 POSITION 1.
000610     IF U04IMPRE = "I" OR U04IMPRE = "T"
000611                       WRITE IMP-REC AFTER PAGE.
000612     IF IMPSTAT = "30" GO TO PAGINA.
000613     IF U04IMPRE = "D" OR U04IMPRE = "T"
000614                       WRITE DSK-REC AFTER PAGE.
000615 FIN-PAGINA.
000616 SALDOS.
000617     MOVE ZERO TO SALDO.
000618     MOVE LOW-VALUES TO AUXLLAVE.
000619     START AUXIFILE KEY IS NOT LESS THAN AUXLLAVE.
000620 OTRO-AUX.
000621     READ AUXIFILE NEXT AT END GO TO FIN-SALDOS.
000622     IF AUXIMPOR > ZERO
000623               MOVE AUXCONTE   TO LINE-SALDO
000624               ADD AUXIMPOR    TO SALDO
000625               MOVE SALDO      TO SL-SALDO
000626               MOVE LINE-SALDO TO AUXCONTE
000627            ELSE
000628               MOVE AUXCONTE   TO LINE-SALDO
000629               ADD AUXIMPOR    TO SALDO
000630               MOVE SALDO      TO SL-SALDO
000631               MOVE LINE-SALDO TO AUXCONTE.
000632     REWRITE AUX-REC.
000633     GO TO OTRO-AUX.
000634 FIN-SALDOS.


