
000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. X35BAQ01.
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SOURCE-COMPUTER. RMC.
000006 OBJECT-COMPUTER. RMC.
000007 INPUT-OUTPUT SECTION.
000008     COPY "SISTSELE.CBL".
000009     SELECT AUXIFILE ASSIGN TO RANDOM AUX-PAT
000010         ORGANIZATION IS INDEXED
000011         RECORD KEY IS AUXLLAVE
000012         FILE STATUS IS AUXSTAT
000013         ACCESS IS DYNAMIC.
000014 DATA DIVISION.
000015 FILE SECTION.
000016 FD  AUXIFILE
000017         RECORD CONTAINS 22 CHARACTERS
000018         LABEL RECORDS ARE STANDARD.
000019 01  AUX-REC.
000020     02 AUXLLAVE.
000021       05  AUXCODPR    PIC 9(5).
000022       05  AUXSUCUR    PIC 9(2).
000023     02  AUXIMPOR    PIC S9(13)V99.
000024     COPY "SISTFD.CBL".
000025 77 CARTE        PIC  X(4).
000026 77 TOTAL        PIC S9(13)V99.
000027 77 DESDI-E PIC Z(1)9.
000028 77 DESME-E PIC Z(1)9.
000029 77 DESAN-E PIC Z(3)9.
000030 77 HASDI-E PIC Z(1)9.
000031 77 HASME-E PIC Z(1)9.
000032 77 HASAN-E PIC Z(3)9.
000033 01 DESDE.
000034      07 DESAN    PIC 9(4).
000035      07 DESME    PIC 9(2).
000036      07 DESDI    PIC 9(2).
000037 01 HASTA.
000038      07 HASAN    PIC 9(4).
000039      07 HASME    PIC 9(2).
000040      07 HASDI    PIC 9(2).
000041 01 FECHA-ANT.
000042      07 FECAN    PIC 9(4).
000043      07 FECME    PIC 9(2).
000044      07 FECDI    PIC 9(2).
000045 01 LINE001.
000046      04 FILLER          PIC X(6)   VALUE "FECHA:".
000047      04 SL-FECDI-EQ     PIC Z9.
000048      04 FILLER          PIC X      VALUE "/".
000049      04 SL-FECME-EQ     PIC Z9.
000050      04 FILLER          PIC X      VALUE "/".
000051      04 SL-FECAN-EQ     PIC Z9.
000052      04 FILLER          PIC X      VALUE SPACES.
000053      04 SL-C00EMPRE     PIC X(30).
000054      04 FILLER          PIC X      VALUE SPACES.
000055      04 FILLER          PIC X(31)  VALUE "VALORES ENTREGADOS
000056-     "    PAG:".
000057      04 SL-CON-PAG      PIC Z(2)9.
000058 01 LINE002.
000059      04 SL-T04MONED     PIC X(4).
000060      04 FILLER          PIC X      VALUE SPACES.
000061      04 SL-T04NOMBR     PIC X(30).
000062      04 FILLER          PIC X(4)  VALUE "DEL:".
000063      04 SL-DESDI        PIC ZZ.
000064      04 FILLER          PIC X      VALUE "/".
000065      04 SL-DESME        PIC 99.
000066      04 FILLER          PIC X      VALUE "/".
000067      04 SL-DESAN        PIC 9999.
000068      04 FILLER          PIC X      VALUE SPACES.
000069      04 FILLER          PIC X(3)  VALUE "AL:".
000070      04 SL-HASDI        PIC ZZ.
000071      04 FILLER          PIC X      VALUE "/".
000072      04 SL-HASME        PIC 99.
000073      04 FILLER          PIC X      VALUE "/".
000074      04 SL-HASAN        PIC 9999.
000075 01 LINE003.
000076      04 FILLER          PIC X(80)  VALUE ALL "-".
000077 01 LINE004.
000078      04 FILLER          PIC X(10)  VALUE SPACES.
000079      04 FILLER          PIC X(25)  VALUE "DESTINATARIO".
000080      04 FILLER          PIC X(5)   VALUE SPACES.
000081      04 FILLER          PIC X(7)   VALUE "IMPORTE".
000082 01 LINE005.
000083      04 SL-C11CODPR     PIC Z(5).
000084      04 FILLER          PIC X      VALUE SPACES.
000085      04 SL-C11NOMBR     PIC X(30).
000086      04 FILLER          PIC X      VALUE SPACES.
000087      04 SL-AUXIMPOR     PIC Z(12)9.9(2).
000088 01 LINE006.
000089      04 FILLER          PIC X(37)  VALUE SPACES.
000090      04 FILLER          PIC X(20)  VALUE ALL "-".
000091 01 LINE007.
000092      04 FILLER          PIC X(37)  VALUE SPACES.
000093      04 SL-TOTAL        PIC Z(12)9.9(2).
000094 01 LINE008.
000095      04 FILLER          PIC X(37)  VALUE SPACES.
000096      04 FILLER          PIC X(20)  VALUE ALL "-".
000097 COPY "SISTSTAT.CBL".
000098 PROGRAMA.
000099     MOVE 'X35BAQ01' TO PROGRA.
000100     CALL 'USOGRABA' USING USRID SESIO PROGRA.
000101     CANCEL 'USOGRABA'.
000102     MOVE PROGRA TO IMP-PRT
000103     OPEN INPUT C00 C11 C02 C05 C01 C04 C55.
000104     MOVE 1 TO C00NUMER.
000105     READ C00.
000106     MOVE "AUX1"    TO AUX-NOM.
000107     MOVE C00DIAUX  TO AUX-DIAUX
000108     MOVE USRID     TO AUX-USRID.
000109     OPEN OUTPUT AUXIFILE
000110     CLOSE AUXIFILE.
000111     OPEN I-O AUXIFILE
000112     MOVE C00DIAUX TO T04-DIAUX
000113     MOVE USRID    TO T04-USRID
000114     MOVE "T04"    TO T04-NOM
000115     OPEN OUTPUT T04
000116     CLOSE T04
000117     OPEN I-O T04
000118     PERFORM CARGAR-T04 THRU FIN-CARGAR-T04
000119     MOVE "CHETE" TO C05CUTIP.
000120     READ C05 INVALID KEY
000121                 CALL  "TG0SHOW" USING "FC05CHET" 00 FUN-COD
000122                 CANCEL "TG0SHOW"
000123                 GO TO FINALIZAR.
000124     MOVE C05CUENT TO C01CUENT.
000125     READ C01 INVALID KEY
000126                 CALL  "TG0SHOW" USING "FC01CHET" 00 FUN-COD
000127                 CANCEL "TG0SHOW"
000128                 GO TO FINALIZAR.
000129     MOVE C01MONED TO CARTE
000130     DISPLAY "ͻ"
000131             LOW LINE 5 POSITION 21.
000132     MOVE 6 TO FILA.
000133 OTRO-CUA.
000134     DISPLAY "                                    "
000135             LOW LINE FILA POSITION 21.
000136     ADD 1 TO FILA.
000137     IF FILA < 15 GO TO OTRO-CUA.
000138     DISPLAY "ͼ"
000139             LOW LINE 15 POSITION 21.
000140     DISPLAY "LISTADO DE VALORES ENTREGADOS"
000141             LOW LINE 6 POSITION 25.
000142     DISPLAY "TOTALES POR PROVEEDOR"
000143             LOW LINE 7 POSITION 25.
000144     DISPLAY "DESDE EL" LOW LINE 9 POSITION 29.
000145     DISPLAY "/" LOW LINE 9 POSITION 40.
000146     DISPLAY "/" LOW LINE 9 POSITION 43.
000147     DISPLAY "HASTA EL" LOW LINE 11 POSITION 29.
000148     DISPLAY "/" LOW LINE 11 POSITION 40.
000149     DISPLAY "/" LOW LINE 11 POSITION 43.
000150     DISPLAY "DE LA CARTERA " LOW LINE 12 POSITION 29.
000151     DISPLAY "P" HIGH LINE 14 POSITION 26.
000152     DISPLAY "Pantalla" LOW LINE 14 POSITION 28.
000153     DISPLAY "I" HIGH LINE 14 POSITION 39.
000154     DISPLAY "Impresora" LOW LINE 14 POSITION 41.
000155     MOVE DESDI  TO DESDI-E.
000156     DISPLAY DESDI-E  HIGH  LINE 9 POSITION  38.
000157     MOVE DESME  TO DESME-E.
000158     DISPLAY DESME-E  HIGH  LINE 9 POSITION  41.
000159     MOVE DESAN  TO DESAN-E.
000160     DISPLAY DESAN-E  HIGH  LINE 9 POSITION  44.
000161     MOVE HASDI  TO HASDI-E.
000162     DISPLAY HASDI-E  HIGH  LINE 11 POSITION  38.
000163     MOVE HASME  TO HASME-E.
000164     DISPLAY HASME-E  HIGH  LINE 11 POSITION  41.
000165     MOVE HASAN  TO HASAN-E.
000166     DISPLAY HASAN-E  HIGH  LINE 11 POSITION  44.
000167     DISPLAY IND  HIGH  LINE 14 POSITION  51.
000168 DESDI-ACC.
000169     IF DESDI = ZERO
000170         ACCEPT DESDI SIZE  2 PROMPT
000171                HIGH  LINE 9 POSITION  38
000172         ELSE
000173         ACCEPT DESDI SIZE  2 REVERSE UPDATE
000174                HIGH  LINE 9 POSITION  38.
000175     ACCEPT FUN-COD FROM ESCAPE KEY.
000176     IF FUN-COD = 27 GO TO FINALIZAR.
000177     IF DESDI IS NOT NUMERIC GO TO DESDI-ACC.
000178     PERFORM MENSAJE-DIS .
000179     MOVE DESDI TO DESDI-E.
000180     DISPLAY DESDI-E HIGH LINE 9 POSITION  38.
000181 DESME-ACC.
000182     IF DESME = ZERO
000183         ACCEPT DESME SIZE  2 PROMPT
000184                HIGH  LINE 9 POSITION  41
000185         ELSE
000186         ACCEPT DESME SIZE  2 REVERSE UPDATE
000187                HIGH  LINE 9 POSITION  41.
000188     ACCEPT FUN-COD FROM ESCAPE KEY.
000189     IF FUN-COD = 27 GO TO FINALIZAR.
000190     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO DESDI-ACC.
000191     IF DESME IS NOT NUMERIC GO TO DESME-ACC.
000192     PERFORM MENSAJE-DIS .
000193     MOVE DESME TO DESME-E.
000194     DISPLAY DESME-E HIGH LINE 9 POSITION  41.
000195 DESAN-ACC.
000196     IF DESAN = ZERO
000197         ACCEPT DESAN SIZE  4 PROMPT
000198                HIGH  LINE 9 POSITION  44
000199         ELSE
000200         ACCEPT DESAN SIZE  4 REVERSE UPDATE
000201                HIGH  LINE 9 POSITION  44.
000202     ACCEPT FUN-COD FROM ESCAPE KEY.
000203     IF FUN-COD = 27 GO TO FINALIZAR.
000204     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO DESME-ACC.
000205     IF DESAN IS NOT NUMERIC GO TO DESAN-ACC.
000206     CALL "CONSFECH" USING DESDI DESME DESAN MENSAJE
000207     CANCEL "CONSFECH"
000208     IF MENSAJE IS NOT = SPACES
000209        PERFORM MENSAJE-DIS GO TO DESDI-ACC.
000210     PERFORM MENSAJE-DIS .
000211     MOVE DESAN TO DESAN-E.
000212     DISPLAY DESAN-E HIGH LINE 9 POSITION  44.
000213 HASDI-ACC.
000214     IF HASDI = ZERO
000215         ACCEPT HASDI SIZE  2 PROMPT
000216                HIGH  LINE 11 POSITION  38
000217         ELSE
000218         ACCEPT HASDI SIZE  2 REVERSE UPDATE
000219                HIGH  LINE 11 POSITION  38.
000220     ACCEPT FUN-COD FROM ESCAPE KEY.
000221     IF FUN-COD = 27 GO TO FINALIZAR.
000222     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO DESAN-ACC.
000223     IF HASDI IS NOT NUMERIC GO TO HASDI-ACC.
000224     PERFORM MENSAJE-DIS .
000225     MOVE HASDI TO HASDI-E.
000226     DISPLAY HASDI-E HIGH LINE 11 POSITION  38.
000227 HASME-ACC.
000228     IF HASME = ZERO
000229         ACCEPT HASME SIZE  2 PROMPT
000230                HIGH  LINE 11 POSITION  41
000231         ELSE
000232         ACCEPT HASME SIZE  2 REVERSE UPDATE
000233                HIGH  LINE 11 POSITION  41.
000234     ACCEPT FUN-COD FROM ESCAPE KEY.
000235     IF FUN-COD = 27 GO TO FINALIZAR.
000236     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO HASDI-ACC.
000237     IF HASME IS NOT NUMERIC GO TO HASME-ACC.
000238     PERFORM MENSAJE-DIS .
000239     MOVE HASME TO HASME-E.
000240     DISPLAY HASME-E HIGH LINE 11 POSITION  41.
000241 HASAN-ACC.
000242     IF HASAN = ZERO
000243         ACCEPT HASAN SIZE  4 PROMPT
000244                HIGH  LINE 11 POSITION  44
000245         ELSE
000246         ACCEPT HASAN SIZE  4 REVERSE UPDATE
000247                HIGH  LINE 11 POSITION  44.
000248     ACCEPT FUN-COD FROM ESCAPE KEY.
000249     IF FUN-COD = 27 GO TO FINALIZAR.
000250     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO HASME-ACC.
000251     IF HASAN IS NOT NUMERIC GO TO HASAN-ACC.
000252     CALL "CONSFECH" USING HASDI HASME HASAN MENSAJE
000253     CANCEL "CONSFECH"
000254     IF MENSAJE IS NOT = SPACES
000255        PERFORM MENSAJE-DIS GO TO HASDI-ACC.
000256     PERFORM MENSAJE-DIS .
000257     MOVE HASAN TO HASAN-E.
000258     DISPLAY HASAN-E HIGH LINE 11 POSITION  44.
000259 CARTE-ACC.
000260     IF CARTE = SPACES
000261         ACCEPT CARTE SIZE  4 PROMPT
000262                HIGH  LINE 12 POSITION  51
000263         ELSE
000264         ACCEPT CARTE SIZE  4 REVERSE UPDATE
000265                HIGH  LINE 12 POSITION  51.
000266     ACCEPT FUN-COD FROM ESCAPE KEY.
000267     IF FUN-COD = 27 GO TO FINALIZAR.
000268     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO HASAN-ACC.
000269     IF FUN-COD = 01
000270                 DISPLAY SAV-SCR CONTROL CREATE-WINDOW
000271                          LINE 1 POSITION 1
000272                 CALL "T04POING" USING USRID CARTE FUN-COD
000273                 CANCEL "T04POING"
000274                 DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE".
000275 CARTE-SEG.
000276     MOVE CARTE TO T04MONED
000277     READ T04 INVALID KEY
000278          DISPLAY SAV-SCR CONTROL CREATE-WINDOW
000279                   LINE 1 POSITION 1
000280          CALL "T04POING" USING USRID CARTE FUN-COD
000281          CANCEL "T04POING"
000282          DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE"
000283          GO TO CARTE-SEG.
000284     PERFORM MENSAJE-DIS .
000285     DISPLAY CARTE HIGH LINE 12 POSITION  51.
000286     MOVE LOW-VALUES TO C01-REC.
000287     MOVE T04MONED TO C01MONED.
000288     START C01 KEY IS NOT LESS THAN C01MONED-LA.
000289     READ C01 NEXT.
000290 IND-ACC.
000291     IF IND = SPACES
000292         ACCEPT IND SIZE  1 PROMPT
000293                HIGH  LINE 14 POSITION  51
000294         ELSE
000295         ACCEPT IND SIZE  1 REVERSE UPDATE
000296                HIGH  LINE 14 POSITION  51.
000297     ACCEPT FUN-COD FROM ESCAPE KEY.
000298     IF FUN-COD = 27 GO TO FINALIZAR.
000299     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO CARTE-ACC.
000300     IF IND = "P" OR "I"
000301             NEXT SENTENCE ELSE
000302             MOVE "PANTALLA  IMPRESORA POR FAVOR"
000303             TO MENSAJE PERFORM MENSAJE-DIS GO TO IND-ACC.
000304     PERFORM MENSAJE-DIS .
000305     DISPLAY IND HIGH LINE 14 POSITION  51.
000306     IF IND = "P" MOVE "D" TO U04IMPRE.
000307 PROCESO.
000308     MOVE LOW-VALUES TO C02FECHA-LA.
000309     MOVE DESDE TO C02FECHA.
000310     START C02 KEY IS NOT LESS THAN C02FECHA-LA INVALID KEY
000311             MOVE "NO HAY NADA AUN "
000312             TO MENSAJE PERFORM MENSAJE-DIS GO TO IND-ACC.
000313     MOVE T04MONED TO C35MONED
000314     OPEN INPUT C35
000315     MOVE T04MONED TO H35MONED
000316     OPEN INPUT H35.
000317     MOVE DESAN TO ANDES.
000318     OPEN INPUT C03.
000319 OTRO-C02.
000320     READ C02 NEXT AT END GO TO IMPRIMIR.
000321     IF C02FECAN IS NOT = ANDES CLOSE C03
000322                       MOVE C02FECAN TO ANDES
000323                       OPEN INPUT C03.
000324
000325     IF C02FECHA > HASTA  GO TO IMPRIMIR.
000326     MOVE LOW-VALUES TO C03TRANS-LA.
000327     MOVE C02TRANS TO C03TRANS
000328     START C03 KEY IS NOT LESS THAN C03TRANS-LA INVALID KEY
000329                      GO TO OTRO-C02.
000330 OTRO-C03.
000331     READ C03 NEXT AT END GO TO OTRO-C02.
000332     IF C03TRANS IS NOT = C02TRANS GO TO OTRO-C02.
000333     IF C03DEBHA = "H" NEXT SENTENCE ELSE GO TO OTRO-C03.
000334     IF C03CUENT = C01CUENT NEXT SENTENCE ELSE GO TO OTRO-C03.
000335     MOVE LOW-VALUES TO C55-REC.
000336     MOVE C02TRANS  TO C55TRANS
000337     START C55 KEY IS NOT LESS THAN C55LLAVE
000338                   INVALID KEY GO TO OTRO-C02.
000339 OTRO-C55.
000340     READ C55 NEXT AT END GO TO OTRO-C02.
000341     IF C55TRANS = C02TRANS NEXT SENTENCE ELSE GO TO OTRO-C02.
000342     IF C55ARTIP = "C35" PERFORM LEER-C35 THRU FIN-LEER-C35.
000343     IF C55ARTIP = "H35" PERFORM LEER-H35 THRU FIN-LEER-H35.
000344     GO TO OTRO-C55.
000345 LEER-C35.
000346     MOVE C55NUMER TO C35NUMER.
000347     READ C35 INVALID KEY GO TO FIN-LEER-C35.
000348     MOVE C35CODPR TO AUXCODPR.
000349     MOVE C35PROSU TO AUXSUCUR.
000350     READ AUXIFILE INVALID KEY MOVE ZERO TO AUXIMPOR
000351                               WRITE AUX-REC
000352                               READ AUXIFILE.
000353     ADD C35IMPOR TO AUXIMPOR.
000354     REWRITE AUX-REC.
000355 FIN-LEER-C35.
000356 LEER-H35.
000357     MOVE C55NUMER TO H35NUMER.
000358     READ H35 INVALID KEY GO TO FIN-LEER-H35.
000359     MOVE H35CODPR TO AUXCODPR.
000360     MOVE H35PROSU TO AUXSUCUR.
000361     READ AUXIFILE INVALID KEY MOVE ZERO TO AUXIMPOR
000362                               WRITE AUX-REC
000363                               READ AUXIFILE.
000364     ADD H35IMPOR TO AUXIMPOR.
000365     REWRITE AUX-REC.
000366 FIN-LEER-H35.
000367 IMPRIMIR.
000368     CLOSE C35 H35 C03.
000369     MOVE LOW-VALUES TO AUX-REC.
000370     START AUXIFILE KEY IS NOT LESS THAN AUXLLAVE
000371                   INVALID KEY
000372         MOVE "NO HAY NADA AUN " TO MENSAJE
000373         PERFORM MENSAJE-DIS GO TO IND-ACC.
000374     MOVE ZERO TO TOTAL CON-PAG.
000375 OTRO-IMP.
000376     READ AUXIFILE  NEXT AT END GO TO TOTALES.
000377     IF CON-PAG = 0 PERFORM ABRIR
000378                    PERFORM ENCABEZAMIENTO.
000379     IF CON-LIN > LIN-COR PERFORM PAGINA PERFORM ENCABEZAMIENTO.
000380     MOVE AUXCODPR TO C11CODPR
000381     MOVE AUXSUCUR TO C11SUCUR
000382     READ C11 INVALID KEY MOVE SPACES TO C11-REC.
000383     MOVE C11CODPR TO SL-C11CODPR
000384     MOVE C11NOMBR TO SL-C11NOMBR
000385     MOVE AUXIMPOR TO SL-AUXIMPOR
000386     ADD AUXIMPOR TO TOTAL
000387     MOVE LINE005 TO SL-NOR-CON
000388     MOVE LIN-NOR TO IMP-REC
000389     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000390     GO TO OTRO-IMP.
000391 TOTALES.
000392     MOVE TOTAL TO SL-TOTAL   .
000393     MOVE LINE006 TO SL-NOR-CON
000394     MOVE LIN-NOR TO IMP-REC
000395     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000396     MOVE LINE007 TO SL-NOR-CON
000397     MOVE LIN-NOR TO IMP-REC
000398     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000399     MOVE LINE008 TO SL-NOR-CON
000400     MOVE LIN-NOR TO IMP-REC
000401     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000402     MOVE LINEBLA TO IMP-REC.
000403     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000404     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000405     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000406     PERFORM PAGINA.
000407 CERRAR.
000408     IF U04IMPRE = "I" OR U04IMPRE = "T" CLOSE IMP.
000409     IF IMPSTAT = "30" GO TO CERRAR.
000410     IF U04IMPRE = "D" OR U04IMPRE = "T" CLOSE DSK.
000411     IF U04IMPRE = "D" OR U04IMPRE = "T"
000412             CALL "SHOWRELA" USING IMP-PAT
000413             CANCEL "SHOWRELA".
000414 FIN-CERRAR.
000415 FINALIZAR.
000416     CLOSE C00 C11 C02 C05 C01 C04 C55.
000417 SALIDA.
000418     EXIT PROGRAM.
000419 MENSAJE-DIS.
000420     DISPLAY MENSAJE BLINK LINE 24 POSITION 1.
000421     MOVE SPACES TO MENSAJE.
000422 CONFIRME-DIS.
000423     DISPLAY MENSAJE HIGH LINE 24 POSITION 1.
000424     MOVE SPACES TO MENSAJE.
000425 ABRIR.
000426     MOVE C00DIAUX TO IMP-DIAUX.
000427     MOVE USRID    TO IMP-USRID.
000428     MOVE "X35BAQ01.PRT" TO IMP-NOM.
000429     IF U04IMPRE = "I" OR U04IMPRE = "T" OPEN OUTPUT IMP .
000430     IF IMPSTAT = "30" GO TO ABRIR.
000431     IF U04IMPRE = "D" OR U04IMPRE = "T" OPEN OUTPUT DSK .
000432     ACCEPT FECHA-EQ FROM DATE.
000433     MOVE FECDI-EQ TO SL-FECDI-EQ.
000434     MOVE FECME-EQ TO SL-FECME-EQ.
000435     MOVE FECAN-EQ TO SL-FECAN-EQ.
000436     MOVE C00EMPRE TO SL-C00EMPRE.
000437     MOVE T04MONED TO SL-T04MONED.
000438     MOVE T04NOMBR TO SL-T04NOMBR.
000439     MOVE DESDI    TO SL-DESDI   .
000440     MOVE DESME    TO SL-DESME   .
000441     MOVE DESAN    TO SL-DESAN   .
000442     MOVE HASDI    TO SL-HASDI   .
000443     MOVE HASME    TO SL-HASME   .
000444     MOVE HASAN    TO SL-HASAN   .
000445     MOVE LINE000  TO IMP-REC.
000446     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000447 ENCABEZAMIENTO.
000448     ADD 1 TO CON-PAG .
000449     MOVE ZERO TO CON-LIN.
000450     MOVE CON-PAG TO SL-CON-PAG .
000451     MOVE LINE001 TO SL-NOR-CON
000452     MOVE LIN-NOR TO IMP-REC
000453     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000454     MOVE LINEBLA TO IMP-REC.
000455     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000456     MOVE LINE002 TO SL-NOR-CON
000457     MOVE LIN-NOR TO IMP-REC
000458     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000459     MOVE LINE003 TO SL-NOR-CON
000460     MOVE LIN-NOR TO IMP-REC
000461     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000462     MOVE LINE004 TO SL-NOR-CON
000463     MOVE LIN-NOR TO IMP-REC
000464     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000465 WRT-IMP.
000466     ADD 1 TO CON-LIN.
000467 SEG-WRT-IMP.
000468     DISPLAY IMP-REC LINE 22 POSITION 1.
000469     MOVE IMP-REC TO DSK-REC.
000470     IF U04IMPRE = "I" OR U04IMPRE = "T" WRITE IMP-REC
000471                BEFORE 1 LINES.
000472     IF IMPSTAT = "30" GO TO SEG-WRT-IMP.
000473     IF U04IMPRE = "D" OR U04IMPRE = "T" WRITE DSK-REC
000474                BEFORE 1 LINES.
000475 FIN-WRT-IMP.
000476 PAGINA.
000477     MOVE LINEBLA  TO IMP-REC.
000478     MOVE LINEBLA  TO DSK-REC.
000479     DISPLAY IMP-REC LINE 22 POSITION 1.
000480     IF U04IMPRE = "I" OR U04IMPRE = "T"
000481                       WRITE IMP-REC AFTER PAGE.
000482     IF IMPSTAT = "30" GO TO PAGINA.
000483     IF U04IMPRE = "D" OR U04IMPRE = "T"
000484                       WRITE DSK-REC AFTER PAGE.
000485 FIN-PAGINA.
000486 CARGAR-T04.
000487     MOVE LOW-VALUES TO C04-REC
000488     START C04 KEY IS NOT LESS THAN C04LLAVE
000489           INVALID KEY GO TO FIN-CARGAR-T04.
000490 OTRO-C04.
000491     READ C04 NEXT AT END GO TO FIN-CARGAR-T04.
000492     IF C04CARTE = "T" NEXT SENTENCE
000493     ELSE           GO TO OTRO-C04.
000494     MOVE C04-REC TO T04-REC
000495     MOVE SPACES  TO T04MARCA
000496     WRITE T04-REC.
000497     GO TO OTRO-C04.
000498 FIN-CARGAR-T04.


