000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. X35COMSA.
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SOURCE-COMPUTER. RMC.
000006 OBJECT-COMPUTER. RMC.
000007 INPUT-OUTPUT SECTION.
000008     COPY "SISTSELE.CBL".
000009     SELECT AUXIFILE ASSIGN TO RANDOM AUX-PAT
000010         ORGANIZATION IS INDEXED
000011         RECORD KEY IS AUXLLAVE
000012         FILE STATUS IS AUXSTAT
000013         ACCESS IS DYNAMIC.
000014 DATA DIVISION.
000015 FILE SECTION.
000016 FD  AUXIFILE
000017         RECORD CONTAINS 316 CHARACTERS
000018         LABEL RECORDS ARE STANDARD.
000019 01  AUX-REC.
000020     02 AUXLLAVE.
000021       05  AUXFECHA    PIC 9(8).
000022       05  AUXNUMER    PIC 9(8).
000023     02  AUXCONTE      PIC X(300).
000024     COPY "SISTFD.CBL".
000025 77 CARTE        PIC  X(4).
000026 77 TOTAL        PIC S9(13)V99.
000027 77 HASDI-E PIC Z(1)9.
000028 77 HASME-E PIC Z(1)9.
000029 77 HASAN-E PIC Z(3)9.
000030 77 ARTIP       PIC XXX.
000031 77 NUMER       PIC 9(8).
000032 77 PRITRAN     PIC 9(8).
000033 77 ULTTRAN     PIC 9(8).
000034 01 HASTA.
000035      07 HASAN    PIC 9(4).
000036      07 HASME    PIC 9(2).
000037      07 HASDI    PIC 9(2).
000038 01 FECHA-ANT.
000039      07 FECAN    PIC 9(4).
000040      07 FECME    PIC 9(2).
000041      07 FECDI    PIC 9(2).
000042 01 LINE001.
000043      04 FILLER          PIC X(6)   VALUE "FECHA:".
000044      04 SL-FECDI-EQ     PIC Z9.
000045      04 FILLER          PIC X      VALUE "/".
000046      04 SL-FECME-EQ     PIC Z9.
000047      04 FILLER          PIC X      VALUE "/".
000048      04 SL-FECAN-EQ     PIC Z9.
000049      04 FILLER          PIC X      VALUE SPACES.
000050      04 SL-C00EMPRE     PIC X(30).
000051      04 FILLER          PIC X      VALUE SPACES.
000052      04 FILLER          PIC X(31)  VALUE "COMPOSICION DE SALDO
000053-     "    PAG:".
000054      04 SL-CON-PAG      PIC Z(2)9.
000055 01 LINE002.
000056      04 SL-T04MONED     PIC X(4).
000057      04 FILLER          PIC X      VALUE SPACES.
000058      04 SL-T04NOMBR     PIC X(30).
000059      04 FILLER          PIC X(3)  VALUE "AL:".
000060      04 SL-HASDI        PIC ZZ.
000061      04 FILLER          PIC X      VALUE "/".
000062      04 SL-HASME        PIC 99.
000063      04 FILLER          PIC X      VALUE "/".
000064      04 SL-HASAN        PIC 9999.
000065 01 LINE003.
000066      04 FILLER          PIC X(80)  VALUE ALL "-".
000067 01 LINE004.
000068      04 FILLER          PIC X(8)  VALUE "FECHA".
000069      04 FILLER          PIC X(10)  VALUE SPACES.
000070      04 FILLER          PIC X(25)  VALUE "CLIENTE".
000071      04 FILLER          PIC X(5)   VALUE SPACES.
000072      04 FILLER          PIC X(7)   VALUE "IMPORTE".
000073 01 LINE005.
000074      04 SL-P35FECDI     PIC Z9.
000075      04 FILLER          PIC X      VALUE "/".
000076      04 SL-P35FECME     PIC 99.
000077      04 FILLER          PIC X      VALUE "/".
000078      04 SL-P35FECAN     PIC 9999.
000079      04 FILLER          PIC X      VALUE SPACES.
000080      04 SL-C13CODCL     PIC Z(5).
000081      04 FILLER          PIC X      VALUE SPACES.
000082      04 SL-C13NOMCO     PIC X(30).
000083      04 FILLER          PIC X      VALUE SPACES.
000084      04 SL-P35IMPOR     PIC Z(12)9.9(2).
000085 01 LINE006.
000086      04 FILLER          PIC X(48)  VALUE SPACES.
000087      04 FILLER          PIC X(20)  VALUE ALL "-".
000088 01 LINE007.
000089      04 FILLER          PIC X(48)  VALUE SPACES.
000090      04 SL-TOTAL        PIC Z(12)9.9(2).
000091 01 LINE008.
000092      04 FILLER          PIC X(48)  VALUE SPACES.
000093      04 FILLER          PIC X(20)  VALUE ALL "-".
000094 COPY "SISTSTAT.CBL".
000095 PROGRAMA.
000096     MOVE 'X35COMSA' TO PROGRA.
000097     CALL 'USOGRABA' USING USRID SESIO PROGRA.
000098     CANCEL 'USOGRABA'.
000099     MOVE PROGRA TO IMP-PRT
000100     OPEN INPUT C00 C13 C02 C05 C01 C04 C55.
000101     MOVE 1 TO C00NUMER.
000102     READ C00.
000103     MOVE "AUX1"    TO AUX-NOM.
000104     MOVE C00DIAUX  TO AUX-DIAUX
000105     MOVE USRID     TO AUX-USRID.
000106     OPEN OUTPUT AUXIFILE
000107     CLOSE AUXIFILE.
000108     OPEN I-O AUXIFILE
000109     MOVE C00DIAUX TO T04-DIAUX
000110     MOVE USRID    TO T04-USRID
000111     MOVE "T04"    TO T04-NOM
000112     OPEN OUTPUT T04
000113     CLOSE T04
000114     OPEN I-O T04
000115     PERFORM CARGAR-T04 THRU FIN-CARGAR-T04
000116     MOVE "CHETE" TO C05CUTIP.
000117     READ C05 INVALID KEY
000118                 CALL  "TG0SHOW" USING "FC05CHET" 00 FUN-COD
000119                 CANCEL "TG0SHOW"
000120                 GO TO FINALIZAR.
000121     MOVE C05CUENT TO C01CUENT.
000122     READ C01 INVALID KEY
000123                 CALL  "TG0SHOW" USING "FC01CHET" 00 FUN-COD
000124                 CANCEL "TG0SHOW"
000125                 GO TO FINALIZAR.
000126     MOVE C01MONED TO CARTE
000127     DISPLAY "ͻ"
000128             LOW LINE 5 POSITION 21.
000129     MOVE 6 TO FILA.
000130 OTRO-CUA.
000131     DISPLAY "                                    "
000132             LOW LINE FILA POSITION 21.
000133     ADD 1 TO FILA.
000134     IF FILA < 15 GO TO OTRO-CUA.
000135     DISPLAY "ͼ"
000136             LOW LINE 15 POSITION 21.
000137     DISPLAY "VALORES DE TERCEROS  "
000138             LOW LINE 6 POSITION 25.
000139     DISPLAY "COMPOSICION DE SALDO"
000140             LOW LINE 7 POSITION 25.
000141     DISPLAY "      AL" LOW LINE 11 POSITION 29.
000142     DISPLAY "/" LOW LINE 11 POSITION 40.
000143     DISPLAY "/" LOW LINE 11 POSITION 43.
000144     DISPLAY "DE LA CARTERA " LOW LINE 12 POSITION 29.
000145     DISPLAY "P" HIGH LINE 14 POSITION 26.
000146     DISPLAY "Pantalla" LOW LINE 14 POSITION 28.
000147     DISPLAY "I" HIGH LINE 14 POSITION 39.
000148     DISPLAY "Impresora" LOW LINE 14 POSITION 41.
000149     MOVE HASDI  TO HASDI-E.
000150     DISPLAY HASDI-E  HIGH  LINE 11 POSITION  38.
000151     MOVE HASME  TO HASME-E.
000152     DISPLAY HASME-E  HIGH  LINE 11 POSITION  41.
000153     MOVE HASAN  TO HASAN-E.
000154     DISPLAY HASAN-E  HIGH  LINE 11 POSITION  44.
000155 HASDI-ACC.
000156     IF HASDI = ZERO
000157         ACCEPT HASDI SIZE  2 PROMPT
000158                HIGH  LINE 11 POSITION  38
000159         ELSE
000160         ACCEPT HASDI SIZE  2 REVERSE UPDATE
000161                HIGH  LINE 11 POSITION  38.
000162     ACCEPT FUN-COD FROM ESCAPE KEY.
000163     IF FUN-COD = 27 GO TO FINALIZAR.
000164     IF HASDI IS NOT NUMERIC GO TO HASDI-ACC.
000165     PERFORM MENSAJE-DIS .
000166     MOVE HASDI TO HASDI-E.
000167     DISPLAY HASDI-E HIGH LINE 11 POSITION  38.
000168 HASME-ACC.
000169     IF HASME = ZERO
000170         ACCEPT HASME SIZE  2 PROMPT
000171                HIGH  LINE 11 POSITION  41
000172         ELSE
000173         ACCEPT HASME SIZE  2 REVERSE UPDATE
000174                HIGH  LINE 11 POSITION  41.
000175     ACCEPT FUN-COD FROM ESCAPE KEY.
000176     IF FUN-COD = 27 GO TO FINALIZAR.
000177     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO HASDI-ACC.
000178     IF HASME IS NOT NUMERIC GO TO HASME-ACC.
000179     PERFORM MENSAJE-DIS .
000180     MOVE HASME TO HASME-E.
000181     DISPLAY HASME-E HIGH LINE 11 POSITION  41.
000182 HASAN-ACC.
000183     IF HASAN = ZERO
000184         ACCEPT HASAN SIZE  4 PROMPT
000185                HIGH  LINE 11 POSITION  44
000186         ELSE
000187         ACCEPT HASAN SIZE  4 REVERSE UPDATE
000188                HIGH  LINE 11 POSITION  44.
000189     ACCEPT FUN-COD FROM ESCAPE KEY.
000190     IF FUN-COD = 27 GO TO FINALIZAR.
000191     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO HASME-ACC.
000192     IF HASAN IS NOT NUMERIC GO TO HASAN-ACC.
000193     CALL "CONSFECH" USING HASDI HASME HASAN MENSAJE
000194     CANCEL "CONSFECH"
000195     IF MENSAJE IS NOT = SPACES
000196        PERFORM MENSAJE-DIS GO TO HASDI-ACC.
000197     PERFORM MENSAJE-DIS .
000198     MOVE HASAN TO HASAN-E.
000199     DISPLAY HASAN-E HIGH LINE 11 POSITION  44.
000200 CARTE-ACC.
000201     IF CARTE = SPACES
000202         ACCEPT CARTE SIZE  4 PROMPT
000203                HIGH  LINE 12 POSITION  51
000204         ELSE
000205         ACCEPT CARTE SIZE  4 REVERSE UPDATE
000206                HIGH  LINE 12 POSITION  51.
000207     ACCEPT FUN-COD FROM ESCAPE KEY.
000208     IF FUN-COD = 27 GO TO FINALIZAR.
000209     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO HASAN-ACC.
000210     IF FUN-COD = 01
000211                 DISPLAY SAV-SCR CONTROL CREATE-WINDOW
000212                          LINE 1 POSITION 1
000213                 CALL "T04POING" USING USRID CARTE FUN-COD
000214                 CANCEL "T04POING"
000215                 DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE".
000216 CARTE-SEG.
000217     MOVE CARTE TO T04MONED
000218     READ T04 INVALID KEY
000219          DISPLAY SAV-SCR CONTROL CREATE-WINDOW
000220                   LINE 1 POSITION 1
000221          CALL "T04POING" USING USRID CARTE FUN-COD
000222          CANCEL "T04POING"
000223          DISPLAY SAV-SCR CONTROL "WINDOW-REMOVE"
000224          GO TO CARTE-SEG.
000225     PERFORM MENSAJE-DIS .
000226     DISPLAY CARTE HIGH LINE 12 POSITION  51.
000227     MOVE LOW-VALUES TO C01-REC.
000228     MOVE T04MONED TO C01MONED.
000229     START C01 KEY IS NOT LESS THAN C01MONED-LA.
000230     READ C01 NEXT.
000231 IND-ACC.
000232     IF IND = SPACES
000233         ACCEPT IND SIZE  1 PROMPT
000234                HIGH  LINE 14 POSITION  51
000235         ELSE
000236         ACCEPT IND SIZE  1 REVERSE UPDATE
000237                HIGH  LINE 14 POSITION  51.
000238     ACCEPT FUN-COD FROM ESCAPE KEY.
000239     IF FUN-COD = 27 GO TO FINALIZAR.
000240     IF FUN-COD = 52 PERFORM MENSAJE-DIS GO TO CARTE-ACC.
000241     IF IND = "P" OR "I"
000242             NEXT SENTENCE ELSE
000243             MOVE "PANTALLA  IMPRESORA POR FAVOR"
000244             TO MENSAJE PERFORM MENSAJE-DIS GO TO IND-ACC.
000245     PERFORM MENSAJE-DIS .
000246     DISPLAY IND HIGH LINE 14 POSITION  51.
000247     IF IND = "P" MOVE "D" TO U04IMPRE.
000248 PROCESO.
000249     MOVE T04MONED TO C35MONED
000250     OPEN INPUT C35
000251     MOVE T04MONED TO H35MONED
000252     OPEN INPUT H35.
000253     MOVE T04MONED TO P35MONED
000254     OPEN INPUT P35.
000255     MOVE LOW-VALUES TO C55-REC.
000256     START C55 KEY IS NOT LESS THAN C55NUMER-LA INVALID KEY
000257             MOVE "NO HAY NADA AUN "
000258             TO MENSAJE PERFORM MENSAJE-DIS GO TO IND-ACC.
000259     MOVE ZERO TO PRITRAN ULTTRAN NUMER.
000260 OTRO-C55.
000261     READ C55 NEXT AT END
000262             PERFORM ANALIZO THRU FIN-ANALIZO
000263             GO TO IMPRIMIR.
000264     DISPLAY C55NUMER LINE 13 POSITION 33.
000265     IF C55MONED = T04MONED NEXT SENTENCE ELSE GO TO OTRO-C55.
000266     IF NUMER = ZERO MOVE C55NUMER TO NUMER
000267                     MOVE C55TRANS TO PRITRAN
000268                     MOVE C55TRANS TO ULTTRAN
000269                     MOVE C55ARTIP TO ARTIP
000270                     GO TO OTRO-C55.
000271     IF C55NUMER = NUMER
000272                    MOVE C55TRANS TO ULTTRAN
000273                    MOVE C55ARTIP TO ARTIP
000274                    GO TO OTRO-C55.
000275     PERFORM ANALIZO THRU FIN-ANALIZO.
000276     MOVE C55ARTIP TO ARTIP
000277     MOVE C55NUMER TO NUMER
000278     MOVE C55TRANS TO PRITRAN
000279     MOVE C55TRANS TO ULTTRAN
000280     GO TO OTRO-C55.
000281 ANALIZO.
000282     IF PRITRAN = ULTTRAN
000283               PERFORM ENTRADO THRU FIN-ENTRADO
000284         ELSE  PERFORM SALIDO  THRU FIN-SALIDO.
000285 FIN-ANALIZO.
000286 ENTRADO.
000287     MOVE PRITRAN TO C02TRANS.
000288     READ C02 INVALID KEY GO TO FIN-ENTRADO.
000289     IF C02FECHA > HASTA NEXT SENTENCE ELSE
000290              PERFORM GRABAR-AUXI THRU FIN-GRABAR-AUXI.
000291 FIN-ENTRADO.
000292 SALIDO.
000293     MOVE PRITRAN TO C02TRANS.
000294     READ C02 INVALID KEY GO TO FIN-SALIDO.
000295     IF C02FECHA > HASTA GO TO FIN-SALIDO.
000296     MOVE ULTTRAN TO C02TRANS.
000297     READ C02 INVALID KEY GO TO FIN-SALIDO.
000298     IF C02FECHA > HASTA
000299              PERFORM GRABAR-AUXI THRU FIN-GRABAR-AUXI.
000300 FIN-SALIDO.
000301 GRABAR-AUXI.
000302 LEER-P35.
000303     MOVE NUMER TO P35NUMER.
000304     READ P35 INVALID KEY GO TO LEER-C35.
000305     GO TO SEG-AUXI.
000306 LEER-C35.
000307     MOVE NUMER TO C35NUMER.
000308     READ C35 INTO P35-REC INVALID KEY GO TO LEER-H35.
000309     GO TO SEG-AUXI.
000310 LEER-H35.
000311     MOVE NUMER TO H35NUMER.
000312     READ H35 INTO P35-REC INVALID KEY GO TO FIN-GRABAR-AUXI.
000313     GO TO SEG-AUXI.
000314 SEG-AUXI.
000315     MOVE P35FECHA TO AUXFECHA.
000316     MOVE P35NUMER TO AUXNUMER.
000317     MOVE P35-REC  TO AUXCONTE.
000318     WRITE AUX-REC.
000319 FIN-GRABAR-AUXI.
000320 IMPRIMIR.
000321     MOVE LOW-VALUES TO AUX-REC.
000322     START AUXIFILE KEY IS NOT LESS THAN AUXLLAVE
000323                   INVALID KEY
000324         MOVE "NO HAY NADA AUN " TO MENSAJE
000325         PERFORM MENSAJE-DIS GO TO IND-ACC.
000326     CLOSE P35 C35 H35.
000327     MOVE ZERO TO TOTAL CON-PAG.
000328 OTRO-IMP.
000329     READ AUXIFILE  NEXT AT END GO TO TOTALES.
000330     IF CON-PAG = 0 PERFORM ABRIR
000331                    PERFORM ENCABEZAMIENTO.
000332     IF CON-LIN > LIN-COR PERFORM PAGINA PERFORM ENCABEZAMIENTO.
000333     MOVE AUXCONTE TO P35-REC.
000334     MOVE P35CODCL TO C13CODCL
000335     MOVE ZERO     TO C13SUCUR
000336     READ C13 INVALID KEY MOVE SPACES TO C13-REC.
000337     MOVE C13CODCL TO SL-C13CODCL
000338     MOVE C13NOMCO TO SL-C13NOMCO
000339     MOVE P35IMPOR TO SL-P35IMPOR
000340     MOVE P35FECDI TO SL-P35FECDI
000341     MOVE P35FECME TO SL-P35FECME
000342     MOVE P35FECAN TO SL-P35FECAN
000343     ADD P35IMPOR TO TOTAL
000344     MOVE LINE005 TO SL-NOR-CON
000345     MOVE LIN-NOR TO IMP-REC
000346     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000347     GO TO OTRO-IMP.
000348 TOTALES.
000330     IF CON-PAG = 0
000324         MOVE "NO HAY NADA AUN " TO MENSAJE
000325         PERFORM MENSAJE-DIS
000331         GO TO FINALIZAR.



000349     MOVE TOTAL TO SL-TOTAL   .
000350     MOVE LINE006 TO SL-NOR-CON
000351     MOVE LIN-NOR TO IMP-REC
000352     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000353     MOVE LINE007 TO SL-NOR-CON
000354     MOVE LIN-NOR TO IMP-REC
000355     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000356     MOVE LINE008 TO SL-NOR-CON
000357     MOVE LIN-NOR TO IMP-REC
000358     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000359     MOVE LINEBLA TO IMP-REC.
000360     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000361     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000362     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000363     PERFORM PAGINA.
000364 CERRAR.
000365     IF U04IMPRE = "I" OR U04IMPRE = "T" CLOSE IMP.
000366     IF IMPSTAT = "30" GO TO CERRAR.
000367     IF U04IMPRE = "D" OR U04IMPRE = "T" CLOSE DSK.
000368     IF U04IMPRE = "D" OR U04IMPRE = "T"
000369             CALL "SHOWRELA" USING IMP-PAT
000370             CANCEL "SHOWRELA".
000371 FIN-CERRAR.
000372 FINALIZAR.
000373     CLOSE C00 C13 C02 C05 C01 C04 C55.
000374 SALIDA.
000375     EXIT PROGRAM.
000376 MENSAJE-DIS.
000377     DISPLAY MENSAJE BLINK LINE 24 POSITION 1.
000378     MOVE SPACES TO MENSAJE.
000379 CONFIRME-DIS.
000380     DISPLAY MENSAJE HIGH LINE 24 POSITION 1.
000381     MOVE SPACES TO MENSAJE.
000382 ABRIR.
000383     MOVE C00DIAUX TO IMP-DIAUX.
000384     MOVE USRID    TO IMP-USRID.
000385     MOVE "X35COMSA.PRT" TO IMP-NOM.
000386     IF U04IMPRE = "I" OR U04IMPRE = "T" OPEN OUTPUT IMP .
000387     IF IMPSTAT = "30" GO TO ABRIR.
000388     IF U04IMPRE = "D" OR U04IMPRE = "T" OPEN OUTPUT DSK .
000389     ACCEPT FECHA-EQ FROM DATE.
000390     MOVE FECDI-EQ TO SL-FECDI-EQ.
000391     MOVE FECME-EQ TO SL-FECME-EQ.
000392     MOVE FECAN-EQ TO SL-FECAN-EQ.
000393     MOVE C00EMPRE TO SL-C00EMPRE.
000394     MOVE T04MONED TO SL-T04MONED.
000395     MOVE T04NOMBR TO SL-T04NOMBR.
000396     MOVE HASDI    TO SL-HASDI   .
000397     MOVE HASME    TO SL-HASME   .
000398     MOVE HASAN    TO SL-HASAN   .
000399     MOVE LINE000  TO IMP-REC.
000400     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000401 ENCABEZAMIENTO.
000402     ADD 1 TO CON-PAG .
000403     MOVE ZERO TO CON-LIN.
000404     MOVE CON-PAG TO SL-CON-PAG .
000405     MOVE LINE001 TO SL-NOR-CON
000406     MOVE LIN-NOR TO IMP-REC
000407     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000408     MOVE LINEBLA TO IMP-REC.
000409     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000410     MOVE LINE002 TO SL-NOR-CON
000411     MOVE LIN-NOR TO IMP-REC
000412     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000413     MOVE LINE003 TO SL-NOR-CON
000414     MOVE LIN-NOR TO IMP-REC
000415     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000416     MOVE LINE004 TO SL-NOR-CON
000417     MOVE LIN-NOR TO IMP-REC
000418     PERFORM WRT-IMP THRU FIN-WRT-IMP.
000419 WRT-IMP.
000420     ADD 1 TO CON-LIN.
000421 SEG-WRT-IMP.
000422     DISPLAY IMP-REC LINE 22 POSITION 1.
000423     MOVE IMP-REC TO DSK-REC.
000424     IF U04IMPRE = "I" OR U04IMPRE = "T" WRITE IMP-REC
000425                BEFORE 1 LINES.
000426     IF IMPSTAT = "30" GO TO SEG-WRT-IMP.
000427     IF U04IMPRE = "D" OR U04IMPRE = "T" WRITE DSK-REC
000428                BEFORE 1 LINES.
000429 FIN-WRT-IMP.
000430 PAGINA.
000431     MOVE LINEBLA  TO IMP-REC.
000432     MOVE LINEBLA  TO DSK-REC.
000433     DISPLAY IMP-REC LINE 22 POSITION 1.
000434     IF U04IMPRE = "I" OR U04IMPRE = "T"
000435                       WRITE IMP-REC AFTER PAGE.
000436     IF IMPSTAT = "30" GO TO PAGINA.
000437     IF U04IMPRE = "D" OR U04IMPRE = "T"
000438                       WRITE DSK-REC AFTER PAGE.
000439 FIN-PAGINA.
000440 CARGAR-T04.
000441     MOVE LOW-VALUES TO C04-REC
000442     START C04 KEY IS NOT LESS THAN C04LLAVE
000443           INVALID KEY GO TO FIN-CARGAR-T04.
000444 OTRO-C04.
000445     READ C04 NEXT AT END GO TO FIN-CARGAR-T04.
000446     IF C04CARTE = "T" NEXT SENTENCE
000447     ELSE           GO TO OTRO-C04.
000448     MOVE C04-REC TO T04-REC
000449     MOVE SPACES  TO T04MARCA
000450     WRITE T04-REC.
000451     GO TO OTRO-C04.
000452 FIN-CARGAR-T04.


